#include "defines.h"
#include "../include/moves.h"

#ifdef EXPAND_LEARNSETS

#define LEVEL_UP_MOVE(lvl, move) {move, lvl}
#define LEVEL_UP_END {0x0, 0xFF}

struct __attribute__((packed)) LevelUpMove
{
	u16 move;
	u8 level;
};

static const struct LevelUpMove sEmptyMoveset[] = {
	LEVEL_UP_END
};

static const struct LevelUpMove sBulbasaurLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 9, MOVE_VINEWHIP),
	LEVEL_UP_MOVE(13, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(13, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(19, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(21, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(25, MOVE_GROWTH),
	LEVEL_UP_MOVE(27, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(31, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(33, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(37, MOVE_SEEDBOMB),
	LEVEL_UP_END
};

static const struct LevelUpMove sIvysaurLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 9, MOVE_VINEWHIP),
	LEVEL_UP_MOVE(13, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(13, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(20, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(23, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(28, MOVE_GROWTH),
	LEVEL_UP_MOVE(31, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(36, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(39, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(44, MOVE_SOLARBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sVenusaurLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_PETALDANCE),
	LEVEL_UP_MOVE( 1, MOVE_PETALDANCE),
	LEVEL_UP_MOVE( 1, MOVE_POWERWHIP),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 9, MOVE_VINEWHIP),
	LEVEL_UP_MOVE(13, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(13, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(20, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(23, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(28, MOVE_GROWTH),
	LEVEL_UP_MOVE(31, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(39, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(45, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(50, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE(53, MOVE_SOLARBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sCharmanderLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_EMBER),
	LEVEL_UP_MOVE(10, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(16, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(19, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(25, MOVE_FIREFANG),
	LEVEL_UP_MOVE(28, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(34, MOVE_SLASH),
	LEVEL_UP_MOVE(37, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(43, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(46, MOVE_INFERNO),
	LEVEL_UP_END
};

static const struct LevelUpMove sCharmeleonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 7, MOVE_EMBER),
	LEVEL_UP_MOVE(10, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(17, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(21, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(28, MOVE_FIREFANG),
	LEVEL_UP_MOVE(32, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(39, MOVE_SLASH),
	LEVEL_UP_MOVE(43, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(50, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(54, MOVE_INFERNO),
	LEVEL_UP_END
};

static const struct LevelUpMove sCharizardLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_WINGATTACK),
	LEVEL_UP_MOVE( 1, MOVE_WINGATTACK),
	LEVEL_UP_MOVE( 1, MOVE_SCORCHINGSANDS),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 7, MOVE_EMBER),
	LEVEL_UP_MOVE(10, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(17, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(21, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(28, MOVE_FIREFANG),
	LEVEL_UP_MOVE(32, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(41, MOVE_SLASH),
	LEVEL_UP_MOVE(47, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(56, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(62, MOVE_INFERNO),
	LEVEL_UP_MOVE(71, MOVE_HEATWAVE),
	LEVEL_UP_MOVE(77, MOVE_FLAREBLITZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sSquirtleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE(10, MOVE_WITHDRAW),
	LEVEL_UP_MOVE(13, MOVE_BUBBLE),
	LEVEL_UP_MOVE(16, MOVE_BITE),
	LEVEL_UP_MOVE(19, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(22, MOVE_PROTECT),
	LEVEL_UP_MOVE(25, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(28, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(31, MOVE_SKULLBASH),
	LEVEL_UP_MOVE(34, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(37, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(40, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sWartortleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 4, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE(10, MOVE_WITHDRAW),
	LEVEL_UP_MOVE(13, MOVE_BUBBLE),
	LEVEL_UP_MOVE(17, MOVE_BITE),
	LEVEL_UP_MOVE(21, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(25, MOVE_PROTECT),
	LEVEL_UP_MOVE(29, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(33, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(37, MOVE_SKULLBASH),
	LEVEL_UP_MOVE(41, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(45, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(49, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sBlastoiseLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_AURASPHERE),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_FLASHCANNON),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 4, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE(10, MOVE_WITHDRAW),
	LEVEL_UP_MOVE(13, MOVE_BUBBLE),
	LEVEL_UP_MOVE(17, MOVE_BITE),
	LEVEL_UP_MOVE(21, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(25, MOVE_PROTECT),
	LEVEL_UP_MOVE(29, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(33, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(40, MOVE_SKULLBASH),
	LEVEL_UP_MOVE(47, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(54, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(60, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sCaterpieLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 9, MOVE_BUGBITE),
	LEVEL_UP_END
};

static const struct LevelUpMove sMetapodLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_END
};

static const struct LevelUpMove sButterfreeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE(11, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(13, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(13, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(17, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(19, MOVE_SILVERWIND),
	LEVEL_UP_MOVE(23, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(25, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(29, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(31, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(35, MOVE_RAGEPOWDER),
	LEVEL_UP_MOVE(37, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(41, MOVE_TAILWIND),
	LEVEL_UP_MOVE(43, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(47, MOVE_QUIVERDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sWeedleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 9, MOVE_BUGBITE),
	LEVEL_UP_END
};

static const struct LevelUpMove sKakunaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_END
};

static const struct LevelUpMove sBeedrillLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_TWINEEDLE),
	LEVEL_UP_MOVE( 1, MOVE_TWINEEDLE),
	LEVEL_UP_MOVE( 1, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(11, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(14, MOVE_RAGE),
	LEVEL_UP_MOVE(17, MOVE_PURSUIT),
	LEVEL_UP_MOVE(20, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(23, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(26, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(29, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(32, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(35, MOVE_POISONJAB),
	LEVEL_UP_MOVE(38, MOVE_AGILITY),
	LEVEL_UP_MOVE(41, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(44, MOVE_FELLSTINGER),
	LEVEL_UP_END
};

static const struct LevelUpMove sPidgeyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_GUST),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(17, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(21, MOVE_TWISTER),
	LEVEL_UP_MOVE(25, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(29, MOVE_AGILITY),
	LEVEL_UP_MOVE(33, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(37, MOVE_ROOST),
	LEVEL_UP_MOVE(41, MOVE_TAILWIND),
	LEVEL_UP_MOVE(45, MOVE_MIRRORMOVE),
	LEVEL_UP_MOVE(49, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(53, MOVE_HURRICANE),
	LEVEL_UP_END
};

static const struct LevelUpMove sPidgeottoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_GUST),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(17, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(22, MOVE_TWISTER),
	LEVEL_UP_MOVE(27, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(32, MOVE_AGILITY),
	LEVEL_UP_MOVE(37, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(42, MOVE_ROOST),
	LEVEL_UP_MOVE(47, MOVE_TAILWIND),
	LEVEL_UP_MOVE(52, MOVE_MIRRORMOVE),
	LEVEL_UP_MOVE(57, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(62, MOVE_HURRICANE),
	LEVEL_UP_END
};

static const struct LevelUpMove sPidgeotLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_SKYATTACK),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_GUST),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(17, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(22, MOVE_TWISTER),
	LEVEL_UP_MOVE(27, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(32, MOVE_AGILITY),
	LEVEL_UP_MOVE(38, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(44, MOVE_ROOST),
	LEVEL_UP_MOVE(50, MOVE_TAILWIND),
	LEVEL_UP_MOVE(56, MOVE_MIRRORMOVE),
	LEVEL_UP_MOVE(62, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(68, MOVE_HURRICANE),
	LEVEL_UP_END
};

static const struct LevelUpMove sRattataLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 4, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 7, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_PURSUIT),
	LEVEL_UP_MOVE(16, MOVE_HYPERFANG),
	LEVEL_UP_MOVE(19, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(22, MOVE_CRUNCH),
	LEVEL_UP_MOVE(25, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(28, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(31, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(34, MOVE_ENDEAVOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sRaticateLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 1, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 4, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 7, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_PURSUIT),
	LEVEL_UP_MOVE(16, MOVE_HYPERFANG),
	LEVEL_UP_MOVE(19, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(24, MOVE_CRUNCH),
	LEVEL_UP_MOVE(29, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(34, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(39, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(44, MOVE_ENDEAVOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sSpearowLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 8, MOVE_PURSUIT),
	LEVEL_UP_MOVE(11, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(15, MOVE_AERIALACE),
	LEVEL_UP_MOVE(18, MOVE_MIRRORMOVE),
	LEVEL_UP_MOVE(22, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(25, MOVE_AGILITY),
	LEVEL_UP_MOVE(29, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(32, MOVE_ROOST),
	LEVEL_UP_MOVE(36, MOVE_DRILLPECK),
	LEVEL_UP_END
};

static const struct LevelUpMove sFearowLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_DRILLRUN),
	LEVEL_UP_MOVE( 1, MOVE_PLUCK),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 8, MOVE_PURSUIT),
	LEVEL_UP_MOVE(11, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(15, MOVE_AERIALACE),
	LEVEL_UP_MOVE(18, MOVE_MIRRORMOVE),
	LEVEL_UP_MOVE(23, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(27, MOVE_AGILITY),
	LEVEL_UP_MOVE(32, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(36, MOVE_ROOST),
	LEVEL_UP_MOVE(41, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(45, MOVE_DRILLRUN),
	LEVEL_UP_END
};

static const struct LevelUpMove sEkansLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 4, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 9, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_GLARE),
	LEVEL_UP_MOVE(17, MOVE_SCREECH),
	LEVEL_UP_MOVE(20, MOVE_ACID),
	LEVEL_UP_MOVE(25, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(25, MOVE_SWALLOW),
	LEVEL_UP_MOVE(25, MOVE_SPITUP),
	LEVEL_UP_MOVE(28, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(33, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(36, MOVE_GASTROACID),
	LEVEL_UP_MOVE(38, MOVE_BELCH),
	LEVEL_UP_MOVE(41, MOVE_HAZE),
	LEVEL_UP_MOVE(44, MOVE_COIL),
	LEVEL_UP_MOVE(49, MOVE_GUNKSHOT),
	LEVEL_UP_END
};

static const struct LevelUpMove sArbokLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 4, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 9, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_GLARE),
	LEVEL_UP_MOVE(17, MOVE_SCREECH),
	LEVEL_UP_MOVE(20, MOVE_ACID),
	LEVEL_UP_MOVE(27, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(27, MOVE_SWALLOW),
	LEVEL_UP_MOVE(27, MOVE_SPITUP),
	LEVEL_UP_MOVE(32, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(39, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(44, MOVE_GASTROACID),
	LEVEL_UP_MOVE(48, MOVE_BELCH),
	LEVEL_UP_MOVE(51, MOVE_HAZE),
	LEVEL_UP_MOVE(56, MOVE_COIL),
	LEVEL_UP_MOVE(63, MOVE_GUNKSHOT),
	LEVEL_UP_END
};

static const struct LevelUpMove sPikachuLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 5, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_PLAYNICE),
	LEVEL_UP_MOVE(10, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(13, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(18, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(21, MOVE_FEINT),
	LEVEL_UP_MOVE(23, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(26, MOVE_SPARK),
	LEVEL_UP_MOVE(29, MOVE_NUZZLE),
	LEVEL_UP_MOVE(34, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(37, MOVE_SLAM),
	LEVEL_UP_MOVE(42, MOVE_THUNDERBOLT),
	LEVEL_UP_MOVE(45, MOVE_AGILITY),
	LEVEL_UP_MOVE(50, MOVE_WILDCHARGE),
	LEVEL_UP_MOVE(53, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(58, MOVE_THUNDER),
	LEVEL_UP_END
};

static const struct LevelUpMove sRaichuLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_NUZZLE),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERBOLT),
	LEVEL_UP_END
};

static const struct LevelUpMove sSandshrewLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 3, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 5, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 7, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 9, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(11, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(14, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(17, MOVE_SWIFT),
	LEVEL_UP_MOVE(20, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(23, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(26, MOVE_SLASH),
	LEVEL_UP_MOVE(30, MOVE_DIG),
	LEVEL_UP_MOVE(34, MOVE_GYROBALL),
	LEVEL_UP_MOVE(38, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(42, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(46, MOVE_EARTHQUAKE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSandslashLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CRUSHCLAW),
	LEVEL_UP_MOVE( 1, MOVE_CRUSHCLAW),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 3, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 5, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 7, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 9, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(11, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(14, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(17, MOVE_SWIFT),
	LEVEL_UP_MOVE(20, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(24, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(28, MOVE_SLASH),
	LEVEL_UP_MOVE(33, MOVE_DIG),
	LEVEL_UP_MOVE(38, MOVE_GYROBALL),
	LEVEL_UP_MOVE(43, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(48, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(53, MOVE_EARTHQUAKE),
	LEVEL_UP_END
};

static const struct LevelUpMove sNidoranFLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 7, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 9, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(13, MOVE_POISONSTING),
	LEVEL_UP_MOVE(19, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(21, MOVE_BITE),
	LEVEL_UP_MOVE(25, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(31, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(33, MOVE_FLATTER),
	LEVEL_UP_MOVE(37, MOVE_CRUNCH),
	LEVEL_UP_MOVE(43, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(45, MOVE_POISONFANG),
	LEVEL_UP_END
};

static const struct LevelUpMove sNidorinaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 7, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 9, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(13, MOVE_POISONSTING),
	LEVEL_UP_MOVE(20, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(23, MOVE_BITE),
	LEVEL_UP_MOVE(28, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(35, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(38, MOVE_FLATTER),
	LEVEL_UP_MOVE(43, MOVE_CRUNCH),
	LEVEL_UP_MOVE(50, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(58, MOVE_POISONFANG),
	LEVEL_UP_END
};

static const struct LevelUpMove sNidoqueenLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE(23, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(35, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(43, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(58, MOVE_SUPERPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sNidoranMLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 7, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 9, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(13, MOVE_POISONSTING),
	LEVEL_UP_MOVE(19, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(21, MOVE_HORNATTACK),
	LEVEL_UP_MOVE(25, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(31, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(33, MOVE_FLATTER),
	LEVEL_UP_MOVE(37, MOVE_POISONJAB),
	LEVEL_UP_MOVE(43, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(45, MOVE_HORNDRILL),
	LEVEL_UP_END
};

static const struct LevelUpMove sNidorinoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 7, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 9, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(13, MOVE_POISONSTING),
	LEVEL_UP_MOVE(20, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(23, MOVE_HORNATTACK),
	LEVEL_UP_MOVE(28, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(35, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(38, MOVE_FLATTER),
	LEVEL_UP_MOVE(43, MOVE_POISONJAB),
	LEVEL_UP_MOVE(50, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(58, MOVE_HORNDRILL),
	LEVEL_UP_END
};

static const struct LevelUpMove sNidokingLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE( 1, MOVE_MEGAHORN),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE(23, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(35, MOVE_THRASH),
	LEVEL_UP_MOVE(43, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(58, MOVE_MEGAHORN),
	LEVEL_UP_END
};

static const struct LevelUpMove sClefairyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPOTLIGHT),
	LEVEL_UP_MOVE( 1, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_ENCORE),
	LEVEL_UP_MOVE( 7, MOVE_SING),
	LEVEL_UP_MOVE(10, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(13, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE(16, MOVE_FOLLOWME),
	LEVEL_UP_MOVE(19, MOVE_BESTOW),
	LEVEL_UP_MOVE(22, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(25, MOVE_MINIMIZE),
	LEVEL_UP_MOVE(28, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE(31, MOVE_METRONOME),
	LEVEL_UP_MOVE(34, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE(37, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(40, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(43, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE(46, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(49, MOVE_GRAVITY),
	LEVEL_UP_MOVE(50, MOVE_METEORMASH),
	LEVEL_UP_MOVE(55, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE(58, MOVE_AFTERYOU),
	LEVEL_UP_END
};

static const struct LevelUpMove sClefableLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE( 1, MOVE_MOONBLAST),
	LEVEL_UP_MOVE( 1, MOVE_METEORMASH),
	LEVEL_UP_MOVE( 1, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE( 1, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_SPOTLIGHT),
	LEVEL_UP_MOVE( 1, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE( 1, MOVE_SING),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE( 1, MOVE_MINIMIZE),
	LEVEL_UP_MOVE( 1, MOVE_METRONOME),
	LEVEL_UP_END
};

static const struct LevelUpMove sVulpixLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 4, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_ROAR),
	LEVEL_UP_MOVE( 9, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(10, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(12, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(15, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(18, MOVE_PAYBACK),
	LEVEL_UP_MOVE(20, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(23, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(26, MOVE_HEX),
	LEVEL_UP_MOVE(28, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(31, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(34, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(36, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(39, MOVE_IMPRISON),
	LEVEL_UP_MOVE(42, MOVE_FIREBLAST),
	LEVEL_UP_MOVE(44, MOVE_GRUDGE),
	LEVEL_UP_MOVE(47, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(50, MOVE_INFERNO),
	LEVEL_UP_END
};

static const struct LevelUpMove sNinetalesLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE( 1, MOVE_IMPRISON),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 1, MOVE_SAFEGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sJigglypuffLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SING),
	LEVEL_UP_MOVE( 3, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 5, MOVE_POUND),
	LEVEL_UP_MOVE( 9, MOVE_PLAYNICE),
	LEVEL_UP_MOVE(11, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(14, MOVE_DISABLE),
	LEVEL_UP_MOVE(17, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(20, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(22, MOVE_ROUND),
	LEVEL_UP_MOVE(25, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(25, MOVE_SWALLOW),
	LEVEL_UP_MOVE(25, MOVE_SPITUP),
	LEVEL_UP_MOVE(27, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(30, MOVE_REST),
	LEVEL_UP_MOVE(32, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(35, MOVE_GYROBALL),
	LEVEL_UP_MOVE(38, MOVE_MIMIC),
	LEVEL_UP_MOVE(41, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(45, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sWigglytuffLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE( 1, MOVE_GYROBALL),
	LEVEL_UP_MOVE( 1, MOVE_WILDCHARGE),
	LEVEL_UP_MOVE( 1, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_SING),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_DISABLE),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLESLAP),
	LEVEL_UP_END
};

static const struct LevelUpMove sZubatLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 7, MOVE_ASTONISH),
	LEVEL_UP_MOVE(11, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(17, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(19, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(23, MOVE_SWIFT),
	LEVEL_UP_MOVE(25, MOVE_POISONFANG),
	LEVEL_UP_MOVE(29, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(31, MOVE_LEECHLIFE),
	LEVEL_UP_MOVE(35, MOVE_HAZE),
	LEVEL_UP_MOVE(37, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(41, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(43, MOVE_QUICKGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sGolbatLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCREECH),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 7, MOVE_ASTONISH),
	LEVEL_UP_MOVE(11, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(17, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(19, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(24, MOVE_SWIFT),
	LEVEL_UP_MOVE(27, MOVE_POISONFANG),
	LEVEL_UP_MOVE(32, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(35, MOVE_LEECHLIFE),
	LEVEL_UP_MOVE(40, MOVE_HAZE),
	LEVEL_UP_MOVE(43, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(48, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(51, MOVE_QUICKGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sOddishLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 5, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 9, MOVE_ACID),
	LEVEL_UP_MOVE(13, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(14, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(15, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(19, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(23, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(27, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE(31, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(35, MOVE_TOXIC),
	LEVEL_UP_MOVE(39, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(43, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(47, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE(51, MOVE_PETALDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sGloomLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 1, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 1, MOVE_ACID),
	LEVEL_UP_MOVE( 5, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 9, MOVE_ACID),
	LEVEL_UP_MOVE(13, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(14, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(15, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(19, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(24, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(29, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE(34, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(39, MOVE_TOXIC),
	LEVEL_UP_MOVE(44, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(49, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE(54, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE(59, MOVE_PETALDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sVileplumeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_STRENGTHSAP),
	LEVEL_UP_MOVE( 1, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE( 1, MOVE_MOONBLAST),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE( 1, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE( 1, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE( 1, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(49, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE(59, MOVE_PETALDANCE),
	LEVEL_UP_MOVE(69, MOVE_SOLARBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sParasLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 6, MOVE_STUNSPORE),
	LEVEL_UP_MOVE( 6, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(11, MOVE_ABSORB),
	LEVEL_UP_MOVE(17, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(22, MOVE_SPORE),
	LEVEL_UP_MOVE(27, MOVE_SLASH),
	LEVEL_UP_MOVE(33, MOVE_GROWTH),
	LEVEL_UP_MOVE(38, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(43, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(49, MOVE_RAGEPOWDER),
	LEVEL_UP_MOVE(54, MOVE_XSCISSOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sParasectLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CROSSPOISON),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_STUNSPORE),
	LEVEL_UP_MOVE( 1, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 6, MOVE_STUNSPORE),
	LEVEL_UP_MOVE( 6, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(11, MOVE_ABSORB),
	LEVEL_UP_MOVE(17, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(22, MOVE_SPORE),
	LEVEL_UP_MOVE(29, MOVE_SLASH),
	LEVEL_UP_MOVE(37, MOVE_GROWTH),
	LEVEL_UP_MOVE(44, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(51, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(59, MOVE_RAGEPOWDER),
	LEVEL_UP_MOVE(66, MOVE_XSCISSOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sVenonatLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_DISABLE),
	LEVEL_UP_MOVE( 1, MOVE_FORESIGHT),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(11, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(17, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(23, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(25, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(29, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(35, MOVE_LEECHLIFE),
	LEVEL_UP_MOVE(37, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(41, MOVE_POISONFANG),
	LEVEL_UP_MOVE(47, MOVE_PSYCHIC),
	LEVEL_UP_END
};

static const struct LevelUpMove sVenomothLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_MORNINGSUN),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE( 1, MOVE_SILVERWIND),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_DISABLE),
	LEVEL_UP_MOVE( 1, MOVE_FORESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(11, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(17, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(23, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(25, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(29, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(37, MOVE_LEECHLIFE),
	LEVEL_UP_MOVE(41, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(47, MOVE_POISONFANG),
	LEVEL_UP_MOVE(55, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(59, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(63, MOVE_QUIVERDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sDiglettLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(14, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(18, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(22, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(25, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(28, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(31, MOVE_DIG),
	LEVEL_UP_MOVE(35, MOVE_SLASH),
	LEVEL_UP_MOVE(39, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(43, MOVE_FISSURE),
	LEVEL_UP_END
};

static const struct LevelUpMove sDugtrioLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SANDTOMB),
	LEVEL_UP_MOVE( 1, MOVE_SANDTOMB),
	LEVEL_UP_MOVE( 1, MOVE_ROTOTILLER),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_TRIATTACK),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(14, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(18, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(22, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(25, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(30, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(35, MOVE_DIG),
	LEVEL_UP_MOVE(41, MOVE_SLASH),
	LEVEL_UP_MOVE(47, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(53, MOVE_FISSURE),
	LEVEL_UP_END
};

static const struct LevelUpMove sMeowthLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 6, MOVE_BITE),
	LEVEL_UP_MOVE( 9, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(14, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(17, MOVE_SCREECH),
	LEVEL_UP_MOVE(22, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(25, MOVE_TAUNT),
	LEVEL_UP_MOVE(30, MOVE_PAYDAY),
	LEVEL_UP_MOVE(33, MOVE_SLASH),
	LEVEL_UP_MOVE(38, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(41, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(46, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(49, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(50, MOVE_FEINT),
	LEVEL_UP_END
};

static const struct LevelUpMove sPersianLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SWIFT),
	LEVEL_UP_MOVE( 1, MOVE_SWIFT),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_SWITCHEROO),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 6, MOVE_BITE),
	LEVEL_UP_MOVE( 9, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(14, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(17, MOVE_SCREECH),
	LEVEL_UP_MOVE(22, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(25, MOVE_TAUNT),
	LEVEL_UP_MOVE(32, MOVE_POWERGEM),
	LEVEL_UP_MOVE(37, MOVE_SLASH),
	LEVEL_UP_MOVE(44, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(49, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(56, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(61, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(65, MOVE_FEINT),
	LEVEL_UP_END
};

static const struct LevelUpMove sPsyduckLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 4, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE(10, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(16, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(19, MOVE_DISABLE),
	LEVEL_UP_MOVE(22, MOVE_SCREECH),
	LEVEL_UP_MOVE(25, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(28, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(31, MOVE_SOAK),
	LEVEL_UP_MOVE(34, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(37, MOVE_AMNESIA),
	LEVEL_UP_MOVE(40, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(43, MOVE_WONDERROOM),
	LEVEL_UP_END
};

static const struct LevelUpMove sGolduckLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MEFIRST),
	LEVEL_UP_MOVE( 1, MOVE_AQUAJET),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 4, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE(10, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(16, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(19, MOVE_DISABLE),
	LEVEL_UP_MOVE(22, MOVE_SCREECH),
	LEVEL_UP_MOVE(25, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(28, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(31, MOVE_SOAK),
	LEVEL_UP_MOVE(36, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(41, MOVE_AMNESIA),
	LEVEL_UP_MOVE(46, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(51, MOVE_WONDERROOM),
	LEVEL_UP_END
};

static const struct LevelUpMove sMankeyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_COVET),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LOWKICK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 5, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE( 8, MOVE_KARATECHOP),
	LEVEL_UP_MOVE(12, MOVE_PURSUIT),
	LEVEL_UP_MOVE(15, MOVE_SEISMICTOSS),
	LEVEL_UP_MOVE(19, MOVE_SWAGGER),
	LEVEL_UP_MOVE(22, MOVE_CROSSCHOP),
	LEVEL_UP_MOVE(26, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(29, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(33, MOVE_THRASH),
	LEVEL_UP_MOVE(36, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(40, MOVE_SCREECH),
	LEVEL_UP_MOVE(43, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE(47, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(50, MOVE_FINALGAMBIT),
	LEVEL_UP_END
};

static const struct LevelUpMove sPrimeapeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_RAGE),
	LEVEL_UP_MOVE( 1, MOVE_RAGE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_FINALGAMBIT),
	LEVEL_UP_MOVE( 1, MOVE_FLING),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LOWKICK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 5, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE( 8, MOVE_KARATECHOP),
	LEVEL_UP_MOVE(12, MOVE_PURSUIT),
	LEVEL_UP_MOVE(15, MOVE_SEISMICTOSS),
	LEVEL_UP_MOVE(19, MOVE_SWAGGER),
	LEVEL_UP_MOVE(22, MOVE_CROSSCHOP),
	LEVEL_UP_MOVE(26, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(30, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(35, MOVE_THRASH),
	LEVEL_UP_MOVE(39, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(44, MOVE_SCREECH),
	LEVEL_UP_MOVE(48, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE(53, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(57, MOVE_FINALGAMBIT),
	LEVEL_UP_END
};

static const struct LevelUpMove sGrowlitheLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_ROAR),
	LEVEL_UP_MOVE( 6, MOVE_EMBER),
	LEVEL_UP_MOVE( 8, MOVE_LEER),
	LEVEL_UP_MOVE(10, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(12, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(17, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(19, MOVE_REVERSAL),
	LEVEL_UP_MOVE(21, MOVE_FIREFANG),
	LEVEL_UP_MOVE(23, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(28, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(30, MOVE_AGILITY),
	LEVEL_UP_MOVE(32, MOVE_RETALIATE),
	LEVEL_UP_MOVE(34, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(39, MOVE_CRUNCH),
	LEVEL_UP_MOVE(41, MOVE_HEATWAVE),
	LEVEL_UP_MOVE(43, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(45, MOVE_FLAREBLITZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sArcanineLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCORCHINGSANDS),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_ROAR),
	LEVEL_UP_MOVE( 1, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE(34, MOVE_EXTREMESPEED),
	LEVEL_UP_END
};

static const struct LevelUpMove sPoliwagLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 5, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 8, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(11, MOVE_BUBBLE),
	LEVEL_UP_MOVE(15, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(18, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(21, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(25, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(28, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(31, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE(35, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(38, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(41, MOVE_MUDBOMB),
	LEVEL_UP_END
};

static const struct LevelUpMove sPoliwhirlLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 5, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 8, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(11, MOVE_BUBBLE),
	LEVEL_UP_MOVE(15, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(18, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(21, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(27, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(32, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(37, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE(43, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(48, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(53, MOVE_MUDBOMB),
	LEVEL_UP_END
};

static const struct LevelUpMove sPoliwrathLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SUBMISSION),
	LEVEL_UP_MOVE( 1, MOVE_SUBMISSION),
	LEVEL_UP_MOVE( 1, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE( 1, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_DARKESTLARIAT),
	LEVEL_UP_MOVE( 1, MOVE_HIGHHORSEPOWER),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_CIRCLETHROW),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(32, MOVE_DYNAMICPUNCH),
	LEVEL_UP_MOVE(43, MOVE_MINDREADER),
	LEVEL_UP_MOVE(53, MOVE_CIRCLETHROW),
	LEVEL_UP_END
};

static const struct LevelUpMove sAbraLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_END
};

static const struct LevelUpMove sKadabraLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_KINESIS),
	LEVEL_UP_MOVE( 1, MOVE_KINESIS),
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE(16, MOVE_CONFUSION),
	LEVEL_UP_MOVE(18, MOVE_DISABLE),
	LEVEL_UP_MOVE(21, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(23, MOVE_MIRACLEEYE),
	LEVEL_UP_MOVE(26, MOVE_REFLECT),
	LEVEL_UP_MOVE(28, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE(31, MOVE_RECOVER),
	LEVEL_UP_MOVE(33, MOVE_TELEKINESIS),
	LEVEL_UP_MOVE(38, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(41, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE(43, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(46, MOVE_TRICK),
	LEVEL_UP_END
};

static const struct LevelUpMove sAlakazamLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_KINESIS),
	LEVEL_UP_MOVE( 1, MOVE_KINESIS),
	LEVEL_UP_MOVE( 1, MOVE_POWERSWAP),
	LEVEL_UP_MOVE( 1, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_WONDERROOM),
	LEVEL_UP_MOVE( 1, MOVE_MAGICROOM),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_DISABLE),
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE(16, MOVE_CONFUSION),
	LEVEL_UP_MOVE(18, MOVE_DISABLE),
	LEVEL_UP_MOVE(21, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(23, MOVE_MIRACLEEYE),
	LEVEL_UP_MOVE(26, MOVE_REFLECT),
	LEVEL_UP_MOVE(28, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(31, MOVE_RECOVER),
	LEVEL_UP_MOVE(33, MOVE_TELEKINESIS),
	LEVEL_UP_MOVE(38, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(41, MOVE_CALMMIND),
	LEVEL_UP_MOVE(43, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(46, MOVE_TRICK),
	LEVEL_UP_END
};

static const struct LevelUpMove sMachopLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LOWKICK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 3, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 7, MOVE_KARATECHOP),
	LEVEL_UP_MOVE( 9, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(13, MOVE_LOWSWEEP),
	LEVEL_UP_MOVE(15, MOVE_SEISMICTOSS),
	LEVEL_UP_MOVE(19, MOVE_REVENGE),
	LEVEL_UP_MOVE(21, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(25, MOVE_VITALTHROW),
	LEVEL_UP_MOVE(27, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(31, MOVE_DUALCHOP),
	LEVEL_UP_MOVE(33, MOVE_SUBMISSION),
	LEVEL_UP_MOVE(37, MOVE_BULKUP),
	LEVEL_UP_MOVE(39, MOVE_CROSSCHOP),
	LEVEL_UP_MOVE(43, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(45, MOVE_DYNAMICPUNCH),
	LEVEL_UP_END
};

static const struct LevelUpMove sMachokeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LOWKICK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_KARATECHOP),
	LEVEL_UP_MOVE( 3, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 7, MOVE_KARATECHOP),
	LEVEL_UP_MOVE( 9, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(13, MOVE_LOWSWEEP),
	LEVEL_UP_MOVE(15, MOVE_SEISMICTOSS),
	LEVEL_UP_MOVE(19, MOVE_REVENGE),
	LEVEL_UP_MOVE(21, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(25, MOVE_VITALTHROW),
	LEVEL_UP_MOVE(27, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(33, MOVE_DUALCHOP),
	LEVEL_UP_MOVE(37, MOVE_SUBMISSION),
	LEVEL_UP_MOVE(43, MOVE_BULKUP),
	LEVEL_UP_MOVE(47, MOVE_CROSSCHOP),
	LEVEL_UP_MOVE(53, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(57, MOVE_DYNAMICPUNCH),
	LEVEL_UP_END
};

static const struct LevelUpMove sMachampLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_STRENGTH),
	LEVEL_UP_MOVE( 1, MOVE_STRENGTH),
	LEVEL_UP_MOVE( 1, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_CROSSPOISON),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_DARKESTLARIAT),
	LEVEL_UP_MOVE( 1, MOVE_LOWKICK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_KARATECHOP),
	LEVEL_UP_MOVE( 3, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 7, MOVE_KARATECHOP),
	LEVEL_UP_MOVE( 9, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(13, MOVE_LOWSWEEP),
	LEVEL_UP_MOVE(15, MOVE_SEISMICTOSS),
	LEVEL_UP_MOVE(19, MOVE_REVENGE),
	LEVEL_UP_MOVE(21, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(25, MOVE_VITALTHROW),
	LEVEL_UP_MOVE(27, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(33, MOVE_DUALCHOP),
	LEVEL_UP_MOVE(37, MOVE_SUBMISSION),
	LEVEL_UP_MOVE(43, MOVE_BULKUP),
	LEVEL_UP_MOVE(47, MOVE_CROSSCHOP),
	LEVEL_UP_MOVE(53, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(57, MOVE_DYNAMICPUNCH),
	LEVEL_UP_END
};

static const struct LevelUpMove sBellsproutLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 7, MOVE_GROWTH),
	LEVEL_UP_MOVE(11, MOVE_WRAP),
	LEVEL_UP_MOVE(13, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(15, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(17, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(23, MOVE_ACID),
	LEVEL_UP_MOVE(27, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(29, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(35, MOVE_GASTROACID),
	LEVEL_UP_MOVE(39, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(41, MOVE_POISONJAB),
	LEVEL_UP_MOVE(47, MOVE_SLAM),
	LEVEL_UP_MOVE(50, MOVE_WRINGOUT),
	LEVEL_UP_END
};

static const struct LevelUpMove sWeepinbellLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 7, MOVE_GROWTH),
	LEVEL_UP_MOVE(11, MOVE_WRAP),
	LEVEL_UP_MOVE(13, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(15, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(17, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(24, MOVE_ACID),
	LEVEL_UP_MOVE(29, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(32, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(39, MOVE_GASTROACID),
	LEVEL_UP_MOVE(44, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(47, MOVE_POISONJAB),
	LEVEL_UP_MOVE(54, MOVE_SLAM),
	LEVEL_UP_MOVE(58, MOVE_WRINGOUT),
	LEVEL_UP_END
};

static const struct LevelUpMove sVictreebelLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_LEAFTORNADO),
	LEVEL_UP_MOVE( 1, MOVE_LEAFTORNADO),
	LEVEL_UP_MOVE( 1, MOVE_STRENGTHSAP),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_GASTROACID),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_STOCKPILE),
	LEVEL_UP_MOVE( 1, MOVE_SWALLOW),
	LEVEL_UP_MOVE( 1, MOVE_SPITUP),
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 1, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE( 1, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(32, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE(44, MOVE_LEAFBLADE),
	LEVEL_UP_END
};

static const struct LevelUpMove sTentacoolLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 4, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 7, MOVE_CONSTRICT),
	LEVEL_UP_MOVE(10, MOVE_ACID),
	LEVEL_UP_MOVE(13, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(16, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(19, MOVE_WRAP),
	LEVEL_UP_MOVE(22, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(25, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(28, MOVE_BARRIER),
	LEVEL_UP_MOVE(31, MOVE_POISONJAB),
	LEVEL_UP_MOVE(34, MOVE_BRINE),
	LEVEL_UP_MOVE(37, MOVE_SCREECH),
	LEVEL_UP_MOVE(40, MOVE_HEX),
	LEVEL_UP_MOVE(43, MOVE_SLUDGEWAVE),
	LEVEL_UP_MOVE(46, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(49, MOVE_WRINGOUT),
	LEVEL_UP_END
};

static const struct LevelUpMove sTentacruelLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CROSSPOISON),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_REFLECTTYPE),
	LEVEL_UP_MOVE( 1, MOVE_WRINGOUT),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 1, MOVE_ACID),
	LEVEL_UP_MOVE( 4, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 7, MOVE_CONSTRICT),
	LEVEL_UP_MOVE(10, MOVE_ACID),
	LEVEL_UP_MOVE(13, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(16, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(19, MOVE_WRAP),
	LEVEL_UP_MOVE(22, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(25, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(28, MOVE_BARRIER),
	LEVEL_UP_MOVE(32, MOVE_POISONJAB),
	LEVEL_UP_MOVE(36, MOVE_BRINE),
	LEVEL_UP_MOVE(40, MOVE_SCREECH),
	LEVEL_UP_MOVE(44, MOVE_HEX),
	LEVEL_UP_MOVE(48, MOVE_SLUDGEWAVE),
	LEVEL_UP_MOVE(52, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(56, MOVE_WRINGOUT),
	LEVEL_UP_END
};

static const struct LevelUpMove sGeodudeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 4, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 6, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(10, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(12, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(16, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(18, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(22, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(24, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(28, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(30, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(34, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(36, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(40, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(42, MOVE_STONEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sGravelerLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 1, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE( 4, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 6, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(10, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(12, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(16, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(18, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(22, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(24, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(30, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(34, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(40, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(44, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(50, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(54, MOVE_STONEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sGolemLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 1, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE( 4, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 6, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(10, MOVE_STEAMROLLER),
	LEVEL_UP_MOVE(12, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(16, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(18, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(22, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(24, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(30, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(34, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(40, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(44, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(50, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(54, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(60, MOVE_HEAVYSLAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sPonytaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 9, MOVE_EMBER),
	LEVEL_UP_MOVE(13, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(17, MOVE_STOMP),
	LEVEL_UP_MOVE(21, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(25, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(29, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(33, MOVE_INFERNO),
	LEVEL_UP_MOVE(37, MOVE_AGILITY),
	LEVEL_UP_MOVE(41, MOVE_FIREBLAST),
	LEVEL_UP_MOVE(45, MOVE_BOUNCE),
	LEVEL_UP_MOVE(49, MOVE_FLAREBLITZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sRapidashLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SMARTSTRIKE),
	LEVEL_UP_MOVE( 1, MOVE_SMARTSTRIKE),
	LEVEL_UP_MOVE( 1, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_HIGHHORSEPOWER),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_POISONJAB),
	LEVEL_UP_MOVE( 1, MOVE_MEGAHORN),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 4, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 9, MOVE_EMBER),
	LEVEL_UP_MOVE(13, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(17, MOVE_STOMP),
	LEVEL_UP_MOVE(21, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(25, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(29, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(33, MOVE_INFERNO),
	LEVEL_UP_MOVE(37, MOVE_AGILITY),
	LEVEL_UP_MOVE(41, MOVE_FIREBLAST),
	LEVEL_UP_MOVE(45, MOVE_BOUNCE),
	LEVEL_UP_MOVE(49, MOVE_FLAREBLITZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sSlowpokeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CURSE),
	LEVEL_UP_MOVE( 1, MOVE_YAWN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_GROWL),
	LEVEL_UP_MOVE( 9, MOVE_WATERGUN),
	LEVEL_UP_MOVE(14, MOVE_CONFUSION),
	LEVEL_UP_MOVE(19, MOVE_DISABLE),
	LEVEL_UP_MOVE(23, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(28, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(32, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(36, MOVE_SLACKOFF),
	LEVEL_UP_MOVE(41, MOVE_AMNESIA),
	LEVEL_UP_MOVE(45, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(49, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(54, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(58, MOVE_HEALPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSlowbroLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_MOVE( 1, MOVE_WONDERROOM),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_HEALPULSE),
	LEVEL_UP_MOVE( 1, MOVE_CURSE),
	LEVEL_UP_MOVE( 1, MOVE_YAWN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_GROWL),
	LEVEL_UP_MOVE( 9, MOVE_WATERGUN),
	LEVEL_UP_MOVE(14, MOVE_CONFUSION),
	LEVEL_UP_MOVE(19, MOVE_DISABLE),
	LEVEL_UP_MOVE(23, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(28, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(32, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(36, MOVE_SLACKOFF),
	LEVEL_UP_MOVE(43, MOVE_AMNESIA),
	LEVEL_UP_MOVE(49, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(55, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(62, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(68, MOVE_HEALPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sMagnemiteLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 5, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 7, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(11, MOVE_MAGNETBOMB),
	LEVEL_UP_MOVE(13, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(17, MOVE_SONICBOOM),
	LEVEL_UP_MOVE(19, MOVE_SPARK),
	LEVEL_UP_MOVE(23, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(25, MOVE_METALSOUND),
	LEVEL_UP_MOVE(29, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(31, MOVE_FLASHCANNON),
	LEVEL_UP_MOVE(35, MOVE_SCREECH),
	LEVEL_UP_MOVE(37, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(41, MOVE_LOCKON),
	LEVEL_UP_MOVE(43, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE(47, MOVE_GYROBALL),
	LEVEL_UP_MOVE(49, MOVE_ZAPCANNON),
	LEVEL_UP_END
};

static const struct LevelUpMove sMagnetonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_TRIATTACK),
	LEVEL_UP_MOVE( 1, MOVE_TRIATTACK),
	LEVEL_UP_MOVE( 1, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 5, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 7, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(11, MOVE_MAGNETBOMB),
	LEVEL_UP_MOVE(13, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(17, MOVE_SONICBOOM),
	LEVEL_UP_MOVE(19, MOVE_SPARK),
	LEVEL_UP_MOVE(23, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(25, MOVE_METALSOUND),
	LEVEL_UP_MOVE(29, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(33, MOVE_FLASHCANNON),
	LEVEL_UP_MOVE(39, MOVE_SCREECH),
	LEVEL_UP_MOVE(43, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(49, MOVE_LOCKON),
	LEVEL_UP_MOVE(53, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE(59, MOVE_GYROBALL),
	LEVEL_UP_MOVE(63, MOVE_ZAPCANNON),
	LEVEL_UP_END
};

static const struct LevelUpMove sFarfetchdLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE( 1, MOVE_POISONJAB),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 7, MOVE_FURYATTACK),
	LEVEL_UP_MOVE( 9, MOVE_AERIALACE),
	LEVEL_UP_MOVE(13, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(19, MOVE_SLASH),
	LEVEL_UP_MOVE(21, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(25, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(31, MOVE_AGILITY),
	LEVEL_UP_MOVE(33, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(37, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(43, MOVE_FEINT),
	LEVEL_UP_MOVE(45, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(49, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(55, MOVE_BRAVEBIRD),
	LEVEL_UP_END
};

static const struct LevelUpMove sDoduoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 8, MOVE_RAGE),
	LEVEL_UP_MOVE(12, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(15, MOVE_PURSUIT),
	LEVEL_UP_MOVE(19, MOVE_PLUCK),
	LEVEL_UP_MOVE(22, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(26, MOVE_AGILITY),
	LEVEL_UP_MOVE(29, MOVE_UPROAR),
	LEVEL_UP_MOVE(33, MOVE_ACUPRESSURE),
	LEVEL_UP_MOVE(36, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(40, MOVE_JUMPKICK),
	LEVEL_UP_MOVE(43, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(47, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(50, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sDodrioLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_TRIATTACK),
	LEVEL_UP_MOVE( 1, MOVE_TRIATTACK),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_RAGE),
	LEVEL_UP_MOVE( 5, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 8, MOVE_RAGE),
	LEVEL_UP_MOVE(12, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(15, MOVE_PURSUIT),
	LEVEL_UP_MOVE(19, MOVE_PLUCK),
	LEVEL_UP_MOVE(22, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(26, MOVE_AGILITY),
	LEVEL_UP_MOVE(29, MOVE_UPROAR),
	LEVEL_UP_MOVE(34, MOVE_ACUPRESSURE),
	LEVEL_UP_MOVE(38, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(43, MOVE_JUMPKICK),
	LEVEL_UP_MOVE(47, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(52, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(56, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sSeelLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_WATERSPORT),
	LEVEL_UP_MOVE(11, MOVE_ICYWIND),
	LEVEL_UP_MOVE(13, MOVE_ENCORE),
	LEVEL_UP_MOVE(17, MOVE_ICESHARD),
	LEVEL_UP_MOVE(21, MOVE_REST),
	LEVEL_UP_MOVE(23, MOVE_AQUARING),
	LEVEL_UP_MOVE(27, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(31, MOVE_AQUAJET),
	LEVEL_UP_MOVE(33, MOVE_BRINE),
	LEVEL_UP_MOVE(37, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(41, MOVE_DIVE),
	LEVEL_UP_MOVE(43, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(47, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(51, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(53, MOVE_HAIL),
	LEVEL_UP_END
};

static const struct LevelUpMove sDewgongLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SHEERCOLD),
	LEVEL_UP_MOVE( 1, MOVE_SHEERCOLD),
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE( 1, MOVE_ICYWIND),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(11, MOVE_ICYWIND),
	LEVEL_UP_MOVE(13, MOVE_ENCORE),
	LEVEL_UP_MOVE(17, MOVE_ICESHARD),
	LEVEL_UP_MOVE(21, MOVE_REST),
	LEVEL_UP_MOVE(23, MOVE_AQUARING),
	LEVEL_UP_MOVE(27, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(31, MOVE_AQUAJET),
	LEVEL_UP_MOVE(33, MOVE_BRINE),
	LEVEL_UP_MOVE(39, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(45, MOVE_DIVE),
	LEVEL_UP_MOVE(49, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(55, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(61, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(65, MOVE_HAIL),
	LEVEL_UP_END
};

static const struct LevelUpMove sGrimerLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 4, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(12, MOVE_DISABLE),
	LEVEL_UP_MOVE(15, MOVE_SLUDGE),
	LEVEL_UP_MOVE(18, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(21, MOVE_MINIMIZE),
	LEVEL_UP_MOVE(26, MOVE_FLING),
	LEVEL_UP_MOVE(29, MOVE_SLUDGEBOMB),
	LEVEL_UP_MOVE(32, MOVE_SLUDGEWAVE),
	LEVEL_UP_MOVE(37, MOVE_SCREECH),
	LEVEL_UP_MOVE(40, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE(43, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(46, MOVE_BELCH),
	LEVEL_UP_MOVE(48, MOVE_MEMENTO),
	LEVEL_UP_END
};

static const struct LevelUpMove sMukLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 4, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(12, MOVE_DISABLE),
	LEVEL_UP_MOVE(15, MOVE_SLUDGE),
	LEVEL_UP_MOVE(18, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(21, MOVE_MINIMIZE),
	LEVEL_UP_MOVE(26, MOVE_FLING),
	LEVEL_UP_MOVE(29, MOVE_SLUDGEBOMB),
	LEVEL_UP_MOVE(32, MOVE_SLUDGEWAVE),
	LEVEL_UP_MOVE(37, MOVE_SCREECH),
	LEVEL_UP_MOVE(40, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE(46, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(52, MOVE_BELCH),
	LEVEL_UP_MOVE(57, MOVE_MEMENTO),
	LEVEL_UP_END
};

static const struct LevelUpMove sShellderLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 4, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 8, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(13, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE(16, MOVE_PROTECT),
	LEVEL_UP_MOVE(20, MOVE_LEER),
	LEVEL_UP_MOVE(25, MOVE_CLAMP),
	LEVEL_UP_MOVE(28, MOVE_ICESHARD),
	LEVEL_UP_MOVE(32, MOVE_RAZORSHELL),
	LEVEL_UP_MOVE(37, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(40, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(44, MOVE_BRINE),
	LEVEL_UP_MOVE(49, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(52, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(56, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE(61, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sCloysterLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 1, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE( 1, MOVE_ICESHARD),
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE( 1, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE( 1, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(13, MOVE_SPIKECANNON),
	LEVEL_UP_MOVE(28, MOVE_SPIKES),
	LEVEL_UP_MOVE(50, MOVE_ICICLECRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sGastlyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 5, MOVE_SPITE),
	LEVEL_UP_MOVE( 8, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(12, MOVE_CURSE),
	LEVEL_UP_MOVE(15, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(19, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(22, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(26, MOVE_PAYBACK),
	LEVEL_UP_MOVE(29, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(33, MOVE_DREAMEATER),
	LEVEL_UP_MOVE(36, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(40, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE(43, MOVE_HEX),
	LEVEL_UP_MOVE(47, MOVE_NIGHTMARE),
	LEVEL_UP_END
};

static const struct LevelUpMove sHaunterLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SHADOWPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_SHADOWPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 1, MOVE_SPITE),
	LEVEL_UP_MOVE( 5, MOVE_SPITE),
	LEVEL_UP_MOVE( 8, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(12, MOVE_CURSE),
	LEVEL_UP_MOVE(15, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(19, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(22, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(28, MOVE_PAYBACK),
	LEVEL_UP_MOVE(33, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(39, MOVE_DREAMEATER),
	LEVEL_UP_MOVE(44, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(50, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE(55, MOVE_HEX),
	LEVEL_UP_MOVE(61, MOVE_NIGHTMARE),
	LEVEL_UP_END
};

static const struct LevelUpMove sGengarLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SHADOWPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_SHADOWPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSBLAST),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_MEANLOOK),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 1, MOVE_SPITE),
	LEVEL_UP_MOVE( 5, MOVE_SPITE),
	LEVEL_UP_MOVE( 8, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(12, MOVE_CURSE),
	LEVEL_UP_MOVE(15, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(19, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(22, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(28, MOVE_PAYBACK),
	LEVEL_UP_MOVE(33, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(39, MOVE_DREAMEATER),
	LEVEL_UP_MOVE(44, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(50, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE(55, MOVE_HEX),
	LEVEL_UP_MOVE(61, MOVE_NIGHTMARE),
	LEVEL_UP_END
};

static const struct LevelUpMove sOnixLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_BIND),
	LEVEL_UP_MOVE( 4, MOVE_CURSE),
	LEVEL_UP_MOVE( 7, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(10, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(13, MOVE_RAGE),
	LEVEL_UP_MOVE(16, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(19, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(20, MOVE_GYROBALL),
	LEVEL_UP_MOVE(22, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(25, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(28, MOVE_SLAM),
	LEVEL_UP_MOVE(31, MOVE_SCREECH),
	LEVEL_UP_MOVE(34, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(37, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(40, MOVE_IRONTAIL),
	LEVEL_UP_MOVE(43, MOVE_DIG),
	LEVEL_UP_MOVE(46, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(49, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(52, MOVE_SANDSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sDrowzeeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 5, MOVE_DISABLE),
	LEVEL_UP_MOVE( 9, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(17, MOVE_POISONGAS),
	LEVEL_UP_MOVE(21, MOVE_MEDITATE),
	LEVEL_UP_MOVE(25, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(29, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(33, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(37, MOVE_SYNCHRONOISE),
	LEVEL_UP_MOVE(41, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(45, MOVE_SWAGGER),
	LEVEL_UP_MOVE(49, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(53, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(57, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(61, MOVE_FUTURESIGHT),
	LEVEL_UP_END
};

static const struct LevelUpMove sHypnoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTMARE),
	LEVEL_UP_MOVE( 1, MOVE_SWITCHEROO),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 1, MOVE_DISABLE),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 5, MOVE_DISABLE),
	LEVEL_UP_MOVE( 9, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(17, MOVE_POISONGAS),
	LEVEL_UP_MOVE(21, MOVE_MEDITATE),
	LEVEL_UP_MOVE(25, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(29, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(33, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(37, MOVE_SYNCHRONOISE),
	LEVEL_UP_MOVE(41, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(45, MOVE_SWAGGER),
	LEVEL_UP_MOVE(49, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(53, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(57, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(61, MOVE_FUTURESIGHT),
	LEVEL_UP_END
};

static const struct LevelUpMove sKrabbyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 5, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 9, MOVE_LEER),
	LEVEL_UP_MOVE(11, MOVE_HARDEN),
	LEVEL_UP_MOVE(15, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(19, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(21, MOVE_METALCLAW),
	LEVEL_UP_MOVE(25, MOVE_STOMP),
	LEVEL_UP_MOVE(29, MOVE_PROTECT),
	LEVEL_UP_MOVE(31, MOVE_GUILLOTINE),
	LEVEL_UP_MOVE(35, MOVE_SLAM),
	LEVEL_UP_MOVE(39, MOVE_BRINE),
	LEVEL_UP_MOVE(41, MOVE_CRABHAMMER),
	LEVEL_UP_MOVE(45, MOVE_FLAIL),
	LEVEL_UP_END
};

static const struct LevelUpMove sKinglerLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 9, MOVE_LEER),
	LEVEL_UP_MOVE(11, MOVE_HARDEN),
	LEVEL_UP_MOVE(15, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(19, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(21, MOVE_METALCLAW),
	LEVEL_UP_MOVE(25, MOVE_STOMP),
	LEVEL_UP_MOVE(32, MOVE_PROTECT),
	LEVEL_UP_MOVE(37, MOVE_GUILLOTINE),
	LEVEL_UP_MOVE(44, MOVE_SLAM),
	LEVEL_UP_MOVE(51, MOVE_BRINE),
	LEVEL_UP_MOVE(56, MOVE_CRABHAMMER),
	LEVEL_UP_MOVE(63, MOVE_FLAIL),
	LEVEL_UP_END
};

static const struct LevelUpMove sVoltorbLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_SONICBOOM),
	LEVEL_UP_MOVE( 6, MOVE_EERIEIMPULSE),
	LEVEL_UP_MOVE( 9, MOVE_SPARK),
	LEVEL_UP_MOVE(11, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(13, MOVE_SCREECH),
	LEVEL_UP_MOVE(16, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE(20, MOVE_SWIFT),
	LEVEL_UP_MOVE(22, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(26, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(29, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(34, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE(37, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(41, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(46, MOVE_GYROBALL),
	LEVEL_UP_MOVE(48, MOVE_MIRRORCOAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sElectrodeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MAGNETICFLUX),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SONICBOOM),
	LEVEL_UP_MOVE( 1, MOVE_EERIEIMPULSE),
	LEVEL_UP_MOVE( 4, MOVE_SONICBOOM),
	LEVEL_UP_MOVE( 6, MOVE_EERIEIMPULSE),
	LEVEL_UP_MOVE( 9, MOVE_SPARK),
	LEVEL_UP_MOVE(11, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(13, MOVE_SCREECH),
	LEVEL_UP_MOVE(16, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE(20, MOVE_SWIFT),
	LEVEL_UP_MOVE(22, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(26, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(29, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(36, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE(41, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(47, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(54, MOVE_GYROBALL),
	LEVEL_UP_MOVE(58, MOVE_MIRRORCOAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sExeggcuteLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BARRAGE),
	LEVEL_UP_MOVE( 1, MOVE_UPROAR),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 7, MOVE_REFLECT),
	LEVEL_UP_MOVE(11, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(17, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(19, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(21, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(23, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(27, MOVE_CONFUSION),
	LEVEL_UP_MOVE(33, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(37, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(43, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(47, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(50, MOVE_BESTOW),
	LEVEL_UP_END
};

static const struct LevelUpMove sExeggutorLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_STOMP),
	LEVEL_UP_MOVE( 1, MOVE_STOMP),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 1, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE( 1, MOVE_WORRYSEED),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_BARRAGE),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE(17, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(27, MOVE_EGGBOMB),
	LEVEL_UP_MOVE(37, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE(47, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sCuboneLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 3, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_BONECLUB),
	LEVEL_UP_MOVE(11, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(13, MOVE_LEER),
	LEVEL_UP_MOVE(17, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(21, MOVE_BONEMERANG),
	LEVEL_UP_MOVE(23, MOVE_RAGE),
	LEVEL_UP_MOVE(27, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(31, MOVE_THRASH),
	LEVEL_UP_MOVE(33, MOVE_FLING),
	LEVEL_UP_MOVE(37, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE(41, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(43, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(47, MOVE_RETALIATE),
	LEVEL_UP_MOVE(51, MOVE_BONERUSH),
	LEVEL_UP_END
};

static const struct LevelUpMove sMarowakLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_BONECLUB),
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 3, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_BONECLUB),
	LEVEL_UP_MOVE(11, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(13, MOVE_LEER),
	LEVEL_UP_MOVE(17, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(21, MOVE_BONEMERANG),
	LEVEL_UP_MOVE(23, MOVE_RAGE),
	LEVEL_UP_MOVE(27, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(33, MOVE_THRASH),
	LEVEL_UP_MOVE(37, MOVE_FLING),
	LEVEL_UP_MOVE(43, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE(49, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(53, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(59, MOVE_RETALIATE),
	LEVEL_UP_MOVE(65, MOVE_BONERUSH),
	LEVEL_UP_END
};

static const struct LevelUpMove sHitmonleeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_MEGAKICK),
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_MEDITATE),
	LEVEL_UP_MOVE( 1, MOVE_ROLLINGKICK),
	LEVEL_UP_MOVE( 1, MOVE_JUMPKICK),
	LEVEL_UP_MOVE( 5, MOVE_MEDITATE),
	LEVEL_UP_MOVE( 9, MOVE_ROLLINGKICK),
	LEVEL_UP_MOVE(13, MOVE_JUMPKICK),
	LEVEL_UP_MOVE(17, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(21, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(25, MOVE_FEINT),
	LEVEL_UP_MOVE(29, MOVE_HIGHJUMPKICK),
	LEVEL_UP_MOVE(33, MOVE_MINDREADER),
	LEVEL_UP_MOVE(37, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(41, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(45, MOVE_BLAZEKICK),
	LEVEL_UP_MOVE(49, MOVE_ENDURE),
	LEVEL_UP_MOVE(53, MOVE_MEGAKICK),
	LEVEL_UP_MOVE(57, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(61, MOVE_REVERSAL),
	LEVEL_UP_END
};

static const struct LevelUpMove sHitmonchanLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DRAINPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_DRAINPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_BULLETPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_COUNTER),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 1, MOVE_MACHPUNCH),
	LEVEL_UP_MOVE( 6, MOVE_AGILITY),
	LEVEL_UP_MOVE(11, MOVE_PURSUIT),
	LEVEL_UP_MOVE(16, MOVE_MACHPUNCH),
	LEVEL_UP_MOVE(16, MOVE_BULLETPUNCH),
	LEVEL_UP_MOVE(21, MOVE_FEINT),
	LEVEL_UP_MOVE(26, MOVE_VACUUMWAVE),
	LEVEL_UP_MOVE(31, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(36, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE(36, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE(36, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE(41, MOVE_SKYUPPERCUT),
	LEVEL_UP_MOVE(46, MOVE_MEGAPUNCH),
	LEVEL_UP_MOVE(50, MOVE_DETECT),
	LEVEL_UP_MOVE(56, MOVE_FOCUSPUNCH),
	LEVEL_UP_MOVE(61, MOVE_COUNTER),
	LEVEL_UP_MOVE(66, MOVE_CLOSECOMBAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sLickitungLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 9, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE(13, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(17, MOVE_WRAP),
	LEVEL_UP_MOVE(21, MOVE_STOMP),
	LEVEL_UP_MOVE(25, MOVE_DISABLE),
	LEVEL_UP_MOVE(29, MOVE_SLAM),
	LEVEL_UP_MOVE(33, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(37, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(41, MOVE_MEFIRST),
	LEVEL_UP_MOVE(45, MOVE_REFRESH),
	LEVEL_UP_MOVE(49, MOVE_SCREECH),
	LEVEL_UP_MOVE(53, MOVE_POWERWHIP),
	LEVEL_UP_MOVE(57, MOVE_WRINGOUT),
	LEVEL_UP_END
};

static const struct LevelUpMove sKoffingLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_SMOG),
	LEVEL_UP_MOVE( 7, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(12, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(15, MOVE_CLEARSMOG),
	LEVEL_UP_MOVE(18, MOVE_SLUDGE),
	LEVEL_UP_MOVE(23, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(26, MOVE_HAZE),
	LEVEL_UP_MOVE(29, MOVE_GYROBALL),
	LEVEL_UP_MOVE(34, MOVE_SLUDGEBOMB),
	LEVEL_UP_MOVE(37, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(40, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE(42, MOVE_BELCH),
	LEVEL_UP_MOVE(45, MOVE_MEMENTO),
	LEVEL_UP_END
};

static const struct LevelUpMove sWeezingLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SMOG),
	LEVEL_UP_MOVE( 1, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 4, MOVE_SMOG),
	LEVEL_UP_MOVE( 7, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(12, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(15, MOVE_CLEARSMOG),
	LEVEL_UP_MOVE(18, MOVE_SLUDGE),
	LEVEL_UP_MOVE(23, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(26, MOVE_HAZE),
	LEVEL_UP_MOVE(29, MOVE_GYROBALL),
	LEVEL_UP_MOVE(34, MOVE_SLUDGEBOMB),
	LEVEL_UP_MOVE(40, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(46, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE(51, MOVE_BELCH),
	LEVEL_UP_MOVE(57, MOVE_MEMENTO),
	LEVEL_UP_END
};

static const struct LevelUpMove sRhyhornLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HORNATTACK),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_FURYATTACK),
	LEVEL_UP_MOVE( 9, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(13, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(17, MOVE_STOMP),
	LEVEL_UP_MOVE(21, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(25, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(29, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(33, MOVE_DRILLRUN),
	LEVEL_UP_MOVE(37, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(41, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(45, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(49, MOVE_MEGAHORN),
	LEVEL_UP_MOVE(53, MOVE_HORNDRILL),
	LEVEL_UP_END
};

static const struct LevelUpMove sRhydonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_HORNDRILL),
	LEVEL_UP_MOVE( 1, MOVE_HORNATTACK),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_FURYATTACK),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 5, MOVE_FURYATTACK),
	LEVEL_UP_MOVE( 9, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(13, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(17, MOVE_STOMP),
	LEVEL_UP_MOVE(21, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(25, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(29, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(33, MOVE_DRILLRUN),
	LEVEL_UP_MOVE(37, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(41, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(48, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(55, MOVE_MEGAHORN),
	LEVEL_UP_MOVE(62, MOVE_HORNDRILL),
	LEVEL_UP_END
};

static const struct LevelUpMove sChanseyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 9, MOVE_REFRESH),
	LEVEL_UP_MOVE(12, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(16, MOVE_SOFTBOILED),
	LEVEL_UP_MOVE(20, MOVE_BESTOW),
	LEVEL_UP_MOVE(23, MOVE_MINIMIZE),
	LEVEL_UP_MOVE(27, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(31, MOVE_SING),
	LEVEL_UP_MOVE(35, MOVE_FLING),
	LEVEL_UP_MOVE(39, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(44, MOVE_EGGBOMB),
	LEVEL_UP_MOVE(50, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(57, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE(65, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sTangelaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_INGRAIN),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 4, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE( 7, MOVE_VINEWHIP),
	LEVEL_UP_MOVE(10, MOVE_ABSORB),
	LEVEL_UP_MOVE(14, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(17, MOVE_BIND),
	LEVEL_UP_MOVE(20, MOVE_GROWTH),
	LEVEL_UP_MOVE(23, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(27, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(30, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(33, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(36, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(38, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(41, MOVE_SLAM),
	LEVEL_UP_MOVE(44, MOVE_TICKLE),
	LEVEL_UP_MOVE(46, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(48, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE(50, MOVE_POWERWHIP),
	LEVEL_UP_END
};

static const struct LevelUpMove sKangaskhanLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_COMETPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(10, MOVE_TAILWHIP),
	LEVEL_UP_MOVE(13, MOVE_BITE),
	LEVEL_UP_MOVE(19, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(22, MOVE_RAGE),
	LEVEL_UP_MOVE(25, MOVE_MEGAPUNCH),
	LEVEL_UP_MOVE(31, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(34, MOVE_DIZZYPUNCH),
	LEVEL_UP_MOVE(37, MOVE_CRUNCH),
	LEVEL_UP_MOVE(43, MOVE_ENDURE),
	LEVEL_UP_MOVE(46, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(49, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(50, MOVE_REVERSAL),
	LEVEL_UP_END
};

static const struct LevelUpMove sHorseaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 5, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 9, MOVE_LEER),
	LEVEL_UP_MOVE(13, MOVE_WATERGUN),
	LEVEL_UP_MOVE(17, MOVE_TWISTER),
	LEVEL_UP_MOVE(21, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(26, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(31, MOVE_BRINE),
	LEVEL_UP_MOVE(36, MOVE_AGILITY),
	LEVEL_UP_MOVE(41, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(46, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(52, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sSeadraLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 5, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 9, MOVE_LEER),
	LEVEL_UP_MOVE(13, MOVE_WATERGUN),
	LEVEL_UP_MOVE(17, MOVE_TWISTER),
	LEVEL_UP_MOVE(21, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(26, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(31, MOVE_BRINE),
	LEVEL_UP_MOVE(38, MOVE_AGILITY),
	LEVEL_UP_MOVE(45, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(52, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(60, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sGoldeenLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 8, MOVE_HORNATTACK),
	LEVEL_UP_MOVE(13, MOVE_FLAIL),
	LEVEL_UP_MOVE(16, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(21, MOVE_AQUARING),
	LEVEL_UP_MOVE(24, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(29, MOVE_AGILITY),
	LEVEL_UP_MOVE(32, MOVE_WATERFALL),
	LEVEL_UP_MOVE(37, MOVE_HORNDRILL),
	LEVEL_UP_MOVE(40, MOVE_SOAK),
	LEVEL_UP_MOVE(45, MOVE_MEGAHORN),
	LEVEL_UP_END
};

static const struct LevelUpMove sSeakingLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_DRILLRUN),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_MEGAHORN),
	LEVEL_UP_MOVE( 1, MOVE_POISONJAB),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 8, MOVE_HORNATTACK),
	LEVEL_UP_MOVE(13, MOVE_FLAIL),
	LEVEL_UP_MOVE(16, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(21, MOVE_AQUARING),
	LEVEL_UP_MOVE(24, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(29, MOVE_AGILITY),
	LEVEL_UP_MOVE(32, MOVE_WATERFALL),
	LEVEL_UP_MOVE(40, MOVE_HORNDRILL),
	LEVEL_UP_MOVE(46, MOVE_SOAK),
	LEVEL_UP_MOVE(54, MOVE_MEGAHORN),
	LEVEL_UP_END
};

static const struct LevelUpMove sStaryuLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 4, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 7, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(10, MOVE_RECOVER),
	LEVEL_UP_MOVE(13, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(16, MOVE_SWIFT),
	LEVEL_UP_MOVE(18, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(22, MOVE_CAMOUFLAGE),
	LEVEL_UP_MOVE(24, MOVE_GYROBALL),
	LEVEL_UP_MOVE(28, MOVE_BRINE),
	LEVEL_UP_MOVE(31, MOVE_MINIMIZE),
	LEVEL_UP_MOVE(35, MOVE_REFLECTTYPE),
	LEVEL_UP_MOVE(37, MOVE_POWERGEM),
	LEVEL_UP_MOVE(40, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(42, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(46, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(49, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE(53, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sStarmieLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWERGEM),
	LEVEL_UP_MOVE( 1, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE( 1, MOVE_WONDERROOM),
	LEVEL_UP_MOVE( 1, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE( 1, MOVE_SPOTLIGHT),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 1, MOVE_RECOVER),
	LEVEL_UP_MOVE( 1, MOVE_SWIFT),
	LEVEL_UP_MOVE(40, MOVE_CONFUSERAY),
	LEVEL_UP_END
};

static const struct LevelUpMove sMrMimeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE( 1, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE( 1, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_POWERSWAP),
	LEVEL_UP_MOVE( 1, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_BARRIER),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 4, MOVE_COPYCAT),
	LEVEL_UP_MOVE( 8, MOVE_MEDITATE),
	LEVEL_UP_MOVE(11, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(15, MOVE_MIMIC),
	LEVEL_UP_MOVE(15, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(18, MOVE_ENCORE),
	LEVEL_UP_MOVE(22, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(22, MOVE_REFLECT),
	LEVEL_UP_MOVE(25, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(29, MOVE_SUBSTITUTE),
	LEVEL_UP_MOVE(32, MOVE_RECYCLE),
	LEVEL_UP_MOVE(36, MOVE_TRICK),
	LEVEL_UP_MOVE(39, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(43, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE(46, MOVE_BATONPASS),
	LEVEL_UP_MOVE(50, MOVE_SAFEGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sScytherLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE( 1, MOVE_CROSSPOISON),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_DUALWINGBEAT),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 9, MOVE_PURSUIT),
	LEVEL_UP_MOVE(13, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(17, MOVE_AGILITY),
	LEVEL_UP_MOVE(21, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(25, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(29, MOVE_SLASH),
	LEVEL_UP_MOVE(33, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(37, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(41, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(45, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(49, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(50, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(57, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(61, MOVE_FEINT),
	LEVEL_UP_END
};

static const struct LevelUpMove sJynxLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_PERISHSONG),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 1, MOVE_LOVELYKISS),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 5, MOVE_LICK),
	LEVEL_UP_MOVE( 8, MOVE_LOVELYKISS),
	LEVEL_UP_MOVE(11, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE(15, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(18, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE(21, MOVE_HEARTSTAMP),
	LEVEL_UP_MOVE(25, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(28, MOVE_FAKETEARS),
	LEVEL_UP_MOVE(33, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(39, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(44, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(49, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(55, MOVE_PERISHSONG),
	LEVEL_UP_MOVE(60, MOVE_BLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sElectabuzzLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 5, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 8, MOVE_LOWKICK),
	LEVEL_UP_MOVE(12, MOVE_SWIFT),
	LEVEL_UP_MOVE(15, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(19, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(22, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(26, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(29, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE(36, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(42, MOVE_SCREECH),
	LEVEL_UP_MOVE(49, MOVE_THUNDERBOLT),
	LEVEL_UP_MOVE(55, MOVE_THUNDER),
	LEVEL_UP_END
};

static const struct LevelUpMove sMagmarLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SMOG),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 5, MOVE_EMBER),
	LEVEL_UP_MOVE( 8, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(12, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(15, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(19, MOVE_CLEARSMOG),
	LEVEL_UP_MOVE(22, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(26, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(29, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE(36, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(42, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(49, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(55, MOVE_FIREBLAST),
	LEVEL_UP_END
};

static const struct LevelUpMove sPinsirLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HIGHHORSEPOWER),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 4, MOVE_BIND),
	LEVEL_UP_MOVE( 8, MOVE_SEISMICTOSS),
	LEVEL_UP_MOVE(11, MOVE_HARDEN),
	LEVEL_UP_MOVE(15, MOVE_REVENGE),
	LEVEL_UP_MOVE(18, MOVE_VITALTHROW),
	LEVEL_UP_MOVE(22, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(26, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(29, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(33, MOVE_SUBMISSION),
	LEVEL_UP_MOVE(36, MOVE_STORMTHROW),
	LEVEL_UP_MOVE(40, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(43, MOVE_THRASH),
	LEVEL_UP_MOVE(47, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(50, MOVE_GUILLOTINE),
	LEVEL_UP_END
};

static const struct LevelUpMove sTaurosLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_MEGAHORN),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 3, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_RAGE),
	LEVEL_UP_MOVE( 8, MOVE_HORNATTACK),
	LEVEL_UP_MOVE(11, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(15, MOVE_PURSUIT),
	LEVEL_UP_MOVE(19, MOVE_REST),
	LEVEL_UP_MOVE(24, MOVE_PAYBACK),
	LEVEL_UP_MOVE(29, MOVE_WORKUP),
	LEVEL_UP_MOVE(35, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(41, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(48, MOVE_SWAGGER),
	LEVEL_UP_MOVE(55, MOVE_THRASH),
	LEVEL_UP_MOVE(63, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(71, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};

static const struct LevelUpMove sMagikarpLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE(15, MOVE_TACKLE),
	LEVEL_UP_MOVE(30, MOVE_FLAIL),
	LEVEL_UP_END
};

static const struct LevelUpMove sGyaradosLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_POWERWHIP),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_FLAIL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE(21, MOVE_LEER),
	LEVEL_UP_MOVE(24, MOVE_TWISTER),
	LEVEL_UP_MOVE(27, MOVE_ICEFANG),
	LEVEL_UP_MOVE(30, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(33, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(36, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(39, MOVE_CRUNCH),
	LEVEL_UP_MOVE(42, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(45, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(48, MOVE_HURRICANE),
	LEVEL_UP_MOVE(51, MOVE_THRASH),
	LEVEL_UP_MOVE(54, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sLaprasLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MEGAHORN),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_SING),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 4, MOVE_MIST),
	LEVEL_UP_MOVE( 7, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(10, MOVE_ICESHARD),
	LEVEL_UP_MOVE(14, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(18, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(22, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(27, MOVE_PERISHSONG),
	LEVEL_UP_MOVE(32, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(37, MOVE_BRINE),
	LEVEL_UP_MOVE(43, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(47, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(50, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sDittoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TRANSFORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sEeveeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_COVET),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(17, MOVE_BITE),
	LEVEL_UP_MOVE(17, MOVE_SWIFT),
	LEVEL_UP_MOVE(20, MOVE_REFRESH),
	LEVEL_UP_MOVE(25, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(29, MOVE_CHARM),
	LEVEL_UP_MOVE(33, MOVE_BATONPASS),
	LEVEL_UP_MOVE(37, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(41, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(45, MOVE_TRUMPCARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sVaporeonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(17, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(20, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(25, MOVE_AQUARING),
	LEVEL_UP_MOVE(29, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(33, MOVE_HAZE),
	LEVEL_UP_MOVE(37, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(41, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(45, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sJolteonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(17, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(20, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE(25, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(29, MOVE_AGILITY),
	LEVEL_UP_MOVE(33, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(37, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(41, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(45, MOVE_THUNDER),
	LEVEL_UP_END
};

static const struct LevelUpMove sFlareonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_SCORCHINGSANDS),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(17, MOVE_BITE),
	LEVEL_UP_MOVE(20, MOVE_FIREFANG),
	LEVEL_UP_MOVE(25, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(29, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(33, MOVE_SMOG),
	LEVEL_UP_MOVE(37, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(41, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(45, MOVE_FLAREBLITZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sPorygonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CONVERSION2),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_CONVERSION),
	LEVEL_UP_MOVE( 1, MOVE_SHARPEN),
	LEVEL_UP_MOVE( 7, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(12, MOVE_AGILITY),
	LEVEL_UP_MOVE(18, MOVE_RECOVER),
	LEVEL_UP_MOVE(23, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE(29, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(34, MOVE_RECYCLE),
	LEVEL_UP_MOVE(40, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(45, MOVE_LOCKON),
	LEVEL_UP_MOVE(50, MOVE_TRIATTACK),
	LEVEL_UP_MOVE(56, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE(62, MOVE_ZAPCANNON),
	LEVEL_UP_END
};

static const struct LevelUpMove sOmanyteLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(10, MOVE_WATERGUN),
	LEVEL_UP_MOVE(16, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(19, MOVE_LEER),
	LEVEL_UP_MOVE(25, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(28, MOVE_BRINE),
	LEVEL_UP_MOVE(34, MOVE_PROTECT),
	LEVEL_UP_MOVE(37, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(43, MOVE_TICKLE),
	LEVEL_UP_MOVE(46, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(50, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE(55, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sOmastarLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SPIKECANNON),
	LEVEL_UP_MOVE( 1, MOVE_SPIKECANNON),
	LEVEL_UP_MOVE( 1, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(10, MOVE_WATERGUN),
	LEVEL_UP_MOVE(16, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(19, MOVE_LEER),
	LEVEL_UP_MOVE(25, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(28, MOVE_BRINE),
	LEVEL_UP_MOVE(34, MOVE_PROTECT),
	LEVEL_UP_MOVE(37, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(48, MOVE_TICKLE),
	LEVEL_UP_MOVE(56, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(67, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE(75, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sKabutoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 6, MOVE_ABSORB),
	LEVEL_UP_MOVE(11, MOVE_LEER),
	LEVEL_UP_MOVE(16, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(21, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(26, MOVE_ENDURE),
	LEVEL_UP_MOVE(31, MOVE_AQUAJET),
	LEVEL_UP_MOVE(36, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(41, MOVE_METALSOUND),
	LEVEL_UP_MOVE(46, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(50, MOVE_WRINGOUT),
	LEVEL_UP_END
};

static const struct LevelUpMove sKabutopsLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_FEINT),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 6, MOVE_ABSORB),
	LEVEL_UP_MOVE(11, MOVE_LEER),
	LEVEL_UP_MOVE(16, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(21, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(26, MOVE_ENDURE),
	LEVEL_UP_MOVE(31, MOVE_AQUAJET),
	LEVEL_UP_MOVE(36, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(45, MOVE_METALSOUND),
	LEVEL_UP_MOVE(54, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(63, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(72, MOVE_NIGHTSLASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sAerodactylLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_DUALWINGBEAT),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_WINGATTACK),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 9, MOVE_ROAR),
	LEVEL_UP_MOVE(17, MOVE_AGILITY),
	LEVEL_UP_MOVE(25, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(33, MOVE_CRUNCH),
	LEVEL_UP_MOVE(41, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(49, MOVE_SKYDROP),
	LEVEL_UP_MOVE(57, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(65, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(73, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(81, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};

static const struct LevelUpMove sSnorlaxLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_HEATCRASH),
	LEVEL_UP_MOVE( 1, MOVE_DARKESTLARIAT),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_AMNESIA),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 9, MOVE_AMNESIA),
	LEVEL_UP_MOVE(17, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(20, MOVE_YAWN),
	LEVEL_UP_MOVE(25, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(28, MOVE_REST),
	LEVEL_UP_MOVE(28, MOVE_SNORE),
	LEVEL_UP_MOVE(33, MOVE_SLEEPTALK),
	LEVEL_UP_MOVE(35, MOVE_GIGAIMPACT),
	LEVEL_UP_MOVE(36, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(41, MOVE_BLOCK),
	LEVEL_UP_MOVE(44, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE(49, MOVE_CRUNCH),
	LEVEL_UP_MOVE(50, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE(57, MOVE_HIGHHORSEPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sArticunoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 8, MOVE_MIST),
	LEVEL_UP_MOVE(15, MOVE_ICESHARD),
	LEVEL_UP_MOVE(22, MOVE_MINDREADER),
	LEVEL_UP_MOVE(29, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(36, MOVE_AGILITY),
	LEVEL_UP_MOVE(43, MOVE_FREEZEDRY),
	LEVEL_UP_MOVE(50, MOVE_REFLECT),
	LEVEL_UP_MOVE(57, MOVE_HAIL),
	LEVEL_UP_MOVE(64, MOVE_TAILWIND),
	LEVEL_UP_MOVE(71, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(78, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(85, MOVE_ROOST),
	LEVEL_UP_MOVE(92, MOVE_HURRICANE),
	LEVEL_UP_MOVE(99, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sZapdosLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 8, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(15, MOVE_DETECT),
	LEVEL_UP_MOVE(22, MOVE_PLUCK),
	LEVEL_UP_MOVE(29, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(36, MOVE_CHARGE),
	LEVEL_UP_MOVE(43, MOVE_AGILITY),
	LEVEL_UP_MOVE(50, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(57, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(64, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(71, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(78, MOVE_THUNDER),
	LEVEL_UP_MOVE(85, MOVE_ROOST),
	LEVEL_UP_MOVE(92, MOVE_MAGNETICFLUX),
	LEVEL_UP_MOVE(99, MOVE_ZAPCANNON),
	LEVEL_UP_END
};

static const struct LevelUpMove sMoltresLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCORCHINGSANDS),
	LEVEL_UP_MOVE( 1, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE( 1, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_WINGATTACK),
	LEVEL_UP_MOVE( 8, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(15, MOVE_AGILITY),
	LEVEL_UP_MOVE(22, MOVE_ENDURE),
	LEVEL_UP_MOVE(29, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(36, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(43, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(50, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(57, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(64, MOVE_HEATWAVE),
	LEVEL_UP_MOVE(71, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(78, MOVE_SKYATTACK),
	LEVEL_UP_MOVE(85, MOVE_ROOST),
	LEVEL_UP_MOVE(92, MOVE_HURRICANE),
	LEVEL_UP_MOVE(99, MOVE_BURNUP),
	LEVEL_UP_END
};

static const struct LevelUpMove sDratiniLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(11, MOVE_TWISTER),
	LEVEL_UP_MOVE(15, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(21, MOVE_SLAM),
	LEVEL_UP_MOVE(25, MOVE_AGILITY),
	LEVEL_UP_MOVE(31, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(35, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(41, MOVE_DRAGONRUSH),
	LEVEL_UP_MOVE(45, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(51, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(55, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(61, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sDragonairLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_TWISTER),
	LEVEL_UP_MOVE( 5, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(11, MOVE_TWISTER),
	LEVEL_UP_MOVE(15, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(21, MOVE_SLAM),
	LEVEL_UP_MOVE(25, MOVE_AGILITY),
	LEVEL_UP_MOVE(33, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(39, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(47, MOVE_DRAGONRUSH),
	LEVEL_UP_MOVE(53, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(61, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(67, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(75, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sDragoniteLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_DUALWINGBEAT),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_DRACOMETEOR),
	LEVEL_UP_MOVE( 1, MOVE_SCALESHOT),
	LEVEL_UP_MOVE( 1, MOVE_EXTREMESPEED),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_BREAKINGSWIPE),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_TWISTER),
	LEVEL_UP_MOVE( 5, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(11, MOVE_TWISTER),
	LEVEL_UP_MOVE(15, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(21, MOVE_SLAM),
	LEVEL_UP_MOVE(25, MOVE_AGILITY),
	LEVEL_UP_MOVE(33, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(39, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(47, MOVE_DRAGONRUSH),
	LEVEL_UP_MOVE(53, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(61, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(67, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(75, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sMewtwoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_WONDERROOM),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_MOVE( 1, MOVE_EXPANDINGFORCE),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_LIFEDEW),
	LEVEL_UP_MOVE( 1, MOVE_LASERFOCUS),
	LEVEL_UP_MOVE( 1, MOVE_DISABLE),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_SWIFT),
	LEVEL_UP_MOVE( 8, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(16, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE(24, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(32, MOVE_AMNESIA),
	LEVEL_UP_MOVE(40, MOVE_AURASPHERE),
	LEVEL_UP_MOVE(48, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(56, MOVE_POWERSWAP),
	LEVEL_UP_MOVE(56, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE(64, MOVE_MIST),
	LEVEL_UP_MOVE(72, MOVE_PSYSTRIKE),
	LEVEL_UP_MOVE(80, MOVE_RECOVER),
	LEVEL_UP_MOVE(88, MOVE_FUTURESIGHT),
	LEVEL_UP_END
};

static const struct LevelUpMove sMewLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_MOVE( 1, MOVE_DARKESTLARIAT),
	LEVEL_UP_MOVE( 1, MOVE_POWERGEM),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYGLIDE),
	LEVEL_UP_MOVE( 1, MOVE_EXPANDINGFORCE),
	LEVEL_UP_MOVE( 1, MOVE_SCORCHINGSANDS),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_REFLECTTYPE),
	LEVEL_UP_MOVE(10, MOVE_AMNESIA),
	LEVEL_UP_MOVE(20, MOVE_BATONPASS),
	LEVEL_UP_MOVE(30, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(40, MOVE_BARRIER),
	LEVEL_UP_MOVE(50, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(60, MOVE_METRONOME),
	LEVEL_UP_MOVE(70, MOVE_IMPRISON),
	LEVEL_UP_MOVE(80, MOVE_TRANSFORM),
	LEVEL_UP_MOVE(90, MOVE_AURASPHERE),
	LEVEL_UP_MOVE(100, MOVE_PSYCHIC),
	LEVEL_UP_END
};

static const struct LevelUpMove sChikoritaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 6, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 9, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(12, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(17, MOVE_REFLECT),
	LEVEL_UP_MOVE(20, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(23, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(28, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(31, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(34, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(39, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(42, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(45, MOVE_SOLARBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sBayleefLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 1, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE( 6, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 9, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(12, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(18, MOVE_REFLECT),
	LEVEL_UP_MOVE(22, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(26, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(32, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(36, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(40, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(46, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(50, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(54, MOVE_SOLARBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sMeganiumLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_PETALDANCE),
	LEVEL_UP_MOVE( 1, MOVE_PETALDANCE),
	LEVEL_UP_MOVE( 1, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 1, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE( 6, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 9, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(12, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(18, MOVE_REFLECT),
	LEVEL_UP_MOVE(22, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(26, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(34, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(40, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(46, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(54, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(60, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(66, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(70, MOVE_PETALBLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sCyndaquilLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 6, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(10, MOVE_EMBER),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(19, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(22, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE(28, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(31, MOVE_SWIFT),
	LEVEL_UP_MOVE(37, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(40, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(46, MOVE_INFERNO),
	LEVEL_UP_MOVE(49, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(55, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(58, MOVE_BURNUP),
	LEVEL_UP_MOVE(64, MOVE_ERUPTION),
	LEVEL_UP_END
};

static const struct LevelUpMove sQuilavaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 6, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(10, MOVE_EMBER),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(20, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(24, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE(31, MOVE_SWIFT),
	LEVEL_UP_MOVE(35, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(42, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(46, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(53, MOVE_INFERNO),
	LEVEL_UP_MOVE(57, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(64, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(68, MOVE_BURNUP),
	LEVEL_UP_MOVE(75, MOVE_ERUPTION),
	LEVEL_UP_END
};

static const struct LevelUpMove sTyphlosionLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ERUPTION),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE( 1, MOVE_GYROBALL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 6, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(10, MOVE_EMBER),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(20, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(24, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE(31, MOVE_SWIFT),
	LEVEL_UP_MOVE(35, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(43, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(48, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(56, MOVE_INFERNO),
	LEVEL_UP_MOVE(61, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(69, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(74, MOVE_BURNUP),
	LEVEL_UP_MOVE(82, MOVE_ERUPTION),
	LEVEL_UP_END
};

static const struct LevelUpMove sTotodileLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 6, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 8, MOVE_RAGE),
	LEVEL_UP_MOVE(13, MOVE_BITE),
	LEVEL_UP_MOVE(15, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(20, MOVE_ICEFANG),
	LEVEL_UP_MOVE(22, MOVE_FLAIL),
	LEVEL_UP_MOVE(27, MOVE_CRUNCH),
	LEVEL_UP_MOVE(29, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(34, MOVE_SLASH),
	LEVEL_UP_MOVE(36, MOVE_SCREECH),
	LEVEL_UP_MOVE(41, MOVE_THRASH),
	LEVEL_UP_MOVE(43, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(48, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(50, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sCroconawLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 6, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 8, MOVE_RAGE),
	LEVEL_UP_MOVE(13, MOVE_BITE),
	LEVEL_UP_MOVE(15, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(21, MOVE_ICEFANG),
	LEVEL_UP_MOVE(24, MOVE_FLAIL),
	LEVEL_UP_MOVE(30, MOVE_CRUNCH),
	LEVEL_UP_MOVE(33, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(39, MOVE_SLASH),
	LEVEL_UP_MOVE(42, MOVE_SCREECH),
	LEVEL_UP_MOVE(48, MOVE_THRASH),
	LEVEL_UP_MOVE(51, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(57, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(60, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sFeraligatrLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_RAGE),
	LEVEL_UP_MOVE( 6, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 8, MOVE_RAGE),
	LEVEL_UP_MOVE(13, MOVE_BITE),
	LEVEL_UP_MOVE(15, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(21, MOVE_ICEFANG),
	LEVEL_UP_MOVE(24, MOVE_FLAIL),
	LEVEL_UP_MOVE(32, MOVE_CRUNCH),
	LEVEL_UP_MOVE(37, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(45, MOVE_SLASH),
	LEVEL_UP_MOVE(50, MOVE_SCREECH),
	LEVEL_UP_MOVE(58, MOVE_THRASH),
	LEVEL_UP_MOVE(63, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(71, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(76, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sSentretLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_FORESIGHT),
	LEVEL_UP_MOVE( 4, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 7, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(16, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(19, MOVE_FOLLOWME),
	LEVEL_UP_MOVE(25, MOVE_SLAM),
	LEVEL_UP_MOVE(28, MOVE_REST),
	LEVEL_UP_MOVE(31, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(36, MOVE_AMNESIA),
	LEVEL_UP_MOVE(39, MOVE_BATONPASS),
	LEVEL_UP_MOVE(42, MOVE_MEFIRST),
	LEVEL_UP_MOVE(47, MOVE_HYPERVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sFurretLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_COIL),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_FORESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 4, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 7, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(17, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(21, MOVE_FOLLOWME),
	LEVEL_UP_MOVE(28, MOVE_SLAM),
	LEVEL_UP_MOVE(32, MOVE_REST),
	LEVEL_UP_MOVE(36, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(42, MOVE_AMNESIA),
	LEVEL_UP_MOVE(46, MOVE_BATONPASS),
	LEVEL_UP_MOVE(50, MOVE_MEFIRST),
	LEVEL_UP_MOVE(56, MOVE_HYPERVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sHoothootLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_FORESIGHT),
	LEVEL_UP_MOVE( 4, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 7, MOVE_PECK),
	LEVEL_UP_MOVE(10, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE(16, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(19, MOVE_PSYCHOSHIFT),
	LEVEL_UP_MOVE(22, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(25, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(28, MOVE_REFLECT),
	LEVEL_UP_MOVE(31, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(34, MOVE_UPROAR),
	LEVEL_UP_MOVE(37, MOVE_ROOST),
	LEVEL_UP_MOVE(40, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(43, MOVE_SYNCHRONOISE),
	LEVEL_UP_MOVE(46, MOVE_DREAMEATER),
	LEVEL_UP_END
};

static const struct LevelUpMove sNoctowlLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_DREAMEATER),
	LEVEL_UP_MOVE( 1, MOVE_SKYATTACK),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_FORESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 4, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 7, MOVE_PECK),
	LEVEL_UP_MOVE(10, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE(16, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(19, MOVE_PSYCHOSHIFT),
	LEVEL_UP_MOVE(23, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(27, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(31, MOVE_REFLECT),
	LEVEL_UP_MOVE(35, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(39, MOVE_UPROAR),
	LEVEL_UP_MOVE(43, MOVE_ROOST),
	LEVEL_UP_MOVE(47, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(51, MOVE_SYNCHRONOISE),
	LEVEL_UP_MOVE(55, MOVE_DREAMEATER),
	LEVEL_UP_END
};

static const struct LevelUpMove sLedybaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 8, MOVE_SWIFT),
	LEVEL_UP_MOVE(12, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(12, MOVE_REFLECT),
	LEVEL_UP_MOVE(12, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(15, MOVE_MACHPUNCH),
	LEVEL_UP_MOVE(19, MOVE_SILVERWIND),
	LEVEL_UP_MOVE(22, MOVE_COMETPUNCH),
	LEVEL_UP_MOVE(26, MOVE_BATONPASS),
	LEVEL_UP_MOVE(29, MOVE_AGILITY),
	LEVEL_UP_MOVE(33, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(36, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(40, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sLedianLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 1, MOVE_SWIFT),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 8, MOVE_SWIFT),
	LEVEL_UP_MOVE(12, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(12, MOVE_REFLECT),
	LEVEL_UP_MOVE(12, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(15, MOVE_MACHPUNCH),
	LEVEL_UP_MOVE(20, MOVE_SILVERWIND),
	LEVEL_UP_MOVE(24, MOVE_COMETPUNCH),
	LEVEL_UP_MOVE(29, MOVE_BATONPASS),
	LEVEL_UP_MOVE(33, MOVE_AGILITY),
	LEVEL_UP_MOVE(38, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(42, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(47, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSpinarakLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 5, MOVE_ABSORB),
	LEVEL_UP_MOVE( 8, MOVE_INFESTATION),
	LEVEL_UP_MOVE(12, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(15, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(19, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(22, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(26, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(29, MOVE_SPIDERWEB),
	LEVEL_UP_MOVE(33, MOVE_AGILITY),
	LEVEL_UP_MOVE(36, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(40, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(43, MOVE_POISONJAB),
	LEVEL_UP_MOVE(47, MOVE_CROSSPOISON),
	LEVEL_UP_MOVE(50, MOVE_STICKYWEB),
	LEVEL_UP_MOVE(54, MOVE_TOXICTHREAD),
	LEVEL_UP_END
};

static const struct LevelUpMove sAriadosLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE( 1, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_FELLSTINGER),
	LEVEL_UP_MOVE( 1, MOVE_BUGBITE),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 5, MOVE_ABSORB),
	LEVEL_UP_MOVE( 8, MOVE_INFESTATION),
	LEVEL_UP_MOVE(12, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(15, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(19, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(23, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(28, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(32, MOVE_SPIDERWEB),
	LEVEL_UP_MOVE(37, MOVE_AGILITY),
	LEVEL_UP_MOVE(41, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(46, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(50, MOVE_POISONJAB),
	LEVEL_UP_MOVE(55, MOVE_CROSSPOISON),
	LEVEL_UP_MOVE(58, MOVE_STICKYWEB),
	LEVEL_UP_MOVE(63, MOVE_TOXICTHREAD),
	LEVEL_UP_END
};

static const struct LevelUpMove sCrobatLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CROSSPOISON),
	LEVEL_UP_MOVE( 1, MOVE_CROSSPOISON),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_DUALWINGBEAT),
	LEVEL_UP_MOVE( 1, MOVE_SCREECH),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 7, MOVE_ASTONISH),
	LEVEL_UP_MOVE(11, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(17, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(19, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(24, MOVE_SWIFT),
	LEVEL_UP_MOVE(27, MOVE_POISONFANG),
	LEVEL_UP_MOVE(32, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(35, MOVE_LEECHLIFE),
	LEVEL_UP_MOVE(40, MOVE_HAZE),
	LEVEL_UP_MOVE(43, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(48, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(51, MOVE_QUICKGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sChinchouLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 6, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 9, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(12, MOVE_WATERGUN),
	LEVEL_UP_MOVE(17, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(20, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(23, MOVE_SPARK),
	LEVEL_UP_MOVE(28, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(31, MOVE_FLAIL),
	LEVEL_UP_MOVE(34, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(39, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(42, MOVE_AQUARING),
	LEVEL_UP_MOVE(45, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(47, MOVE_IONDELUGE),
	LEVEL_UP_MOVE(50, MOVE_CHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sLanturnLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_STOCKPILE),
	LEVEL_UP_MOVE( 0, MOVE_SWALLOW),
	LEVEL_UP_MOVE( 0, MOVE_SPITUP),
	LEVEL_UP_MOVE( 1, MOVE_STOCKPILE),
	LEVEL_UP_MOVE( 1, MOVE_SWALLOW),
	LEVEL_UP_MOVE( 1, MOVE_SPITUP),
	LEVEL_UP_MOVE( 1, MOVE_EERIEIMPULSE),
	LEVEL_UP_MOVE( 1, MOVE_SPOTLIGHT),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE( 6, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 9, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(12, MOVE_WATERGUN),
	LEVEL_UP_MOVE(17, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(20, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(23, MOVE_SPARK),
	LEVEL_UP_MOVE(29, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(33, MOVE_FLAIL),
	LEVEL_UP_MOVE(37, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(43, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(47, MOVE_AQUARING),
	LEVEL_UP_MOVE(51, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(54, MOVE_IONDELUGE),
	LEVEL_UP_MOVE(58, MOVE_CHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sPichuLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 5, MOVE_TAILWHIP),
	LEVEL_UP_MOVE(10, MOVE_SWEETKISS),
	LEVEL_UP_MOVE(13, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(18, MOVE_THUNDERWAVE),
	LEVEL_UP_END
};

static const struct LevelUpMove sCleffaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 4, MOVE_ENCORE),
	LEVEL_UP_MOVE( 7, MOVE_SING),
	LEVEL_UP_MOVE(10, MOVE_SWEETKISS),
	LEVEL_UP_MOVE(13, MOVE_COPYCAT),
	LEVEL_UP_MOVE(16, MOVE_MAGICALLEAF),
	LEVEL_UP_END
};

static const struct LevelUpMove sIgglybuffLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SING),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 3, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 5, MOVE_POUND),
	LEVEL_UP_MOVE( 9, MOVE_SWEETKISS),
	LEVEL_UP_MOVE(11, MOVE_COPYCAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sTogepiLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 5, MOVE_METRONOME),
	LEVEL_UP_MOVE( 9, MOVE_SWEETKISS),
	LEVEL_UP_MOVE(13, MOVE_YAWN),
	LEVEL_UP_MOVE(17, MOVE_ENCORE),
	LEVEL_UP_MOVE(21, MOVE_FOLLOWME),
	LEVEL_UP_MOVE(25, MOVE_BESTOW),
	LEVEL_UP_MOVE(29, MOVE_WISH),
	LEVEL_UP_MOVE(33, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(37, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(41, MOVE_BATONPASS),
	LEVEL_UP_MOVE(45, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(49, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(53, MOVE_AFTERYOU),
	LEVEL_UP_END
};

static const struct LevelUpMove sTogeticLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 1, MOVE_METRONOME),
	LEVEL_UP_MOVE( 1, MOVE_SWEETKISS),
	LEVEL_UP_MOVE( 5, MOVE_METRONOME),
	LEVEL_UP_MOVE( 9, MOVE_SWEETKISS),
	LEVEL_UP_MOVE(13, MOVE_YAWN),
	LEVEL_UP_MOVE(14, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE(17, MOVE_ENCORE),
	LEVEL_UP_MOVE(21, MOVE_FOLLOWME),
	LEVEL_UP_MOVE(25, MOVE_BESTOW),
	LEVEL_UP_MOVE(29, MOVE_WISH),
	LEVEL_UP_MOVE(33, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(37, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(41, MOVE_BATONPASS),
	LEVEL_UP_MOVE(45, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(49, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(53, MOVE_AFTERYOU),
	LEVEL_UP_END
};

static const struct LevelUpMove sNatuLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 6, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE( 9, MOVE_TELEPORT),
	LEVEL_UP_MOVE(12, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(17, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE(20, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(23, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(28, MOVE_WISH),
	LEVEL_UP_MOVE(33, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(36, MOVE_MIRACLEEYE),
	LEVEL_UP_MOVE(39, MOVE_PSYCHOSHIFT),
	LEVEL_UP_MOVE(44, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(47, MOVE_POWERSWAP),
	LEVEL_UP_MOVE(47, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE(50, MOVE_MEFIRST),
	LEVEL_UP_END
};

static const struct LevelUpMove sXatuLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_DUALWINGBEAT),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_MOVE( 6, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE( 9, MOVE_TELEPORT),
	LEVEL_UP_MOVE(12, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(17, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE(20, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(23, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(29, MOVE_WISH),
	LEVEL_UP_MOVE(35, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(39, MOVE_MIRACLEEYE),
	LEVEL_UP_MOVE(43, MOVE_PSYCHOSHIFT),
	LEVEL_UP_MOVE(49, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(53, MOVE_POWERSWAP),
	LEVEL_UP_MOVE(53, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE(57, MOVE_MEFIRST),
	LEVEL_UP_END
};

static const struct LevelUpMove sMareepLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 4, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 8, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE(11, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE(15, MOVE_CHARGE),
	LEVEL_UP_MOVE(18, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(22, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(25, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(29, MOVE_POWERGEM),
	LEVEL_UP_MOVE(32, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(36, MOVE_COTTONGUARD),
	LEVEL_UP_MOVE(39, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(43, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(46, MOVE_THUNDER),
	LEVEL_UP_END
};

static const struct LevelUpMove sFlaaffyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 4, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 8, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE(11, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE(16, MOVE_CHARGE),
	LEVEL_UP_MOVE(20, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(25, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(29, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(34, MOVE_POWERGEM),
	LEVEL_UP_MOVE(38, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(43, MOVE_COTTONGUARD),
	LEVEL_UP_MOVE(47, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(52, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(56, MOVE_THUNDER),
	LEVEL_UP_END
};

static const struct LevelUpMove sAmpharosLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETICFLUX),
	LEVEL_UP_MOVE( 1, MOVE_IONDELUGE),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 4, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 8, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE(11, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE(16, MOVE_CHARGE),
	LEVEL_UP_MOVE(20, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(25, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(29, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(35, MOVE_POWERGEM),
	LEVEL_UP_MOVE(40, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(46, MOVE_COTTONGUARD),
	LEVEL_UP_MOVE(51, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(57, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(62, MOVE_THUNDER),
	LEVEL_UP_MOVE(65, MOVE_DRAGONPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sBellossomLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE( 1, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE( 1, MOVE_STRENGTHSAP),
	LEVEL_UP_MOVE( 1, MOVE_MOONBLAST),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYGLIDE),
	LEVEL_UP_MOVE( 1, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE( 1, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE( 1, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE( 1, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 1, MOVE_STUNSPORE),
	LEVEL_UP_MOVE( 1, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(39, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE(49, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE(59, MOVE_PETALDANCE),
	LEVEL_UP_MOVE(69, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sMarillLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 2, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 7, MOVE_BUBBLE),
	LEVEL_UP_MOVE(10, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE(10, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(13, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(16, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(20, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(23, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(28, MOVE_AQUARING),
	LEVEL_UP_MOVE(31, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(37, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(40, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(47, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sAzumarillLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_AQUAJET),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(10, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE(10, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(13, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(16, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(21, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(25, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(31, MOVE_AQUARING),
	LEVEL_UP_MOVE(35, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(42, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(46, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(55, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sSudowoodoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SLAM),
	LEVEL_UP_MOVE( 1, MOVE_SLAM),
	LEVEL_UP_MOVE( 1, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE( 1, MOVE_COPYCAT),
	LEVEL_UP_MOVE( 1, MOVE_FLAIL),
	LEVEL_UP_MOVE( 1, MOVE_LOWKICK),
	LEVEL_UP_MOVE( 1, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 5, MOVE_FLAIL),
	LEVEL_UP_MOVE( 8, MOVE_LOWKICK),
	LEVEL_UP_MOVE(12, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(15, MOVE_MIMIC),
	LEVEL_UP_MOVE(19, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_TEARFULLOOK),
	LEVEL_UP_MOVE(26, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(29, MOVE_BLOCK),
	LEVEL_UP_MOVE(33, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(36, MOVE_COUNTER),
	LEVEL_UP_MOVE(40, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(43, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(47, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(50, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(54, MOVE_HEADSMASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sPolitoedLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE( 1, MOVE_PERISHSONG),
	LEVEL_UP_MOVE(27, MOVE_SWAGGER),
	LEVEL_UP_MOVE(37, MOVE_BOUNCE),
	LEVEL_UP_MOVE(48, MOVE_HYPERVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sHoppipLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 4, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 6, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 8, MOVE_TACKLE),
	LEVEL_UP_MOVE(10, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE(12, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(14, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(16, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(19, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(22, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(25, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(28, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(31, MOVE_RAGEPOWDER),
	LEVEL_UP_MOVE(34, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE(37, MOVE_UTURN),
	LEVEL_UP_MOVE(40, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(43, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(46, MOVE_BOUNCE),
	LEVEL_UP_MOVE(49, MOVE_MEMENTO),
	LEVEL_UP_END
};

static const struct LevelUpMove sSkiploomLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 4, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 6, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 8, MOVE_TACKLE),
	LEVEL_UP_MOVE(10, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE(12, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(14, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(16, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(20, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(24, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(28, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(32, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(36, MOVE_RAGEPOWDER),
	LEVEL_UP_MOVE(40, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE(44, MOVE_UTURN),
	LEVEL_UP_MOVE(48, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(52, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(56, MOVE_BOUNCE),
	LEVEL_UP_MOVE(60, MOVE_MEMENTO),
	LEVEL_UP_END
};

static const struct LevelUpMove sJumpluffLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 4, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 6, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 8, MOVE_TACKLE),
	LEVEL_UP_MOVE(10, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE(12, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(14, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(16, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(20, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(24, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(29, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(34, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(39, MOVE_RAGEPOWDER),
	LEVEL_UP_MOVE(44, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE(49, MOVE_UTURN),
	LEVEL_UP_MOVE(54, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(59, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(64, MOVE_BOUNCE),
	LEVEL_UP_MOVE(69, MOVE_MEMENTO),
	LEVEL_UP_END
};

static const struct LevelUpMove sAipomLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 4, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 8, MOVE_ASTONISH),
	LEVEL_UP_MOVE(11, MOVE_BATONPASS),
	LEVEL_UP_MOVE(15, MOVE_TICKLE),
	LEVEL_UP_MOVE(18, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(22, MOVE_SWIFT),
	LEVEL_UP_MOVE(25, MOVE_SCREECH),
	LEVEL_UP_MOVE(29, MOVE_AGILITY),
	LEVEL_UP_MOVE(32, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(36, MOVE_FLING),
	LEVEL_UP_MOVE(39, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(43, MOVE_LASTRESORT),
	LEVEL_UP_END
};

static const struct LevelUpMove sSunkernLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 4, MOVE_INGRAIN),
	LEVEL_UP_MOVE( 7, MOVE_GRASSWHISTLE),
	LEVEL_UP_MOVE(10, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(13, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(16, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(19, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(22, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(25, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(28, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(31, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(34, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(37, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(40, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(43, MOVE_SEEDBOMB),
	LEVEL_UP_END
};

static const struct LevelUpMove sSunfloraLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FLOWERSHIELD),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 4, MOVE_INGRAIN),
	LEVEL_UP_MOVE( 7, MOVE_GRASSWHISTLE),
	LEVEL_UP_MOVE(10, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(13, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(16, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(19, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(22, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(25, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(28, MOVE_PETALDANCE),
	LEVEL_UP_MOVE(31, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(34, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(37, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(40, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(43, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE(50, MOVE_PETALBLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sYanmaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_FORESIGHT),
	LEVEL_UP_MOVE( 6, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(11, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(14, MOVE_SONICBOOM),
	LEVEL_UP_MOVE(17, MOVE_DETECT),
	LEVEL_UP_MOVE(22, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(27, MOVE_UPROAR),
	LEVEL_UP_MOVE(30, MOVE_PURSUIT),
	LEVEL_UP_MOVE(33, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(38, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(43, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(46, MOVE_SCREECH),
	LEVEL_UP_MOVE(49, MOVE_UTURN),
	LEVEL_UP_MOVE(54, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(57, MOVE_BUGBUZZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sWooperLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 9, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(15, MOVE_SLAM),
	LEVEL_UP_MOVE(19, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(23, MOVE_AMNESIA),
	LEVEL_UP_MOVE(29, MOVE_YAWN),
	LEVEL_UP_MOVE(33, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(37, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(43, MOVE_MIST),
	LEVEL_UP_MOVE(43, MOVE_HAZE),
	LEVEL_UP_MOVE(47, MOVE_MUDDYWATER),
	LEVEL_UP_END
};

static const struct LevelUpMove sQuagsireLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 5, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 9, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(15, MOVE_SLAM),
	LEVEL_UP_MOVE(19, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(24, MOVE_AMNESIA),
	LEVEL_UP_MOVE(31, MOVE_YAWN),
	LEVEL_UP_MOVE(36, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(41, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(48, MOVE_MIST),
	LEVEL_UP_MOVE(48, MOVE_HAZE),
	LEVEL_UP_MOVE(53, MOVE_MUDDYWATER),
	LEVEL_UP_END
};

static const struct LevelUpMove sEspeonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(17, MOVE_SWIFT),
	LEVEL_UP_MOVE(20, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(25, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(29, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(33, MOVE_MORNINGSUN),
	LEVEL_UP_MOVE(37, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(41, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(45, MOVE_POWERSWAP),
	LEVEL_UP_END
};

static const struct LevelUpMove sUmbreonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 1, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(17, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(20, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(25, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(29, MOVE_SCREECH),
	LEVEL_UP_MOVE(33, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE(37, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(41, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(45, MOVE_GUARDSWAP),
	LEVEL_UP_END
};

static const struct LevelUpMove sMurkrowLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 5, MOVE_PURSUIT),
	LEVEL_UP_MOVE(11, MOVE_HAZE),
	LEVEL_UP_MOVE(15, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(21, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(25, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(31, MOVE_TAUNT),
	LEVEL_UP_MOVE(35, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(41, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(45, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(50, MOVE_TAILWIND),
	LEVEL_UP_MOVE(55, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(61, MOVE_TORMENT),
	LEVEL_UP_MOVE(65, MOVE_QUASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sSlowkingLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_HEALPULSE),
	LEVEL_UP_MOVE( 1, MOVE_POWERGEM),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_CURSE),
	LEVEL_UP_MOVE( 1, MOVE_YAWN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_GROWL),
	LEVEL_UP_MOVE( 9, MOVE_WATERGUN),
	LEVEL_UP_MOVE(14, MOVE_CONFUSION),
	LEVEL_UP_MOVE(19, MOVE_DISABLE),
	LEVEL_UP_MOVE(23, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(28, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(32, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(36, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(41, MOVE_SWAGGER),
	LEVEL_UP_MOVE(45, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(49, MOVE_TRUMPCARD),
	LEVEL_UP_MOVE(54, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(58, MOVE_HEALPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sMisdreavusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_PSYWAVE),
	LEVEL_UP_MOVE( 5, MOVE_SPITE),
	LEVEL_UP_MOVE(10, MOVE_ASTONISH),
	LEVEL_UP_MOVE(14, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(19, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(23, MOVE_HEX),
	LEVEL_UP_MOVE(28, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(32, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(37, MOVE_PAYBACK),
	LEVEL_UP_MOVE(41, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(46, MOVE_PERISHSONG),
	LEVEL_UP_MOVE(50, MOVE_GRUDGE),
	LEVEL_UP_MOVE(55, MOVE_POWERGEM),
	LEVEL_UP_END
};

static const struct LevelUpMove sUnownLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HIDDENPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sWobbuffetLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_COUNTER),
	LEVEL_UP_MOVE( 1, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE( 1, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_DESTINYBOND),
	LEVEL_UP_END
};

static const struct LevelUpMove sGirafarigLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWERSWAP),
	LEVEL_UP_MOVE( 1, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 5, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(10, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(14, MOVE_STOMP),
	LEVEL_UP_MOVE(19, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(23, MOVE_AGILITY),
	LEVEL_UP_MOVE(28, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(32, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(37, MOVE_CRUNCH),
	LEVEL_UP_MOVE(41, MOVE_BATONPASS),
	LEVEL_UP_MOVE(46, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(50, MOVE_PSYCHIC),
	LEVEL_UP_END
};

static const struct LevelUpMove sPinecoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 6, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE( 9, MOVE_BUGBITE),
	LEVEL_UP_MOVE(12, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(17, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(20, MOVE_BIDE),
	LEVEL_UP_MOVE(23, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(28, MOVE_SPIKES),
	LEVEL_UP_MOVE(31, MOVE_PAYBACK),
	LEVEL_UP_MOVE(34, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(39, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(42, MOVE_GYROBALL),
	LEVEL_UP_MOVE(45, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sForretressLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE( 0, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE( 1, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE( 1, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE( 1, MOVE_BUGBITE),
	LEVEL_UP_MOVE( 6, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE( 9, MOVE_BUGBITE),
	LEVEL_UP_MOVE(12, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(17, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(20, MOVE_BIDE),
	LEVEL_UP_MOVE(23, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(28, MOVE_SPIKES),
	LEVEL_UP_MOVE(32, MOVE_PAYBACK),
	LEVEL_UP_MOVE(36, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(42, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(46, MOVE_GYROBALL),
	LEVEL_UP_MOVE(50, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(56, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE(60, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(64, MOVE_HEAVYSLAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sDunsparceLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_RAGE),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 3, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 6, MOVE_SPITE),
	LEVEL_UP_MOVE( 8, MOVE_PURSUIT),
	LEVEL_UP_MOVE(11, MOVE_SCREECH),
	LEVEL_UP_MOVE(13, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(16, MOVE_YAWN),
	LEVEL_UP_MOVE(18, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(21, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(23, MOVE_DRILLRUN),
	LEVEL_UP_MOVE(26, MOVE_ROOST),
	LEVEL_UP_MOVE(28, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(31, MOVE_COIL),
	LEVEL_UP_MOVE(33, MOVE_DIG),
	LEVEL_UP_MOVE(36, MOVE_GLARE),
	LEVEL_UP_MOVE(38, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(41, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(43, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(46, MOVE_DRAGONRUSH),
	LEVEL_UP_MOVE(48, MOVE_ENDURE),
	LEVEL_UP_MOVE(51, MOVE_FLAIL),
	LEVEL_UP_END
};

static const struct LevelUpMove sGligarLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 4, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_HARDEN),
	LEVEL_UP_MOVE(10, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(16, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(19, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(27, MOVE_SLASH),
	LEVEL_UP_MOVE(30, MOVE_UTURN),
	LEVEL_UP_MOVE(35, MOVE_SCREECH),
	LEVEL_UP_MOVE(40, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(45, MOVE_SKYUPPERCUT),
	LEVEL_UP_MOVE(50, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(55, MOVE_GUILLOTINE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSteelixLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 4, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE( 8, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(12, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(16, MOVE_CURSE),
	LEVEL_UP_MOVE(20, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(24, MOVE_SCREECH),
	LEVEL_UP_MOVE(28, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(32, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(36, MOVE_SLAM),
	LEVEL_UP_MOVE(40, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(44, MOVE_DIG),
	LEVEL_UP_MOVE(48, MOVE_IRONTAIL),
	LEVEL_UP_MOVE(52, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(56, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(60, MOVE_MAGNETRISE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSnubbullLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_LICK),
	LEVEL_UP_MOVE(19, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(25, MOVE_ROAR),
	LEVEL_UP_MOVE(31, MOVE_RAGE),
	LEVEL_UP_MOVE(37, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(43, MOVE_PAYBACK),
	LEVEL_UP_MOVE(49, MOVE_CRUNCH),
	LEVEL_UP_END
};

static const struct LevelUpMove sGranbullLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_LICK),
	LEVEL_UP_MOVE(19, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(27, MOVE_ROAR),
	LEVEL_UP_MOVE(35, MOVE_RAGE),
	LEVEL_UP_MOVE(43, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(51, MOVE_PAYBACK),
	LEVEL_UP_MOVE(59, MOVE_CRUNCH),
	LEVEL_UP_MOVE(67, MOVE_OUTRAGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sQwilfishLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FELLSTINGER),
	LEVEL_UP_MOVE( 1, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE( 1, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_SPIKES),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 9, MOVE_HARDEN),
	LEVEL_UP_MOVE( 9, MOVE_MINIMIZE),
	LEVEL_UP_MOVE(13, MOVE_BUBBLE),
	LEVEL_UP_MOVE(17, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(21, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(25, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(25, MOVE_SPITUP),
	LEVEL_UP_MOVE(29, MOVE_REVENGE),
	LEVEL_UP_MOVE(33, MOVE_BRINE),
	LEVEL_UP_MOVE(37, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(41, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(45, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(49, MOVE_POISONJAB),
	LEVEL_UP_MOVE(53, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE(57, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(60, MOVE_FELLSTINGER),
	LEVEL_UP_END
};

static const struct LevelUpMove sScizorLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_BUGBITE),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_BULLETPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_WINGATTACK),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(12, MOVE_METALCLAW),
	LEVEL_UP_MOVE(16, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(20, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(24, MOVE_SLASH),
	LEVEL_UP_MOVE(28, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(32, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(36, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(40, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(44, MOVE_LASERFOCUS),
	LEVEL_UP_MOVE(48, MOVE_SWORDSDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sShuckleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_STICKYWEB),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 1, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 5, MOVE_ENCORE),
	LEVEL_UP_MOVE( 9, MOVE_WRAP),
	LEVEL_UP_MOVE(12, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE(16, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(20, MOVE_REST),
	LEVEL_UP_MOVE(23, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(27, MOVE_GASTROACID),
	LEVEL_UP_MOVE(31, MOVE_POWERTRICK),
	LEVEL_UP_MOVE(34, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE(38, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(42, MOVE_BUGBITE),
	LEVEL_UP_MOVE(45, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE(45, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(49, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(53, MOVE_STICKYWEB),
	LEVEL_UP_END
};

static const struct LevelUpMove sHeracrossLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_ARMTHRUST),
	LEVEL_UP_MOVE( 1, MOVE_BULLETSEED),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_HORNATTACK),
	LEVEL_UP_MOVE( 1, MOVE_ENDURE),
	LEVEL_UP_MOVE( 7, MOVE_FEINT),
	LEVEL_UP_MOVE(10, MOVE_AERIALACE),
	LEVEL_UP_MOVE(16, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(19, MOVE_COUNTER),
	LEVEL_UP_MOVE(25, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(28, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(31, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(34, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(37, MOVE_MEGAHORN),
	LEVEL_UP_MOVE(43, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(46, MOVE_REVERSAL),
	LEVEL_UP_END
};

static const struct LevelUpMove sSneaselLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_TAUNT),
	LEVEL_UP_MOVE( 8, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(10, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(14, MOVE_ICYWIND),
	LEVEL_UP_MOVE(16, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(20, MOVE_AGILITY),
	LEVEL_UP_MOVE(22, MOVE_METALCLAW),
	LEVEL_UP_MOVE(25, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(28, MOVE_BEATUP),
	LEVEL_UP_MOVE(32, MOVE_SCREECH),
	LEVEL_UP_MOVE(35, MOVE_SLASH),
	LEVEL_UP_MOVE(40, MOVE_SNATCH),
	LEVEL_UP_MOVE(44, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(47, MOVE_ICESHARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sTeddiursaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FLING),
	LEVEL_UP_MOVE( 1, MOVE_COVET),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 1, MOVE_FAKETEARS),
	LEVEL_UP_MOVE( 8, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(15, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(25, MOVE_PLAYNICE),
	LEVEL_UP_MOVE(29, MOVE_SLASH),
	LEVEL_UP_MOVE(36, MOVE_CHARM),
	LEVEL_UP_MOVE(43, MOVE_REST),
	LEVEL_UP_MOVE(43, MOVE_SNORE),
	LEVEL_UP_MOVE(50, MOVE_THRASH),
	LEVEL_UP_MOVE(57, MOVE_FLING),
	LEVEL_UP_END
};

static const struct LevelUpMove sUrsaringLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_COVET),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 1, MOVE_FAKETEARS),
	LEVEL_UP_MOVE( 8, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(15, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(25, MOVE_PLAYNICE),
	LEVEL_UP_MOVE(29, MOVE_SLASH),
	LEVEL_UP_MOVE(38, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(47, MOVE_REST),
	LEVEL_UP_MOVE(49, MOVE_SNORE),
	LEVEL_UP_MOVE(58, MOVE_THRASH),
	LEVEL_UP_MOVE(67, MOVE_HAMMERARM),
	LEVEL_UP_END
};

static const struct LevelUpMove sSlugmaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_YAWN),
	LEVEL_UP_MOVE( 1, MOVE_SMOG),
	LEVEL_UP_MOVE( 6, MOVE_EMBER),
	LEVEL_UP_MOVE( 8, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(13, MOVE_HARDEN),
	LEVEL_UP_MOVE(15, MOVE_INCINERATE),
	LEVEL_UP_MOVE(20, MOVE_CLEARSMOG),
	LEVEL_UP_MOVE(22, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(27, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(29, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(34, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(36, MOVE_AMNESIA),
	LEVEL_UP_MOVE(41, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(43, MOVE_RECOVER),
	LEVEL_UP_MOVE(48, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(50, MOVE_EARTHPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sMagcargoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE( 1, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_YAWN),
	LEVEL_UP_MOVE( 1, MOVE_SMOG),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 6, MOVE_EMBER),
	LEVEL_UP_MOVE( 8, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(13, MOVE_HARDEN),
	LEVEL_UP_MOVE(15, MOVE_INCINERATE),
	LEVEL_UP_MOVE(20, MOVE_CLEARSMOG),
	LEVEL_UP_MOVE(22, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(27, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(29, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(34, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(36, MOVE_AMNESIA),
	LEVEL_UP_MOVE(43, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(47, MOVE_RECOVER),
	LEVEL_UP_MOVE(54, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(58, MOVE_EARTHPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sSwinubLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 5, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE(10, MOVE_FLAIL),
	LEVEL_UP_MOVE(15, MOVE_ICESHARD),
	LEVEL_UP_MOVE(20, MOVE_MIST),
	LEVEL_UP_MOVE(25, MOVE_ENDURE),
	LEVEL_UP_MOVE(30, MOVE_ICYWIND),
	LEVEL_UP_MOVE(35, MOVE_AMNESIA),
	LEVEL_UP_MOVE(40, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(45, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(50, MOVE_BLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sPiloswineLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_FLAIL),
	LEVEL_UP_MOVE(15, MOVE_ICESHARD),
	LEVEL_UP_MOVE(20, MOVE_MIST),
	LEVEL_UP_MOVE(25, MOVE_ENDURE),
	LEVEL_UP_MOVE(30, MOVE_ICYWIND),
	LEVEL_UP_MOVE(37, MOVE_AMNESIA),
	LEVEL_UP_MOVE(44, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(51, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(58, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(65, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sCorsolaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 4, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 8, MOVE_RECOVER),
	LEVEL_UP_MOVE(10, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(13, MOVE_REFRESH),
	LEVEL_UP_MOVE(17, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(20, MOVE_SPIKECANNON),
	LEVEL_UP_MOVE(23, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(27, MOVE_BRINE),
	LEVEL_UP_MOVE(29, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(31, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(35, MOVE_ENDURE),
	LEVEL_UP_MOVE(38, MOVE_AQUARING),
	LEVEL_UP_MOVE(41, MOVE_POWERGEM),
	LEVEL_UP_MOVE(45, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE(47, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(50, MOVE_FLAIL),
	LEVEL_UP_END
};

static const struct LevelUpMove sRemoraidLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 6, MOVE_LOCKON),
	LEVEL_UP_MOVE(10, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(14, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(18, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(22, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(26, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(30, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(34, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(38, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(42, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(46, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(50, MOVE_SOAK),
	LEVEL_UP_END
};

static const struct LevelUpMove sOctilleryLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_OCTAZOOKA),
	LEVEL_UP_MOVE( 1, MOVE_OCTAZOOKA),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 1, MOVE_PSYBEAM),
	LEVEL_UP_MOVE( 1, MOVE_AURORABEAM),
	LEVEL_UP_MOVE( 6, MOVE_CONSTRICT),
	LEVEL_UP_MOVE(10, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(14, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(18, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(22, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(28, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(34, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(40, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(46, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(52, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(58, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(64, MOVE_SOAK),
	LEVEL_UP_END
};

static const struct LevelUpMove sDelibirdLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PRESENT),
	LEVEL_UP_MOVE(25, MOVE_DRILLPECK),
	LEVEL_UP_END
};

static const struct LevelUpMove sMantineLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_PSYBEAM),
	LEVEL_UP_MOVE( 1, MOVE_BULLETSEED),
	LEVEL_UP_MOVE( 1, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE( 1, MOVE_ROOST),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE( 3, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 7, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(11, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(14, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(16, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(19, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(23, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(27, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(32, MOVE_AGILITY),
	LEVEL_UP_MOVE(36, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(39, MOVE_AQUARING),
	LEVEL_UP_MOVE(46, MOVE_BOUNCE),
	LEVEL_UP_MOVE(49, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sSkarmoryLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 6, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_METALCLAW),
	LEVEL_UP_MOVE(12, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(17, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(20, MOVE_FEINT),
	LEVEL_UP_MOVE(23, MOVE_SWIFT),
	LEVEL_UP_MOVE(28, MOVE_SPIKES),
	LEVEL_UP_MOVE(31, MOVE_AGILITY),
	LEVEL_UP_MOVE(34, MOVE_STEELWING),
	LEVEL_UP_MOVE(39, MOVE_SLASH),
	LEVEL_UP_MOVE(42, MOVE_METALSOUND),
	LEVEL_UP_MOVE(45, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(50, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(53, MOVE_NIGHTSLASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sHoundourLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 4, MOVE_HOWL),
	LEVEL_UP_MOVE( 8, MOVE_SMOG),
	LEVEL_UP_MOVE(13, MOVE_ROAR),
	LEVEL_UP_MOVE(16, MOVE_BITE),
	LEVEL_UP_MOVE(20, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(25, MOVE_BEATUP),
	LEVEL_UP_MOVE(28, MOVE_FIREFANG),
	LEVEL_UP_MOVE(32, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(37, MOVE_EMBARGO),
	LEVEL_UP_MOVE(40, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(44, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(49, MOVE_CRUNCH),
	LEVEL_UP_MOVE(52, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(56, MOVE_INFERNO),
	LEVEL_UP_END
};

static const struct LevelUpMove sHoundoomLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_INFERNO),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_HOWL),
	LEVEL_UP_MOVE( 1, MOVE_SMOG),
	LEVEL_UP_MOVE( 4, MOVE_HOWL),
	LEVEL_UP_MOVE( 8, MOVE_SMOG),
	LEVEL_UP_MOVE(13, MOVE_ROAR),
	LEVEL_UP_MOVE(16, MOVE_BITE),
	LEVEL_UP_MOVE(20, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(26, MOVE_BEATUP),
	LEVEL_UP_MOVE(30, MOVE_FIREFANG),
	LEVEL_UP_MOVE(35, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(41, MOVE_EMBARGO),
	LEVEL_UP_MOVE(45, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(50, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(56, MOVE_CRUNCH),
	LEVEL_UP_MOVE(60, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(65, MOVE_INFERNO),
	LEVEL_UP_END
};

static const struct LevelUpMove sKingdraLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_DRACOMETEOR),
	LEVEL_UP_MOVE( 1, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE( 1, MOVE_YAWN),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 5, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 9, MOVE_LEER),
	LEVEL_UP_MOVE(13, MOVE_WATERGUN),
	LEVEL_UP_MOVE(17, MOVE_TWISTER),
	LEVEL_UP_MOVE(21, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(26, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(31, MOVE_BRINE),
	LEVEL_UP_MOVE(38, MOVE_AGILITY),
	LEVEL_UP_MOVE(45, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(52, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(60, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sPhanpyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 6, MOVE_FLAIL),
	LEVEL_UP_MOVE(10, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(15, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(19, MOVE_ENDURE),
	LEVEL_UP_MOVE(24, MOVE_SLAM),
	LEVEL_UP_MOVE(28, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(33, MOVE_CHARM),
	LEVEL_UP_MOVE(37, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(42, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sDonphanLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_FURYATTACK),
	LEVEL_UP_MOVE( 1, MOVE_FURYATTACK),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_HORNATTACK),
	LEVEL_UP_MOVE( 1, MOVE_BULLDOZE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 6, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(10, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(15, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(19, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(24, MOVE_SLAM),
	LEVEL_UP_MOVE(30, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(37, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(43, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(50, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};

static const struct LevelUpMove sPorygon2LevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_CONVERSION2),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_CONVERSION),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 7, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(12, MOVE_AGILITY),
	LEVEL_UP_MOVE(18, MOVE_RECOVER),
	LEVEL_UP_MOVE(23, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE(29, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(34, MOVE_RECYCLE),
	LEVEL_UP_MOVE(40, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(45, MOVE_LOCKON),
	LEVEL_UP_MOVE(50, MOVE_TRIATTACK),
	LEVEL_UP_MOVE(56, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE(62, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(67, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sStantlerLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MEFIRST),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 3, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(13, MOVE_STOMP),
	LEVEL_UP_MOVE(16, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(21, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(23, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(27, MOVE_CALMMIND),
	LEVEL_UP_MOVE(33, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE(38, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(43, MOVE_JUMPKICK),
	LEVEL_UP_MOVE(49, MOVE_IMPRISON),
	LEVEL_UP_MOVE(50, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(55, MOVE_MEFIRST),
	LEVEL_UP_END
};

static const struct LevelUpMove sSmeargleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SKETCH),
	LEVEL_UP_MOVE(11, MOVE_SKETCH),
	LEVEL_UP_MOVE(21, MOVE_SKETCH),
	LEVEL_UP_MOVE(31, MOVE_SKETCH),
	LEVEL_UP_MOVE(41, MOVE_SKETCH),
	LEVEL_UP_MOVE(51, MOVE_SKETCH),
	LEVEL_UP_MOVE(61, MOVE_SKETCH),
	LEVEL_UP_MOVE(71, MOVE_SKETCH),
	LEVEL_UP_MOVE(81, MOVE_SKETCH),
	LEVEL_UP_MOVE(91, MOVE_SKETCH),
	LEVEL_UP_END
};

static const struct LevelUpMove sTyrogueLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 1, MOVE_FORESIGHT),
	LEVEL_UP_END
};

static const struct LevelUpMove sHitmontopLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ROLLINGKICK),
	LEVEL_UP_MOVE( 1, MOVE_ROLLINGKICK),
	LEVEL_UP_MOVE( 1, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_DETECT),
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 6, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(10, MOVE_PURSUIT),
	LEVEL_UP_MOVE(15, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(19, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(24, MOVE_FEINT),
	LEVEL_UP_MOVE(28, MOVE_COUNTER),
	LEVEL_UP_MOVE(33, MOVE_TRIPLEKICK),
	LEVEL_UP_MOVE(37, MOVE_AGILITY),
	LEVEL_UP_MOVE(42, MOVE_GYROBALL),
	LEVEL_UP_MOVE(46, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(46, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(50, MOVE_DETECT),
	LEVEL_UP_MOVE(55, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(60, MOVE_ENDEAVOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sSmoochumLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 5, MOVE_LICK),
	LEVEL_UP_MOVE( 8, MOVE_SWEETKISS),
	LEVEL_UP_MOVE(11, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE(15, MOVE_CONFUSION),
	LEVEL_UP_MOVE(18, MOVE_SING),
	LEVEL_UP_MOVE(21, MOVE_HEARTSTAMP),
	LEVEL_UP_MOVE(25, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(28, MOVE_FAKETEARS),
	LEVEL_UP_MOVE(31, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(35, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(38, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(41, MOVE_COPYCAT),
	LEVEL_UP_MOVE(45, MOVE_PERISHSONG),
	LEVEL_UP_MOVE(48, MOVE_BLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sElekidLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 8, MOVE_LOWKICK),
	LEVEL_UP_MOVE(12, MOVE_SWIFT),
	LEVEL_UP_MOVE(15, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(19, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(22, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(26, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(29, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE(33, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(36, MOVE_SCREECH),
	LEVEL_UP_MOVE(40, MOVE_THUNDERBOLT),
	LEVEL_UP_MOVE(43, MOVE_THUNDER),
	LEVEL_UP_END
};

static const struct LevelUpMove sMagbyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SMOG),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_EMBER),
	LEVEL_UP_MOVE( 8, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(12, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(15, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(19, MOVE_CLEARSMOG),
	LEVEL_UP_MOVE(22, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(26, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(29, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE(33, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(36, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(40, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(43, MOVE_FIREBLAST),
	LEVEL_UP_END
};

static const struct LevelUpMove sMiltankLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 8, MOVE_STOMP),
	LEVEL_UP_MOVE(11, MOVE_MILKDRINK),
	LEVEL_UP_MOVE(15, MOVE_BIDE),
	LEVEL_UP_MOVE(19, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(24, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(29, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(35, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(41, MOVE_GYROBALL),
	LEVEL_UP_MOVE(48, MOVE_HEALBELL),
	LEVEL_UP_MOVE(50, MOVE_WAKEUPSLAP),
	LEVEL_UP_END
};

static const struct LevelUpMove sBlisseyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 9, MOVE_REFRESH),
	LEVEL_UP_MOVE(12, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(16, MOVE_SOFTBOILED),
	LEVEL_UP_MOVE(20, MOVE_BESTOW),
	LEVEL_UP_MOVE(23, MOVE_MINIMIZE),
	LEVEL_UP_MOVE(27, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(31, MOVE_SING),
	LEVEL_UP_MOVE(34, MOVE_FLING),
	LEVEL_UP_MOVE(39, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(44, MOVE_EGGBOMB),
	LEVEL_UP_MOVE(50, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(57, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE(65, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sRaikouLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_EXTREMESPEED),
	LEVEL_UP_MOVE( 1, MOVE_AURASPHERE),
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE( 1, MOVE_DISCHARGE),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 8, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE(15, MOVE_ROAR),
	LEVEL_UP_MOVE(22, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(29, MOVE_SPARK),
	LEVEL_UP_MOVE(36, MOVE_REFLECT),
	LEVEL_UP_MOVE(43, MOVE_CRUNCH),
	LEVEL_UP_MOVE(50, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE(57, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(64, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(71, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(78, MOVE_CALMMIND),
	LEVEL_UP_MOVE(85, MOVE_THUNDER),
	LEVEL_UP_END
};

static const struct LevelUpMove sEnteiLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_EXTREMESPEED),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE( 1, MOVE_SACREDFIRE),
	LEVEL_UP_MOVE( 1, MOVE_SCORCHINGSANDS),
	LEVEL_UP_MOVE( 1, MOVE_ERUPTION),
	LEVEL_UP_MOVE( 1, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE( 1, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 8, MOVE_EMBER),
	LEVEL_UP_MOVE(15, MOVE_ROAR),
	LEVEL_UP_MOVE(22, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(29, MOVE_STOMP),
	LEVEL_UP_MOVE(36, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(43, MOVE_SWAGGER),
	LEVEL_UP_MOVE(50, MOVE_FIREFANG),
	LEVEL_UP_MOVE(57, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(64, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(71, MOVE_FIREBLAST),
	LEVEL_UP_MOVE(78, MOVE_CALMMIND),
	LEVEL_UP_MOVE(85, MOVE_ERUPTION),
	LEVEL_UP_END
};

static const struct LevelUpMove sSuicuneLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_EXTREMESPEED),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_SHEERCOLD),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE( 1, MOVE_RAINDANCE),
	LEVEL_UP_MOVE( 8, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(15, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(22, MOVE_GUST),
	LEVEL_UP_MOVE(29, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(36, MOVE_MIST),
	LEVEL_UP_MOVE(43, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE(50, MOVE_ICEFANG),
	LEVEL_UP_MOVE(57, MOVE_TAILWIND),
	LEVEL_UP_MOVE(64, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(71, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(78, MOVE_CALMMIND),
	LEVEL_UP_MOVE(85, MOVE_BLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sLarvitarLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 3, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 6, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 9, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(15, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(18, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE(21, MOVE_SCREECH),
	LEVEL_UP_MOVE(24, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(27, MOVE_CRUNCH),
	LEVEL_UP_MOVE(31, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(33, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(36, MOVE_THRASH),
	LEVEL_UP_MOVE(39, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(42, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sPupitarLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 9, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(15, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(18, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE(21, MOVE_SCREECH),
	LEVEL_UP_MOVE(24, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(27, MOVE_CRUNCH),
	LEVEL_UP_MOVE(33, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(42, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(42, MOVE_THRASH),
	LEVEL_UP_MOVE(47, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(52, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sTyranitarLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 9, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(15, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(18, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE(21, MOVE_SCREECH),
	LEVEL_UP_MOVE(24, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(27, MOVE_CRUNCH),
	LEVEL_UP_MOVE(33, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(42, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(42, MOVE_THRASH),
	LEVEL_UP_MOVE(47, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(52, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(59, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};

static const struct LevelUpMove sLugiaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE( 1, MOVE_WEATHERBALL),
	LEVEL_UP_MOVE( 9, MOVE_GUST),
	LEVEL_UP_MOVE(15, MOVE_DRAGONRUSH),
	LEVEL_UP_MOVE(23, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(29, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(37, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(43, MOVE_AEROBLAST),
	LEVEL_UP_MOVE(50, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(57, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(65, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(71, MOVE_RECOVER),
	LEVEL_UP_MOVE(79, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(85, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(93, MOVE_CALMMIND),
	LEVEL_UP_MOVE(99, MOVE_SKYATTACK),
	LEVEL_UP_END
};

static const struct LevelUpMove sHoOhLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE( 1, MOVE_WEATHERBALL),
	LEVEL_UP_MOVE( 9, MOVE_GUST),
	LEVEL_UP_MOVE(15, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(23, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(29, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(37, MOVE_FIREBLAST),
	LEVEL_UP_MOVE(43, MOVE_SACREDFIRE),
	LEVEL_UP_MOVE(50, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(57, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(65, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(71, MOVE_RECOVER),
	LEVEL_UP_MOVE(79, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(85, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(93, MOVE_CALMMIND),
	LEVEL_UP_MOVE(99, MOVE_SKYATTACK),
	LEVEL_UP_END
};

static const struct LevelUpMove sCelebiLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_RECOVER),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE(10, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(19, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(28, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(37, MOVE_BATONPASS),
	LEVEL_UP_MOVE(46, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(55, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(64, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(73, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE(82, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE(91, MOVE_PERISHSONG),
	LEVEL_UP_END
};

static const struct LevelUpMove sTreeckoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_ABSORB),
	LEVEL_UP_MOVE( 9, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(13, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(17, MOVE_PURSUIT),
	LEVEL_UP_MOVE(21, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(25, MOVE_AGILITY),
	LEVEL_UP_MOVE(29, MOVE_SLAM),
	LEVEL_UP_MOVE(33, MOVE_DETECT),
	LEVEL_UP_MOVE(37, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(41, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(45, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(49, MOVE_SCREECH),
	LEVEL_UP_END
};

static const struct LevelUpMove sGrovyleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 7, MOVE_ABSORB),
	LEVEL_UP_MOVE( 9, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(13, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(18, MOVE_PURSUIT),
	LEVEL_UP_MOVE(23, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(28, MOVE_AGILITY),
	LEVEL_UP_MOVE(33, MOVE_SLAM),
	LEVEL_UP_MOVE(38, MOVE_DETECT),
	LEVEL_UP_MOVE(43, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(48, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(53, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(58, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE(63, MOVE_SCREECH),
	LEVEL_UP_END
};

static const struct LevelUpMove sSceptileLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DUALCHOP),
	LEVEL_UP_MOVE( 1, MOVE_DUALCHOP),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE( 1, MOVE_CROSSPOISON),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYGLIDE),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 7, MOVE_ABSORB),
	LEVEL_UP_MOVE( 9, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(13, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(18, MOVE_PURSUIT),
	LEVEL_UP_MOVE(23, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(28, MOVE_AGILITY),
	LEVEL_UP_MOVE(33, MOVE_SLAM),
	LEVEL_UP_MOVE(39, MOVE_DETECT),
	LEVEL_UP_MOVE(45, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(51, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(57, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(63, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE(69, MOVE_SCREECH),
	LEVEL_UP_END
};

static const struct LevelUpMove sTorchicLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_EMBER),
	LEVEL_UP_MOVE(10, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(14, MOVE_PECK),
	LEVEL_UP_MOVE(19, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(23, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(28, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(32, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(37, MOVE_SLASH),
	LEVEL_UP_MOVE(41, MOVE_MIRRORMOVE),
	LEVEL_UP_MOVE(46, MOVE_FLAMETHROWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sCombuskenLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_EMBER),
	LEVEL_UP_MOVE(10, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(14, MOVE_PECK),
	LEVEL_UP_MOVE(20, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(25, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(31, MOVE_BULKUP),
	LEVEL_UP_MOVE(36, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(42, MOVE_SLASH),
	LEVEL_UP_MOVE(47, MOVE_MIRRORMOVE),
	LEVEL_UP_MOVE(53, MOVE_SKYUPPERCUT),
	LEVEL_UP_MOVE(58, MOVE_FLAREBLITZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sBlazikenLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_BLAZEKICK),
	LEVEL_UP_MOVE( 1, MOVE_BLAZEKICK),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_AURASPHERE),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 1, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_HIGHJUMPKICK),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_EMBER),
	LEVEL_UP_MOVE(10, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(14, MOVE_PECK),
	LEVEL_UP_MOVE(20, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(25, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(31, MOVE_BULKUP),
	LEVEL_UP_MOVE(37, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(44, MOVE_SLASH),
	LEVEL_UP_MOVE(50, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(57, MOVE_SKYUPPERCUT),
	LEVEL_UP_MOVE(63, MOVE_FLAREBLITZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sMudkipLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 9, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(12, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(17, MOVE_BIDE),
	LEVEL_UP_MOVE(20, MOVE_MUDSPORT),
	LEVEL_UP_MOVE(25, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(28, MOVE_PROTECT),
	LEVEL_UP_MOVE(33, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(36, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(41, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(44, MOVE_ENDEAVOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sMarshtompLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_MUDSHOT),
	LEVEL_UP_MOVE( 1, MOVE_MUDSHOT),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 9, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(12, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(18, MOVE_BIDE),
	LEVEL_UP_MOVE(22, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(28, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(32, MOVE_PROTECT),
	LEVEL_UP_MOVE(38, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(42, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(48, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(52, MOVE_ENDEAVOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sSwampertLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_MUDSHOT),
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 9, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(12, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(18, MOVE_BIDE),
	LEVEL_UP_MOVE(22, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(28, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(32, MOVE_PROTECT),
	LEVEL_UP_MOVE(39, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(44, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(51, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(56, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(63, MOVE_HAMMERARM),
	LEVEL_UP_END
};

static const struct LevelUpMove sPoochyenaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_HOWL),
	LEVEL_UP_MOVE( 7, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(16, MOVE_ROAR),
	LEVEL_UP_MOVE(19, MOVE_SWAGGER),
	LEVEL_UP_MOVE(22, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(25, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(28, MOVE_EMBARGO),
	LEVEL_UP_MOVE(31, MOVE_TAUNT),
	LEVEL_UP_MOVE(34, MOVE_CRUNCH),
	LEVEL_UP_MOVE(37, MOVE_YAWN),
	LEVEL_UP_MOVE(40, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(43, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(46, MOVE_PLAYROUGH),
	LEVEL_UP_END
};

static const struct LevelUpMove sMightyenaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SNARL),
	LEVEL_UP_MOVE( 1, MOVE_SNARL),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THIEF),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HOWL),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 4, MOVE_HOWL),
	LEVEL_UP_MOVE( 7, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(16, MOVE_ROAR),
	LEVEL_UP_MOVE(20, MOVE_SWAGGER),
	LEVEL_UP_MOVE(24, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(28, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(32, MOVE_EMBARGO),
	LEVEL_UP_MOVE(36, MOVE_TAUNT),
	LEVEL_UP_MOVE(40, MOVE_CRUNCH),
	LEVEL_UP_MOVE(44, MOVE_YAWN),
	LEVEL_UP_MOVE(48, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(52, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(56, MOVE_PLAYROUGH),
	LEVEL_UP_END
};

static const struct LevelUpMove sZigzagoonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(11, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(12, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(13, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(17, MOVE_MUDSPORT),
	LEVEL_UP_MOVE(19, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(23, MOVE_COVET),
	LEVEL_UP_MOVE(25, MOVE_BESTOW),
	LEVEL_UP_MOVE(29, MOVE_FLAIL),
	LEVEL_UP_MOVE(31, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(35, MOVE_REST),
	LEVEL_UP_MOVE(37, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE(41, MOVE_FLING),
	LEVEL_UP_END
};

static const struct LevelUpMove sLinooneLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_ROTOTILLER),
	LEVEL_UP_MOVE( 1, MOVE_SWITCHEROO),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 5, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(11, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(13, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(17, MOVE_MUDSPORT),
	LEVEL_UP_MOVE(19, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(24, MOVE_COVET),
	LEVEL_UP_MOVE(27, MOVE_BESTOW),
	LEVEL_UP_MOVE(32, MOVE_SLASH),
	LEVEL_UP_MOVE(35, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(40, MOVE_REST),
	LEVEL_UP_MOVE(43, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE(48, MOVE_FLING),
	LEVEL_UP_END
};

static const struct LevelUpMove sWurmpleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 5, MOVE_POISONSTING),
	LEVEL_UP_MOVE(15, MOVE_BUGBITE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSilcoonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_END
};

static const struct LevelUpMove sBeautiflyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE(12, MOVE_ABSORB),
	LEVEL_UP_MOVE(15, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(17, MOVE_MORNINGSUN),
	LEVEL_UP_MOVE(20, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(22, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(25, MOVE_SILVERWIND),
	LEVEL_UP_MOVE(27, MOVE_ATTRACT),
	LEVEL_UP_MOVE(30, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(32, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(35, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(37, MOVE_RAGE),
	LEVEL_UP_MOVE(40, MOVE_QUIVERDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sCascoonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_END
};

static const struct LevelUpMove sDustoxLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE(12, MOVE_CONFUSION),
	LEVEL_UP_MOVE(15, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(17, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE(20, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(22, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(25, MOVE_SILVERWIND),
	LEVEL_UP_MOVE(27, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(30, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(32, MOVE_TOXIC),
	LEVEL_UP_MOVE(35, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(37, MOVE_PROTECT),
	LEVEL_UP_MOVE(40, MOVE_QUIVERDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sLotadLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 6, MOVE_ABSORB),
	LEVEL_UP_MOVE( 9, MOVE_BUBBLE),
	LEVEL_UP_MOVE(12, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(15, MOVE_MIST),
	LEVEL_UP_MOVE(18, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(21, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(24, MOVE_NATUREPOWER),
	LEVEL_UP_MOVE(27, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(30, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(33, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(36, MOVE_ENERGYBALL),
	LEVEL_UP_END
};

static const struct LevelUpMove sLombreLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 6, MOVE_ABSORB),
	LEVEL_UP_MOVE( 9, MOVE_BUBBLE),
	LEVEL_UP_MOVE(12, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(16, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(20, MOVE_WATERSPORT),
	LEVEL_UP_MOVE(24, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(28, MOVE_NATUREPOWER),
	LEVEL_UP_MOVE(32, MOVE_UPROAR),
	LEVEL_UP_MOVE(36, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(40, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(44, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sLudicoloLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE( 1, MOVE_NATUREPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sSeedotLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 3, MOVE_HARDEN),
	LEVEL_UP_MOVE( 9, MOVE_GROWTH),
	LEVEL_UP_MOVE(15, MOVE_NATUREPOWER),
	LEVEL_UP_MOVE(21, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(27, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(33, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sNuzleafLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 3, MOVE_HARDEN),
	LEVEL_UP_MOVE( 6, MOVE_GROWTH),
	LEVEL_UP_MOVE( 9, MOVE_TORMENT),
	LEVEL_UP_MOVE(12, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(16, MOVE_NATUREPOWER),
	LEVEL_UP_MOVE(20, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(24, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(28, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(32, MOVE_SWAGGER),
	LEVEL_UP_MOVE(36, MOVE_EXTRASENSORY),
	LEVEL_UP_END
};

static const struct LevelUpMove sShiftryLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 1, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE( 1, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(20, MOVE_LEAFTORNADO),
	LEVEL_UP_MOVE(32, MOVE_HURRICANE),
	LEVEL_UP_MOVE(44, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sNincadaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 5, MOVE_ABSORB),
	LEVEL_UP_MOVE( 9, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(17, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(21, MOVE_METALCLAW),
	LEVEL_UP_MOVE(25, MOVE_MINDREADER),
	LEVEL_UP_MOVE(29, MOVE_BIDE),
	LEVEL_UP_MOVE(33, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(37, MOVE_DIG),
	LEVEL_UP_END
};

static const struct LevelUpMove sNinjaskLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE( 0, MOVE_SCREECH),
	LEVEL_UP_MOVE( 0, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE( 1, MOVE_SCREECH),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_BUGBITE),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 5, MOVE_ABSORB),
	LEVEL_UP_MOVE( 9, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(17, MOVE_AGILITY),
	LEVEL_UP_MOVE(23, MOVE_SLASH),
	LEVEL_UP_MOVE(29, MOVE_MINDREADER),
	LEVEL_UP_MOVE(35, MOVE_BATONPASS),
	LEVEL_UP_MOVE(41, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(47, MOVE_XSCISSOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sShedinjaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 5, MOVE_ABSORB),
	LEVEL_UP_MOVE( 9, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(17, MOVE_SPITE),
	LEVEL_UP_MOVE(21, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(25, MOVE_MINDREADER),
	LEVEL_UP_MOVE(29, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(33, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(37, MOVE_GRUDGE),
	LEVEL_UP_MOVE(41, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(45, MOVE_PHANTOMFORCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sTaillowLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 9, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(13, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(17, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(21, MOVE_AERIALACE),
	LEVEL_UP_MOVE(25, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(29, MOVE_AGILITY),
	LEVEL_UP_MOVE(33, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(37, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(41, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(45, MOVE_REVERSAL),
	LEVEL_UP_END
};

static const struct LevelUpMove sSwellowLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_PLUCK),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 5, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 9, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(13, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(17, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(21, MOVE_AERIALACE),
	LEVEL_UP_MOVE(27, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(33, MOVE_AGILITY),
	LEVEL_UP_MOVE(39, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(45, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(51, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(57, MOVE_REVERSAL),
	LEVEL_UP_END
};

static const struct LevelUpMove sShroomishLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_STUNSPORE),
	LEVEL_UP_MOVE( 8, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(12, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(15, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(19, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(22, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(26, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(29, MOVE_GROWTH),
	LEVEL_UP_MOVE(33, MOVE_TOXIC),
	LEVEL_UP_MOVE(36, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE(40, MOVE_SPORE),
	LEVEL_UP_END
};

static const struct LevelUpMove sBreloomLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_MACHPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_MACHPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_STUNSPORE),
	LEVEL_UP_MOVE( 1, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 5, MOVE_STUNSPORE),
	LEVEL_UP_MOVE( 8, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(12, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(15, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(19, MOVE_FEINT),
	LEVEL_UP_MOVE(22, MOVE_COUNTER),
	LEVEL_UP_MOVE(28, MOVE_FORCEPALM),
	LEVEL_UP_MOVE(33, MOVE_MINDREADER),
	LEVEL_UP_MOVE(39, MOVE_DRAINPUNCH),
	LEVEL_UP_MOVE(44, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE(50, MOVE_DYNAMICPUNCH),
	LEVEL_UP_END
};

static const struct LevelUpMove sSpindaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_COPYCAT),
	LEVEL_UP_MOVE(10, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(14, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(19, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(23, MOVE_DIZZYPUNCH),
	LEVEL_UP_MOVE(28, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(32, MOVE_TEETERDANCE),
	LEVEL_UP_MOVE(37, MOVE_UPROAR),
	LEVEL_UP_MOVE(41, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(46, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(50, MOVE_FLAIL),
	LEVEL_UP_MOVE(55, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sWingullLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 8, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(12, MOVE_MIST),
	LEVEL_UP_MOVE(15, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(19, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(22, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(26, MOVE_PURSUIT),
	LEVEL_UP_MOVE(29, MOVE_AERIALACE),
	LEVEL_UP_MOVE(33, MOVE_ROOST),
	LEVEL_UP_MOVE(36, MOVE_AGILITY),
	LEVEL_UP_MOVE(40, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(43, MOVE_HURRICANE),
	LEVEL_UP_END
};

static const struct LevelUpMove sPelipperLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_SOAK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_WINGATTACK),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 8, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(12, MOVE_MIST),
	LEVEL_UP_MOVE(15, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(19, MOVE_PAYBACK),
	LEVEL_UP_MOVE(22, MOVE_BRINE),
	LEVEL_UP_MOVE(28, MOVE_FLING),
	LEVEL_UP_MOVE(33, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(33, MOVE_SWALLOW),
	LEVEL_UP_MOVE(33, MOVE_SPITUP),
	LEVEL_UP_MOVE(39, MOVE_ROOST),
	LEVEL_UP_MOVE(44, MOVE_TAILWIND),
	LEVEL_UP_MOVE(50, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(55, MOVE_HURRICANE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSurskitLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 6, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 9, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(14, MOVE_WATERSPORT),
	LEVEL_UP_MOVE(17, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(22, MOVE_AGILITY),
	LEVEL_UP_MOVE(25, MOVE_MIST),
	LEVEL_UP_MOVE(25, MOVE_HAZE),
	LEVEL_UP_MOVE(30, MOVE_AQUAJET),
	LEVEL_UP_MOVE(35, MOVE_BATONPASS),
	LEVEL_UP_MOVE(38, MOVE_STICKYWEB),
	LEVEL_UP_END
};

static const struct LevelUpMove sMasquerainLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE( 1, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE( 1, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 6, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 9, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(14, MOVE_WATERSPORT),
	LEVEL_UP_MOVE(17, MOVE_GUST),
	LEVEL_UP_MOVE(22, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(22, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(26, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(32, MOVE_SILVERWIND),
	LEVEL_UP_MOVE(38, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(42, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(48, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(52, MOVE_QUIVERDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sWailmerLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE(10, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(13, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(16, MOVE_ASTONISH),
	LEVEL_UP_MOVE(19, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(22, MOVE_MIST),
	LEVEL_UP_MOVE(25, MOVE_BRINE),
	LEVEL_UP_MOVE(29, MOVE_REST),
	LEVEL_UP_MOVE(33, MOVE_WATERSPOUT),
	LEVEL_UP_MOVE(37, MOVE_AMNESIA),
	LEVEL_UP_MOVE(41, MOVE_DIVE),
	LEVEL_UP_MOVE(45, MOVE_BOUNCE),
	LEVEL_UP_MOVE(49, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(53, MOVE_HEAVYSLAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sWailordLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SOAK),
	LEVEL_UP_MOVE( 1, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE(10, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(13, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(16, MOVE_ASTONISH),
	LEVEL_UP_MOVE(19, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(22, MOVE_MIST),
	LEVEL_UP_MOVE(25, MOVE_BRINE),
	LEVEL_UP_MOVE(29, MOVE_REST),
	LEVEL_UP_MOVE(33, MOVE_WATERSPOUT),
	LEVEL_UP_MOVE(37, MOVE_AMNESIA),
	LEVEL_UP_MOVE(44, MOVE_DIVE),
	LEVEL_UP_MOVE(51, MOVE_BOUNCE),
	LEVEL_UP_MOVE(58, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(65, MOVE_HEAVYSLAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sSkittyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_FORESIGHT),
	LEVEL_UP_MOVE( 7, MOVE_SING),
	LEVEL_UP_MOVE(10, MOVE_ATTRACT),
	LEVEL_UP_MOVE(13, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(16, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(19, MOVE_COPYCAT),
	LEVEL_UP_MOVE(22, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(25, MOVE_CHARM),
	LEVEL_UP_MOVE(28, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(31, MOVE_ASSIST),
	LEVEL_UP_MOVE(34, MOVE_COVET),
	LEVEL_UP_MOVE(37, MOVE_HEALBELL),
	LEVEL_UP_MOVE(40, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(43, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(46, MOVE_PLAYROUGH),
	LEVEL_UP_END
};

static const struct LevelUpMove sDelcattyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 1, MOVE_SING),
	LEVEL_UP_MOVE( 1, MOVE_ATTRACT),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLESLAP),
	LEVEL_UP_END
};

static const struct LevelUpMove sKecleonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THIEF),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 4, MOVE_BIND),
	LEVEL_UP_MOVE( 7, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(10, MOVE_FEINT),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(16, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(18, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(21, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(25, MOVE_SLASH),
	LEVEL_UP_MOVE(30, MOVE_CAMOUFLAGE),
	LEVEL_UP_MOVE(33, MOVE_SHADOWCLAW),
	LEVEL_UP_MOVE(38, MOVE_SCREECH),
	LEVEL_UP_MOVE(42, MOVE_SUBSTITUTE),
	LEVEL_UP_MOVE(46, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(50, MOVE_SYNCHRONOISE),
	LEVEL_UP_END
};

static const struct LevelUpMove sBaltoyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 3, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 6, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 9, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(12, MOVE_POWERTRICK),
	LEVEL_UP_MOVE(15, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(18, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(21, MOVE_IMPRISON),
	LEVEL_UP_MOVE(24, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE(27, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(30, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(33, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(36, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(36, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE(39, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(42, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sClaydolLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE( 1, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE( 1, MOVE_EXPANDINGFORCE),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_MOVE( 1, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 9, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(12, MOVE_POWERTRICK),
	LEVEL_UP_MOVE(15, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(18, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(21, MOVE_IMPRISON),
	LEVEL_UP_MOVE(24, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE(27, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(30, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(33, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(38, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(38, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE(43, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(48, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sNosepassLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_BLOCK),
	LEVEL_UP_MOVE(10, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(13, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(16, MOVE_REST),
	LEVEL_UP_MOVE(19, MOVE_SPARK),
	LEVEL_UP_MOVE(22, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(25, MOVE_POWERGEM),
	LEVEL_UP_MOVE(28, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(31, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(34, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(37, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(40, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(43, MOVE_LOCKON),
	LEVEL_UP_MOVE(43, MOVE_ZAPCANNON),
	LEVEL_UP_END
};

static const struct LevelUpMove sTorkoalLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCORCHINGSANDS),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 4, MOVE_SMOG),
	LEVEL_UP_MOVE( 7, MOVE_WITHDRAW),
	LEVEL_UP_MOVE(10, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(13, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(15, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(18, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(22, MOVE_CURSE),
	LEVEL_UP_MOVE(25, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(27, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(30, MOVE_PROTECT),
	LEVEL_UP_MOVE(34, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(38, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(40, MOVE_AMNESIA),
	LEVEL_UP_MOVE(42, MOVE_FLAIL),
	LEVEL_UP_MOVE(45, MOVE_HEATWAVE),
	LEVEL_UP_MOVE(47, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE(50, MOVE_INFERNO),
	LEVEL_UP_END
};

static const struct LevelUpMove sSableyeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 4, MOVE_FORESIGHT),
	LEVEL_UP_MOVE( 6, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE( 9, MOVE_ASTONISH),
	LEVEL_UP_MOVE(11, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(14, MOVE_DETECT),
	LEVEL_UP_MOVE(16, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(19, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(21, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(24, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(26, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(29, MOVE_SHADOWCLAW),
	LEVEL_UP_MOVE(31, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(34, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(36, MOVE_POWERGEM),
	LEVEL_UP_MOVE(39, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(41, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(44, MOVE_QUASH),
	LEVEL_UP_MOVE(46, MOVE_MEANLOOK),
	LEVEL_UP_END
};

static const struct LevelUpMove sBarboachLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 6, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 6, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 9, MOVE_WATERGUN),
	LEVEL_UP_MOVE(13, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(15, MOVE_AMNESIA),
	LEVEL_UP_MOVE(17, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(20, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(25, MOVE_REST),
	LEVEL_UP_MOVE(25, MOVE_SNORE),
	LEVEL_UP_MOVE(28, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(32, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(35, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(39, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(44, MOVE_FISSURE),
	LEVEL_UP_END
};

static const struct LevelUpMove sWhiscashLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_BELCH),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_TICKLE),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 6, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 6, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 9, MOVE_WATERGUN),
	LEVEL_UP_MOVE(13, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(15, MOVE_AMNESIA),
	LEVEL_UP_MOVE(17, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(20, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(25, MOVE_REST),
	LEVEL_UP_MOVE(25, MOVE_SNORE),
	LEVEL_UP_MOVE(28, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(34, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(39, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(45, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(52, MOVE_FISSURE),
	LEVEL_UP_END
};

static const struct LevelUpMove sLuvdiscLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 4, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 7, MOVE_AGILITY),
	LEVEL_UP_MOVE( 9, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(13, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(17, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(20, MOVE_ATTRACT),
	LEVEL_UP_MOVE(22, MOVE_HEARTSTAMP),
	LEVEL_UP_MOVE(26, MOVE_FLAIL),
	LEVEL_UP_MOVE(31, MOVE_SWEETKISS),
	LEVEL_UP_MOVE(34, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(37, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(40, MOVE_AQUARING),
	LEVEL_UP_MOVE(42, MOVE_SOAK),
	LEVEL_UP_MOVE(46, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(49, MOVE_SAFEGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sCorphishLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 5, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_VICEGRIP),
	LEVEL_UP_MOVE(10, MOVE_LEER),
	LEVEL_UP_MOVE(14, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(17, MOVE_PROTECT),
	LEVEL_UP_MOVE(20, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(23, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(26, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(31, MOVE_RAZORSHELL),
	LEVEL_UP_MOVE(34, MOVE_TAUNT),
	LEVEL_UP_MOVE(37, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(39, MOVE_CRUNCH),
	LEVEL_UP_MOVE(43, MOVE_CRABHAMMER),
	LEVEL_UP_MOVE(48, MOVE_GUILLOTINE),
	LEVEL_UP_END
};

static const struct LevelUpMove sCrawdauntLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SWIFT),
	LEVEL_UP_MOVE( 1, MOVE_SWIFT),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_VICEGRIP),
	LEVEL_UP_MOVE(10, MOVE_LEER),
	LEVEL_UP_MOVE(14, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(17, MOVE_PROTECT),
	LEVEL_UP_MOVE(20, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(23, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(26, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(32, MOVE_RAZORSHELL),
	LEVEL_UP_MOVE(36, MOVE_TAUNT),
	LEVEL_UP_MOVE(40, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(43, MOVE_CRUNCH),
	LEVEL_UP_MOVE(48, MOVE_CRABHAMMER),
	LEVEL_UP_MOVE(54, MOVE_GUILLOTINE),
	LEVEL_UP_END
};

static const struct LevelUpMove sFeebasLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE(15, MOVE_TACKLE),
	LEVEL_UP_MOVE(30, MOVE_FLAIL),
	LEVEL_UP_END
};

static const struct LevelUpMove sMiloticLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_WATERPULSE),
	LEVEL_UP_MOVE( 1, MOVE_WATERPULSE),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_REFRESH),
	LEVEL_UP_MOVE( 4, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 7, MOVE_REFRESH),
	LEVEL_UP_MOVE(11, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(14, MOVE_TWISTER),
	LEVEL_UP_MOVE(17, MOVE_AQUARING),
	LEVEL_UP_MOVE(21, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(24, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(27, MOVE_RECOVER),
	LEVEL_UP_MOVE(31, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(34, MOVE_ATTRACT),
	LEVEL_UP_MOVE(37, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(41, MOVE_COIL),
	LEVEL_UP_MOVE(44, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(47, MOVE_RAINDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sCarvanhaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 4, MOVE_RAGE),
	LEVEL_UP_MOVE( 8, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(11, MOVE_AQUAJET),
	LEVEL_UP_MOVE(15, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(18, MOVE_SCREECH),
	LEVEL_UP_MOVE(22, MOVE_SWAGGER),
	LEVEL_UP_MOVE(25, MOVE_ICEFANG),
	LEVEL_UP_MOVE(29, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(32, MOVE_POISONFANG),
	LEVEL_UP_MOVE(36, MOVE_CRUNCH),
	LEVEL_UP_MOVE(39, MOVE_AGILITY),
	LEVEL_UP_MOVE(43, MOVE_TAKEDOWN),
	LEVEL_UP_END
};

static const struct LevelUpMove sSharpedoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_FEINT),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_RAGE),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 4, MOVE_RAGE),
	LEVEL_UP_MOVE( 8, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(11, MOVE_AQUAJET),
	LEVEL_UP_MOVE(15, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(18, MOVE_SCREECH),
	LEVEL_UP_MOVE(22, MOVE_SWAGGER),
	LEVEL_UP_MOVE(25, MOVE_ICEFANG),
	LEVEL_UP_MOVE(29, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(34, MOVE_POISONFANG),
	LEVEL_UP_MOVE(40, MOVE_CRUNCH),
	LEVEL_UP_MOVE(45, MOVE_AGILITY),
	LEVEL_UP_MOVE(51, MOVE_SKULLBASH),
	LEVEL_UP_MOVE(56, MOVE_TAUNT),
	LEVEL_UP_MOVE(62, MOVE_NIGHTSLASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sTrapinchLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 5, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 8, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(12, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(15, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(19, MOVE_DIG),
	LEVEL_UP_MOVE(22, MOVE_CRUNCH),
	LEVEL_UP_MOVE(26, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(29, MOVE_FEINT),
	LEVEL_UP_MOVE(33, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(36, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(40, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(43, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(47, MOVE_FISSURE),
	LEVEL_UP_END
};

static const struct LevelUpMove sVibravaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_SONICBOOM),
	LEVEL_UP_MOVE( 1, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 5, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 8, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(12, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(15, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(19, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(22, MOVE_SCREECH),
	LEVEL_UP_MOVE(26, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(29, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(33, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(36, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(40, MOVE_UPROAR),
	LEVEL_UP_MOVE(43, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(47, MOVE_BOOMBURST),
	LEVEL_UP_END
};

static const struct LevelUpMove sFlygonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE( 1, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE( 8, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(12, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(15, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(19, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(22, MOVE_SCREECH),
	LEVEL_UP_MOVE(26, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(29, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(33, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(36, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(40, MOVE_UPROAR),
	LEVEL_UP_MOVE(43, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(47, MOVE_DRAGONRUSH),
	LEVEL_UP_MOVE(51, MOVE_BOOMBURST),
	LEVEL_UP_END
};

static const struct LevelUpMove sMakuhitaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 4, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_ARMTHRUST),
	LEVEL_UP_MOVE(10, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(13, MOVE_FORCEPALM),
	LEVEL_UP_MOVE(16, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(19, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(22, MOVE_VITALTHROW),
	LEVEL_UP_MOVE(25, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE(28, MOVE_SMELLINGSALTS),
	LEVEL_UP_MOVE(31, MOVE_SEISMICTOSS),
	LEVEL_UP_MOVE(34, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(37, MOVE_ENDURE),
	LEVEL_UP_MOVE(40, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(43, MOVE_REVERSAL),
	LEVEL_UP_MOVE(46, MOVE_HEAVYSLAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sHariyamaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BRINE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_ARMTHRUST),
	LEVEL_UP_MOVE( 4, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_ARMTHRUST),
	LEVEL_UP_MOVE(10, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(13, MOVE_FORCEPALM),
	LEVEL_UP_MOVE(16, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(19, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(22, MOVE_VITALTHROW),
	LEVEL_UP_MOVE(26, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE(30, MOVE_SMELLINGSALTS),
	LEVEL_UP_MOVE(34, MOVE_SEISMICTOSS),
	LEVEL_UP_MOVE(38, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(42, MOVE_ENDURE),
	LEVEL_UP_MOVE(46, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(50, MOVE_REVERSAL),
	LEVEL_UP_MOVE(54, MOVE_HEAVYSLAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sElectrikeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_HOWL),
	LEVEL_UP_MOVE(10, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(13, MOVE_SPARK),
	LEVEL_UP_MOVE(16, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(19, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE(24, MOVE_BITE),
	LEVEL_UP_MOVE(29, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(34, MOVE_ROAR),
	LEVEL_UP_MOVE(39, MOVE_WILDCHARGE),
	LEVEL_UP_MOVE(44, MOVE_CHARGE),
	LEVEL_UP_MOVE(49, MOVE_THUNDER),
	LEVEL_UP_END
};

static const struct LevelUpMove sManectricLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_HOWL),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_HOWL),
	LEVEL_UP_MOVE(10, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(13, MOVE_SPARK),
	LEVEL_UP_MOVE(16, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(19, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE(24, MOVE_BITE),
	LEVEL_UP_MOVE(30, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(36, MOVE_ROAR),
	LEVEL_UP_MOVE(42, MOVE_WILDCHARGE),
	LEVEL_UP_MOVE(48, MOVE_CHARGE),
	LEVEL_UP_MOVE(54, MOVE_THUNDER),
	LEVEL_UP_MOVE(60, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_END
};

static const struct LevelUpMove sNumelLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_EMBER),
	LEVEL_UP_MOVE( 8, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(12, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(15, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(19, MOVE_AMNESIA),
	LEVEL_UP_MOVE(22, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(26, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(29, MOVE_CURSE),
	LEVEL_UP_MOVE(31, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(36, MOVE_YAWN),
	LEVEL_UP_MOVE(40, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(43, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(47, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sCameruptLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE( 1, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE( 1, MOVE_SCORCHINGSANDS),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_FISSURE),
	LEVEL_UP_MOVE( 1, MOVE_ERUPTION),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 8, MOVE_EMBER),
	LEVEL_UP_MOVE( 8, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(12, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(15, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(19, MOVE_AMNESIA),
	LEVEL_UP_MOVE(22, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(26, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(29, MOVE_CURSE),
	LEVEL_UP_MOVE(31, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(39, MOVE_YAWN),
	LEVEL_UP_MOVE(46, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(52, MOVE_ERUPTION),
	LEVEL_UP_MOVE(59, MOVE_FISSURE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSphealLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 5, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 9, MOVE_ENCORE),
	LEVEL_UP_MOVE(13, MOVE_ICEBALL),
	LEVEL_UP_MOVE(17, MOVE_BRINE),
	LEVEL_UP_MOVE(21, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(26, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(31, MOVE_REST),
	LEVEL_UP_MOVE(31, MOVE_SNORE),
	LEVEL_UP_MOVE(36, MOVE_HAIL),
	LEVEL_UP_MOVE(41, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(46, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sSealeoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 1, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 5, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 9, MOVE_ENCORE),
	LEVEL_UP_MOVE(13, MOVE_ICEBALL),
	LEVEL_UP_MOVE(17, MOVE_BRINE),
	LEVEL_UP_MOVE(21, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(26, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(31, MOVE_REST),
	LEVEL_UP_MOVE(31, MOVE_SNORE),
	LEVEL_UP_MOVE(38, MOVE_HAIL),
	LEVEL_UP_MOVE(45, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(52, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sWalreinLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 7, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 7, MOVE_ENCORE),
	LEVEL_UP_MOVE(13, MOVE_ICEBALL),
	LEVEL_UP_MOVE(19, MOVE_BRINE),
	LEVEL_UP_MOVE(19, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(25, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(31, MOVE_REST),
	LEVEL_UP_MOVE(31, MOVE_SNORE),
	LEVEL_UP_MOVE(38, MOVE_HAIL),
	LEVEL_UP_MOVE(49, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(60, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sCacneaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 4, MOVE_ABSORB),
	LEVEL_UP_MOVE( 7, MOVE_GROWTH),
	LEVEL_UP_MOVE(10, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(13, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(16, MOVE_NEEDLEARM),
	LEVEL_UP_MOVE(19, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_INGRAIN),
	LEVEL_UP_MOVE(26, MOVE_PAYBACK),
	LEVEL_UP_MOVE(30, MOVE_SPIKES),
	LEVEL_UP_MOVE(34, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(38, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(42, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(46, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE(50, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(54, MOVE_DESTINYBOND),
	LEVEL_UP_END
};

static const struct LevelUpMove sCacturneLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SPIKYSHIELD),
	LEVEL_UP_MOVE( 1, MOVE_SPIKYSHIELD),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE( 1, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE(10, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(13, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(16, MOVE_NEEDLEARM),
	LEVEL_UP_MOVE(19, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_INGRAIN),
	LEVEL_UP_MOVE(26, MOVE_PAYBACK),
	LEVEL_UP_MOVE(30, MOVE_SPIKES),
	LEVEL_UP_MOVE(35, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(38, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(44, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(49, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE(54, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(59, MOVE_DESTINYBOND),
	LEVEL_UP_END
};

static const struct LevelUpMove sSnoruntLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 5, MOVE_LEER),
	LEVEL_UP_MOVE(10, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(15, MOVE_ICESHARD),
	LEVEL_UP_MOVE(20, MOVE_PROTECT),
	LEVEL_UP_MOVE(25, MOVE_ICYWIND),
	LEVEL_UP_MOVE(30, MOVE_FROSTBREATH),
	LEVEL_UP_MOVE(35, MOVE_BITE),
	LEVEL_UP_MOVE(40, MOVE_ICEFANG),
	LEVEL_UP_MOVE(45, MOVE_HAIL),
	LEVEL_UP_MOVE(50, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(55, MOVE_CRUNCH),
	LEVEL_UP_MOVE(60, MOVE_BLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sGlalieLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_FREEZEDRY),
	LEVEL_UP_MOVE( 1, MOVE_FREEZEDRY),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_SHEERCOLD),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(15, MOVE_ICESHARD),
	LEVEL_UP_MOVE(20, MOVE_PROTECT),
	LEVEL_UP_MOVE(25, MOVE_ICYWIND),
	LEVEL_UP_MOVE(30, MOVE_FROSTBREATH),
	LEVEL_UP_MOVE(35, MOVE_BITE),
	LEVEL_UP_MOVE(40, MOVE_ICEFANG),
	LEVEL_UP_MOVE(47, MOVE_HAIL),
	LEVEL_UP_MOVE(54, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(61, MOVE_CRUNCH),
	LEVEL_UP_MOVE(68, MOVE_BLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sLunatoneLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWERGEM),
	LEVEL_UP_MOVE( 1, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_MOONBLAST),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 5, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 9, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(13, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(17, MOVE_EMBARGO),
	LEVEL_UP_MOVE(21, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(25, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE(29, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(33, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(37, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(41, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(45, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(49, MOVE_MAGICROOM),
	LEVEL_UP_END
};

static const struct LevelUpMove sSolrockLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 5, MOVE_FIRESPIN),
	LEVEL_UP_MOVE( 9, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(13, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(17, MOVE_EMBARGO),
	LEVEL_UP_MOVE(21, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(25, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE(29, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(33, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(37, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(41, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(45, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(49, MOVE_WONDERROOM),
	LEVEL_UP_END
};

static const struct LevelUpMove sAzurillLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 2, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 7, MOVE_BUBBLE),
	LEVEL_UP_MOVE(10, MOVE_CHARM),
	LEVEL_UP_MOVE(13, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(16, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(20, MOVE_SLAM),
	LEVEL_UP_MOVE(23, MOVE_BOUNCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSpoinkLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 7, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(10, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(14, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(15, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(18, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(21, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE(26, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(29, MOVE_POWERGEM),
	LEVEL_UP_MOVE(29, MOVE_REST),
	LEVEL_UP_MOVE(33, MOVE_SNORE),
	LEVEL_UP_MOVE(38, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(40, MOVE_PAYBACK),
	LEVEL_UP_MOVE(44, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(50, MOVE_BOUNCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sGrumpigLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_TEETERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_TEETERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_BELCH),
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 1, MOVE_PSYWAVE),
	LEVEL_UP_MOVE( 1, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 1, MOVE_PSYBEAM),
	LEVEL_UP_MOVE( 7, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(10, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(14, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(15, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(18, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(21, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE(26, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(29, MOVE_POWERGEM),
	LEVEL_UP_MOVE(35, MOVE_REST),
	LEVEL_UP_MOVE(35, MOVE_SNORE),
	LEVEL_UP_MOVE(42, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(46, MOVE_PAYBACK),
	LEVEL_UP_MOVE(52, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(60, MOVE_BOUNCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sPlusleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_NUZZLE),
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 4, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 7, MOVE_SPARK),
	LEVEL_UP_MOVE(10, MOVE_ENCORE),
	LEVEL_UP_MOVE(13, MOVE_BESTOW),
	LEVEL_UP_MOVE(16, MOVE_SWIFT),
	LEVEL_UP_MOVE(19, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(22, MOVE_COPYCAT),
	LEVEL_UP_MOVE(25, MOVE_CHARM),
	LEVEL_UP_MOVE(28, MOVE_CHARGE),
	LEVEL_UP_MOVE(31, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(34, MOVE_BATONPASS),
	LEVEL_UP_MOVE(37, MOVE_AGILITY),
	LEVEL_UP_MOVE(40, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(43, MOVE_THUNDER),
	LEVEL_UP_MOVE(46, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(49, MOVE_ENTRAINMENT),
	LEVEL_UP_END
};

static const struct LevelUpMove sMinunLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_NUZZLE),
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 4, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 7, MOVE_SPARK),
	LEVEL_UP_MOVE(10, MOVE_ENCORE),
	LEVEL_UP_MOVE(13, MOVE_SWITCHEROO),
	LEVEL_UP_MOVE(16, MOVE_SWIFT),
	LEVEL_UP_MOVE(19, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(22, MOVE_COPYCAT),
	LEVEL_UP_MOVE(25, MOVE_FAKETEARS),
	LEVEL_UP_MOVE(28, MOVE_CHARGE),
	LEVEL_UP_MOVE(31, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(34, MOVE_BATONPASS),
	LEVEL_UP_MOVE(37, MOVE_AGILITY),
	LEVEL_UP_MOVE(40, MOVE_TRUMPCARD),
	LEVEL_UP_MOVE(43, MOVE_THUNDER),
	LEVEL_UP_MOVE(46, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(49, MOVE_ENTRAINMENT),
	LEVEL_UP_END
};

static const struct LevelUpMove sMawileLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_TAUNT),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 4, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 8, MOVE_BATONPASS),
	LEVEL_UP_MOVE(12, MOVE_BITE),
	LEVEL_UP_MOVE(16, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(16, MOVE_SWALLOW),
	LEVEL_UP_MOVE(16, MOVE_SPITUP),
	LEVEL_UP_MOVE(20, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(24, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(28, MOVE_CRUNCH),
	LEVEL_UP_MOVE(32, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(36, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(40, MOVE_TAUNT),
	LEVEL_UP_MOVE(44, MOVE_FAKETEARS),
	LEVEL_UP_MOVE(48, MOVE_PLAYROUGH),
	LEVEL_UP_END
};

static const struct LevelUpMove sMedititeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 4, MOVE_MEDITATE),
	LEVEL_UP_MOVE( 7, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 9, MOVE_DETECT),
	LEVEL_UP_MOVE(12, MOVE_ENDURE),
	LEVEL_UP_MOVE(15, MOVE_FEINT),
	LEVEL_UP_MOVE(17, MOVE_FORCEPALM),
	LEVEL_UP_MOVE(20, MOVE_HIDDENPOWER),
	LEVEL_UP_MOVE(23, MOVE_CALMMIND),
	LEVEL_UP_MOVE(25, MOVE_MINDREADER),
	LEVEL_UP_MOVE(28, MOVE_HIGHJUMPKICK),
	LEVEL_UP_MOVE(31, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(33, MOVE_ACUPRESSURE),
	LEVEL_UP_MOVE(36, MOVE_POWERTRICK),
	LEVEL_UP_MOVE(39, MOVE_REVERSAL),
	LEVEL_UP_MOVE(41, MOVE_RECOVER),
	LEVEL_UP_MOVE(44, MOVE_COUNTER),
	LEVEL_UP_END
};

static const struct LevelUpMove sMedichamLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 1, MOVE_MEDITATE),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_DETECT),
	LEVEL_UP_MOVE( 4, MOVE_MEDITATE),
	LEVEL_UP_MOVE( 7, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 9, MOVE_DETECT),
	LEVEL_UP_MOVE(12, MOVE_ENDURE),
	LEVEL_UP_MOVE(15, MOVE_FEINT),
	LEVEL_UP_MOVE(17, MOVE_FORCEPALM),
	LEVEL_UP_MOVE(20, MOVE_HIDDENPOWER),
	LEVEL_UP_MOVE(23, MOVE_CALMMIND),
	LEVEL_UP_MOVE(25, MOVE_MINDREADER),
	LEVEL_UP_MOVE(28, MOVE_HIGHJUMPKICK),
	LEVEL_UP_MOVE(31, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(33, MOVE_ACUPRESSURE),
	LEVEL_UP_MOVE(36, MOVE_POWERTRICK),
	LEVEL_UP_MOVE(42, MOVE_REVERSAL),
	LEVEL_UP_MOVE(47, MOVE_RECOVER),
	LEVEL_UP_MOVE(53, MOVE_COUNTER),
	LEVEL_UP_END
};

static const struct LevelUpMove sSwabluLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 3, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 5, MOVE_SING),
	LEVEL_UP_MOVE( 7, MOVE_FURYATTACK),
	LEVEL_UP_MOVE( 9, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(11, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(14, MOVE_MIST),
	LEVEL_UP_MOVE(17, MOVE_ROUND),
	LEVEL_UP_MOVE(20, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(23, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(26, MOVE_REFRESH),
	LEVEL_UP_MOVE(30, MOVE_MIRRORMOVE),
	LEVEL_UP_MOVE(34, MOVE_COTTONGUARD),
	LEVEL_UP_MOVE(38, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(42, MOVE_PERISHSONG),
	LEVEL_UP_MOVE(46, MOVE_MOONBLAST),
	LEVEL_UP_END
};

static const struct LevelUpMove sAltariaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_DRACOMETEOR),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_SKYATTACK),
	LEVEL_UP_MOVE( 9, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(11, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(14, MOVE_MIST),
	LEVEL_UP_MOVE(17, MOVE_ROUND),
	LEVEL_UP_MOVE(20, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(23, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(26, MOVE_REFRESH),
	LEVEL_UP_MOVE(30, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(34, MOVE_COTTONGUARD),
	LEVEL_UP_MOVE(40, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(46, MOVE_PERISHSONG),
	LEVEL_UP_MOVE(52, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(59, MOVE_SKYATTACK),
	LEVEL_UP_END
};

static const struct LevelUpMove sWynautLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 1, MOVE_ENCORE),
	LEVEL_UP_MOVE(15, MOVE_COUNTER),
	LEVEL_UP_MOVE(15, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE(15, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(15, MOVE_DESTINYBOND),
	LEVEL_UP_END
};

static const struct LevelUpMove sDuskullLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE( 6, MOVE_DISABLE),
	LEVEL_UP_MOVE( 9, MOVE_ASTONISH),
	LEVEL_UP_MOVE(14, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(17, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(22, MOVE_PURSUIT),
	LEVEL_UP_MOVE(25, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(30, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(33, MOVE_CURSE),
	LEVEL_UP_MOVE(38, MOVE_HEX),
	LEVEL_UP_MOVE(41, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(46, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(49, MOVE_PAYBACK),
	LEVEL_UP_MOVE(54, MOVE_FUTURESIGHT),
	LEVEL_UP_END
};

static const struct LevelUpMove sDusclopsLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SHADOWPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_SHADOWPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_GRAVITY),
	LEVEL_UP_MOVE( 1, MOVE_BIND),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE( 1, MOVE_DISABLE),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 6, MOVE_DISABLE),
	LEVEL_UP_MOVE( 9, MOVE_ASTONISH),
	LEVEL_UP_MOVE(14, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(17, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(22, MOVE_PURSUIT),
	LEVEL_UP_MOVE(25, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(30, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(33, MOVE_CURSE),
	LEVEL_UP_MOVE(40, MOVE_HEX),
	LEVEL_UP_MOVE(45, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(52, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(57, MOVE_PAYBACK),
	LEVEL_UP_MOVE(64, MOVE_FUTURESIGHT),
	LEVEL_UP_END
};

static const struct LevelUpMove sRoseliaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 4, MOVE_GROWTH),
	LEVEL_UP_MOVE( 7, MOVE_POISONSTING),
	LEVEL_UP_MOVE(10, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(13, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(16, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(19, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(22, MOVE_GRASSWHISTLE),
	LEVEL_UP_MOVE(25, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(28, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(31, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(34, MOVE_INGRAIN),
	LEVEL_UP_MOVE(37, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE(40, MOVE_TOXIC),
	LEVEL_UP_MOVE(43, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(46, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(50, MOVE_PETALDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSlakothLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_YAWN),
	LEVEL_UP_MOVE( 6, MOVE_ENCORE),
	LEVEL_UP_MOVE( 9, MOVE_SLACKOFF),
	LEVEL_UP_MOVE(14, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(17, MOVE_AMNESIA),
	LEVEL_UP_MOVE(22, MOVE_COVET),
	LEVEL_UP_MOVE(25, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(30, MOVE_COUNTER),
	LEVEL_UP_MOVE(33, MOVE_FLAIL),
	LEVEL_UP_MOVE(38, MOVE_PLAYROUGH),
	LEVEL_UP_END
};

static const struct LevelUpMove sVigorothLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_ENCORE),
	LEVEL_UP_MOVE( 1, MOVE_UPROAR),
	LEVEL_UP_MOVE( 6, MOVE_ENCORE),
	LEVEL_UP_MOVE( 9, MOVE_UPROAR),
	LEVEL_UP_MOVE(14, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(17, MOVE_ENDURE),
	LEVEL_UP_MOVE(23, MOVE_SLASH),
	LEVEL_UP_MOVE(27, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(33, MOVE_COUNTER),
	LEVEL_UP_MOVE(37, MOVE_FOCUSPUNCH),
	LEVEL_UP_MOVE(43, MOVE_REVERSAL),
	LEVEL_UP_END
};

static const struct LevelUpMove sSlakingLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 1, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE( 1, MOVE_FLING),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_YAWN),
	LEVEL_UP_MOVE( 1, MOVE_ENCORE),
	LEVEL_UP_MOVE( 1, MOVE_SLACKOFF),
	LEVEL_UP_MOVE( 6, MOVE_ENCORE),
	LEVEL_UP_MOVE( 9, MOVE_SLACKOFF),
	LEVEL_UP_MOVE(14, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(17, MOVE_AMNESIA),
	LEVEL_UP_MOVE(23, MOVE_COVET),
	LEVEL_UP_MOVE(27, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(33, MOVE_COUNTER),
	LEVEL_UP_MOVE(39, MOVE_FLAIL),
	LEVEL_UP_MOVE(47, MOVE_FLING),
	LEVEL_UP_MOVE(53, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(61, MOVE_HAMMERARM),
	LEVEL_UP_END
};

static const struct LevelUpMove sGulpinLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 5, MOVE_YAWN),
	LEVEL_UP_MOVE( 8, MOVE_POISONGAS),
	LEVEL_UP_MOVE(10, MOVE_SLUDGE),
	LEVEL_UP_MOVE(12, MOVE_AMNESIA),
	LEVEL_UP_MOVE(17, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(20, MOVE_ENCORE),
	LEVEL_UP_MOVE(25, MOVE_TOXIC),
	LEVEL_UP_MOVE(28, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(28, MOVE_SPITUP),
	LEVEL_UP_MOVE(28, MOVE_SWALLOW),
	LEVEL_UP_MOVE(33, MOVE_SLUDGEBOMB),
	LEVEL_UP_MOVE(36, MOVE_GASTROACID),
	LEVEL_UP_MOVE(41, MOVE_BELCH),
	LEVEL_UP_MOVE(44, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(49, MOVE_GUNKSHOT),
	LEVEL_UP_END
};

static const struct LevelUpMove sSwalotLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_BODYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_BODYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_WRINGOUT),
	LEVEL_UP_MOVE( 5, MOVE_YAWN),
	LEVEL_UP_MOVE(12, MOVE_AMNESIA),
	LEVEL_UP_MOVE(17, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(20, MOVE_ENCORE),
	LEVEL_UP_MOVE(25, MOVE_TOXIC),
	LEVEL_UP_MOVE(30, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(30, MOVE_SPITUP),
	LEVEL_UP_MOVE(30, MOVE_SWALLOW),
	LEVEL_UP_MOVE(37, MOVE_SLUDGEBOMB),
	LEVEL_UP_MOVE(42, MOVE_GASTROACID),
	LEVEL_UP_MOVE(49, MOVE_BELCH),
	LEVEL_UP_MOVE(54, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(61, MOVE_GUNKSHOT),
	LEVEL_UP_END
};

static const struct LevelUpMove sTropiusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 6, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(10, MOVE_STOMP),
	LEVEL_UP_MOVE(16, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(21, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(26, MOVE_LEAFTORNADO),
	LEVEL_UP_MOVE(30, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(36, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(41, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(46, MOVE_BESTOW),
	LEVEL_UP_MOVE(50, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(56, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(61, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sWhismurLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 4, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE( 8, MOVE_ASTONISH),
	LEVEL_UP_MOVE(11, MOVE_HOWL),
	LEVEL_UP_MOVE(15, MOVE_SCREECH),
	LEVEL_UP_MOVE(18, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(22, MOVE_STOMP),
	LEVEL_UP_MOVE(25, MOVE_UPROAR),
	LEVEL_UP_MOVE(29, MOVE_ROAR),
	LEVEL_UP_MOVE(32, MOVE_REST),
	LEVEL_UP_MOVE(36, MOVE_SLEEPTALK),
	LEVEL_UP_MOVE(39, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(43, MOVE_SYNCHRONOISE),
	LEVEL_UP_END
};

static const struct LevelUpMove sLoudredLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_HOWL),
	LEVEL_UP_MOVE( 4, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE( 9, MOVE_ASTONISH),
	LEVEL_UP_MOVE(11, MOVE_HOWL),
	LEVEL_UP_MOVE(15, MOVE_SCREECH),
	LEVEL_UP_MOVE(18, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(23, MOVE_STOMP),
	LEVEL_UP_MOVE(27, MOVE_UPROAR),
	LEVEL_UP_MOVE(32, MOVE_ROAR),
	LEVEL_UP_MOVE(36, MOVE_REST),
	LEVEL_UP_MOVE(41, MOVE_SLEEPTALK),
	LEVEL_UP_MOVE(45, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(50, MOVE_SYNCHRONOISE),
	LEVEL_UP_END
};

static const struct LevelUpMove sExploudLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_BOOMBURST),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_HOWL),
	LEVEL_UP_MOVE( 4, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE( 9, MOVE_ASTONISH),
	LEVEL_UP_MOVE(11, MOVE_HOWL),
	LEVEL_UP_MOVE(15, MOVE_SCREECH),
	LEVEL_UP_MOVE(18, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(23, MOVE_STOMP),
	LEVEL_UP_MOVE(27, MOVE_UPROAR),
	LEVEL_UP_MOVE(32, MOVE_ROAR),
	LEVEL_UP_MOVE(36, MOVE_REST),
	LEVEL_UP_MOVE(42, MOVE_SLEEPTALK),
	LEVEL_UP_MOVE(47, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(53, MOVE_SYNCHRONOISE),
	LEVEL_UP_MOVE(58, MOVE_BOOMBURST),
	LEVEL_UP_MOVE(64, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sClamperlLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CLAMP),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(50, MOVE_SHELLSMASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sHuntailLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 5, MOVE_SCREECH),
	LEVEL_UP_MOVE( 9, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(11, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(14, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(16, MOVE_ICEFANG),
	LEVEL_UP_MOVE(19, MOVE_BRINE),
	LEVEL_UP_MOVE(23, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(26, MOVE_DIVE),
	LEVEL_UP_MOVE(29, MOVE_BATONPASS),
	LEVEL_UP_MOVE(34, MOVE_CRUNCH),
	LEVEL_UP_MOVE(39, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(45, MOVE_COIL),
	LEVEL_UP_MOVE(50, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sGorebyssLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 5, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 9, MOVE_AGILITY),
	LEVEL_UP_MOVE(11, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(14, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(16, MOVE_AMNESIA),
	LEVEL_UP_MOVE(19, MOVE_AQUARING),
	LEVEL_UP_MOVE(23, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(26, MOVE_DIVE),
	LEVEL_UP_MOVE(29, MOVE_BATONPASS),
	LEVEL_UP_MOVE(34, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(39, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(45, MOVE_COIL),
	LEVEL_UP_MOVE(50, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sAbsolLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_MEGAHORN),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE( 1, MOVE_PERISHSONG),
	LEVEL_UP_MOVE( 1, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(10, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(15, MOVE_DETECT),
	LEVEL_UP_MOVE(20, MOVE_TAUNT),
	LEVEL_UP_MOVE(25, MOVE_SLASH),
	LEVEL_UP_MOVE(30, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(35, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(40, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(45, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(50, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(55, MOVE_PERISHSONG),
	LEVEL_UP_END
};

static const struct LevelUpMove sShuppetLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 4, MOVE_SCREECH),
	LEVEL_UP_MOVE( 7, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(10, MOVE_SPITE),
	LEVEL_UP_MOVE(13, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(16, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(19, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_HEX),
	LEVEL_UP_MOVE(26, MOVE_CURSE),
	LEVEL_UP_MOVE(30, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(34, MOVE_EMBARGO),
	LEVEL_UP_MOVE(38, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(42, MOVE_SNATCH),
	LEVEL_UP_MOVE(46, MOVE_GRUDGE),
	LEVEL_UP_MOVE(50, MOVE_TRICK),
	LEVEL_UP_MOVE(54, MOVE_PHANTOMFORCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sBanetteLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_SCREECH),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE( 1, MOVE_SPITE),
	LEVEL_UP_MOVE( 4, MOVE_SCREECH),
	LEVEL_UP_MOVE( 7, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(10, MOVE_SPITE),
	LEVEL_UP_MOVE(13, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(16, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(19, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_HEX),
	LEVEL_UP_MOVE(26, MOVE_CURSE),
	LEVEL_UP_MOVE(30, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(34, MOVE_EMBARGO),
	LEVEL_UP_MOVE(40, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(46, MOVE_SNATCH),
	LEVEL_UP_MOVE(52, MOVE_GRUDGE),
	LEVEL_UP_MOVE(58, MOVE_TRICK),
	LEVEL_UP_MOVE(64, MOVE_PHANTOMFORCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSeviperLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 1, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 4, MOVE_BITE),
	LEVEL_UP_MOVE( 6, MOVE_LICK),
	LEVEL_UP_MOVE( 9, MOVE_POISONTAIL),
	LEVEL_UP_MOVE(11, MOVE_FEINT),
	LEVEL_UP_MOVE(14, MOVE_SCREECH),
	LEVEL_UP_MOVE(16, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(19, MOVE_GLARE),
	LEVEL_UP_MOVE(21, MOVE_POISONFANG),
	LEVEL_UP_MOVE(24, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(26, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(29, MOVE_GASTROACID),
	LEVEL_UP_MOVE(31, MOVE_POISONJAB),
	LEVEL_UP_MOVE(34, MOVE_HAZE),
	LEVEL_UP_MOVE(36, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(39, MOVE_CRUNCH),
	LEVEL_UP_MOVE(41, MOVE_BELCH),
	LEVEL_UP_MOVE(44, MOVE_COIL),
	LEVEL_UP_MOVE(46, MOVE_WRINGOUT),
	LEVEL_UP_END
};

static const struct LevelUpMove sZangooseLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 8, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(12, MOVE_PURSUIT),
	LEVEL_UP_MOVE(15, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(19, MOVE_SLASH),
	LEVEL_UP_MOVE(22, MOVE_REVENGE),
	LEVEL_UP_MOVE(26, MOVE_CRUSHCLAW),
	LEVEL_UP_MOVE(29, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(33, MOVE_EMBARGO),
	LEVEL_UP_MOVE(36, MOVE_DETECT),
	LEVEL_UP_MOVE(40, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(43, MOVE_TAUNT),
	LEVEL_UP_MOVE(47, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(50, MOVE_CLOSECOMBAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sRelicanthLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FLAIL),
	LEVEL_UP_MOVE( 1, MOVE_HEADSMASH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 6, MOVE_MUDSPORT),
	LEVEL_UP_MOVE(10, MOVE_WATERGUN),
	LEVEL_UP_MOVE(15, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(21, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(26, MOVE_DIVE),
	LEVEL_UP_MOVE(31, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(35, MOVE_YAWN),
	LEVEL_UP_MOVE(41, MOVE_REST),
	LEVEL_UP_MOVE(46, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(50, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(56, MOVE_HEADSMASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sAronLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 4, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 7, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(10, MOVE_METALCLAW),
	LEVEL_UP_MOVE(13, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(16, MOVE_PROTECT),
	LEVEL_UP_MOVE(19, MOVE_ROAR),
	LEVEL_UP_MOVE(22, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(25, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(28, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(31, MOVE_METALSOUND),
	LEVEL_UP_MOVE(34, MOVE_IRONTAIL),
	LEVEL_UP_MOVE(37, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(40, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(43, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(46, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE(49, MOVE_METALBURST),
	LEVEL_UP_END
};

static const struct LevelUpMove sLaironLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 4, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 7, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(10, MOVE_METALCLAW),
	LEVEL_UP_MOVE(13, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(16, MOVE_PROTECT),
	LEVEL_UP_MOVE(19, MOVE_ROAR),
	LEVEL_UP_MOVE(22, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(25, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(28, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(31, MOVE_METALSOUND),
	LEVEL_UP_MOVE(35, MOVE_IRONTAIL),
	LEVEL_UP_MOVE(39, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(43, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(47, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(51, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE(55, MOVE_METALBURST),
	LEVEL_UP_END
};

static const struct LevelUpMove sAggronLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(10, MOVE_METALCLAW),
	LEVEL_UP_MOVE(13, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(16, MOVE_PROTECT),
	LEVEL_UP_MOVE(19, MOVE_ROAR),
	LEVEL_UP_MOVE(22, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(25, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(28, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(31, MOVE_METALSOUND),
	LEVEL_UP_MOVE(35, MOVE_IRONTAIL),
	LEVEL_UP_MOVE(39, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(45, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(51, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(57, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE(63, MOVE_METALBURST),
	LEVEL_UP_END
};

static const struct LevelUpMove sCastformLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE(10, MOVE_WATERGUN),
	LEVEL_UP_MOVE(10, MOVE_EMBER),
	LEVEL_UP_MOVE(10, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE(15, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(20, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(20, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(20, MOVE_HAIL),
	LEVEL_UP_MOVE(25, MOVE_WEATHERBALL),
	LEVEL_UP_MOVE(35, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(35, MOVE_FIREBLAST),
	LEVEL_UP_MOVE(35, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(45, MOVE_HURRICANE),
	LEVEL_UP_END
};

static const struct LevelUpMove sVolbeatLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FLASH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE( 8, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(12, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(15, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE(19, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE(22, MOVE_TAILGLOW),
	LEVEL_UP_MOVE(26, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(29, MOVE_PROTECT),
	LEVEL_UP_MOVE(33, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(36, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(40, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(43, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(47, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(50, MOVE_INFESTATION),
	LEVEL_UP_END
};

static const struct LevelUpMove sIllumiseLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 9, MOVE_CHARM),
	LEVEL_UP_MOVE(12, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(15, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE(19, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE(22, MOVE_WISH),
	LEVEL_UP_MOVE(26, MOVE_ENCORE),
	LEVEL_UP_MOVE(29, MOVE_FLATTER),
	LEVEL_UP_MOVE(33, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(36, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(40, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(43, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(47, MOVE_COVET),
	LEVEL_UP_MOVE(50, MOVE_INFESTATION),
	LEVEL_UP_END
};

static const struct LevelUpMove sLileepLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 5, MOVE_ACID),
	LEVEL_UP_MOVE( 9, MOVE_INGRAIN),
	LEVEL_UP_MOVE(13, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(17, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(21, MOVE_BRINE),
	LEVEL_UP_MOVE(26, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(31, MOVE_GASTROACID),
	LEVEL_UP_MOVE(36, MOVE_AMNESIA),
	LEVEL_UP_MOVE(41, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(46, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(46, MOVE_SPITUP),
	LEVEL_UP_MOVE(46, MOVE_SWALLOW),
	LEVEL_UP_MOVE(52, MOVE_WRINGOUT),
	LEVEL_UP_END
};

static const struct LevelUpMove sCradilyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WRINGOUT),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 1, MOVE_ACID),
	LEVEL_UP_MOVE( 1, MOVE_INGRAIN),
	LEVEL_UP_MOVE( 5, MOVE_ACID),
	LEVEL_UP_MOVE( 9, MOVE_INGRAIN),
	LEVEL_UP_MOVE(13, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(17, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(21, MOVE_BRINE),
	LEVEL_UP_MOVE(26, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(31, MOVE_GASTROACID),
	LEVEL_UP_MOVE(36, MOVE_AMNESIA),
	LEVEL_UP_MOVE(44, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(52, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(52, MOVE_SPITUP),
	LEVEL_UP_MOVE(52, MOVE_SWALLOW),
	LEVEL_UP_MOVE(61, MOVE_WRINGOUT),
	LEVEL_UP_END
};

static const struct LevelUpMove sAnorithLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 4, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE(10, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(13, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(17, MOVE_METALCLAW),
	LEVEL_UP_MOVE(21, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(25, MOVE_BUGBITE),
	LEVEL_UP_MOVE(29, MOVE_BRINE),
	LEVEL_UP_MOVE(34, MOVE_SLASH),
	LEVEL_UP_MOVE(39, MOVE_CRUSHCLAW),
	LEVEL_UP_MOVE(44, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(49, MOVE_PROTECT),
	LEVEL_UP_MOVE(55, MOVE_ROCKBLAST),
	LEVEL_UP_END
};

static const struct LevelUpMove sArmaldoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 4, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE(10, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(13, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(17, MOVE_METALCLAW),
	LEVEL_UP_MOVE(21, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(25, MOVE_BUGBITE),
	LEVEL_UP_MOVE(29, MOVE_BRINE),
	LEVEL_UP_MOVE(34, MOVE_SLASH),
	LEVEL_UP_MOVE(39, MOVE_CRUSHCLAW),
	LEVEL_UP_MOVE(46, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(53, MOVE_PROTECT),
	LEVEL_UP_MOVE(61, MOVE_ROCKBLAST),
	LEVEL_UP_END
};

static const struct LevelUpMove sRaltsLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 4, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 6, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE( 9, MOVE_TELEPORT),
	LEVEL_UP_MOVE(11, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(14, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(17, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(19, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(22, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(24, MOVE_CALMMIND),
	LEVEL_UP_MOVE(27, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(29, MOVE_IMPRISON),
	LEVEL_UP_MOVE(32, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(34, MOVE_CHARM),
	LEVEL_UP_MOVE(37, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(39, MOVE_DREAMEATER),
	LEVEL_UP_MOVE(42, MOVE_STOREDPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sKirliaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_MOVE( 4, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 6, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE( 9, MOVE_TELEPORT),
	LEVEL_UP_MOVE(11, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(14, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(17, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(19, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(23, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(26, MOVE_CALMMIND),
	LEVEL_UP_MOVE(30, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(33, MOVE_IMPRISON),
	LEVEL_UP_MOVE(37, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(40, MOVE_CHARM),
	LEVEL_UP_MOVE(44, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(47, MOVE_DREAMEATER),
	LEVEL_UP_MOVE(51, MOVE_STOREDPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sGardevoirLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE( 1, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE( 1, MOVE_MOONBLAST),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE( 9, MOVE_TELEPORT),
	LEVEL_UP_MOVE(11, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(14, MOVE_WISH),
	LEVEL_UP_MOVE(17, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(19, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(23, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(26, MOVE_CALMMIND),
	LEVEL_UP_MOVE(31, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(35, MOVE_IMPRISON),
	LEVEL_UP_MOVE(40, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(44, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(49, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(53, MOVE_DREAMEATER),
	LEVEL_UP_MOVE(58, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE(62, MOVE_MOONBLAST),
	LEVEL_UP_END
};

static const struct LevelUpMove sBagonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_RAGE),
	LEVEL_UP_MOVE( 4, MOVE_EMBER),
	LEVEL_UP_MOVE( 7, MOVE_LEER),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(17, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(21, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(25, MOVE_CRUNCH),
	LEVEL_UP_MOVE(29, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(34, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(39, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(44, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(49, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sShelgonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_RAGE),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 4, MOVE_EMBER),
	LEVEL_UP_MOVE( 7, MOVE_LEER),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(17, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(21, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(25, MOVE_CRUNCH),
	LEVEL_UP_MOVE(29, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(35, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(42, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(49, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(56, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSalamenceLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_FLY),
	LEVEL_UP_MOVE( 1, MOVE_FLY),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE( 1, MOVE_DRACOMETEOR),
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 4, MOVE_EMBER),
	LEVEL_UP_MOVE( 7, MOVE_LEER),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(17, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(21, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(25, MOVE_CRUNCH),
	LEVEL_UP_MOVE(29, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(35, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(42, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(49, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(63, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sBeldumLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TAKEDOWN),
	LEVEL_UP_END
};

static const struct LevelUpMove sMetangLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 0, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(23, MOVE_PURSUIT),
	LEVEL_UP_MOVE(26, MOVE_BULLETPUNCH),
	LEVEL_UP_MOVE(29, MOVE_MIRACLEEYE),
	LEVEL_UP_MOVE(32, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(35, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(38, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(41, MOVE_AGILITY),
	LEVEL_UP_MOVE(44, MOVE_METEORMASH),
	LEVEL_UP_MOVE(47, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(50, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sMetagrossLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_EXPANDINGFORCE),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(23, MOVE_PURSUIT),
	LEVEL_UP_MOVE(26, MOVE_BULLETPUNCH),
	LEVEL_UP_MOVE(29, MOVE_MIRACLEEYE),
	LEVEL_UP_MOVE(32, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(35, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(38, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(41, MOVE_AGILITY),
	LEVEL_UP_MOVE(44, MOVE_METEORMASH),
	LEVEL_UP_MOVE(52, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(60, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sRegirockLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_EXPLOSION),
	LEVEL_UP_MOVE( 1, MOVE_STOMP),
	LEVEL_UP_MOVE( 1, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 1, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE( 1, MOVE_BULLDOZE),
	LEVEL_UP_MOVE( 7, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(13, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE(19, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(25, MOVE_CURSE),
	LEVEL_UP_MOVE(31, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(37, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(43, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(49, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(55, MOVE_LOCKON),
	LEVEL_UP_MOVE(55, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(61, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(67, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sRegiceLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_EXPLOSION),
	LEVEL_UP_MOVE( 1, MOVE_STOMP),
	LEVEL_UP_MOVE( 1, MOVE_ICYWIND),
	LEVEL_UP_MOVE( 1, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE( 1, MOVE_BULLDOZE),
	LEVEL_UP_MOVE( 7, MOVE_ICYWIND),
	LEVEL_UP_MOVE(13, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE(19, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(25, MOVE_CURSE),
	LEVEL_UP_MOVE(31, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(37, MOVE_AMNESIA),
	LEVEL_UP_MOVE(43, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(49, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(55, MOVE_LOCKON),
	LEVEL_UP_MOVE(55, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(61, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(67, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sRegisteelLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_EXPLOSION),
	LEVEL_UP_MOVE( 1, MOVE_STOMP),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 1, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE( 1, MOVE_BULLDOZE),
	LEVEL_UP_MOVE( 7, MOVE_METALCLAW),
	LEVEL_UP_MOVE(13, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE(19, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(25, MOVE_CURSE),
	LEVEL_UP_MOVE(31, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(37, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(37, MOVE_AMNESIA),
	LEVEL_UP_MOVE(43, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(43, MOVE_FLASHCANNON),
	LEVEL_UP_MOVE(49, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(55, MOVE_LOCKON),
	LEVEL_UP_MOVE(55, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(61, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(67, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sKyogreLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE( 1, MOVE_WATERPULSE),
	LEVEL_UP_MOVE( 5, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(15, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(20, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(30, MOVE_AQUARING),
	LEVEL_UP_MOVE(35, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(45, MOVE_ORIGINPULSE),
	LEVEL_UP_MOVE(50, MOVE_CALMMIND),
	LEVEL_UP_MOVE(60, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(65, MOVE_SHEERCOLD),
	LEVEL_UP_MOVE(75, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(80, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(90, MOVE_WATERSPOUT),
	LEVEL_UP_END
};

static const struct LevelUpMove sGroudonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_HEATCRASH),
	LEVEL_UP_MOVE( 1, MOVE_SCORCHINGSANDS),
	LEVEL_UP_MOVE( 1, MOVE_MUDSHOT),
	LEVEL_UP_MOVE( 5, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(15, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(20, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(30, MOVE_REST),
	LEVEL_UP_MOVE(35, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(45, MOVE_PRECIPICEBLADES),
	LEVEL_UP_MOVE(50, MOVE_BULKUP),
	LEVEL_UP_MOVE(60, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(65, MOVE_FISSURE),
	LEVEL_UP_MOVE(75, MOVE_FIREBLAST),
	LEVEL_UP_MOVE(80, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(90, MOVE_ERUPTION),
	LEVEL_UP_END
};

static const struct LevelUpMove sRayquazaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONASCENT),
	LEVEL_UP_MOVE( 1, MOVE_TWISTER),
	LEVEL_UP_MOVE( 5, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(15, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(20, MOVE_CRUNCH),
	LEVEL_UP_MOVE(30, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(35, MOVE_REST),
	LEVEL_UP_MOVE(45, MOVE_EXTREMESPEED),
	LEVEL_UP_MOVE(50, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(60, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(65, MOVE_FLY),
	LEVEL_UP_MOVE(75, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(80, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(90, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sLatiasLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_WISH),
	LEVEL_UP_MOVE( 1, MOVE_PSYWAVE),
	LEVEL_UP_MOVE( 1, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE( 4, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 7, MOVE_CHARM),
	LEVEL_UP_MOVE(10, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE(13, MOVE_REFRESH),
	LEVEL_UP_MOVE(16, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(20, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(24, MOVE_MISTBALL),
	LEVEL_UP_MOVE(28, MOVE_PSYCHOSHIFT),
	LEVEL_UP_MOVE(32, MOVE_RECOVER),
	LEVEL_UP_MOVE(36, MOVE_REFLECTTYPE),
	LEVEL_UP_MOVE(41, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(46, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(51, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(56, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(61, MOVE_HEALINGWISH),
	LEVEL_UP_END
};

static const struct LevelUpMove sLatiosLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MEMENTO),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE( 1, MOVE_PSYWAVE),
	LEVEL_UP_MOVE( 1, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE( 4, MOVE_PROTECT),
	LEVEL_UP_MOVE( 7, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(10, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE(13, MOVE_REFRESH),
	LEVEL_UP_MOVE(16, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(20, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(24, MOVE_LUSTERPURGE),
	LEVEL_UP_MOVE(28, MOVE_PSYCHOSHIFT),
	LEVEL_UP_MOVE(32, MOVE_RECOVER),
	LEVEL_UP_MOVE(36, MOVE_TELEKINESIS),
	LEVEL_UP_MOVE(41, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(46, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE(51, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(56, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(61, MOVE_MEMENTO),
	LEVEL_UP_END
};

static const struct LevelUpMove sJirachiLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WISH),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 5, MOVE_REST),
	LEVEL_UP_MOVE(10, MOVE_SWIFT),
	LEVEL_UP_MOVE(15, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(20, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(25, MOVE_REFRESH),
	LEVEL_UP_MOVE(30, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(35, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(40, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(45, MOVE_GRAVITY),
	LEVEL_UP_MOVE(50, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE(55, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(60, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE(65, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(70, MOVE_DOOMDESIRE),
	LEVEL_UP_END
};

static const struct LevelUpMove sDeoxysLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 7, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(13, MOVE_TELEPORT),
	LEVEL_UP_MOVE(19, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(25, MOVE_PURSUIT),
	LEVEL_UP_MOVE(31, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(37, MOVE_SNATCH),
	LEVEL_UP_MOVE(43, MOVE_PSYCHOSHIFT),
	LEVEL_UP_MOVE(49, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(55, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE(61, MOVE_RECOVER),
	LEVEL_UP_MOVE(67, MOVE_PSYCHOBOOST),
	LEVEL_UP_MOVE(73, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sChimechoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE( 1, MOVE_SYNCHRONOISE),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_YAWN),
	LEVEL_UP_MOVE(16, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(19, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(22, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(27, MOVE_HEALBELL),
	LEVEL_UP_MOVE(32, MOVE_UPROAR),
	LEVEL_UP_MOVE(37, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(42, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(47, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(52, MOVE_SYNCHRONOISE),
	LEVEL_UP_MOVE(57, MOVE_HEALINGWISH),
	LEVEL_UP_END
};

static const struct LevelUpMove sTurtwigLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 9, MOVE_ABSORB),
	LEVEL_UP_MOVE(13, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(17, MOVE_CURSE),
	LEVEL_UP_MOVE(21, MOVE_BITE),
	LEVEL_UP_MOVE(25, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(29, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(33, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(37, MOVE_CRUNCH),
	LEVEL_UP_MOVE(41, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(45, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sGrotleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 5, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 9, MOVE_ABSORB),
	LEVEL_UP_MOVE(13, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(17, MOVE_CURSE),
	LEVEL_UP_MOVE(22, MOVE_BITE),
	LEVEL_UP_MOVE(27, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(32, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(37, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(42, MOVE_CRUNCH),
	LEVEL_UP_MOVE(47, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(52, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sTorterraLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE( 1, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE( 1, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 5, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 9, MOVE_ABSORB),
	LEVEL_UP_MOVE(13, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(17, MOVE_CURSE),
	LEVEL_UP_MOVE(22, MOVE_BITE),
	LEVEL_UP_MOVE(27, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(33, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(39, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(45, MOVE_CRUNCH),
	LEVEL_UP_MOVE(51, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(57, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sChimcharLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_EMBER),
	LEVEL_UP_MOVE( 9, MOVE_TAUNT),
	LEVEL_UP_MOVE(15, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(17, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(23, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(25, MOVE_TORMENT),
	LEVEL_UP_MOVE(31, MOVE_FACADE),
	LEVEL_UP_MOVE(33, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(39, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(41, MOVE_SLACKOFF),
	LEVEL_UP_MOVE(47, MOVE_FLAMETHROWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sMonfernoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_MACHPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_MACHPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 7, MOVE_EMBER),
	LEVEL_UP_MOVE( 9, MOVE_TAUNT),
	LEVEL_UP_MOVE(16, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(19, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(26, MOVE_FEINT),
	LEVEL_UP_MOVE(29, MOVE_TORMENT),
	LEVEL_UP_MOVE(36, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(39, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(46, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(49, MOVE_SLACKOFF),
	LEVEL_UP_MOVE(56, MOVE_FLAREBLITZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sInfernapeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_MACHPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_TAUNT),
	LEVEL_UP_MOVE( 7, MOVE_EMBER),
	LEVEL_UP_MOVE( 9, MOVE_TAUNT),
	LEVEL_UP_MOVE(16, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(19, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(26, MOVE_FEINT),
	LEVEL_UP_MOVE(29, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(42, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(52, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(58, MOVE_CALMMIND),
	LEVEL_UP_MOVE(68, MOVE_FLAREBLITZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sPiplupLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_BUBBLE),
	LEVEL_UP_MOVE(11, MOVE_WATERSPORT),
	LEVEL_UP_MOVE(15, MOVE_PECK),
	LEVEL_UP_MOVE(18, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(22, MOVE_BIDE),
	LEVEL_UP_MOVE(25, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(29, MOVE_BRINE),
	LEVEL_UP_MOVE(32, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(36, MOVE_MIST),
	LEVEL_UP_MOVE(39, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(43, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sPrinplupLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_BUBBLE),
	LEVEL_UP_MOVE(11, MOVE_WATERSPORT),
	LEVEL_UP_MOVE(15, MOVE_PECK),
	LEVEL_UP_MOVE(19, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(24, MOVE_BIDE),
	LEVEL_UP_MOVE(28, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(33, MOVE_BRINE),
	LEVEL_UP_MOVE(37, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(42, MOVE_MIST),
	LEVEL_UP_MOVE(46, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(50, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sEmpoleonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_AQUAJET),
	LEVEL_UP_MOVE( 1, MOVE_AQUAJET),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_BUBBLE),
	LEVEL_UP_MOVE(11, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(15, MOVE_PECK),
	LEVEL_UP_MOVE(19, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(24, MOVE_SWAGGER),
	LEVEL_UP_MOVE(28, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(33, MOVE_BRINE),
	LEVEL_UP_MOVE(39, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(46, MOVE_MIST),
	LEVEL_UP_MOVE(52, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(59, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sStarlyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 9, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(13, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(17, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(21, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(25, MOVE_AERIALACE),
	LEVEL_UP_MOVE(29, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(33, MOVE_AGILITY),
	LEVEL_UP_MOVE(37, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(41, MOVE_FINALGAMBIT),
	LEVEL_UP_END
};

static const struct LevelUpMove sStaraviaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 5, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 9, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(13, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(18, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(23, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(28, MOVE_AERIALACE),
	LEVEL_UP_MOVE(33, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(38, MOVE_AGILITY),
	LEVEL_UP_MOVE(43, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(48, MOVE_FINALGAMBIT),
	LEVEL_UP_END
};

static const struct LevelUpMove sStaraptorLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_SKYATTACK),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_WINGATTACK),
	LEVEL_UP_MOVE( 5, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 9, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(13, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(18, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(23, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(28, MOVE_AERIALACE),
	LEVEL_UP_MOVE(33, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(41, MOVE_AGILITY),
	LEVEL_UP_MOVE(49, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(57, MOVE_FINALGAMBIT),
	LEVEL_UP_END
};

static const struct LevelUpMove sBidoofLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 9, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(13, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(17, MOVE_HYPERFANG),
	LEVEL_UP_MOVE(21, MOVE_YAWN),
	LEVEL_UP_MOVE(25, MOVE_CRUNCH),
	LEVEL_UP_MOVE(29, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(33, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(37, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(41, MOVE_AMNESIA),
	LEVEL_UP_MOVE(45, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(49, MOVE_CURSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sBibarelLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_AQUAJET),
	LEVEL_UP_MOVE( 1, MOVE_ROTOTILLER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 9, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(13, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(18, MOVE_HYPERFANG),
	LEVEL_UP_MOVE(23, MOVE_YAWN),
	LEVEL_UP_MOVE(28, MOVE_CRUNCH),
	LEVEL_UP_MOVE(33, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(38, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(43, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(48, MOVE_AMNESIA),
	LEVEL_UP_MOVE(53, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(58, MOVE_CURSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sKricketotLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 6, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE(16, MOVE_BUGBITE),
	LEVEL_UP_END
};

static const struct LevelUpMove sKricketuneLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE(14, MOVE_ABSORB),
	LEVEL_UP_MOVE(18, MOVE_SING),
	LEVEL_UP_MOVE(22, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(26, MOVE_SLASH),
	LEVEL_UP_MOVE(30, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(34, MOVE_SCREECH),
	LEVEL_UP_MOVE(36, MOVE_FELLSTINGER),
	LEVEL_UP_MOVE(38, MOVE_TAUNT),
	LEVEL_UP_MOVE(42, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(44, MOVE_STICKYWEB),
	LEVEL_UP_MOVE(46, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(50, MOVE_PERISHSONG),
	LEVEL_UP_END
};

static const struct LevelUpMove sShinxLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_LEER),
	LEVEL_UP_MOVE( 9, MOVE_CHARGE),
	LEVEL_UP_MOVE(11, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(13, MOVE_SPARK),
	LEVEL_UP_MOVE(17, MOVE_BITE),
	LEVEL_UP_MOVE(21, MOVE_ROAR),
	LEVEL_UP_MOVE(25, MOVE_SWAGGER),
	LEVEL_UP_MOVE(29, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE(33, MOVE_CRUNCH),
	LEVEL_UP_MOVE(37, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(41, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(45, MOVE_WILDCHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sLuxioLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_LEER),
	LEVEL_UP_MOVE( 9, MOVE_CHARGE),
	LEVEL_UP_MOVE(13, MOVE_SPARK),
	LEVEL_UP_MOVE(18, MOVE_BITE),
	LEVEL_UP_MOVE(23, MOVE_ROAR),
	LEVEL_UP_MOVE(28, MOVE_SWAGGER),
	LEVEL_UP_MOVE(33, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE(38, MOVE_CRUNCH),
	LEVEL_UP_MOVE(43, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(48, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(53, MOVE_WILDCHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sLuxrayLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 5, MOVE_LEER),
	LEVEL_UP_MOVE( 9, MOVE_CHARGE),
	LEVEL_UP_MOVE(13, MOVE_SPARK),
	LEVEL_UP_MOVE(18, MOVE_BITE),
	LEVEL_UP_MOVE(23, MOVE_ROAR),
	LEVEL_UP_MOVE(28, MOVE_SWAGGER),
	LEVEL_UP_MOVE(35, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE(42, MOVE_CRUNCH),
	LEVEL_UP_MOVE(49, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(56, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(63, MOVE_WILDCHARGE),
	LEVEL_UP_MOVE(67, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_END
};

static const struct LevelUpMove sBudewLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 4, MOVE_GROWTH),
	LEVEL_UP_MOVE( 7, MOVE_WATERSPORT),
	LEVEL_UP_MOVE(10, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(13, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(16, MOVE_WORRYSEED),
	LEVEL_UP_END
};

static const struct LevelUpMove sRoseradeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GRASSYGLIDE),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE( 1, MOVE_POWERWHIP),
	LEVEL_UP_MOVE( 1, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 1, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 1, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE( 1, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE( 1, MOVE_PETALDANCE),
	LEVEL_UP_MOVE( 1, MOVE_STUNSPORE),
	LEVEL_UP_MOVE( 1, MOVE_INGRAIN),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_WEATHERBALL),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 1, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE( 1, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE( 1, MOVE_SWEETSCENT),
	LEVEL_UP_END
};

static const struct LevelUpMove sCranidosLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 6, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(10, MOVE_PURSUIT),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(19, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(24, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(28, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(33, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(37, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(42, MOVE_SCREECH),
	LEVEL_UP_MOVE(46, MOVE_HEADSMASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sRampardosLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE( 1, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 6, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(10, MOVE_PURSUIT),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(19, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(24, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(28, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(36, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(43, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(51, MOVE_SCREECH),
	LEVEL_UP_MOVE(58, MOVE_HEADSMASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sShieldonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 6, MOVE_TAUNT),
	LEVEL_UP_MOVE(10, MOVE_METALSOUND),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(19, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(24, MOVE_SWAGGER),
	LEVEL_UP_MOVE(28, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(33, MOVE_ENDURE),
	LEVEL_UP_MOVE(37, MOVE_METALBURST),
	LEVEL_UP_MOVE(42, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(46, MOVE_HEAVYSLAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sBastiodonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_BLOCK),
	LEVEL_UP_MOVE( 1, MOVE_BLOCK),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_TAUNT),
	LEVEL_UP_MOVE( 1, MOVE_METALSOUND),
	LEVEL_UP_MOVE( 6, MOVE_TAUNT),
	LEVEL_UP_MOVE(10, MOVE_METALSOUND),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(19, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(24, MOVE_SWAGGER),
	LEVEL_UP_MOVE(28, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(36, MOVE_ENDURE),
	LEVEL_UP_MOVE(43, MOVE_METALBURST),
	LEVEL_UP_MOVE(51, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(58, MOVE_HEAVYSLAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sBurmyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE(10, MOVE_TACKLE),
	LEVEL_UP_MOVE(15, MOVE_BUGBITE),
	LEVEL_UP_MOVE(20, MOVE_HIDDENPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sWormadamLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_BUGBITE),
	LEVEL_UP_MOVE(10, MOVE_PROTECT),
	LEVEL_UP_MOVE(15, MOVE_BUGBITE),
	LEVEL_UP_MOVE(20, MOVE_HIDDENPOWER),
	LEVEL_UP_MOVE(23, MOVE_CONFUSION),
	LEVEL_UP_MOVE(26, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(29, MOVE_GROWTH),
	LEVEL_UP_MOVE(32, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(35, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(38, MOVE_FLAIL),
	LEVEL_UP_MOVE(41, MOVE_ATTRACT),
	LEVEL_UP_MOVE(44, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(47, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE(50, MOVE_BUGBUZZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sMothimLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_BUGBITE),
	LEVEL_UP_MOVE(10, MOVE_PROTECT),
	LEVEL_UP_MOVE(15, MOVE_BUGBITE),
	LEVEL_UP_MOVE(20, MOVE_HIDDENPOWER),
	LEVEL_UP_MOVE(23, MOVE_CONFUSION),
	LEVEL_UP_MOVE(26, MOVE_GUST),
	LEVEL_UP_MOVE(29, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(32, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(35, MOVE_CAMOUFLAGE),
	LEVEL_UP_MOVE(38, MOVE_SILVERWIND),
	LEVEL_UP_MOVE(41, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(44, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(47, MOVE_LUNGE),
	LEVEL_UP_MOVE(50, MOVE_BUGBUZZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sCombeeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE(13, MOVE_BUGBITE),
	LEVEL_UP_MOVE(29, MOVE_BUGBUZZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sVespiquenLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_FELLSTINGER),
	LEVEL_UP_MOVE( 1, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE( 1, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 5, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 9, MOVE_PURSUIT),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(17, MOVE_DEFENDORDER),
	LEVEL_UP_MOVE(25, MOVE_POWERGEM),
	LEVEL_UP_MOVE(29, MOVE_HEALORDER),
	LEVEL_UP_MOVE(33, MOVE_TOXIC),
	LEVEL_UP_MOVE(37, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(41, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(45, MOVE_ATTACKORDER),
	LEVEL_UP_MOVE(49, MOVE_SWAGGER),
	LEVEL_UP_MOVE(53, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE(57, MOVE_FELLSTINGER),
	LEVEL_UP_END
};

static const struct LevelUpMove sPachirisuLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 5, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 9, MOVE_CHARM),
	LEVEL_UP_MOVE(13, MOVE_SPARK),
	LEVEL_UP_MOVE(17, MOVE_ENDURE),
	LEVEL_UP_MOVE(19, MOVE_NUZZLE),
	LEVEL_UP_MOVE(21, MOVE_SWIFT),
	LEVEL_UP_MOVE(25, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(29, MOVE_SWEETKISS),
	LEVEL_UP_MOVE(33, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(37, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(41, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(45, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(49, MOVE_HYPERFANG),
	LEVEL_UP_END
};

static const struct LevelUpMove sBuizelLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SONICBOOM),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_WATERSPORT),
	LEVEL_UP_MOVE(11, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(15, MOVE_WATERGUN),
	LEVEL_UP_MOVE(18, MOVE_PURSUIT),
	LEVEL_UP_MOVE(21, MOVE_SWIFT),
	LEVEL_UP_MOVE(24, MOVE_AQUAJET),
	LEVEL_UP_MOVE(27, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(31, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(35, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(38, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(41, MOVE_AGILITY),
	LEVEL_UP_MOVE(45, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sFloatzelLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_SONICBOOM),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_WATERSPORT),
	LEVEL_UP_MOVE(11, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(15, MOVE_WATERGUN),
	LEVEL_UP_MOVE(18, MOVE_PURSUIT),
	LEVEL_UP_MOVE(21, MOVE_SWIFT),
	LEVEL_UP_MOVE(24, MOVE_AQUAJET),
	LEVEL_UP_MOVE(29, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(35, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(41, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(46, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(51, MOVE_AGILITY),
	LEVEL_UP_MOVE(57, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sCherubiLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MORNINGSUN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 7, MOVE_GROWTH),
	LEVEL_UP_MOVE(10, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(13, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(19, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(22, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(28, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(31, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(37, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(40, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(47, MOVE_PETALBLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sCherrimLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_PETALDANCE),
	LEVEL_UP_MOVE( 1, MOVE_PETALDANCE),
	LEVEL_UP_MOVE( 1, MOVE_MORNINGSUN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 1, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 7, MOVE_GROWTH),
	LEVEL_UP_MOVE(10, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(13, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(19, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(22, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(30, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(35, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(43, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(48, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(50, MOVE_PETALBLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sShellosLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 2, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 4, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(11, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(16, MOVE_HIDDENPOWER),
	LEVEL_UP_MOVE(22, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(29, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(37, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(46, MOVE_RECOVER),
	LEVEL_UP_END
};

static const struct LevelUpMove sGastrodonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_WATERPULSE),
	LEVEL_UP_MOVE( 2, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 4, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(11, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(16, MOVE_HIDDENPOWER),
	LEVEL_UP_MOVE(22, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(29, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(41, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(54, MOVE_RECOVER),
	LEVEL_UP_END
};

static const struct LevelUpMove sAmbipomLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_TAILSLAP),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_DUALCHOP),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 4, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 8, MOVE_ASTONISH),
	LEVEL_UP_MOVE(11, MOVE_BATONPASS),
	LEVEL_UP_MOVE(15, MOVE_TICKLE),
	LEVEL_UP_MOVE(18, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(22, MOVE_SWIFT),
	LEVEL_UP_MOVE(25, MOVE_SCREECH),
	LEVEL_UP_MOVE(29, MOVE_AGILITY),
	LEVEL_UP_MOVE(32, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(36, MOVE_FLING),
	LEVEL_UP_MOVE(39, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(43, MOVE_LASTRESORT),
	LEVEL_UP_END
};

static const struct LevelUpMove sDrifloonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 1, MOVE_MINIMIZE),
	LEVEL_UP_MOVE( 4, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 8, MOVE_GUST),
	LEVEL_UP_MOVE(13, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(16, MOVE_PAYBACK),
	LEVEL_UP_MOVE(20, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(25, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(27, MOVE_HEX),
	LEVEL_UP_MOVE(32, MOVE_SWALLOW),
	LEVEL_UP_MOVE(32, MOVE_SPITUP),
	LEVEL_UP_MOVE(36, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(40, MOVE_AMNESIA),
	LEVEL_UP_MOVE(44, MOVE_BATONPASS),
	LEVEL_UP_MOVE(50, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sDrifblimLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 1, MOVE_MINIMIZE),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 4, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 8, MOVE_GUST),
	LEVEL_UP_MOVE(13, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(16, MOVE_PAYBACK),
	LEVEL_UP_MOVE(20, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(25, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(27, MOVE_HEX),
	LEVEL_UP_MOVE(34, MOVE_SWALLOW),
	LEVEL_UP_MOVE(34, MOVE_SPITUP),
	LEVEL_UP_MOVE(40, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(46, MOVE_AMNESIA),
	LEVEL_UP_MOVE(52, MOVE_BATONPASS),
	LEVEL_UP_MOVE(60, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(65, MOVE_PHANTOMFORCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sBunearyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FRUSTRATION),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_FORESIGHT),
	LEVEL_UP_MOVE( 6, MOVE_ENDURE),
	LEVEL_UP_MOVE(13, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(16, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(23, MOVE_JUMPKICK),
	LEVEL_UP_MOVE(26, MOVE_BATONPASS),
	LEVEL_UP_MOVE(33, MOVE_AGILITY),
	LEVEL_UP_MOVE(36, MOVE_DIZZYPUNCH),
	LEVEL_UP_MOVE(43, MOVE_AFTERYOU),
	LEVEL_UP_MOVE(46, MOVE_CHARM),
	LEVEL_UP_MOVE(50, MOVE_ENTRAINMENT),
	LEVEL_UP_MOVE(56, MOVE_BOUNCE),
	LEVEL_UP_MOVE(63, MOVE_HEALINGWISH),
	LEVEL_UP_END
};

static const struct LevelUpMove sLopunnyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_RETURN),
	LEVEL_UP_MOVE( 1, MOVE_RETURN),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE( 1, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_AURASPHERE),
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_ROTOTILLER),
	LEVEL_UP_MOVE( 1, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 6, MOVE_ENDURE),
	LEVEL_UP_MOVE(13, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(16, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(23, MOVE_JUMPKICK),
	LEVEL_UP_MOVE(26, MOVE_BATONPASS),
	LEVEL_UP_MOVE(33, MOVE_AGILITY),
	LEVEL_UP_MOVE(36, MOVE_DIZZYPUNCH),
	LEVEL_UP_MOVE(43, MOVE_AFTERYOU),
	LEVEL_UP_MOVE(46, MOVE_CHARM),
	LEVEL_UP_MOVE(53, MOVE_ENTRAINMENT),
	LEVEL_UP_MOVE(56, MOVE_BOUNCE),
	LEVEL_UP_MOVE(63, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE(66, MOVE_HIGHJUMPKICK),
	LEVEL_UP_END
};

static const struct LevelUpMove sMismagiusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MEANLOOK),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_GRUDGE),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_POWERGEM),
	LEVEL_UP_MOVE( 1, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE( 1, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE( 1, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_PSYWAVE),
	LEVEL_UP_MOVE( 1, MOVE_SPITE),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_END
};

static const struct LevelUpMove sHonchkrowLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 1, MOVE_HAZE),
	LEVEL_UP_MOVE( 1, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(25, MOVE_SWAGGER),
	LEVEL_UP_MOVE(35, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(45, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(55, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(65, MOVE_QUASH),
	LEVEL_UP_MOVE(75, MOVE_DARKPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sGlameowLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 5, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 8, MOVE_GROWL),
	LEVEL_UP_MOVE(13, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(17, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(20, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(25, MOVE_CHARM),
	LEVEL_UP_MOVE(29, MOVE_ASSIST),
	LEVEL_UP_MOVE(32, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(37, MOVE_SLASH),
	LEVEL_UP_MOVE(41, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(44, MOVE_ATTRACT),
	LEVEL_UP_MOVE(48, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(50, MOVE_PLAYROUGH),
	LEVEL_UP_END
};

static const struct LevelUpMove sPuruglyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 1, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 8, MOVE_GROWL),
	LEVEL_UP_MOVE(13, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(17, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(20, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(25, MOVE_CHARM),
	LEVEL_UP_MOVE(29, MOVE_ASSIST),
	LEVEL_UP_MOVE(32, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(37, MOVE_SLASH),
	LEVEL_UP_MOVE(45, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(52, MOVE_ATTRACT),
	LEVEL_UP_MOVE(60, MOVE_HONECLAWS),
	LEVEL_UP_END
};

static const struct LevelUpMove sChinglingLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_YAWN),
	LEVEL_UP_MOVE(16, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(19, MOVE_ENTRAINMENT),
	LEVEL_UP_MOVE(32, MOVE_UPROAR),
	LEVEL_UP_END
};

static const struct LevelUpMove sStunkyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 3, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 7, MOVE_SCREECH),
	LEVEL_UP_MOVE( 9, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(13, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(15, MOVE_FEINT),
	LEVEL_UP_MOVE(19, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(21, MOVE_BITE),
	LEVEL_UP_MOVE(25, MOVE_SLASH),
	LEVEL_UP_MOVE(27, MOVE_TOXIC),
	LEVEL_UP_MOVE(31, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(33, MOVE_MEMENTO),
	LEVEL_UP_MOVE(37, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(39, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(43, MOVE_BELCH),
	LEVEL_UP_MOVE(45, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sSkuntankLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE( 1, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 1, MOVE_SCREECH),
	LEVEL_UP_MOVE( 3, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 7, MOVE_SCREECH),
	LEVEL_UP_MOVE( 9, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(13, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(15, MOVE_FEINT),
	LEVEL_UP_MOVE(19, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(21, MOVE_BITE),
	LEVEL_UP_MOVE(25, MOVE_SLASH),
	LEVEL_UP_MOVE(27, MOVE_TOXIC),
	LEVEL_UP_MOVE(31, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(33, MOVE_MEMENTO),
	LEVEL_UP_MOVE(37, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(39, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(43, MOVE_BELCH),
	LEVEL_UP_MOVE(45, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sBronzorLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 5, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 9, MOVE_IMPRISON),
	LEVEL_UP_MOVE(11, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(15, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(19, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(21, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(25, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(29, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(31, MOVE_METALSOUND),
	LEVEL_UP_MOVE(35, MOVE_GYROBALL),
	LEVEL_UP_MOVE(39, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(41, MOVE_PAYBACK),
	LEVEL_UP_MOVE(45, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(49, MOVE_HEAVYSLAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sBronzongLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_BLOCK),
	LEVEL_UP_MOVE( 1, MOVE_BLOCK),
	LEVEL_UP_MOVE( 1, MOVE_POWERSWAP),
	LEVEL_UP_MOVE( 1, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_SPEEDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE( 1, MOVE_WONDERROOM),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_EXPANDINGFORCE),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 1, MOVE_IMPRISON),
	LEVEL_UP_MOVE( 5, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 9, MOVE_IMPRISON),
	LEVEL_UP_MOVE(11, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(15, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(19, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(21, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(25, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(29, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(31, MOVE_METALSOUND),
	LEVEL_UP_MOVE(36, MOVE_GYROBALL),
	LEVEL_UP_MOVE(42, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(46, MOVE_PAYBACK),
	LEVEL_UP_MOVE(52, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(58, MOVE_HEAVYSLAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sBonslyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FAKETEARS),
	LEVEL_UP_MOVE( 1, MOVE_COPYCAT),
	LEVEL_UP_MOVE( 5, MOVE_FLAIL),
	LEVEL_UP_MOVE( 8, MOVE_LOWKICK),
	LEVEL_UP_MOVE(12, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(15, MOVE_MIMIC),
	LEVEL_UP_MOVE(19, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_TEARFULLOOK),
	LEVEL_UP_MOVE(26, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(29, MOVE_BLOCK),
	LEVEL_UP_MOVE(33, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(36, MOVE_COUNTER),
	LEVEL_UP_MOVE(40, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(43, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sMimeJrLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TICKLE),
	LEVEL_UP_MOVE( 1, MOVE_BARRIER),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 4, MOVE_COPYCAT),
	LEVEL_UP_MOVE( 8, MOVE_MEDITATE),
	LEVEL_UP_MOVE(11, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(15, MOVE_MIMIC),
	LEVEL_UP_MOVE(18, MOVE_ENCORE),
	LEVEL_UP_MOVE(22, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(22, MOVE_REFLECT),
	LEVEL_UP_MOVE(25, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(29, MOVE_SUBSTITUTE),
	LEVEL_UP_MOVE(32, MOVE_RECYCLE),
	LEVEL_UP_MOVE(36, MOVE_TRICK),
	LEVEL_UP_MOVE(39, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(43, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE(46, MOVE_BATONPASS),
	LEVEL_UP_MOVE(50, MOVE_SAFEGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sHappinyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 5, MOVE_COPYCAT),
	LEVEL_UP_MOVE( 9, MOVE_REFRESH),
	LEVEL_UP_MOVE(12, MOVE_SWEETKISS),
	LEVEL_UP_END
};

static const struct LevelUpMove sChatotLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_CHATTER),
	LEVEL_UP_MOVE( 1, MOVE_CONFIDE),
	LEVEL_UP_MOVE( 1, MOVE_TAUNT),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 5, MOVE_GROWL),
	LEVEL_UP_MOVE( 9, MOVE_MIRRORMOVE),
	LEVEL_UP_MOVE(13, MOVE_SING),
	LEVEL_UP_MOVE(17, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(21, MOVE_CHATTER),
	LEVEL_UP_MOVE(25, MOVE_TAUNT),
	LEVEL_UP_MOVE(29, MOVE_ROUND),
	LEVEL_UP_MOVE(33, MOVE_MIMIC),
	LEVEL_UP_MOVE(37, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE(41, MOVE_ROOST),
	LEVEL_UP_MOVE(45, MOVE_UPROAR),
	LEVEL_UP_MOVE(49, MOVE_SYNCHRONOISE),
	LEVEL_UP_MOVE(50, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(57, MOVE_HYPERVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSpiritombLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_WONDERROOM),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE( 1, MOVE_FOULPLAY),
	LEVEL_UP_MOVE( 1, MOVE_CURSE),
	LEVEL_UP_MOVE( 1, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 1, MOVE_SPITE),
	LEVEL_UP_MOVE( 1, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE( 7, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(13, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(19, MOVE_DREAMEATER),
	LEVEL_UP_MOVE(25, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(31, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(37, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(43, MOVE_MEMENTO),
	LEVEL_UP_MOVE(49, MOVE_DARKPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sGibleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 3, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(13, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(19, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(25, MOVE_SLASH),
	LEVEL_UP_MOVE(27, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(31, MOVE_DIG),
	LEVEL_UP_MOVE(37, MOVE_DRAGONRUSH),
	LEVEL_UP_END
};

static const struct LevelUpMove sGabiteLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DUALCHOP),
	LEVEL_UP_MOVE( 1, MOVE_DUALCHOP),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE( 3, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(13, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(19, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(28, MOVE_SLASH),
	LEVEL_UP_MOVE(33, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(40, MOVE_DIG),
	LEVEL_UP_MOVE(49, MOVE_DRAGONRUSH),
	LEVEL_UP_END
};

static const struct LevelUpMove sGarchompLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_DUALCHOP),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE( 1, MOVE_SANDSTORM),
	LEVEL_UP_MOVE( 3, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(13, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(19, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(28, MOVE_SLASH),
	LEVEL_UP_MOVE(33, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(40, MOVE_DIG),
	LEVEL_UP_MOVE(55, MOVE_DRAGONRUSH),
	LEVEL_UP_END
};

static const struct LevelUpMove sMunchlaxLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LASTRESORT),
	LEVEL_UP_MOVE( 1, MOVE_RECYCLE),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 1, MOVE_METRONOME),
	LEVEL_UP_MOVE( 1, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 9, MOVE_AMNESIA),
	LEVEL_UP_MOVE(12, MOVE_LICK),
	LEVEL_UP_MOVE(17, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(20, MOVE_SCREECH),
	LEVEL_UP_MOVE(25, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(28, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(33, MOVE_SWALLOW),
	LEVEL_UP_MOVE(36, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(41, MOVE_FLING),
	LEVEL_UP_MOVE(44, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE(49, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(50, MOVE_SNATCH),
	LEVEL_UP_MOVE(57, MOVE_LASTRESORT),
	LEVEL_UP_END
};

static const struct LevelUpMove sRioluLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FORESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_ENDURE),
	LEVEL_UP_MOVE( 6, MOVE_COUNTER),
	LEVEL_UP_MOVE(11, MOVE_FEINT),
	LEVEL_UP_MOVE(15, MOVE_FORCEPALM),
	LEVEL_UP_MOVE(19, MOVE_COPYCAT),
	LEVEL_UP_MOVE(24, MOVE_SCREECH),
	LEVEL_UP_MOVE(29, MOVE_REVERSAL),
	LEVEL_UP_MOVE(47, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(50, MOVE_FINALGAMBIT),
	LEVEL_UP_END
};

static const struct LevelUpMove sLucarioLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_AURASPHERE),
	LEVEL_UP_MOVE( 1, MOVE_AURASPHERE),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_LASERFOCUS),
	LEVEL_UP_MOVE( 1, MOVE_FORESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_DETECT),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 6, MOVE_COUNTER),
	LEVEL_UP_MOVE(11, MOVE_FEINT),
	LEVEL_UP_MOVE(15, MOVE_POWERUPPUNCH),
	LEVEL_UP_MOVE(19, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(24, MOVE_METALSOUND),
	LEVEL_UP_MOVE(29, MOVE_BONERUSH),
	LEVEL_UP_MOVE(33, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(37, MOVE_MEFIRST),
	LEVEL_UP_MOVE(42, MOVE_WORKUP),
	LEVEL_UP_MOVE(47, MOVE_CALMMIND),
	LEVEL_UP_MOVE(51, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(55, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(60, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(65, MOVE_EXTREMESPEED),
	LEVEL_UP_END
};

static const struct LevelUpMove sHippopotasLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_YAWN),
	LEVEL_UP_MOVE(19, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(19, MOVE_DIG),
	LEVEL_UP_MOVE(25, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(31, MOVE_CRUNCH),
	LEVEL_UP_MOVE(37, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(44, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(50, MOVE_FISSURE),
	LEVEL_UP_END
};

static const struct LevelUpMove sHippowdonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_AMNESIA),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_YAWN),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_YAWN),
	LEVEL_UP_MOVE(19, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(19, MOVE_DIG),
	LEVEL_UP_MOVE(25, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(31, MOVE_CRUNCH),
	LEVEL_UP_MOVE(40, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(50, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(60, MOVE_FISSURE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSkorupiLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 9, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(13, MOVE_ACUPRESSURE),
	LEVEL_UP_MOVE(16, MOVE_PURSUIT),
	LEVEL_UP_MOVE(20, MOVE_BUGBITE),
	LEVEL_UP_MOVE(23, MOVE_POISONFANG),
	LEVEL_UP_MOVE(27, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(30, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(34, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(38, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(41, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(45, MOVE_CRUNCH),
	LEVEL_UP_MOVE(47, MOVE_FELLSTINGER),
	LEVEL_UP_MOVE(49, MOVE_CROSSPOISON),
	LEVEL_UP_END
};

static const struct LevelUpMove sDrapionLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 5, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 9, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(13, MOVE_ACUPRESSURE),
	LEVEL_UP_MOVE(16, MOVE_PURSUIT),
	LEVEL_UP_MOVE(20, MOVE_BUGBITE),
	LEVEL_UP_MOVE(23, MOVE_POISONFANG),
	LEVEL_UP_MOVE(27, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(30, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(34, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(38, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(43, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(49, MOVE_CRUNCH),
	LEVEL_UP_MOVE(53, MOVE_FELLSTINGER),
	LEVEL_UP_MOVE(57, MOVE_CROSSPOISON),
	LEVEL_UP_END
};

static const struct LevelUpMove sCroagunkLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 3, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 8, MOVE_POISONSTING),
	LEVEL_UP_MOVE(10, MOVE_TAUNT),
	LEVEL_UP_MOVE(15, MOVE_PURSUIT),
	LEVEL_UP_MOVE(17, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_REVENGE),
	LEVEL_UP_MOVE(24, MOVE_SWAGGER),
	LEVEL_UP_MOVE(29, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(31, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(36, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(38, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(43, MOVE_POISONJAB),
	LEVEL_UP_MOVE(45, MOVE_SLUDGEBOMB),
	LEVEL_UP_MOVE(47, MOVE_BELCH),
	LEVEL_UP_MOVE(50, MOVE_FLATTER),
	LEVEL_UP_END
};

static const struct LevelUpMove sToxicroakLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 3, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 8, MOVE_POISONSTING),
	LEVEL_UP_MOVE(10, MOVE_TAUNT),
	LEVEL_UP_MOVE(15, MOVE_PURSUIT),
	LEVEL_UP_MOVE(17, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_REVENGE),
	LEVEL_UP_MOVE(24, MOVE_SWAGGER),
	LEVEL_UP_MOVE(29, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(31, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(36, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(41, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(49, MOVE_POISONJAB),
	LEVEL_UP_MOVE(54, MOVE_SLUDGEBOMB),
	LEVEL_UP_MOVE(58, MOVE_BELCH),
	LEVEL_UP_MOVE(62, MOVE_FLATTER),
	LEVEL_UP_END
};

static const struct LevelUpMove sCarnivineLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BIND),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(11, MOVE_VINEWHIP),
	LEVEL_UP_MOVE(17, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(21, MOVE_INGRAIN),
	LEVEL_UP_MOVE(27, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(31, MOVE_LEAFTORNADO),
	LEVEL_UP_MOVE(37, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(37, MOVE_SPITUP),
	LEVEL_UP_MOVE(37, MOVE_SWALLOW),
	LEVEL_UP_MOVE(41, MOVE_CRUNCH),
	LEVEL_UP_MOVE(47, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(50, MOVE_POWERWHIP),
	LEVEL_UP_END
};

static const struct LevelUpMove sFinneonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 6, MOVE_WATERGUN),
	LEVEL_UP_MOVE(10, MOVE_ATTRACT),
	LEVEL_UP_MOVE(13, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(17, MOVE_GUST),
	LEVEL_UP_MOVE(22, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(26, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(29, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(33, MOVE_AQUARING),
	LEVEL_UP_MOVE(38, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(42, MOVE_UTURN),
	LEVEL_UP_MOVE(45, MOVE_BOUNCE),
	LEVEL_UP_MOVE(49, MOVE_SILVERWIND),
	LEVEL_UP_MOVE(54, MOVE_SOAK),
	LEVEL_UP_END
};

static const struct LevelUpMove sLumineonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SOAK),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_ATTRACT),
	LEVEL_UP_MOVE( 6, MOVE_WATERGUN),
	LEVEL_UP_MOVE(10, MOVE_ATTRACT),
	LEVEL_UP_MOVE(13, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(17, MOVE_GUST),
	LEVEL_UP_MOVE(22, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(26, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(29, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(35, MOVE_AQUARING),
	LEVEL_UP_MOVE(42, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(48, MOVE_UTURN),
	LEVEL_UP_MOVE(53, MOVE_BOUNCE),
	LEVEL_UP_MOVE(59, MOVE_SILVERWIND),
	LEVEL_UP_MOVE(66, MOVE_SOAK),
	LEVEL_UP_END
};

static const struct LevelUpMove sMantykeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 3, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 7, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(11, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(14, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(16, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(19, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(23, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(27, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(32, MOVE_AGILITY),
	LEVEL_UP_MOVE(36, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(39, MOVE_AQUARING),
	LEVEL_UP_MOVE(46, MOVE_BOUNCE),
	LEVEL_UP_MOVE(49, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sSnoverLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 9, MOVE_ICYWIND),
	LEVEL_UP_MOVE(13, MOVE_GRASSWHISTLE),
	LEVEL_UP_MOVE(17, MOVE_SWAGGER),
	LEVEL_UP_MOVE(21, MOVE_MIST),
	LEVEL_UP_MOVE(26, MOVE_ICESHARD),
	LEVEL_UP_MOVE(31, MOVE_INGRAIN),
	LEVEL_UP_MOVE(36, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE(41, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(46, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sAbomasnowLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_AURORAVEIL),
	LEVEL_UP_MOVE( 1, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 1, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYGLIDE),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 1, MOVE_ICYWIND),
	LEVEL_UP_MOVE( 5, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 9, MOVE_ICYWIND),
	LEVEL_UP_MOVE(13, MOVE_GRASSWHISTLE),
	LEVEL_UP_MOVE(17, MOVE_SWAGGER),
	LEVEL_UP_MOVE(21, MOVE_MIST),
	LEVEL_UP_MOVE(26, MOVE_ICESHARD),
	LEVEL_UP_MOVE(31, MOVE_INGRAIN),
	LEVEL_UP_MOVE(36, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE(47, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(58, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sWeavileLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_EMBARGO),
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_ASSURANCE),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_TAUNT),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 8, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(10, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(14, MOVE_ICYWIND),
	LEVEL_UP_MOVE(16, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(20, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(22, MOVE_METALCLAW),
	LEVEL_UP_MOVE(25, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(28, MOVE_FLING),
	LEVEL_UP_MOVE(32, MOVE_SCREECH),
	LEVEL_UP_MOVE(35, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(40, MOVE_SNATCH),
	LEVEL_UP_MOVE(44, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(47, MOVE_DARKPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sMagnezoneLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_TRIATTACK),
	LEVEL_UP_MOVE( 1, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETICFLUX),
	LEVEL_UP_MOVE( 1, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 5, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 7, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(11, MOVE_MAGNETBOMB),
	LEVEL_UP_MOVE(13, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(17, MOVE_SONICBOOM),
	LEVEL_UP_MOVE(19, MOVE_SPARK),
	LEVEL_UP_MOVE(23, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(25, MOVE_METALSOUND),
	LEVEL_UP_MOVE(29, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(33, MOVE_FLASHCANNON),
	LEVEL_UP_MOVE(39, MOVE_SCREECH),
	LEVEL_UP_MOVE(43, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(49, MOVE_LOCKON),
	LEVEL_UP_MOVE(53, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE(59, MOVE_GYROBALL),
	LEVEL_UP_MOVE(63, MOVE_ZAPCANNON),
	LEVEL_UP_END
};

static const struct LevelUpMove sLickilickyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_AMNESIA),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_WRINGOUT),
	LEVEL_UP_MOVE( 1, MOVE_POWERWHIP),
	LEVEL_UP_MOVE( 9, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE(13, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(17, MOVE_WRAP),
	LEVEL_UP_MOVE(21, MOVE_STOMP),
	LEVEL_UP_MOVE(25, MOVE_DISABLE),
	LEVEL_UP_MOVE(29, MOVE_SLAM),
	LEVEL_UP_MOVE(33, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(37, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(41, MOVE_MEFIRST),
	LEVEL_UP_MOVE(45, MOVE_REFRESH),
	LEVEL_UP_MOVE(49, MOVE_SCREECH),
	LEVEL_UP_MOVE(53, MOVE_POWERWHIP),
	LEVEL_UP_MOVE(57, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(61, MOVE_GYROBALL),
	LEVEL_UP_END
};

static const struct LevelUpMove sRhyperiorLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_HEATCRASH),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_ROCKWRECKER),
	LEVEL_UP_MOVE( 1, MOVE_HORNDRILL),
	LEVEL_UP_MOVE( 1, MOVE_POISONJAB),
	LEVEL_UP_MOVE( 1, MOVE_FURYATTACK),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 5, MOVE_FURYATTACK),
	LEVEL_UP_MOVE( 9, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(13, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(17, MOVE_STOMP),
	LEVEL_UP_MOVE(21, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(25, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(29, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(33, MOVE_DRILLRUN),
	LEVEL_UP_MOVE(37, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(41, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(48, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(55, MOVE_MEGAHORN),
	LEVEL_UP_MOVE(62, MOVE_HORNDRILL),
	LEVEL_UP_MOVE(69, MOVE_ROCKWRECKER),
	LEVEL_UP_END
};

static const struct LevelUpMove sTangrowthLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYGLIDE),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 1, MOVE_BLOCK),
	LEVEL_UP_MOVE( 1, MOVE_INGRAIN),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 4, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE( 7, MOVE_VINEWHIP),
	LEVEL_UP_MOVE(10, MOVE_ABSORB),
	LEVEL_UP_MOVE(14, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(17, MOVE_BIND),
	LEVEL_UP_MOVE(20, MOVE_GROWTH),
	LEVEL_UP_MOVE(23, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(27, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(30, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(33, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(36, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(40, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(43, MOVE_SLAM),
	LEVEL_UP_MOVE(46, MOVE_TICKLE),
	LEVEL_UP_MOVE(49, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(50, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE(53, MOVE_POWERWHIP),
	LEVEL_UP_MOVE(56, MOVE_BLOCK),
	LEVEL_UP_END
};

static const struct LevelUpMove sElectivireLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_IONDELUGE),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_DUALCHOP),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_DARKESTLARIAT),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_LOWKICK),
	LEVEL_UP_MOVE( 5, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 8, MOVE_LOWKICK),
	LEVEL_UP_MOVE(12, MOVE_SWIFT),
	LEVEL_UP_MOVE(15, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(19, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(22, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(26, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(29, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE(36, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(42, MOVE_SCREECH),
	LEVEL_UP_MOVE(49, MOVE_THUNDERBOLT),
	LEVEL_UP_MOVE(55, MOVE_THUNDER),
	LEVEL_UP_MOVE(62, MOVE_GIGAIMPACT),
	LEVEL_UP_MOVE(65, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_END
};

static const struct LevelUpMove sMagmortarLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE( 1, MOVE_SCORCHINGSANDS),
	LEVEL_UP_MOVE( 1, MOVE_DUALCHOP),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_SMOG),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 5, MOVE_EMBER),
	LEVEL_UP_MOVE( 8, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(12, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(15, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(19, MOVE_CLEARSMOG),
	LEVEL_UP_MOVE(22, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(26, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(29, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE(36, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(42, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(49, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(55, MOVE_FIREBLAST),
	LEVEL_UP_MOVE(62, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sTogekissLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 1, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_LIFEDEW),
	LEVEL_UP_MOVE( 1, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE( 1, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_AMNESIA),
	LEVEL_UP_MOVE( 1, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE( 1, MOVE_TWISTER),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_SKYATTACK),
	LEVEL_UP_MOVE( 1, MOVE_AURASPHERE),
	LEVEL_UP_MOVE( 1, MOVE_EXTREMESPEED),
	LEVEL_UP_END
};

static const struct LevelUpMove sYanmegaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_BUGBITE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_FORESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE( 6, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(11, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(14, MOVE_SONICBOOM),
	LEVEL_UP_MOVE(17, MOVE_DETECT),
	LEVEL_UP_MOVE(22, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(27, MOVE_UPROAR),
	LEVEL_UP_MOVE(30, MOVE_PURSUIT),
	LEVEL_UP_MOVE(33, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(38, MOVE_FEINT),
	LEVEL_UP_MOVE(43, MOVE_SLASH),
	LEVEL_UP_MOVE(46, MOVE_SCREECH),
	LEVEL_UP_MOVE(49, MOVE_UTURN),
	LEVEL_UP_MOVE(54, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(57, MOVE_BUGBUZZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sLeafeonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYGLIDE),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(17, MOVE_GRASSWHISTLE),
	LEVEL_UP_MOVE(20, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(25, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(29, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(33, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(37, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(41, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(45, MOVE_LEAFBLADE),
	LEVEL_UP_END
};

static const struct LevelUpMove sGlaceonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ICYWIND),
	LEVEL_UP_MOVE( 1, MOVE_ICYWIND),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 1, MOVE_WEATHERBALL),
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(17, MOVE_BITE),
	LEVEL_UP_MOVE(20, MOVE_ICEFANG),
	LEVEL_UP_MOVE(25, MOVE_ICESHARD),
	LEVEL_UP_MOVE(29, MOVE_BARRIER),
	LEVEL_UP_MOVE(33, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE(37, MOVE_HAIL),
	LEVEL_UP_MOVE(41, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(45, MOVE_BLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sGliscorLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GUILLOTINE),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_SKYATTACK),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_POISONJAB),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 4, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_HARDEN),
	LEVEL_UP_MOVE(10, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(16, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(19, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(27, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(30, MOVE_UTURN),
	LEVEL_UP_MOVE(35, MOVE_SCREECH),
	LEVEL_UP_MOVE(40, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(45, MOVE_SKYUPPERCUT),
	LEVEL_UP_MOVE(50, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(55, MOVE_GUILLOTINE),
	LEVEL_UP_END
};

static const struct LevelUpMove sMamoswineLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 1, MOVE_ICYWIND),
	LEVEL_UP_MOVE( 1, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_FLAIL),
	LEVEL_UP_MOVE(15, MOVE_ICESHARD),
	LEVEL_UP_MOVE(20, MOVE_MIST),
	LEVEL_UP_MOVE(25, MOVE_ENDURE),
	LEVEL_UP_MOVE(30, MOVE_ICYWIND),
	LEVEL_UP_MOVE(37, MOVE_AMNESIA),
	LEVEL_UP_MOVE(44, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(51, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(58, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(65, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sPorygonZLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_POWERSWAP),
	LEVEL_UP_MOVE( 1, MOVE_SPEEDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_WONDERROOM),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_GRAVITY),
	LEVEL_UP_MOVE( 1, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_CONVERSION2),
	LEVEL_UP_MOVE( 1, MOVE_CONVERSION),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 7, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(12, MOVE_AGILITY),
	LEVEL_UP_MOVE(18, MOVE_RECOVER),
	LEVEL_UP_MOVE(23, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE(29, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(34, MOVE_EMBARGO),
	LEVEL_UP_MOVE(40, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(45, MOVE_LOCKON),
	LEVEL_UP_MOVE(50, MOVE_TRIATTACK),
	LEVEL_UP_MOVE(56, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE(62, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(67, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sGalladeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE( 1, MOVE_LIFEDEW),
	LEVEL_UP_MOVE( 1, MOVE_TRIPLEAXEL),
	LEVEL_UP_MOVE( 1, MOVE_DUALCHOP),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_MOVE( 6, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE( 9, MOVE_TELEPORT),
	LEVEL_UP_MOVE(11, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(14, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(17, MOVE_AERIALACE),
	LEVEL_UP_MOVE(19, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(23, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(26, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(31, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE(35, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(40, MOVE_FEINT),
	LEVEL_UP_MOVE(44, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(49, MOVE_PROTECT),
	LEVEL_UP_MOVE(53, MOVE_CLOSECOMBAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sProbopassLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_TRIATTACK),
	LEVEL_UP_MOVE( 1, MOVE_TRIATTACK),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETICFLUX),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_GRAVITY),
	LEVEL_UP_MOVE( 1, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_BLOCK),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETBOMB),
	LEVEL_UP_MOVE( 4, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 7, MOVE_BLOCK),
	LEVEL_UP_MOVE(10, MOVE_MAGNETBOMB),
	LEVEL_UP_MOVE(13, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(16, MOVE_REST),
	LEVEL_UP_MOVE(19, MOVE_SPARK),
	LEVEL_UP_MOVE(22, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(25, MOVE_POWERGEM),
	LEVEL_UP_MOVE(28, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(31, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(34, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(37, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(40, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(43, MOVE_LOCKON),
	LEVEL_UP_MOVE(43, MOVE_ZAPCANNON),
	LEVEL_UP_END
};

static const struct LevelUpMove sDusknoirLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SHADOWPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_DARKESTLARIAT),
	LEVEL_UP_MOVE( 1, MOVE_POLTERGEIST),
	LEVEL_UP_MOVE( 1, MOVE_SKITTERSMACK),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_GRAVITY),
	LEVEL_UP_MOVE( 1, MOVE_BIND),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE( 1, MOVE_DISABLE),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 6, MOVE_DISABLE),
	LEVEL_UP_MOVE( 9, MOVE_ASTONISH),
	LEVEL_UP_MOVE(14, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(17, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(22, MOVE_PURSUIT),
	LEVEL_UP_MOVE(25, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(30, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(33, MOVE_CURSE),
	LEVEL_UP_MOVE(40, MOVE_HEX),
	LEVEL_UP_MOVE(45, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(52, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(57, MOVE_PAYBACK),
	LEVEL_UP_MOVE(64, MOVE_FUTURESIGHT),
	LEVEL_UP_END
};

static const struct LevelUpMove sFroslassLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_SPIKES),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_TRIPLEAXEL),
	LEVEL_UP_MOVE( 1, MOVE_POLTERGEIST),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(15, MOVE_ICESHARD),
	LEVEL_UP_MOVE(20, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(25, MOVE_ICYWIND),
	LEVEL_UP_MOVE(30, MOVE_FROSTBREATH),
	LEVEL_UP_MOVE(35, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(40, MOVE_HAIL),
	LEVEL_UP_MOVE(47, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(54, MOVE_AURORAVEIL),
	LEVEL_UP_MOVE(61, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(68, MOVE_BLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sRotomLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ELECTROWEB),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_DISCHARGE),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 8, MOVE_UPROAR),
	LEVEL_UP_MOVE(15, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(22, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(29, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(36, MOVE_SUBSTITUTE),
	LEVEL_UP_MOVE(43, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(50, MOVE_HEX),
	LEVEL_UP_MOVE(57, MOVE_CHARGE),
	LEVEL_UP_MOVE(64, MOVE_DISCHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sUxieLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MEMENTO),
	LEVEL_UP_MOVE( 1, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE( 1, MOVE_FLAIL),
	LEVEL_UP_MOVE( 1, MOVE_REST),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 6, MOVE_IMPRISON),
	LEVEL_UP_MOVE(16, MOVE_ENDURE),
	LEVEL_UP_MOVE(21, MOVE_SWIFT),
	LEVEL_UP_MOVE(31, MOVE_YAWN),
	LEVEL_UP_MOVE(36, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(46, MOVE_AMNESIA),
	LEVEL_UP_MOVE(50, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(61, MOVE_FLAIL),
	LEVEL_UP_MOVE(66, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(76, MOVE_MEMENTO),
	LEVEL_UP_END
};

static const struct LevelUpMove sMespritLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE( 1, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE( 1, MOVE_COPYCAT),
	LEVEL_UP_MOVE( 1, MOVE_REST),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 6, MOVE_IMPRISON),
	LEVEL_UP_MOVE(16, MOVE_PROTECT),
	LEVEL_UP_MOVE(21, MOVE_SWIFT),
	LEVEL_UP_MOVE(31, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(36, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(46, MOVE_CHARM),
	LEVEL_UP_MOVE(50, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(61, MOVE_COPYCAT),
	LEVEL_UP_MOVE(66, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(76, MOVE_HEALINGWISH),
	LEVEL_UP_END
};

static const struct LevelUpMove sAzelfLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE( 1, MOVE_LASTRESORT),
	LEVEL_UP_MOVE( 1, MOVE_REST),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 6, MOVE_IMPRISON),
	LEVEL_UP_MOVE(16, MOVE_DETECT),
	LEVEL_UP_MOVE(21, MOVE_SWIFT),
	LEVEL_UP_MOVE(31, MOVE_UPROAR),
	LEVEL_UP_MOVE(36, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(46, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(50, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(61, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(66, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(76, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sDialgaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 6, MOVE_METALCLAW),
	LEVEL_UP_MOVE(10, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(15, MOVE_SLASH),
	LEVEL_UP_MOVE(19, MOVE_POWERGEM),
	LEVEL_UP_MOVE(24, MOVE_METALBURST),
	LEVEL_UP_MOVE(28, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(33, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(37, MOVE_AURASPHERE),
	LEVEL_UP_MOVE(42, MOVE_IRONTAIL),
	LEVEL_UP_MOVE(46, MOVE_ROAROFTIME),
	LEVEL_UP_MOVE(50, MOVE_FLASHCANNON),
	LEVEL_UP_END
};

static const struct LevelUpMove sPalkiaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 6, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(10, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(15, MOVE_SLASH),
	LEVEL_UP_MOVE(19, MOVE_POWERGEM),
	LEVEL_UP_MOVE(24, MOVE_AQUARING),
	LEVEL_UP_MOVE(28, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(33, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(37, MOVE_AURASPHERE),
	LEVEL_UP_MOVE(42, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(46, MOVE_SPACIALREND),
	LEVEL_UP_MOVE(50, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sHeatranLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_HEATCRASH),
	LEVEL_UP_MOVE( 1, MOVE_SCORCHINGSANDS),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_MAGMASTORM),
	LEVEL_UP_MOVE( 1, MOVE_FIRESPIN),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 6, MOVE_METALCLAW),
	LEVEL_UP_MOVE(12, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(18, MOVE_FIREFANG),
	LEVEL_UP_MOVE(24, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(30, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(36, MOVE_CRUNCH),
	LEVEL_UP_MOVE(42, MOVE_LAVAPLUME),
	LEVEL_UP_MOVE(48, MOVE_METALSOUND),
	LEVEL_UP_MOVE(54, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(60, MOVE_HEATWAVE),
	LEVEL_UP_MOVE(66, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(72, MOVE_MAGMASTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sRegigigasLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_CRUSHGRIP),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_DIZZYPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 1, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(25, MOVE_REVENGE),
	LEVEL_UP_MOVE(40, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(50, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(65, MOVE_PAYBACK),
	LEVEL_UP_MOVE(75, MOVE_CRUSHGRIP),
	LEVEL_UP_MOVE(90, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE(100, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};

static const struct LevelUpMove sGiratinaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 6, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(10, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(15, MOVE_SLASH),
	LEVEL_UP_MOVE(19, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(24, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE(28, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(33, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(37, MOVE_AURASPHERE),
	LEVEL_UP_MOVE(42, MOVE_SHADOWCLAW),
	LEVEL_UP_MOVE(46, MOVE_SHADOWFORCE),
	LEVEL_UP_MOVE(50, MOVE_HEX),
	LEVEL_UP_END
};

static const struct LevelUpMove sCresseliaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LUNARDANCE),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHOSHIFT),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE( 1, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(11, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(20, MOVE_MIST),
	LEVEL_UP_MOVE(29, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(38, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(47, MOVE_SLASH),
	LEVEL_UP_MOVE(57, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE(66, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE(75, MOVE_PSYCHOSHIFT),
	LEVEL_UP_MOVE(84, MOVE_LUNARDANCE),
	LEVEL_UP_MOVE(93, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(99, MOVE_MOONBLAST),
	LEVEL_UP_END
};

static const struct LevelUpMove sPhioneLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BRINE),
	LEVEL_UP_MOVE( 1, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 9, MOVE_CHARM),
	LEVEL_UP_MOVE(16, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(24, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(31, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(39, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(46, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(54, MOVE_AQUARING),
	LEVEL_UP_MOVE(61, MOVE_DIVE),
	LEVEL_UP_MOVE(69, MOVE_RAINDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sManaphyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_BRINE),
	LEVEL_UP_MOVE( 1, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_TAILGLOW),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 9, MOVE_CHARM),
	LEVEL_UP_MOVE(16, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(24, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(31, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(39, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(46, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(54, MOVE_AQUARING),
	LEVEL_UP_MOVE(61, MOVE_DIVE),
	LEVEL_UP_MOVE(69, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(76, MOVE_HEARTSWAP),
	LEVEL_UP_END
};

static const struct LevelUpMove sDarkraiLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE( 1, MOVE_DISABLE),
	LEVEL_UP_MOVE(11, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(20, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(29, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(38, MOVE_NIGHTMARE),
	LEVEL_UP_MOVE(47, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(57, MOVE_HAZE),
	LEVEL_UP_MOVE(66, MOVE_DARKVOID),
	LEVEL_UP_MOVE(75, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(84, MOVE_DREAMEATER),
	LEVEL_UP_MOVE(93, MOVE_DARKPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sShayminLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE(10, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(19, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(28, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(37, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(46, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(55, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(64, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(73, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(82, MOVE_SWEETKISS),
	LEVEL_UP_MOVE(91, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE(100, MOVE_SEEDFLARE),
	LEVEL_UP_END
};

static const struct LevelUpMove sArceusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SEISMICTOSS),
	LEVEL_UP_MOVE( 1, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE( 1, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE( 1, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(10, MOVE_GRAVITY),
	LEVEL_UP_MOVE(20, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(30, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(40, MOVE_EXTREMESPEED),
	LEVEL_UP_MOVE(50, MOVE_REFRESH),
	LEVEL_UP_MOVE(60, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(70, MOVE_RECOVER),
	LEVEL_UP_MOVE(80, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(90, MOVE_PERISHSONG),
	LEVEL_UP_MOVE(100, MOVE_JUDGMENT),
	LEVEL_UP_END
};

static const struct LevelUpMove sVictiniLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SEARINGSHOT),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_INCINERATE),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 9, MOVE_ENDURE),
	LEVEL_UP_MOVE(17, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(25, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(33, MOVE_REVERSAL),
	LEVEL_UP_MOVE(41, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(49, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(57, MOVE_INFERNO),
	LEVEL_UP_MOVE(65, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(73, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE(81, MOVE_FINALGAMBIT),
	LEVEL_UP_MOVE(89, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE(97, MOVE_OVERHEAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sSnivyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_VINEWHIP),
	LEVEL_UP_MOVE(10, MOVE_WRAP),
	LEVEL_UP_MOVE(13, MOVE_GROWTH),
	LEVEL_UP_MOVE(16, MOVE_LEAFTORNADO),
	LEVEL_UP_MOVE(19, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(22, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(25, MOVE_SLAM),
	LEVEL_UP_MOVE(28, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(31, MOVE_COIL),
	LEVEL_UP_MOVE(34, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(37, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(40, MOVE_GASTROACID),
	LEVEL_UP_MOVE(43, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sServineLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_VINEWHIP),
	LEVEL_UP_MOVE(10, MOVE_WRAP),
	LEVEL_UP_MOVE(13, MOVE_GROWTH),
	LEVEL_UP_MOVE(16, MOVE_LEAFTORNADO),
	LEVEL_UP_MOVE(20, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(24, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(28, MOVE_SLAM),
	LEVEL_UP_MOVE(32, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(36, MOVE_COIL),
	LEVEL_UP_MOVE(40, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(44, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(48, MOVE_GASTROACID),
	LEVEL_UP_MOVE(52, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sSerperiorLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_VINEWHIP),
	LEVEL_UP_MOVE(10, MOVE_WRAP),
	LEVEL_UP_MOVE(13, MOVE_GROWTH),
	LEVEL_UP_MOVE(16, MOVE_LEAFTORNADO),
	LEVEL_UP_MOVE(20, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(24, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(28, MOVE_SLAM),
	LEVEL_UP_MOVE(32, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(38, MOVE_COIL),
	LEVEL_UP_MOVE(44, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(50, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(56, MOVE_GASTROACID),
	LEVEL_UP_MOVE(62, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sTepigLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 3, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_EMBER),
	LEVEL_UP_MOVE( 9, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(13, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE(15, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(19, MOVE_SMOG),
	LEVEL_UP_MOVE(21, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(25, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(27, MOVE_HEATCRASH),
	LEVEL_UP_MOVE(31, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(33, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(37, MOVE_HEADSMASH),
	LEVEL_UP_MOVE(39, MOVE_ROAR),
	LEVEL_UP_MOVE(43, MOVE_FLAREBLITZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sPigniteLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ARMTHRUST),
	LEVEL_UP_MOVE( 1, MOVE_ARMTHRUST),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 3, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_EMBER),
	LEVEL_UP_MOVE( 9, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(13, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE(15, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(20, MOVE_SMOG),
	LEVEL_UP_MOVE(23, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(28, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(31, MOVE_HEATCRASH),
	LEVEL_UP_MOVE(36, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(39, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(44, MOVE_HEADSMASH),
	LEVEL_UP_MOVE(47, MOVE_ROAR),
	LEVEL_UP_MOVE(52, MOVE_FLAREBLITZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sEmboarLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ARMTHRUST),
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 3, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_EMBER),
	LEVEL_UP_MOVE( 9, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(13, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE(15, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(20, MOVE_SMOG),
	LEVEL_UP_MOVE(23, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(28, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(31, MOVE_HEATCRASH),
	LEVEL_UP_MOVE(38, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(43, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(50, MOVE_HEADSMASH),
	LEVEL_UP_MOVE(55, MOVE_ROAR),
	LEVEL_UP_MOVE(62, MOVE_FLAREBLITZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sOshawottLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE(11, MOVE_WATERSPORT),
	LEVEL_UP_MOVE(13, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(17, MOVE_RAZORSHELL),
	LEVEL_UP_MOVE(19, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(23, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(25, MOVE_REVENGE),
	LEVEL_UP_MOVE(29, MOVE_AQUAJET),
	LEVEL_UP_MOVE(31, MOVE_ENCORE),
	LEVEL_UP_MOVE(35, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(37, MOVE_RETALIATE),
	LEVEL_UP_MOVE(41, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(43, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sDewottLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 5, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE(11, MOVE_WATERSPORT),
	LEVEL_UP_MOVE(13, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(18, MOVE_RAZORSHELL),
	LEVEL_UP_MOVE(21, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(26, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(29, MOVE_REVENGE),
	LEVEL_UP_MOVE(34, MOVE_AQUAJET),
	LEVEL_UP_MOVE(37, MOVE_ENCORE),
	LEVEL_UP_MOVE(42, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(45, MOVE_RETALIATE),
	LEVEL_UP_MOVE(50, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(53, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sSamurottLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_MEGAHORN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 5, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE(11, MOVE_WATERSPORT),
	LEVEL_UP_MOVE(13, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(18, MOVE_RAZORSHELL),
	LEVEL_UP_MOVE(21, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(25, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(29, MOVE_REVENGE),
	LEVEL_UP_MOVE(34, MOVE_AQUAJET),
	LEVEL_UP_MOVE(39, MOVE_ENCORE),
	LEVEL_UP_MOVE(46, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(51, MOVE_RETALIATE),
	LEVEL_UP_MOVE(58, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(63, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sPatratLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 3, MOVE_LEER),
	LEVEL_UP_MOVE( 6, MOVE_BITE),
	LEVEL_UP_MOVE( 8, MOVE_BIDE),
	LEVEL_UP_MOVE(11, MOVE_DETECT),
	LEVEL_UP_MOVE(13, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(16, MOVE_CRUNCH),
	LEVEL_UP_MOVE(18, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(21, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(23, MOVE_AFTERYOU),
	LEVEL_UP_MOVE(26, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(28, MOVE_WORKUP),
	LEVEL_UP_MOVE(31, MOVE_HYPERFANG),
	LEVEL_UP_MOVE(33, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(36, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(38, MOVE_BATONPASS),
	LEVEL_UP_MOVE(41, MOVE_SLAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sWatchogLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 1, MOVE_ROTOTILLER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_LOWKICK),
	LEVEL_UP_MOVE( 3, MOVE_LEER),
	LEVEL_UP_MOVE( 6, MOVE_BITE),
	LEVEL_UP_MOVE( 8, MOVE_BIDE),
	LEVEL_UP_MOVE(11, MOVE_DETECT),
	LEVEL_UP_MOVE(13, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(16, MOVE_CRUNCH),
	LEVEL_UP_MOVE(18, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(22, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(25, MOVE_AFTERYOU),
	LEVEL_UP_MOVE(29, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(32, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(36, MOVE_HYPERFANG),
	LEVEL_UP_MOVE(39, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(43, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(46, MOVE_BATONPASS),
	LEVEL_UP_MOVE(50, MOVE_SLAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sLillipupLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 8, MOVE_BITE),
	LEVEL_UP_MOVE(10, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(12, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(19, MOVE_WORKUP),
	LEVEL_UP_MOVE(22, MOVE_CRUNCH),
	LEVEL_UP_MOVE(26, MOVE_ROAR),
	LEVEL_UP_MOVE(29, MOVE_RETALIATE),
	LEVEL_UP_MOVE(33, MOVE_REVERSAL),
	LEVEL_UP_MOVE(36, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(40, MOVE_GIGAIMPACT),
	LEVEL_UP_MOVE(45, MOVE_PLAYROUGH),
	LEVEL_UP_END
};

static const struct LevelUpMove sHerdierLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 5, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 8, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(20, MOVE_WORKUP),
	LEVEL_UP_MOVE(24, MOVE_CRUNCH),
	LEVEL_UP_MOVE(29, MOVE_ROAR),
	LEVEL_UP_MOVE(33, MOVE_RETALIATE),
	LEVEL_UP_MOVE(38, MOVE_REVERSAL),
	LEVEL_UP_MOVE(42, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(47, MOVE_GIGAIMPACT),
	LEVEL_UP_MOVE(52, MOVE_PLAYROUGH),
	LEVEL_UP_END
};

static const struct LevelUpMove sStoutlandLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 5, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 8, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(20, MOVE_WORKUP),
	LEVEL_UP_MOVE(24, MOVE_CRUNCH),
	LEVEL_UP_MOVE(29, MOVE_ROAR),
	LEVEL_UP_MOVE(36, MOVE_RETALIATE),
	LEVEL_UP_MOVE(42, MOVE_REVERSAL),
	LEVEL_UP_MOVE(51, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(59, MOVE_GIGAIMPACT),
	LEVEL_UP_MOVE(63, MOVE_PLAYROUGH),
	LEVEL_UP_END
};

static const struct LevelUpMove sPurrloinLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 6, MOVE_ASSIST),
	LEVEL_UP_MOVE(10, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(12, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(15, MOVE_PURSUIT),
	LEVEL_UP_MOVE(19, MOVE_TORMENT),
	LEVEL_UP_MOVE(21, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(24, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(28, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(30, MOVE_SLASH),
	LEVEL_UP_MOVE(33, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(37, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(39, MOVE_SNATCH),
	LEVEL_UP_MOVE(42, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(46, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(49, MOVE_PLAYROUGH),
	LEVEL_UP_END
};

static const struct LevelUpMove sLiepardLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 1, MOVE_FAKETEARS),
	LEVEL_UP_MOVE( 1, MOVE_SCREECH),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_FOULPLAY),
	LEVEL_UP_MOVE( 1, MOVE_SKITTERSMACK),
	LEVEL_UP_MOVE( 1, MOVE_LASHOUT),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE(15, MOVE_PURSUIT),
	LEVEL_UP_MOVE(19, MOVE_TORMENT),
	LEVEL_UP_MOVE(22, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(26, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(31, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(34, MOVE_SLASH),
	LEVEL_UP_MOVE(38, MOVE_TAUNT),
	LEVEL_UP_MOVE(43, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(47, MOVE_SNATCH),
	LEVEL_UP_MOVE(50, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(55, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(58, MOVE_PLAYROUGH),
	LEVEL_UP_END
};

static const struct LevelUpMove sPansageLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_LICK),
	LEVEL_UP_MOVE(10, MOVE_VINEWHIP),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(16, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(19, MOVE_BITE),
	LEVEL_UP_MOVE(22, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE(25, MOVE_TORMENT),
	LEVEL_UP_MOVE(28, MOVE_FLING),
	LEVEL_UP_MOVE(31, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(34, MOVE_GRASSKNOT),
	LEVEL_UP_MOVE(37, MOVE_RECYCLE),
	LEVEL_UP_MOVE(40, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(43, MOVE_CRUNCH),
	LEVEL_UP_END
};

static const struct LevelUpMove sSimisageLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 1, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_END
};

static const struct LevelUpMove sPansearLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_LICK),
	LEVEL_UP_MOVE(10, MOVE_INCINERATE),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(16, MOVE_YAWN),
	LEVEL_UP_MOVE(19, MOVE_BITE),
	LEVEL_UP_MOVE(22, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(25, MOVE_AMNESIA),
	LEVEL_UP_MOVE(28, MOVE_FLING),
	LEVEL_UP_MOVE(31, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(34, MOVE_FIREBLAST),
	LEVEL_UP_MOVE(37, MOVE_RECYCLE),
	LEVEL_UP_MOVE(40, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(43, MOVE_CRUNCH),
	LEVEL_UP_END
};

static const struct LevelUpMove sSimisearLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 1, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE( 1, MOVE_FLAMEBURST),
	LEVEL_UP_END
};

static const struct LevelUpMove sPanpourLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_LICK),
	LEVEL_UP_MOVE(10, MOVE_WATERGUN),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(16, MOVE_WATERSPORT),
	LEVEL_UP_MOVE(19, MOVE_BITE),
	LEVEL_UP_MOVE(22, MOVE_SCALD),
	LEVEL_UP_MOVE(25, MOVE_TAUNT),
	LEVEL_UP_MOVE(28, MOVE_FLING),
	LEVEL_UP_MOVE(31, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(34, MOVE_BRINE),
	LEVEL_UP_MOVE(37, MOVE_RECYCLE),
	LEVEL_UP_MOVE(40, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(43, MOVE_CRUNCH),
	LEVEL_UP_END
};

static const struct LevelUpMove sSimipourLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 1, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE( 1, MOVE_SCALD),
	LEVEL_UP_END
};

static const struct LevelUpMove sMunnaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PSYWAVE),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 5, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE( 7, MOVE_YAWN),
	LEVEL_UP_MOVE(11, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(13, MOVE_IMPRISON),
	LEVEL_UP_MOVE(17, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE(19, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(23, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(25, MOVE_SYNCHRONOISE),
	LEVEL_UP_MOVE(29, MOVE_NIGHTMARE),
	LEVEL_UP_MOVE(31, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(35, MOVE_CALMMIND),
	LEVEL_UP_MOVE(37, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(41, MOVE_DREAMEATER),
	LEVEL_UP_MOVE(43, MOVE_TELEKINESIS),
	LEVEL_UP_MOVE(47, MOVE_STOREDPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sMusharnaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE( 1, MOVE_PSYBEAM),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_END
};

static const struct LevelUpMove sPidoveLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_LEER),
	LEVEL_UP_MOVE(11, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(15, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(18, MOVE_ROOST),
	LEVEL_UP_MOVE(22, MOVE_DETECT),
	LEVEL_UP_MOVE(25, MOVE_TAUNT),
	LEVEL_UP_MOVE(29, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(32, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(36, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(39, MOVE_SWAGGER),
	LEVEL_UP_MOVE(43, MOVE_FACADE),
	LEVEL_UP_MOVE(46, MOVE_TAILWIND),
	LEVEL_UP_MOVE(50, MOVE_SKYATTACK),
	LEVEL_UP_END
};

static const struct LevelUpMove sTranquillLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_LEER),
	LEVEL_UP_MOVE(11, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(15, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(18, MOVE_ROOST),
	LEVEL_UP_MOVE(23, MOVE_DETECT),
	LEVEL_UP_MOVE(27, MOVE_TAUNT),
	LEVEL_UP_MOVE(32, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(36, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(41, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(45, MOVE_SWAGGER),
	LEVEL_UP_MOVE(50, MOVE_FACADE),
	LEVEL_UP_MOVE(54, MOVE_TAILWIND),
	LEVEL_UP_MOVE(59, MOVE_SKYATTACK),
	LEVEL_UP_END
};

static const struct LevelUpMove sUnfezantLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_LEER),
	LEVEL_UP_MOVE(11, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(15, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(18, MOVE_ROOST),
	LEVEL_UP_MOVE(23, MOVE_DETECT),
	LEVEL_UP_MOVE(27, MOVE_TAUNT),
	LEVEL_UP_MOVE(33, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(38, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(44, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(49, MOVE_SWAGGER),
	LEVEL_UP_MOVE(55, MOVE_FACADE),
	LEVEL_UP_MOVE(60, MOVE_TAILWIND),
	LEVEL_UP_MOVE(66, MOVE_SKYATTACK),
	LEVEL_UP_END
};

static const struct LevelUpMove sBlitzleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 4, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 8, MOVE_CHARGE),
	LEVEL_UP_MOVE(11, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(15, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(18, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(22, MOVE_PURSUIT),
	LEVEL_UP_MOVE(25, MOVE_SPARK),
	LEVEL_UP_MOVE(29, MOVE_STOMP),
	LEVEL_UP_MOVE(32, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(36, MOVE_AGILITY),
	LEVEL_UP_MOVE(39, MOVE_WILDCHARGE),
	LEVEL_UP_MOVE(43, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sZebstrikaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_SNATCH),
	LEVEL_UP_MOVE( 1, MOVE_IONDELUGE),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 4, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 8, MOVE_CHARGE),
	LEVEL_UP_MOVE(11, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(15, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(18, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(22, MOVE_PURSUIT),
	LEVEL_UP_MOVE(25, MOVE_SPARK),
	LEVEL_UP_MOVE(31, MOVE_STOMP),
	LEVEL_UP_MOVE(36, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(42, MOVE_AGILITY),
	LEVEL_UP_MOVE(47, MOVE_WILDCHARGE),
	LEVEL_UP_MOVE(53, MOVE_THRASH),
	LEVEL_UP_MOVE(58, MOVE_IONDELUGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sRoggenrolaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(10, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(14, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(17, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(20, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(23, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(27, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(30, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(33, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(36, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(40, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sBoldoreLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_POWERGEM),
	LEVEL_UP_MOVE( 1, MOVE_POWERGEM),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 4, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(10, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(14, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(17, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(20, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(23, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(30, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(36, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(42, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(48, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(55, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sGigalithLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_GRAVITY),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_POWERGEM),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 4, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(10, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(14, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(17, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(20, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(23, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(30, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(36, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(42, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(48, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(55, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sWoobatLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 4, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 8, MOVE_GUST),
	LEVEL_UP_MOVE(12, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(15, MOVE_HEARTSTAMP),
	LEVEL_UP_MOVE(19, MOVE_IMPRISON),
	LEVEL_UP_MOVE(21, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(25, MOVE_ATTRACT),
	LEVEL_UP_MOVE(29, MOVE_AMNESIA),
	LEVEL_UP_MOVE(29, MOVE_CALMMIND),
	LEVEL_UP_MOVE(32, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(36, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(41, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(47, MOVE_ENDEAVOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sSwoobatLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_ASSURANCE),
	LEVEL_UP_MOVE( 4, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 8, MOVE_GUST),
	LEVEL_UP_MOVE(12, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(15, MOVE_HEARTSTAMP),
	LEVEL_UP_MOVE(19, MOVE_IMPRISON),
	LEVEL_UP_MOVE(21, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(25, MOVE_ATTRACT),
	LEVEL_UP_MOVE(29, MOVE_AMNESIA),
	LEVEL_UP_MOVE(29, MOVE_CALMMIND),
	LEVEL_UP_MOVE(32, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(36, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(41, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(47, MOVE_ENDEAVOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sDrilburLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 5, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 8, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(12, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(15, MOVE_METALCLAW),
	LEVEL_UP_MOVE(19, MOVE_DIG),
	LEVEL_UP_MOVE(22, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(26, MOVE_SLASH),
	LEVEL_UP_MOVE(29, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(33, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(36, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(40, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(43, MOVE_DRILLRUN),
	LEVEL_UP_MOVE(47, MOVE_FISSURE),
	LEVEL_UP_END
};

static const struct LevelUpMove sExcadrillLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HORNDRILL),
	LEVEL_UP_MOVE( 1, MOVE_HORNDRILL),
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_ROTOTILLER),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 1, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 5, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 8, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(12, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(15, MOVE_METALCLAW),
	LEVEL_UP_MOVE(19, MOVE_DIG),
	LEVEL_UP_MOVE(22, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(26, MOVE_SLASH),
	LEVEL_UP_MOVE(29, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(36, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(42, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(49, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(55, MOVE_DRILLRUN),
	LEVEL_UP_MOVE(62, MOVE_FISSURE),
	LEVEL_UP_END
};

static const struct LevelUpMove sAudinoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE( 1, MOVE_AMNESIA),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 4, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE( 9, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(12, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(16, MOVE_GROWL),
	LEVEL_UP_MOVE(20, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(24, MOVE_LIFEDEW),
	LEVEL_UP_MOVE(28, MOVE_AFTERYOU),
	LEVEL_UP_MOVE(32, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(36, MOVE_SIMPLEBEAM),
	LEVEL_UP_MOVE(40, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(44, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(48, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(52, MOVE_ENTRAINMENT),
	LEVEL_UP_MOVE(56, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE(60, MOVE_LASTRESORT),
	LEVEL_UP_END
};

static const struct LevelUpMove sTimburrLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 4, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 8, MOVE_BIDE),
	LEVEL_UP_MOVE(12, MOVE_LOWKICK),
	LEVEL_UP_MOVE(16, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(20, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(24, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(28, MOVE_BULKUP),
	LEVEL_UP_MOVE(31, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(34, MOVE_DYNAMICPUNCH),
	LEVEL_UP_MOVE(37, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(40, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(43, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(46, MOVE_FOCUSPUNCH),
	LEVEL_UP_MOVE(49, MOVE_SUPERPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sGurdurrLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 4, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 8, MOVE_BIDE),
	LEVEL_UP_MOVE(12, MOVE_LOWKICK),
	LEVEL_UP_MOVE(16, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(20, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(24, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(29, MOVE_BULKUP),
	LEVEL_UP_MOVE(33, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(37, MOVE_DYNAMICPUNCH),
	LEVEL_UP_MOVE(41, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(45, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(49, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(53, MOVE_FOCUSPUNCH),
	LEVEL_UP_MOVE(57, MOVE_SUPERPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sConkeldurrLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_FORCEPALM),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 4, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 8, MOVE_BIDE),
	LEVEL_UP_MOVE(12, MOVE_LOWKICK),
	LEVEL_UP_MOVE(16, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(20, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(24, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(29, MOVE_BULKUP),
	LEVEL_UP_MOVE(33, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(37, MOVE_DYNAMICPUNCH),
	LEVEL_UP_MOVE(41, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(45, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(49, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(53, MOVE_FOCUSPUNCH),
	LEVEL_UP_MOVE(57, MOVE_SUPERPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sTympoleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 9, MOVE_ROUND),
	LEVEL_UP_MOVE(12, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(16, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(20, MOVE_AQUARING),
	LEVEL_UP_MOVE(23, MOVE_UPROAR),
	LEVEL_UP_MOVE(27, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(31, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(34, MOVE_FLAIL),
	LEVEL_UP_MOVE(38, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE(42, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(45, MOVE_HYPERVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sPalpitoadLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 1, MOVE_ROUND),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 9, MOVE_ROUND),
	LEVEL_UP_MOVE(12, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(16, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(20, MOVE_AQUARING),
	LEVEL_UP_MOVE(23, MOVE_UPROAR),
	LEVEL_UP_MOVE(28, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(33, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(37, MOVE_FLAIL),
	LEVEL_UP_MOVE(42, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE(47, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(51, MOVE_HYPERVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSeismitoadLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ACID),
	LEVEL_UP_MOVE( 1, MOVE_ACID),
	LEVEL_UP_MOVE( 1, MOVE_GASTROACID),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_POWERWHIP),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 1, MOVE_ROUND),
	LEVEL_UP_MOVE( 5, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 9, MOVE_ROUND),
	LEVEL_UP_MOVE(12, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(16, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(20, MOVE_AQUARING),
	LEVEL_UP_MOVE(23, MOVE_UPROAR),
	LEVEL_UP_MOVE(28, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(33, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(39, MOVE_FLAIL),
	LEVEL_UP_MOVE(44, MOVE_DRAINPUNCH),
	LEVEL_UP_MOVE(49, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE(53, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(59, MOVE_HYPERVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sThrohLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MATBLOCK),
	LEVEL_UP_MOVE( 1, MOVE_BIND),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 5, MOVE_SEISMICTOSS),
	LEVEL_UP_MOVE( 9, MOVE_VITALTHROW),
	LEVEL_UP_MOVE(13, MOVE_REVENGE),
	LEVEL_UP_MOVE(17, MOVE_STORMTHROW),
	LEVEL_UP_MOVE(21, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(25, MOVE_BULKUP),
	LEVEL_UP_MOVE(29, MOVE_CIRCLETHROW),
	LEVEL_UP_MOVE(33, MOVE_ENDURE),
	LEVEL_UP_MOVE(37, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(41, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(45, MOVE_REVERSAL),
	LEVEL_UP_END
};

static const struct LevelUpMove sSawkLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 5, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 9, MOVE_LOWSWEEP),
	LEVEL_UP_MOVE(13, MOVE_COUNTER),
	LEVEL_UP_MOVE(17, MOVE_KARATECHOP),
	LEVEL_UP_MOVE(21, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(25, MOVE_BULKUP),
	LEVEL_UP_MOVE(29, MOVE_RETALIATE),
	LEVEL_UP_MOVE(33, MOVE_ENDURE),
	LEVEL_UP_MOVE(37, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(41, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(45, MOVE_REVERSAL),
	LEVEL_UP_END
};

static const struct LevelUpMove sSewaddleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 8, MOVE_BUGBITE),
	LEVEL_UP_MOVE(15, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(22, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE(29, MOVE_ENDURE),
	LEVEL_UP_MOVE(31, MOVE_STICKYWEB),
	LEVEL_UP_MOVE(36, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(43, MOVE_FLAIL),
	LEVEL_UP_END
};

static const struct LevelUpMove sSwadloonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_GRASSWHISTLE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 1, MOVE_BUGBITE),
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_END
};

static const struct LevelUpMove sLeavannyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_ELECTROWEB),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_WORRYSEED),
	LEVEL_UP_MOVE( 1, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 1, MOVE_BUGBITE),
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 8, MOVE_BUGBITE),
	LEVEL_UP_MOVE(15, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(22, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE(29, MOVE_FELLSTINGER),
	LEVEL_UP_MOVE(32, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(36, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(39, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(43, MOVE_ENTRAINMENT),
	LEVEL_UP_MOVE(46, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(50, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sVenipedeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 5, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 8, MOVE_SCREECH),
	LEVEL_UP_MOVE(12, MOVE_PURSUIT),
	LEVEL_UP_MOVE(15, MOVE_PROTECT),
	LEVEL_UP_MOVE(19, MOVE_POISONTAIL),
	LEVEL_UP_MOVE(22, MOVE_BUGBITE),
	LEVEL_UP_MOVE(26, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(29, MOVE_AGILITY),
	LEVEL_UP_MOVE(33, MOVE_STEAMROLLER),
	LEVEL_UP_MOVE(36, MOVE_TOXIC),
	LEVEL_UP_MOVE(38, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(40, MOVE_ROCKCLIMB),
	LEVEL_UP_MOVE(43, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sWhirlipedeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 1, MOVE_SCREECH),
	LEVEL_UP_MOVE( 5, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 8, MOVE_SCREECH),
	LEVEL_UP_MOVE(12, MOVE_PURSUIT),
	LEVEL_UP_MOVE(15, MOVE_PROTECT),
	LEVEL_UP_MOVE(19, MOVE_POISONTAIL),
	LEVEL_UP_MOVE(23, MOVE_BUGBITE),
	LEVEL_UP_MOVE(28, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(32, MOVE_AGILITY),
	LEVEL_UP_MOVE(37, MOVE_STEAMROLLER),
	LEVEL_UP_MOVE(41, MOVE_TOXIC),
	LEVEL_UP_MOVE(43, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(46, MOVE_ROCKCLIMB),
	LEVEL_UP_MOVE(50, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sScolipedeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_ASSURANCE),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_SPIKES),
	LEVEL_UP_MOVE( 1, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE( 1, MOVE_SKITTERSMACK),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_MEGAHORN),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 1, MOVE_SCREECH),
	LEVEL_UP_MOVE( 5, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 8, MOVE_SCREECH),
	LEVEL_UP_MOVE(12, MOVE_PURSUIT),
	LEVEL_UP_MOVE(15, MOVE_PROTECT),
	LEVEL_UP_MOVE(19, MOVE_POISONTAIL),
	LEVEL_UP_MOVE(23, MOVE_BUGBITE),
	LEVEL_UP_MOVE(28, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(33, MOVE_AGILITY),
	LEVEL_UP_MOVE(39, MOVE_STEAMROLLER),
	LEVEL_UP_MOVE(44, MOVE_TOXIC),
	LEVEL_UP_MOVE(47, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(50, MOVE_ROCKCLIMB),
	LEVEL_UP_MOVE(55, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(65, MOVE_MEGAHORN),
	LEVEL_UP_END
};

static const struct LevelUpMove sCottoneeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 4, MOVE_GROWTH),
	LEVEL_UP_MOVE( 8, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(10, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(13, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(17, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE(19, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(22, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE(26, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(28, MOVE_CHARM),
	LEVEL_UP_MOVE(31, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(35, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(37, MOVE_COTTONGUARD),
	LEVEL_UP_MOVE(40, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(44, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(46, MOVE_SOLARBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sWhimsicottLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_STUNSPORE),
	LEVEL_UP_MOVE( 1, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 1, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE( 1, MOVE_MEMENTO),
	LEVEL_UP_MOVE( 1, MOVE_FAKETEARS),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYGLIDE),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 1, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 1, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE( 1, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE(10, MOVE_GUST),
	LEVEL_UP_MOVE(28, MOVE_TAILWIND),
	LEVEL_UP_MOVE(46, MOVE_HURRICANE),
	LEVEL_UP_MOVE(50, MOVE_MOONBLAST),
	LEVEL_UP_END
};

static const struct LevelUpMove sPetililLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 4, MOVE_GROWTH),
	LEVEL_UP_MOVE( 8, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(10, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(13, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(17, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(19, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(22, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(26, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(28, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(31, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(35, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(37, MOVE_ENTRAINMENT),
	LEVEL_UP_MOVE(40, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(44, MOVE_AFTERYOU),
	LEVEL_UP_MOVE(46, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sLilligantLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE( 1, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 1, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE( 1, MOVE_STUNSPORE),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_POLLENPUFF),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYGLIDE),
	LEVEL_UP_MOVE( 1, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 1, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 1, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(10, MOVE_TEETERDANCE),
	LEVEL_UP_MOVE(28, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE(46, MOVE_PETALDANCE),
	LEVEL_UP_MOVE(50, MOVE_PETALBLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sBasculinLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 3, MOVE_UPROAR),
	LEVEL_UP_MOVE( 5, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE( 9, MOVE_AQUAJET),
	LEVEL_UP_MOVE(11, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(14, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(17, MOVE_CRUNCH),
	LEVEL_UP_MOVE(20, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(23, MOVE_SOAK),
	LEVEL_UP_MOVE(26, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(30, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(34, MOVE_FLAIL),
	LEVEL_UP_MOVE(38, MOVE_FINALGAMBIT),
	LEVEL_UP_MOVE(42, MOVE_THRASH),
	LEVEL_UP_MOVE(46, MOVE_HEADSMASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sSandileLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_RAGE),
	LEVEL_UP_MOVE( 4, MOVE_BITE),
	LEVEL_UP_MOVE( 7, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(10, MOVE_TORMENT),
	LEVEL_UP_MOVE(13, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(16, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(19, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(22, MOVE_EMBARGO),
	LEVEL_UP_MOVE(25, MOVE_SWAGGER),
	LEVEL_UP_MOVE(28, MOVE_CRUNCH),
	LEVEL_UP_MOVE(31, MOVE_DIG),
	LEVEL_UP_MOVE(34, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(37, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(40, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(43, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(46, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sKrokorokLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_RAGE),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 4, MOVE_BITE),
	LEVEL_UP_MOVE( 7, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(10, MOVE_TORMENT),
	LEVEL_UP_MOVE(13, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(16, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(19, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(22, MOVE_EMBARGO),
	LEVEL_UP_MOVE(25, MOVE_SWAGGER),
	LEVEL_UP_MOVE(28, MOVE_CRUNCH),
	LEVEL_UP_MOVE(32, MOVE_DIG),
	LEVEL_UP_MOVE(36, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(40, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(44, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(48, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(52, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sKrookodileLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_DARKESTLARIAT),
	LEVEL_UP_MOVE( 1, MOVE_SKITTERSMACK),
	LEVEL_UP_MOVE( 1, MOVE_SCALESHOT),
	LEVEL_UP_MOVE( 1, MOVE_LASHOUT),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_POWERTRIP),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 4, MOVE_BITE),
	LEVEL_UP_MOVE( 7, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(10, MOVE_TORMENT),
	LEVEL_UP_MOVE(13, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(16, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(19, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(22, MOVE_EMBARGO),
	LEVEL_UP_MOVE(25, MOVE_SWAGGER),
	LEVEL_UP_MOVE(28, MOVE_CRUNCH),
	LEVEL_UP_MOVE(32, MOVE_DIG),
	LEVEL_UP_MOVE(36, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(42, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(48, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(54, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(60, MOVE_OUTRAGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sDarumakaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 3, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 6, MOVE_INCINERATE),
	LEVEL_UP_MOVE( 9, MOVE_RAGE),
	LEVEL_UP_MOVE(11, MOVE_FIREFANG),
	LEVEL_UP_MOVE(14, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(17, MOVE_UPROAR),
	LEVEL_UP_MOVE(19, MOVE_FACADE),
	LEVEL_UP_MOVE(22, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE(25, MOVE_WORKUP),
	LEVEL_UP_MOVE(27, MOVE_THRASH),
	LEVEL_UP_MOVE(30, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE(33, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE(35, MOVE_TAUNT),
	LEVEL_UP_MOVE(39, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(42, MOVE_OVERHEAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sDarmanitanLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 1, MOVE_INCINERATE),
	LEVEL_UP_MOVE( 1, MOVE_RAGE),
	LEVEL_UP_MOVE( 3, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 6, MOVE_INCINERATE),
	LEVEL_UP_MOVE( 9, MOVE_RAGE),
	LEVEL_UP_MOVE(11, MOVE_FIREFANG),
	LEVEL_UP_MOVE(14, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(17, MOVE_SWAGGER),
	LEVEL_UP_MOVE(19, MOVE_FACADE),
	LEVEL_UP_MOVE(22, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE(25, MOVE_WORKUP),
	LEVEL_UP_MOVE(27, MOVE_THRASH),
	LEVEL_UP_MOVE(30, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE(33, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE(39, MOVE_TAUNT),
	LEVEL_UP_MOVE(47, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(54, MOVE_OVERHEAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sMaractusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPIKYSHIELD),
	LEVEL_UP_MOVE( 1, MOVE_COTTONGUARD),
	LEVEL_UP_MOVE( 1, MOVE_AFTERYOU),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 3, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 6, MOVE_GROWTH),
	LEVEL_UP_MOVE(10, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(13, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(15, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(18, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE(22, MOVE_NEEDLEARM),
	LEVEL_UP_MOVE(26, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(29, MOVE_ACUPRESSURE),
	LEVEL_UP_MOVE(33, MOVE_INGRAIN),
	LEVEL_UP_MOVE(38, MOVE_PETALDANCE),
	LEVEL_UP_MOVE(42, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(45, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(48, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE(50, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(55, MOVE_COTTONGUARD),
	LEVEL_UP_MOVE(57, MOVE_AFTERYOU),
	LEVEL_UP_END
};

static const struct LevelUpMove sDwebbleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 5, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 7, MOVE_WITHDRAW),
	LEVEL_UP_MOVE(11, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(13, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(17, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(19, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(23, MOVE_BUGBITE),
	LEVEL_UP_MOVE(24, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(29, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(31, MOVE_SLASH),
	LEVEL_UP_MOVE(35, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(37, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE(41, MOVE_FLAIL),
	LEVEL_UP_MOVE(43, MOVE_ROCKWRECKER),
	LEVEL_UP_END
};

static const struct LevelUpMove sCrustleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 5, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 7, MOVE_WITHDRAW),
	LEVEL_UP_MOVE(11, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(13, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(17, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(19, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(23, MOVE_BUGBITE),
	LEVEL_UP_MOVE(24, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(29, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(31, MOVE_SLASH),
	LEVEL_UP_MOVE(38, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(43, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE(50, MOVE_FLAIL),
	LEVEL_UP_MOVE(55, MOVE_ROCKWRECKER),
	LEVEL_UP_END
};

static const struct LevelUpMove sScraggyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(12, MOVE_SWAGGER),
	LEVEL_UP_MOVE(16, MOVE_LOWKICK),
	LEVEL_UP_MOVE(20, MOVE_PAYBACK),
	LEVEL_UP_MOVE(23, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(27, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(31, MOVE_HIGHJUMPKICK),
	LEVEL_UP_MOVE(34, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(38, MOVE_CRUNCH),
	LEVEL_UP_MOVE(42, MOVE_FACADE),
	LEVEL_UP_MOVE(45, MOVE_ROCKCLIMB),
	LEVEL_UP_MOVE(48, MOVE_FOCUSPUNCH),
	LEVEL_UP_MOVE(50, MOVE_HEADSMASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sScraftyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_AMNESIA),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_LASHOUT),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_DUALCHOP),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(12, MOVE_SWAGGER),
	LEVEL_UP_MOVE(16, MOVE_LOWKICK),
	LEVEL_UP_MOVE(20, MOVE_PAYBACK),
	LEVEL_UP_MOVE(23, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(27, MOVE_CHIPAWAY),
	LEVEL_UP_MOVE(31, MOVE_HIGHJUMPKICK),
	LEVEL_UP_MOVE(34, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(38, MOVE_CRUNCH),
	LEVEL_UP_MOVE(45, MOVE_FACADE),
	LEVEL_UP_MOVE(51, MOVE_ROCKCLIMB),
	LEVEL_UP_MOVE(58, MOVE_FOCUSPUNCH),
	LEVEL_UP_MOVE(65, MOVE_HEADSMASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sSigilyphLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWERSWAP),
	LEVEL_UP_MOVE( 1, MOVE_SPEEDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_MAGICROOM),
	LEVEL_UP_MOVE( 1, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE( 1, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE( 1, MOVE_EXPANDINGFORCE),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_GRAVITY),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 5, MOVE_GRAVITY),
	LEVEL_UP_MOVE(10, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(15, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(20, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(25, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(30, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE(35, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(40, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(45, MOVE_TAILWIND),
	LEVEL_UP_MOVE(50, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(50, MOVE_REFLECT),
	LEVEL_UP_MOVE(55, MOVE_SKYATTACK),
	LEVEL_UP_MOVE(60, MOVE_SKILLSWAP),
	LEVEL_UP_END
};

static const struct LevelUpMove sYamaskLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 5, MOVE_DISABLE),
	LEVEL_UP_MOVE( 9, MOVE_HAZE),
	LEVEL_UP_MOVE(13, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(17, MOVE_HEX),
	LEVEL_UP_MOVE(21, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(25, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(29, MOVE_CURSE),
	LEVEL_UP_MOVE(33, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE(33, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(37, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(41, MOVE_GRUDGE),
	LEVEL_UP_MOVE(45, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(49, MOVE_DESTINYBOND),
	LEVEL_UP_END
};

static const struct LevelUpMove sCofagrigusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_DISABLE),
	LEVEL_UP_MOVE( 1, MOVE_HAZE),
	LEVEL_UP_MOVE( 5, MOVE_DISABLE),
	LEVEL_UP_MOVE( 9, MOVE_HAZE),
	LEVEL_UP_MOVE(13, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(17, MOVE_HEX),
	LEVEL_UP_MOVE(21, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(25, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(29, MOVE_CURSE),
	LEVEL_UP_MOVE(33, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE(33, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(39, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(45, MOVE_GRUDGE),
	LEVEL_UP_MOVE(51, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(57, MOVE_DESTINYBOND),
	LEVEL_UP_END
};

static const struct LevelUpMove sTirtougaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 3, MOVE_PROTECT),
	LEVEL_UP_MOVE( 6, MOVE_AQUAJET),
	LEVEL_UP_MOVE( 9, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(12, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(15, MOVE_BITE),
	LEVEL_UP_MOVE(18, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(21, MOVE_BRINE),
	LEVEL_UP_MOVE(24, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(27, MOVE_CRUNCH),
	LEVEL_UP_MOVE(30, MOVE_CURSE),
	LEVEL_UP_MOVE(33, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(36, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(39, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(42, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(45, MOVE_SHELLSMASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sCarracostaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_RAZORSHELL),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_AQUAJET),
	LEVEL_UP_MOVE( 9, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(12, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(15, MOVE_BITE),
	LEVEL_UP_MOVE(18, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(21, MOVE_BRINE),
	LEVEL_UP_MOVE(24, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(27, MOVE_CRUNCH),
	LEVEL_UP_MOVE(30, MOVE_CURSE),
	LEVEL_UP_MOVE(33, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(36, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(41, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(46, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(51, MOVE_SHELLSMASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sArchenLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_WINGATTACK),
	LEVEL_UP_MOVE( 5, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 8, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(11, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(15, MOVE_PLUCK),
	LEVEL_UP_MOVE(18, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(21, MOVE_AGILITY),
	LEVEL_UP_MOVE(25, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(28, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(31, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(35, MOVE_CRUNCH),
	LEVEL_UP_MOVE(38, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(41, MOVE_UTURN),
	LEVEL_UP_MOVE(45, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(48, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(50, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sArcheopsLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_WINGATTACK),
	LEVEL_UP_MOVE( 1, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 5, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 8, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(11, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(15, MOVE_PLUCK),
	LEVEL_UP_MOVE(18, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(21, MOVE_AGILITY),
	LEVEL_UP_MOVE(25, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(28, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(31, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(35, MOVE_CRUNCH),
	LEVEL_UP_MOVE(40, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(45, MOVE_UTURN),
	LEVEL_UP_MOVE(51, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(56, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(61, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sTrubbishLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 3, MOVE_RECYCLE),
	LEVEL_UP_MOVE( 7, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(12, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(14, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(18, MOVE_SLUDGE),
	LEVEL_UP_MOVE(23, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(23, MOVE_SWALLOW),
	LEVEL_UP_MOVE(25, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(29, MOVE_SLUDGEBOMB),
	LEVEL_UP_MOVE(34, MOVE_CLEARSMOG),
	LEVEL_UP_MOVE(36, MOVE_TOXIC),
	LEVEL_UP_MOVE(40, MOVE_AMNESIA),
	LEVEL_UP_MOVE(42, MOVE_BELCH),
	LEVEL_UP_MOVE(45, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE(47, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sGarbodorLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 1, MOVE_RECYCLE),
	LEVEL_UP_MOVE( 1, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE( 3, MOVE_RECYCLE),
	LEVEL_UP_MOVE( 7, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(12, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(14, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(18, MOVE_SLUDGE),
	LEVEL_UP_MOVE(23, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(23, MOVE_SWALLOW),
	LEVEL_UP_MOVE(25, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(29, MOVE_SLUDGEBOMB),
	LEVEL_UP_MOVE(34, MOVE_CLEARSMOG),
	LEVEL_UP_MOVE(39, MOVE_TOXIC),
	LEVEL_UP_MOVE(46, MOVE_AMNESIA),
	LEVEL_UP_MOVE(49, MOVE_BELCH),
	LEVEL_UP_MOVE(54, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE(59, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sZoruaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 9, MOVE_FAKETEARS),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(17, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(21, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(25, MOVE_TAUNT),
	LEVEL_UP_MOVE(29, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(33, MOVE_TORMENT),
	LEVEL_UP_MOVE(37, MOVE_AGILITY),
	LEVEL_UP_MOVE(41, MOVE_EMBARGO),
	LEVEL_UP_MOVE(45, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(49, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(53, MOVE_IMPRISON),
	LEVEL_UP_MOVE(57, MOVE_NIGHTDAZE),
	LEVEL_UP_END
};

static const struct LevelUpMove sZoroarkLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTDAZE),
	LEVEL_UP_MOVE( 1, MOVE_IMPRISON),
	LEVEL_UP_MOVE( 1, MOVE_UTURN),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 1, MOVE_HONECLAWS),
	LEVEL_UP_MOVE( 5, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 9, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(13, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(17, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(21, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(25, MOVE_TAUNT),
	LEVEL_UP_MOVE(29, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(34, MOVE_TORMENT),
	LEVEL_UP_MOVE(39, MOVE_AGILITY),
	LEVEL_UP_MOVE(44, MOVE_EMBARGO),
	LEVEL_UP_MOVE(49, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(54, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(59, MOVE_IMPRISON),
	LEVEL_UP_MOVE(64, MOVE_NIGHTDAZE),
	LEVEL_UP_END
};

static const struct LevelUpMove sMinccinoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 3, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE( 7, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 9, MOVE_TICKLE),
	LEVEL_UP_MOVE(13, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(15, MOVE_ENCORE),
	LEVEL_UP_MOVE(19, MOVE_SWIFT),
	LEVEL_UP_MOVE(21, MOVE_SING),
	LEVEL_UP_MOVE(25, MOVE_TAILSLAP),
	LEVEL_UP_MOVE(27, MOVE_CHARM),
	LEVEL_UP_MOVE(31, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(33, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE(37, MOVE_SLAM),
	LEVEL_UP_MOVE(39, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(43, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(45, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(49, MOVE_AFTERYOU),
	LEVEL_UP_END
};

static const struct LevelUpMove sCinccinoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 1, MOVE_FAKETEARS),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_LASTRESORT),
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_TRIPLEAXEL),
	LEVEL_UP_MOVE( 1, MOVE_BULLETSEED),
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_TICKLE),
	LEVEL_UP_MOVE( 1, MOVE_SING),
	LEVEL_UP_MOVE( 1, MOVE_TAILSLAP),
	LEVEL_UP_END
};

static const struct LevelUpMove sGothitaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 3, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 7, MOVE_TICKLE),
	LEVEL_UP_MOVE( 8, MOVE_PLAYNICE),
	LEVEL_UP_MOVE(10, MOVE_FAKETEARS),
	LEVEL_UP_MOVE(14, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(16, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(19, MOVE_EMBARGO),
	LEVEL_UP_MOVE(24, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(25, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(28, MOVE_FLATTER),
	LEVEL_UP_MOVE(31, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(33, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(37, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(40, MOVE_TELEKINESIS),
	LEVEL_UP_MOVE(46, MOVE_CHARM),
	LEVEL_UP_MOVE(48, MOVE_MAGICROOM),
	LEVEL_UP_END
};

static const struct LevelUpMove sGothoritaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_TICKLE),
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 3, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 7, MOVE_TICKLE),
	LEVEL_UP_MOVE(10, MOVE_FAKETEARS),
	LEVEL_UP_MOVE(14, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(16, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(19, MOVE_EMBARGO),
	LEVEL_UP_MOVE(24, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(25, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(28, MOVE_FLATTER),
	LEVEL_UP_MOVE(31, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(34, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(39, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(43, MOVE_TELEKINESIS),
	LEVEL_UP_MOVE(50, MOVE_CHARM),
	LEVEL_UP_MOVE(53, MOVE_MAGICROOM),
	LEVEL_UP_END
};

static const struct LevelUpMove sGothitelleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE( 1, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE( 1, MOVE_EXPANDINGFORCE),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_GRAVITY),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_TICKLE),
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 3, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 7, MOVE_TICKLE),
	LEVEL_UP_MOVE(10, MOVE_FAKETEARS),
	LEVEL_UP_MOVE(14, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(16, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(19, MOVE_EMBARGO),
	LEVEL_UP_MOVE(24, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(25, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(28, MOVE_FLATTER),
	LEVEL_UP_MOVE(31, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(34, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(39, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(45, MOVE_TELEKINESIS),
	LEVEL_UP_MOVE(54, MOVE_CHARM),
	LEVEL_UP_MOVE(59, MOVE_MAGICROOM),
	LEVEL_UP_END
};

static const struct LevelUpMove sSolosisLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PSYWAVE),
	LEVEL_UP_MOVE( 3, MOVE_REFLECT),
	LEVEL_UP_MOVE( 7, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(10, MOVE_SNATCH),
	LEVEL_UP_MOVE(14, MOVE_HIDDENPOWER),
	LEVEL_UP_MOVE(16, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(19, MOVE_CHARM),
	LEVEL_UP_MOVE(24, MOVE_RECOVER),
	LEVEL_UP_MOVE(25, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(28, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(31, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(33, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(37, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(40, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE(46, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(48, MOVE_WONDERROOM),
	LEVEL_UP_END
};

static const struct LevelUpMove sDuosionLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PSYWAVE),
	LEVEL_UP_MOVE( 1, MOVE_REFLECT),
	LEVEL_UP_MOVE( 1, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 1, MOVE_SNATCH),
	LEVEL_UP_MOVE( 3, MOVE_REFLECT),
	LEVEL_UP_MOVE( 7, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(10, MOVE_SNATCH),
	LEVEL_UP_MOVE(14, MOVE_HIDDENPOWER),
	LEVEL_UP_MOVE(16, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(19, MOVE_CHARM),
	LEVEL_UP_MOVE(24, MOVE_RECOVER),
	LEVEL_UP_MOVE(25, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(28, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(31, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(34, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(39, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(43, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE(50, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(53, MOVE_WONDERROOM),
	LEVEL_UP_END
};

static const struct LevelUpMove sReuniclusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DIZZYPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_DIZZYPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_POWERSWAP),
	LEVEL_UP_MOVE( 1, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE( 1, MOVE_EXPANDINGFORCE),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_PSYWAVE),
	LEVEL_UP_MOVE( 1, MOVE_REFLECT),
	LEVEL_UP_MOVE( 1, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 1, MOVE_SNATCH),
	LEVEL_UP_MOVE( 3, MOVE_REFLECT),
	LEVEL_UP_MOVE( 7, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(10, MOVE_SNATCH),
	LEVEL_UP_MOVE(14, MOVE_HIDDENPOWER),
	LEVEL_UP_MOVE(16, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(19, MOVE_CHARM),
	LEVEL_UP_MOVE(24, MOVE_RECOVER),
	LEVEL_UP_MOVE(25, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(28, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(31, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(34, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(39, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(45, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE(54, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(59, MOVE_WONDERROOM),
	LEVEL_UP_END
};

static const struct LevelUpMove sDucklettLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 3, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 6, MOVE_DEFOG),
	LEVEL_UP_MOVE( 9, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(13, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(15, MOVE_AERIALACE),
	LEVEL_UP_MOVE(19, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(21, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(24, MOVE_AQUARING),
	LEVEL_UP_MOVE(27, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(30, MOVE_ROOST),
	LEVEL_UP_MOVE(34, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(37, MOVE_TAILWIND),
	LEVEL_UP_MOVE(41, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(46, MOVE_HURRICANE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSwannaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SKYATTACK),
	LEVEL_UP_MOVE( 1, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_DEFOG),
	LEVEL_UP_MOVE( 1, MOVE_WINGATTACK),
	LEVEL_UP_MOVE( 3, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 6, MOVE_DEFOG),
	LEVEL_UP_MOVE( 9, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(13, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(15, MOVE_AERIALACE),
	LEVEL_UP_MOVE(19, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(21, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(24, MOVE_AQUARING),
	LEVEL_UP_MOVE(27, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(30, MOVE_ROOST),
	LEVEL_UP_MOVE(34, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(40, MOVE_TAILWIND),
	LEVEL_UP_MOVE(47, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(55, MOVE_HURRICANE),
	LEVEL_UP_END
};

static const struct LevelUpMove sVanilliteLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 4, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_UPROAR),
	LEVEL_UP_MOVE(13, MOVE_ICYWIND),
	LEVEL_UP_MOVE(16, MOVE_MIST),
	LEVEL_UP_MOVE(19, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(22, MOVE_TAUNT),
	LEVEL_UP_MOVE(26, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(31, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(35, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(40, MOVE_HAIL),
	LEVEL_UP_MOVE(44, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE(49, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(53, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sVanillishLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_UPROAR),
	LEVEL_UP_MOVE( 4, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_UPROAR),
	LEVEL_UP_MOVE(13, MOVE_ICYWIND),
	LEVEL_UP_MOVE(16, MOVE_MIST),
	LEVEL_UP_MOVE(19, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(22, MOVE_TAUNT),
	LEVEL_UP_MOVE(26, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(31, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(36, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(42, MOVE_HAIL),
	LEVEL_UP_MOVE(47, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE(53, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(58, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sVanilluxeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_SHEERCOLD),
	LEVEL_UP_MOVE( 1, MOVE_FREEZEDRY),
	LEVEL_UP_MOVE( 1, MOVE_WEATHERBALL),
	LEVEL_UP_MOVE( 1, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_UPROAR),
	LEVEL_UP_MOVE( 4, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_UPROAR),
	LEVEL_UP_MOVE(13, MOVE_ICYWIND),
	LEVEL_UP_MOVE(16, MOVE_MIST),
	LEVEL_UP_MOVE(19, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(22, MOVE_TAUNT),
	LEVEL_UP_MOVE(26, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(31, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(36, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(42, MOVE_HAIL),
	LEVEL_UP_MOVE(50, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE(59, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(67, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sDeerlingLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_CAMOUFLAGE),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(10, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(13, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(16, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(20, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(24, MOVE_JUMPKICK),
	LEVEL_UP_MOVE(28, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(32, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(36, MOVE_CHARM),
	LEVEL_UP_MOVE(41, MOVE_NATUREPOWER),
	LEVEL_UP_MOVE(46, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(51, MOVE_SOLARBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sSawsbuckLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HORNLEECH),
	LEVEL_UP_MOVE( 1, MOVE_HORNLEECH),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 1, MOVE_WORRYSEED),
	LEVEL_UP_MOVE( 1, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE( 1, MOVE_MEGAHORN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_CAMOUFLAGE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(10, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(13, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(16, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(20, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(24, MOVE_JUMPKICK),
	LEVEL_UP_MOVE(28, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(32, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(36, MOVE_CHARM),
	LEVEL_UP_MOVE(44, MOVE_NATUREPOWER),
	LEVEL_UP_MOVE(52, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(60, MOVE_SOLARBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sEmolgaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 4, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 7, MOVE_TAILWHIP),
	LEVEL_UP_MOVE(10, MOVE_CHARGE),
	LEVEL_UP_MOVE(13, MOVE_SPARK),
	LEVEL_UP_MOVE(15, MOVE_NUZZLE),
	LEVEL_UP_MOVE(16, MOVE_PURSUIT),
	LEVEL_UP_MOVE(19, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(22, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(26, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(30, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(34, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(38, MOVE_ENCORE),
	LEVEL_UP_MOVE(42, MOVE_VOLTSWITCH),
	LEVEL_UP_MOVE(46, MOVE_AGILITY),
	LEVEL_UP_MOVE(50, MOVE_DISCHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sKarrablastLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 4, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 8, MOVE_ENDURE),
	LEVEL_UP_MOVE(12, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(16, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(20, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(24, MOVE_FLAIL),
	LEVEL_UP_MOVE(28, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(32, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(36, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(40, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(44, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(48, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sEscavalierLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCREECH),
	LEVEL_UP_MOVE( 1, MOVE_RAZORSHELL),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_DRILLRUN),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_FELLSTINGER),
	LEVEL_UP_MOVE( 1, MOVE_ENDURE),
	LEVEL_UP_MOVE( 1, MOVE_FLAIL),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 1, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(12, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(16, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(20, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(24, MOVE_REVERSAL),
	LEVEL_UP_MOVE(28, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(32, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(36, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(40, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(44, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(48, MOVE_GIGAIMPACT),
	LEVEL_UP_MOVE(52, MOVE_METALBURST),
	LEVEL_UP_END
};

static const struct LevelUpMove sFoongusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 6, MOVE_GROWTH),
	LEVEL_UP_MOVE( 8, MOVE_ASTONISH),
	LEVEL_UP_MOVE(12, MOVE_BIDE),
	LEVEL_UP_MOVE(15, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(18, MOVE_INGRAIN),
	LEVEL_UP_MOVE(20, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(24, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(28, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(32, MOVE_TOXIC),
	LEVEL_UP_MOVE(35, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(39, MOVE_CLEARSMOG),
	LEVEL_UP_MOVE(43, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(45, MOVE_RAGEPOWDER),
	LEVEL_UP_MOVE(50, MOVE_SPORE),
	LEVEL_UP_END
};

static const struct LevelUpMove sAmoongussLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_POLLENPUFF),
	LEVEL_UP_MOVE( 1, MOVE_FOULPLAY),
	LEVEL_UP_MOVE( 1, MOVE_GASTROACID),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 6, MOVE_GROWTH),
	LEVEL_UP_MOVE( 8, MOVE_ASTONISH),
	LEVEL_UP_MOVE(12, MOVE_BIDE),
	LEVEL_UP_MOVE(15, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(18, MOVE_INGRAIN),
	LEVEL_UP_MOVE(20, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(24, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(28, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(32, MOVE_TOXIC),
	LEVEL_UP_MOVE(35, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(43, MOVE_CLEARSMOG),
	LEVEL_UP_MOVE(49, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(54, MOVE_RAGEPOWDER),
	LEVEL_UP_MOVE(62, MOVE_SPORE),
	LEVEL_UP_END
};

static const struct LevelUpMove sFrillishLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 5, MOVE_ABSORB),
	LEVEL_UP_MOVE( 9, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(13, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(17, MOVE_RECOVER),
	LEVEL_UP_MOVE(22, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(27, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(32, MOVE_BRINE),
	LEVEL_UP_MOVE(37, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(43, MOVE_HEX),
	LEVEL_UP_MOVE(49, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(55, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(61, MOVE_WATERSPOUT),
	LEVEL_UP_END
};

static const struct LevelUpMove sJellicentLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_STRENGTHSAP),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_POLTERGEIST),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPOUT),
	LEVEL_UP_MOVE( 1, MOVE_WRINGOUT),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE( 5, MOVE_ABSORB),
	LEVEL_UP_MOVE( 9, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(13, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(17, MOVE_RECOVER),
	LEVEL_UP_MOVE(22, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(27, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(32, MOVE_BRINE),
	LEVEL_UP_MOVE(37, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(45, MOVE_HEX),
	LEVEL_UP_MOVE(53, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(61, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(69, MOVE_WATERSPOUT),
	LEVEL_UP_END
};

static const struct LevelUpMove sAlomomolaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 1, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE( 1, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 5, MOVE_AQUARING),
	LEVEL_UP_MOVE( 9, MOVE_AQUAJET),
	LEVEL_UP_MOVE(13, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(17, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(21, MOVE_PROTECT),
	LEVEL_UP_MOVE(25, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(29, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(33, MOVE_SOAK),
	LEVEL_UP_MOVE(37, MOVE_WISH),
	LEVEL_UP_MOVE(41, MOVE_BRINE),
	LEVEL_UP_MOVE(45, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(49, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(53, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(57, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE(61, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(65, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sJoltikLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_SPIDERWEB),
	LEVEL_UP_MOVE( 4, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 7, MOVE_SCREECH),
	LEVEL_UP_MOVE(12, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(15, MOVE_ELECTROWEB),
	LEVEL_UP_MOVE(18, MOVE_BUGBITE),
	LEVEL_UP_MOVE(23, MOVE_GASTROACID),
	LEVEL_UP_MOVE(26, MOVE_SLASH),
	LEVEL_UP_MOVE(29, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(34, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(37, MOVE_AGILITY),
	LEVEL_UP_MOVE(40, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(45, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(48, MOVE_BUGBUZZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sGalvantulaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_STICKYWEB),
	LEVEL_UP_MOVE( 1, MOVE_STICKYWEB),
	LEVEL_UP_MOVE( 1, MOVE_SPEEDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_SKITTERSMACK),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_SPIDERWEB),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 4, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 7, MOVE_SCREECH),
	LEVEL_UP_MOVE(12, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(15, MOVE_ELECTROWEB),
	LEVEL_UP_MOVE(18, MOVE_BUGBITE),
	LEVEL_UP_MOVE(23, MOVE_GASTROACID),
	LEVEL_UP_MOVE(26, MOVE_SLASH),
	LEVEL_UP_MOVE(29, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(34, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(40, MOVE_AGILITY),
	LEVEL_UP_MOVE(46, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(54, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(60, MOVE_BUGBUZZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sFerroseedLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 6, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 9, MOVE_CURSE),
	LEVEL_UP_MOVE(14, MOVE_METALCLAW),
	LEVEL_UP_MOVE(18, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(21, MOVE_GYROBALL),
	LEVEL_UP_MOVE(26, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(30, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(35, MOVE_INGRAIN),
	LEVEL_UP_MOVE(38, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(43, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(47, MOVE_PAYBACK),
	LEVEL_UP_MOVE(52, MOVE_FLASHCANNON),
	LEVEL_UP_MOVE(55, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sFerrothornLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_POWERWHIP),
	LEVEL_UP_MOVE( 1, MOVE_POWERWHIP),
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_SPIKES),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE( 1, MOVE_WORRYSEED),
	LEVEL_UP_MOVE( 1, MOVE_ROCKCLIMB),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 1, MOVE_CURSE),
	LEVEL_UP_MOVE( 6, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 9, MOVE_CURSE),
	LEVEL_UP_MOVE(14, MOVE_METALCLAW),
	LEVEL_UP_MOVE(18, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(21, MOVE_GYROBALL),
	LEVEL_UP_MOVE(26, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(30, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(35, MOVE_INGRAIN),
	LEVEL_UP_MOVE(38, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(46, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(53, MOVE_PAYBACK),
	LEVEL_UP_MOVE(61, MOVE_FLASHCANNON),
	LEVEL_UP_MOVE(67, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sKlinkLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 6, MOVE_CHARGE),
	LEVEL_UP_MOVE(11, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE(16, MOVE_GEARGRIND),
	LEVEL_UP_MOVE(21, MOVE_BIND),
	LEVEL_UP_MOVE(26, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE(31, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(36, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(39, MOVE_SCREECH),
	LEVEL_UP_MOVE(42, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(45, MOVE_METALSOUND),
	LEVEL_UP_MOVE(48, MOVE_SHIFTGEAR),
	LEVEL_UP_MOVE(50, MOVE_LOCKON),
	LEVEL_UP_MOVE(54, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(57, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sKlangLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_GEARGRIND),
	LEVEL_UP_MOVE( 6, MOVE_CHARGE),
	LEVEL_UP_MOVE(11, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE(16, MOVE_GEARGRIND),
	LEVEL_UP_MOVE(21, MOVE_BIND),
	LEVEL_UP_MOVE(26, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE(31, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(36, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(40, MOVE_SCREECH),
	LEVEL_UP_MOVE(44, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(48, MOVE_METALSOUND),
	LEVEL_UP_MOVE(52, MOVE_SHIFTGEAR),
	LEVEL_UP_MOVE(56, MOVE_LOCKON),
	LEVEL_UP_MOVE(60, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(64, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sKlinklangLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_MAGNETICFLUX),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETICFLUX),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_POWERGEM),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_STEELBEAM),
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_GRAVITY),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_GEARUP),
	LEVEL_UP_MOVE( 1, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_GEARGRIND),
	LEVEL_UP_MOVE( 6, MOVE_CHARGE),
	LEVEL_UP_MOVE(11, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE(16, MOVE_GEARGRIND),
	LEVEL_UP_MOVE(21, MOVE_BIND),
	LEVEL_UP_MOVE(25, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE(31, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(36, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(40, MOVE_SCREECH),
	LEVEL_UP_MOVE(44, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(48, MOVE_METALSOUND),
	LEVEL_UP_MOVE(54, MOVE_SHIFTGEAR),
	LEVEL_UP_MOVE(60, MOVE_LOCKON),
	LEVEL_UP_MOVE(66, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(72, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sTynamoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_SPARK),
	LEVEL_UP_MOVE( 1, MOVE_CHARGEBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sEelektrikLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_SPARK),
	LEVEL_UP_MOVE( 1, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE( 9, MOVE_BIND),
	LEVEL_UP_MOVE(19, MOVE_ACID),
	LEVEL_UP_MOVE(29, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(44, MOVE_THUNDERBOLT),
	LEVEL_UP_MOVE(49, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(54, MOVE_COIL),
	LEVEL_UP_MOVE(59, MOVE_WILDCHARGE),
	LEVEL_UP_MOVE(64, MOVE_GASTROACID),
	LEVEL_UP_MOVE(69, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(74, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sEelektrossLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SUPERFANG),
	LEVEL_UP_MOVE( 1, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE( 1, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE( 1, MOVE_GASTROACID),
	LEVEL_UP_MOVE( 1, MOVE_COIL),
	LEVEL_UP_MOVE( 1, MOVE_IONDELUGE),
	LEVEL_UP_MOVE( 1, MOVE_CRUSHCLAW),
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_ACID),
	LEVEL_UP_MOVE( 1, MOVE_DISCHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sElgyemLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(11, MOVE_MIRACLEEYE),
	LEVEL_UP_MOVE(15, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(18, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(22, MOVE_HIDDENPOWER),
	LEVEL_UP_MOVE(25, MOVE_IMPRISON),
	LEVEL_UP_MOVE(29, MOVE_SIMPLEBEAM),
	LEVEL_UP_MOVE(32, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(36, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(39, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(43, MOVE_CALMMIND),
	LEVEL_UP_MOVE(46, MOVE_RECOVER),
	LEVEL_UP_MOVE(50, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(50, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE(53, MOVE_SYNCHRONOISE),
	LEVEL_UP_MOVE(56, MOVE_WONDERROOM),
	LEVEL_UP_END
};

static const struct LevelUpMove sBeheeyemLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_WONDERROOM),
	LEVEL_UP_MOVE( 1, MOVE_SYNCHRONOISE),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE( 1, MOVE_MIRACLEEYE),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(11, MOVE_MIRACLEEYE),
	LEVEL_UP_MOVE(15, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(18, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(22, MOVE_HIDDENPOWER),
	LEVEL_UP_MOVE(25, MOVE_IMPRISON),
	LEVEL_UP_MOVE(29, MOVE_SIMPLEBEAM),
	LEVEL_UP_MOVE(32, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(36, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(39, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(45, MOVE_CALMMIND),
	LEVEL_UP_MOVE(50, MOVE_RECOVER),
	LEVEL_UP_MOVE(56, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(58, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE(63, MOVE_SYNCHRONOISE),
	LEVEL_UP_MOVE(68, MOVE_WONDERROOM),
	LEVEL_UP_END
};

static const struct LevelUpMove sLitwickLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 3, MOVE_MINIMIZE),
	LEVEL_UP_MOVE( 5, MOVE_SMOG),
	LEVEL_UP_MOVE( 7, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(10, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(13, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(16, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(20, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(24, MOVE_IMPRISON),
	LEVEL_UP_MOVE(28, MOVE_HEX),
	LEVEL_UP_MOVE(33, MOVE_MEMENTO),
	LEVEL_UP_MOVE(38, MOVE_INFERNO),
	LEVEL_UP_MOVE(43, MOVE_CURSE),
	LEVEL_UP_MOVE(49, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(55, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(61, MOVE_OVERHEAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sLampentLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_MINIMIZE),
	LEVEL_UP_MOVE( 1, MOVE_SMOG),
	LEVEL_UP_MOVE( 3, MOVE_MINIMIZE),
	LEVEL_UP_MOVE( 5, MOVE_SMOG),
	LEVEL_UP_MOVE( 7, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(10, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(13, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(16, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(20, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(24, MOVE_IMPRISON),
	LEVEL_UP_MOVE(28, MOVE_HEX),
	LEVEL_UP_MOVE(33, MOVE_MEMENTO),
	LEVEL_UP_MOVE(38, MOVE_INFERNO),
	LEVEL_UP_MOVE(45, MOVE_CURSE),
	LEVEL_UP_MOVE(53, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(61, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(69, MOVE_OVERHEAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sChandelureLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_SPITE),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE( 1, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE( 1, MOVE_OVERHEAT),
	LEVEL_UP_MOVE( 1, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_SMOG),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 1, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_END
};

static const struct LevelUpMove sAxewLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(10, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(13, MOVE_DUALCHOP),
	LEVEL_UP_MOVE(16, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(20, MOVE_SLASH),
	LEVEL_UP_MOVE(24, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(28, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(32, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(36, MOVE_TAUNT),
	LEVEL_UP_MOVE(41, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(46, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(50, MOVE_GUILLOTINE),
	LEVEL_UP_MOVE(56, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(61, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};

static const struct LevelUpMove sFraxureLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_ASSURANCE),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(10, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(13, MOVE_DUALCHOP),
	LEVEL_UP_MOVE(16, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(20, MOVE_SLASH),
	LEVEL_UP_MOVE(24, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(28, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(32, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(36, MOVE_TAUNT),
	LEVEL_UP_MOVE(42, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(48, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(54, MOVE_GUILLOTINE),
	LEVEL_UP_MOVE(60, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(66, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};

static const struct LevelUpMove sHaxorusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ASSURANCE),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE( 1, MOVE_BREAKINGSWIPE),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_SCALESHOT),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_ASSURANCE),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(10, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(13, MOVE_DUALCHOP),
	LEVEL_UP_MOVE(16, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(20, MOVE_SLASH),
	LEVEL_UP_MOVE(24, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(28, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(32, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(36, MOVE_TAUNT),
	LEVEL_UP_MOVE(42, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(50, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(58, MOVE_GUILLOTINE),
	LEVEL_UP_MOVE(66, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(74, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};

static const struct LevelUpMove sCubchooLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 9, MOVE_BIDE),
	LEVEL_UP_MOVE(13, MOVE_ICYWIND),
	LEVEL_UP_MOVE(15, MOVE_PLAYNICE),
	LEVEL_UP_MOVE(17, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(21, MOVE_BRINE),
	LEVEL_UP_MOVE(25, MOVE_ENDURE),
	LEVEL_UP_MOVE(29, MOVE_CHARM),
	LEVEL_UP_MOVE(33, MOVE_SLASH),
	LEVEL_UP_MOVE(36, MOVE_FLAIL),
	LEVEL_UP_MOVE(41, MOVE_REST),
	LEVEL_UP_MOVE(45, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(49, MOVE_HAIL),
	LEVEL_UP_MOVE(53, MOVE_THRASH),
	LEVEL_UP_MOVE(57, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sBearticLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ICICLECRASH),
	LEVEL_UP_MOVE( 1, MOVE_ICICLECRASH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 1, MOVE_ASSURANCE),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_SHEERCOLD),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 1, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_AQUAJET),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 1, MOVE_ICYWIND),
	LEVEL_UP_MOVE( 5, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 9, MOVE_BIDE),
	LEVEL_UP_MOVE(13, MOVE_ICYWIND),
	LEVEL_UP_MOVE(15, MOVE_PLAYNICE),
	LEVEL_UP_MOVE(17, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(21, MOVE_BRINE),
	LEVEL_UP_MOVE(25, MOVE_ENDURE),
	LEVEL_UP_MOVE(29, MOVE_SWAGGER),
	LEVEL_UP_MOVE(33, MOVE_SLASH),
	LEVEL_UP_MOVE(36, MOVE_FLAIL),
	LEVEL_UP_MOVE(41, MOVE_REST),
	LEVEL_UP_MOVE(45, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(53, MOVE_HAIL),
	LEVEL_UP_MOVE(59, MOVE_THRASH),
	LEVEL_UP_MOVE(66, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sCryogonalLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_TRIPLEAXEL),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_SHEERCOLD),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_BIND),
	LEVEL_UP_MOVE( 1, MOVE_ICESHARD),
	LEVEL_UP_MOVE( 1, MOVE_SHARPEN),
	LEVEL_UP_MOVE( 1, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 5, MOVE_ICYWIND),
	LEVEL_UP_MOVE( 9, MOVE_MIST),
	LEVEL_UP_MOVE( 9, MOVE_HAZE),
	LEVEL_UP_MOVE(13, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(17, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(21, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(25, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(29, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(33, MOVE_REFLECT),
	LEVEL_UP_MOVE(37, MOVE_SLASH),
	LEVEL_UP_MOVE(41, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(45, MOVE_RECOVER),
	LEVEL_UP_MOVE(49, MOVE_FREEZEDRY),
	LEVEL_UP_MOVE(50, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(53, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(57, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sShelmetLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 4, MOVE_ACID),
	LEVEL_UP_MOVE( 8, MOVE_BIDE),
	LEVEL_UP_MOVE(13, MOVE_CURSE),
	LEVEL_UP_MOVE(16, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE(20, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(25, MOVE_YAWN),
	LEVEL_UP_MOVE(28, MOVE_PROTECT),
	LEVEL_UP_MOVE(32, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(37, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(40, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(44, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(49, MOVE_RECOVER),
	LEVEL_UP_MOVE(50, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE(56, MOVE_FINALGAMBIT),
	LEVEL_UP_END
};

static const struct LevelUpMove sAccelgorLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WATERSHURIKEN),
	LEVEL_UP_MOVE( 1, MOVE_FINALGAMBIT),
	LEVEL_UP_MOVE( 1, MOVE_POWERSWAP),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 4, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE( 8, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(16, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE(20, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(25, MOVE_SWIFT),
	LEVEL_UP_MOVE(28, MOVE_MEFIRST),
	LEVEL_UP_MOVE(32, MOVE_AGILITY),
	LEVEL_UP_MOVE(37, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(40, MOVE_UTURN),
	LEVEL_UP_MOVE(44, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(49, MOVE_RECOVER),
	LEVEL_UP_MOVE(52, MOVE_POWERSWAP),
	LEVEL_UP_MOVE(56, MOVE_FINALGAMBIT),
	LEVEL_UP_END
};

static const struct LevelUpMove sStunfiskLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FISSURE),
	LEVEL_UP_MOVE( 1, MOVE_FLAIL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 5, MOVE_BIDE),
	LEVEL_UP_MOVE( 9, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE(13, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(17, MOVE_CAMOUFLAGE),
	LEVEL_UP_MOVE(21, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(25, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(30, MOVE_ENDURE),
	LEVEL_UP_MOVE(35, MOVE_BOUNCE),
	LEVEL_UP_MOVE(40, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(45, MOVE_THUNDERBOLT),
	LEVEL_UP_MOVE(50, MOVE_REVENGE),
	LEVEL_UP_MOVE(55, MOVE_FLAIL),
	LEVEL_UP_MOVE(61, MOVE_FISSURE),
	LEVEL_UP_END
};

static const struct LevelUpMove sMienfooLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_DETECT),
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE(15, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(20, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(25, MOVE_FORCEPALM),
	LEVEL_UP_MOVE(30, MOVE_UTURN),
	LEVEL_UP_MOVE(35, MOVE_DRAINPUNCH),
	LEVEL_UP_MOVE(40, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(45, MOVE_AURASPHERE),
	LEVEL_UP_MOVE(51, MOVE_BOUNCE),
	LEVEL_UP_MOVE(55, MOVE_CALMMIND),
	LEVEL_UP_MOVE(60, MOVE_HIGHJUMPKICK),
	LEVEL_UP_END
};

static const struct LevelUpMove sMienshaoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_ASSURANCE),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_BLAZEKICK),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_DUALCHOP),
	LEVEL_UP_MOVE( 1, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_DETECT),
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE(15, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(20, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(25, MOVE_FORCEPALM),
	LEVEL_UP_MOVE(30, MOVE_UTURN),
	LEVEL_UP_MOVE(35, MOVE_DRAINPUNCH),
	LEVEL_UP_MOVE(40, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(45, MOVE_AURASPHERE),
	LEVEL_UP_MOVE(53, MOVE_BOUNCE),
	LEVEL_UP_MOVE(59, MOVE_CALMMIND),
	LEVEL_UP_MOVE(66, MOVE_HIGHJUMPKICK),
	LEVEL_UP_END
};

static const struct LevelUpMove sDruddigonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_CRUSHCLAW),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_BITE),
	LEVEL_UP_MOVE(10, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(15, MOVE_METALCLAW),
	LEVEL_UP_MOVE(20, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(25, MOVE_SLASH),
	LEVEL_UP_MOVE(30, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(35, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(40, MOVE_CRUNCH),
	LEVEL_UP_MOVE(45, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(50, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(55, MOVE_SUPERPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sGolettLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 5, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 9, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(13, MOVE_SHADOWPUNCH),
	LEVEL_UP_MOVE(17, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(21, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE(25, MOVE_MEGAPUNCH),
	LEVEL_UP_MOVE(30, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(35, MOVE_DYNAMICPUNCH),
	LEVEL_UP_MOVE(40, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(45, MOVE_CURSE),
	LEVEL_UP_MOVE(50, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(55, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(61, MOVE_FOCUSPUNCH),
	LEVEL_UP_END
};

static const struct LevelUpMove sGolurkLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE( 1, MOVE_HEATCRASH),
	LEVEL_UP_MOVE( 1, MOVE_DARKESTLARIAT),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_GRAVITY),
	LEVEL_UP_MOVE( 1, MOVE_POLTERGEIST),
	LEVEL_UP_MOVE( 1, MOVE_HIGHHORSEPOWER),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 5, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 9, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(13, MOVE_SHADOWPUNCH),
	LEVEL_UP_MOVE(17, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(21, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE(25, MOVE_MEGAPUNCH),
	LEVEL_UP_MOVE(30, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(35, MOVE_DYNAMICPUNCH),
	LEVEL_UP_MOVE(40, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(47, MOVE_CURSE),
	LEVEL_UP_MOVE(54, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(61, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(69, MOVE_FOCUSPUNCH),
	LEVEL_UP_MOVE(76, MOVE_PHANTOMFORCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sPawniardLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 6, MOVE_LEER),
	LEVEL_UP_MOVE( 9, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(14, MOVE_TORMENT),
	LEVEL_UP_MOVE(17, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(25, MOVE_METALCLAW),
	LEVEL_UP_MOVE(30, MOVE_SLASH),
	LEVEL_UP_MOVE(33, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(38, MOVE_METALSOUND),
	LEVEL_UP_MOVE(41, MOVE_EMBARGO),
	LEVEL_UP_MOVE(46, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(49, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(54, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(57, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(62, MOVE_GUILLOTINE),
	LEVEL_UP_END
};

static const struct LevelUpMove sBisharpLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCREECH),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE( 1, MOVE_FOULPLAY),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_LASHOUT),
	LEVEL_UP_MOVE( 1, MOVE_DUALCHOP),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_GUILLOTINE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_METALBURST),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_TORMENT),
	LEVEL_UP_MOVE( 6, MOVE_LEER),
	LEVEL_UP_MOVE( 9, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(14, MOVE_TORMENT),
	LEVEL_UP_MOVE(17, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(22, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(25, MOVE_METALCLAW),
	LEVEL_UP_MOVE(30, MOVE_SLASH),
	LEVEL_UP_MOVE(33, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(38, MOVE_METALSOUND),
	LEVEL_UP_MOVE(41, MOVE_EMBARGO),
	LEVEL_UP_MOVE(46, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(49, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(57, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(63, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(71, MOVE_GUILLOTINE),
	LEVEL_UP_END
};

static const struct LevelUpMove sBouffalantLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 6, MOVE_RAGE),
	LEVEL_UP_MOVE(11, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(16, MOVE_HORNATTACK),
	LEVEL_UP_MOVE(21, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(26, MOVE_REVENGE),
	LEVEL_UP_MOVE(31, MOVE_HEADCHARGE),
	LEVEL_UP_MOVE(36, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(41, MOVE_MEGAHORN),
	LEVEL_UP_MOVE(46, MOVE_REVERSAL),
	LEVEL_UP_MOVE(50, MOVE_THRASH),
	LEVEL_UP_MOVE(56, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(61, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};

static const struct LevelUpMove sRuffletLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(10, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(14, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(19, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(23, MOVE_AERIALACE),
	LEVEL_UP_MOVE(28, MOVE_SLASH),
	LEVEL_UP_MOVE(32, MOVE_DEFOG),
	LEVEL_UP_MOVE(37, MOVE_TAILWIND),
	LEVEL_UP_MOVE(41, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(46, MOVE_CRUSHCLAW),
	LEVEL_UP_MOVE(50, MOVE_SKYDROP),
	LEVEL_UP_MOVE(55, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(59, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(64, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sBraviaryLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE( 1, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_FURYATTACK),
	LEVEL_UP_MOVE( 1, MOVE_WINGATTACK),
	LEVEL_UP_MOVE( 5, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(10, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(14, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(19, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(23, MOVE_AERIALACE),
	LEVEL_UP_MOVE(28, MOVE_SLASH),
	LEVEL_UP_MOVE(32, MOVE_DEFOG),
	LEVEL_UP_MOVE(37, MOVE_TAILWIND),
	LEVEL_UP_MOVE(41, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(46, MOVE_CRUSHCLAW),
	LEVEL_UP_MOVE(50, MOVE_SKYDROP),
	LEVEL_UP_MOVE(57, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(63, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(70, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sVullabyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(10, MOVE_PLUCK),
	LEVEL_UP_MOVE(14, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(19, MOVE_FLATTER),
	LEVEL_UP_MOVE(23, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(28, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(32, MOVE_DEFOG),
	LEVEL_UP_MOVE(37, MOVE_TAILWIND),
	LEVEL_UP_MOVE(41, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(46, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(50, MOVE_EMBARGO),
	LEVEL_UP_MOVE(55, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(59, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(64, MOVE_MIRRORMOVE),
	LEVEL_UP_END
};

static const struct LevelUpMove sMandibuzzLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_BONERUSH),
	LEVEL_UP_MOVE( 1, MOVE_BONERUSH),
	LEVEL_UP_MOVE( 1, MOVE_MIRRORMOVE),
	LEVEL_UP_MOVE( 1, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE( 1, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_FURYATTACK),
	LEVEL_UP_MOVE( 1, MOVE_PLUCK),
	LEVEL_UP_MOVE( 5, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(10, MOVE_PLUCK),
	LEVEL_UP_MOVE(14, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(19, MOVE_FLATTER),
	LEVEL_UP_MOVE(23, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(28, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(32, MOVE_DEFOG),
	LEVEL_UP_MOVE(37, MOVE_TAILWIND),
	LEVEL_UP_MOVE(41, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(46, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(50, MOVE_EMBARGO),
	LEVEL_UP_MOVE(57, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(63, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(70, MOVE_MIRRORMOVE),
	LEVEL_UP_END
};

static const struct LevelUpMove sHeatmorLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HONECLAWS),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_INCINERATE),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 6, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(11, MOVE_BIND),
	LEVEL_UP_MOVE(16, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(21, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(26, MOVE_SNATCH),
	LEVEL_UP_MOVE(31, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(36, MOVE_BUGBITE),
	LEVEL_UP_MOVE(41, MOVE_SLASH),
	LEVEL_UP_MOVE(44, MOVE_FIRELASH),
	LEVEL_UP_MOVE(47, MOVE_AMNESIA),
	LEVEL_UP_MOVE(50, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(56, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(56, MOVE_SPITUP),
	LEVEL_UP_MOVE(56, MOVE_SWALLOW),
	LEVEL_UP_MOVE(61, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE(66, MOVE_INFERNO),
	LEVEL_UP_END
};

static const struct LevelUpMove sDurantLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_METALSOUND),
	LEVEL_UP_MOVE( 1, MOVE_GUILLOTINE),
	LEVEL_UP_MOVE( 1, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 6, MOVE_AGILITY),
	LEVEL_UP_MOVE(11, MOVE_METALCLAW),
	LEVEL_UP_MOVE(16, MOVE_BUGBITE),
	LEVEL_UP_MOVE(21, MOVE_CRUNCH),
	LEVEL_UP_MOVE(26, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(31, MOVE_DIG),
	LEVEL_UP_MOVE(36, MOVE_ENTRAINMENT),
	LEVEL_UP_MOVE(41, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(46, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(51, MOVE_GUILLOTINE),
	LEVEL_UP_MOVE(56, MOVE_METALSOUND),
	LEVEL_UP_END
};

static const struct LevelUpMove sDeinoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 4, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE( 8, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_ROAR),
	LEVEL_UP_MOVE(16, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(20, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(24, MOVE_WORKUP),
	LEVEL_UP_MOVE(28, MOVE_SLAM),
	LEVEL_UP_MOVE(32, MOVE_CRUNCH),
	LEVEL_UP_MOVE(36, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(40, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(44, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(48, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(52, MOVE_DRAGONRUSH),
	LEVEL_UP_MOVE(56, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(60, MOVE_OUTRAGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sZweilousLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_ROAR),
	LEVEL_UP_MOVE(16, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(20, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(24, MOVE_WORKUP),
	LEVEL_UP_MOVE(28, MOVE_SLAM),
	LEVEL_UP_MOVE(32, MOVE_CRUNCH),
	LEVEL_UP_MOVE(36, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(40, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(44, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(48, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(54, MOVE_DRAGONRUSH),
	LEVEL_UP_MOVE(60, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(66, MOVE_OUTRAGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sHydreigonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_BREAKINGSWIPE),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_DRACOMETEOR),
	LEVEL_UP_MOVE( 1, MOVE_DUALWINGBEAT),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_TRIATTACK),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_ROAR),
	LEVEL_UP_MOVE(16, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(20, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(24, MOVE_WORKUP),
	LEVEL_UP_MOVE(28, MOVE_SLAM),
	LEVEL_UP_MOVE(32, MOVE_CRUNCH),
	LEVEL_UP_MOVE(36, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(40, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(44, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(48, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(54, MOVE_DRAGONRUSH),
	LEVEL_UP_MOVE(60, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(68, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(76, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sLarvestaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE(10, MOVE_ABSORB),
	LEVEL_UP_MOVE(20, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(30, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(40, MOVE_BUGBITE),
	LEVEL_UP_MOVE(50, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(60, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(70, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(80, MOVE_AMNESIA),
	LEVEL_UP_MOVE(90, MOVE_THRASH),
	LEVEL_UP_MOVE(100, MOVE_FLAREBLITZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sVolcaronaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_FIERYDANCE),
	LEVEL_UP_MOVE( 1, MOVE_MORNINGSUN),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_AMNESIA),
	LEVEL_UP_MOVE( 1, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_RAGEPOWDER),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE( 1, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_AMNESIA),
	LEVEL_UP_MOVE( 1, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE( 1, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE(10, MOVE_ABSORB),
	LEVEL_UP_MOVE(20, MOVE_GUST),
	LEVEL_UP_MOVE(30, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(40, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(50, MOVE_SILVERWIND),
	LEVEL_UP_MOVE(60, MOVE_HEATWAVE),
	LEVEL_UP_MOVE(70, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(80, MOVE_RAGEPOWDER),
	LEVEL_UP_MOVE(90, MOVE_HURRICANE),
	LEVEL_UP_MOVE(100, MOVE_FIERYDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sCobalionLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_METALBURST),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 7, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(13, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(19, MOVE_RETALIATE),
	LEVEL_UP_MOVE(25, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(31, MOVE_SACREDSWORD),
	LEVEL_UP_MOVE(37, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(42, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(49, MOVE_WORKUP),
	LEVEL_UP_MOVE(55, MOVE_METALBURST),
	LEVEL_UP_MOVE(61, MOVE_CLOSECOMBAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sTerrakionLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 1, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE( 7, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(13, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(19, MOVE_RETALIATE),
	LEVEL_UP_MOVE(25, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(31, MOVE_SACREDSWORD),
	LEVEL_UP_MOVE(37, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(42, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(49, MOVE_WORKUP),
	LEVEL_UP_MOVE(55, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(61, MOVE_CLOSECOMBAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sVirizionLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 1, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE( 7, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(13, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(19, MOVE_RETALIATE),
	LEVEL_UP_MOVE(25, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(31, MOVE_SACREDSWORD),
	LEVEL_UP_MOVE(37, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(42, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(49, MOVE_WORKUP),
	LEVEL_UP_MOVE(55, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(61, MOVE_CLOSECOMBAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sTornadusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_UPROAR),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_REVENGE),
	LEVEL_UP_MOVE(19, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(25, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(31, MOVE_AGILITY),
	LEVEL_UP_MOVE(37, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(43, MOVE_CRUNCH),
	LEVEL_UP_MOVE(49, MOVE_TAILWIND),
	LEVEL_UP_MOVE(55, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(61, MOVE_HURRICANE),
	LEVEL_UP_MOVE(67, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(73, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(79, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sThundurusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_UPROAR),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_REVENGE),
	LEVEL_UP_MOVE(19, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(25, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE(31, MOVE_AGILITY),
	LEVEL_UP_MOVE(37, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(43, MOVE_CRUNCH),
	LEVEL_UP_MOVE(49, MOVE_CHARGE),
	LEVEL_UP_MOVE(55, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(61, MOVE_THUNDER),
	LEVEL_UP_MOVE(67, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(73, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(79, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sReshiramLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE( 8, MOVE_IMPRISON),
	LEVEL_UP_MOVE(15, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(22, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(29, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(36, MOVE_SLASH),
	LEVEL_UP_MOVE(43, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(50, MOVE_FUSIONFLARE),
	LEVEL_UP_MOVE(54, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(64, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE(71, MOVE_CRUNCH),
	LEVEL_UP_MOVE(78, MOVE_FIREBLAST),
	LEVEL_UP_MOVE(85, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(92, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(100, MOVE_BLUEFLARE),
	LEVEL_UP_END
};

static const struct LevelUpMove sZekromLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE( 8, MOVE_IMPRISON),
	LEVEL_UP_MOVE(15, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(22, MOVE_THUNDERBOLT),
	LEVEL_UP_MOVE(29, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(36, MOVE_SLASH),
	LEVEL_UP_MOVE(43, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(50, MOVE_FUSIONBOLT),
	LEVEL_UP_MOVE(54, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(64, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE(71, MOVE_CRUNCH),
	LEVEL_UP_MOVE(78, MOVE_THUNDER),
	LEVEL_UP_MOVE(85, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(92, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(100, MOVE_BOLTSTRIKE),
	LEVEL_UP_END
};

static const struct LevelUpMove sLandorusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_FISSURE),
	LEVEL_UP_MOVE( 1, MOVE_BLOCK),
	LEVEL_UP_MOVE( 1, MOVE_MUDSHOT),
	LEVEL_UP_MOVE( 1, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE( 1, MOVE_IMPRISON),
	LEVEL_UP_MOVE( 7, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(13, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(19, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(25, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(31, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(37, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(43, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(49, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(55, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(61, MOVE_FISSURE),
	LEVEL_UP_MOVE(67, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(73, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(79, MOVE_OUTRAGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sKyuremLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICYWIND),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE( 8, MOVE_IMPRISON),
	LEVEL_UP_MOVE(15, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(22, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(29, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(36, MOVE_SLASH),
	LEVEL_UP_MOVE(43, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(50, MOVE_GLACIATE),
	LEVEL_UP_MOVE(57, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(64, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE(71, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(78, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(85, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(92, MOVE_HYPERVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sKeldeoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_AQUAJET),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE( 7, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(13, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(19, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(25, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(31, MOVE_RETALIATE),
	LEVEL_UP_MOVE(37, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(43, MOVE_SACREDSWORD),
	LEVEL_UP_MOVE(49, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(55, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(61, MOVE_WORKUP),
	LEVEL_UP_MOVE(67, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(73, MOVE_CLOSECOMBAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sMeloettaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ROUND),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_SING),
	LEVEL_UP_MOVE( 6, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(11, MOVE_CONFUSION),
	LEVEL_UP_MOVE(16, MOVE_SING),
	LEVEL_UP_MOVE(21, MOVE_TEETERDANCE),
	LEVEL_UP_MOVE(26, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(31, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(36, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE(43, MOVE_UTURN),
	LEVEL_UP_MOVE(50, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE(57, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(64, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(71, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE(78, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(85, MOVE_PERISHSONG),
	LEVEL_UP_END
};

static const struct LevelUpMove sGenesectLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FELLSTINGER),
	LEVEL_UP_MOVE( 1, MOVE_TECHNOBLAST),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 1, MOVE_SCREECH),
	LEVEL_UP_MOVE( 7, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(11, MOVE_LOCKON),
	LEVEL_UP_MOVE(18, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(22, MOVE_MAGNETBOMB),
	LEVEL_UP_MOVE(29, MOVE_SLASH),
	LEVEL_UP_MOVE(33, MOVE_METALSOUND),
	LEVEL_UP_MOVE(40, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(44, MOVE_TRIATTACK),
	LEVEL_UP_MOVE(51, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(55, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(62, MOVE_SIMPLEBEAM),
	LEVEL_UP_MOVE(66, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(73, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(77, MOVE_SELFDESTRUCT),
	LEVEL_UP_END
};

static const struct LevelUpMove sShadowWarriorLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_INCINERATE),
	LEVEL_UP_MOVE(30, MOVE_SLASH),
	LEVEL_UP_MOVE(30, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(30, MOVE_SHADOWCLAW),
	LEVEL_UP_MOVE(50, MOVE_PHANTOMFORCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sWormadamSandyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_BUGBITE),
	LEVEL_UP_MOVE(10, MOVE_PROTECT),
	LEVEL_UP_MOVE(15, MOVE_BUGBITE),
	LEVEL_UP_MOVE(20, MOVE_HIDDENPOWER),
	LEVEL_UP_MOVE(23, MOVE_CONFUSION),
	LEVEL_UP_MOVE(26, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(29, MOVE_HARDEN),
	LEVEL_UP_MOVE(32, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(35, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(38, MOVE_FLAIL),
	LEVEL_UP_MOVE(41, MOVE_ATTRACT),
	LEVEL_UP_MOVE(44, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(47, MOVE_FISSURE),
	LEVEL_UP_MOVE(50, MOVE_BUGBUZZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sWormadamTrashLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_METALBURST),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_BUGBITE),
	LEVEL_UP_MOVE(10, MOVE_PROTECT),
	LEVEL_UP_MOVE(15, MOVE_BUGBITE),
	LEVEL_UP_MOVE(20, MOVE_HIDDENPOWER),
	LEVEL_UP_MOVE(23, MOVE_CONFUSION),
	LEVEL_UP_MOVE(26, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(29, MOVE_METALSOUND),
	LEVEL_UP_MOVE(32, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(35, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(38, MOVE_FLAIL),
	LEVEL_UP_MOVE(41, MOVE_ATTRACT),
	LEVEL_UP_MOVE(44, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(47, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(50, MOVE_BUGBUZZ),
	LEVEL_UP_END
};

static const struct LevelUpMove sRotomHeatLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ELECTROWEB),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_OVERHEAT),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 8, MOVE_UPROAR),
	LEVEL_UP_MOVE(15, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(22, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(29, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(36, MOVE_SUBSTITUTE),
	LEVEL_UP_MOVE(43, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(50, MOVE_HEX),
	LEVEL_UP_MOVE(57, MOVE_CHARGE),
	LEVEL_UP_MOVE(64, MOVE_DISCHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sRotomWashLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ELECTROWEB),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_DISCHARGE),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 8, MOVE_UPROAR),
	LEVEL_UP_MOVE(15, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(22, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(29, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(36, MOVE_SUBSTITUTE),
	LEVEL_UP_MOVE(43, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(50, MOVE_HEX),
	LEVEL_UP_MOVE(57, MOVE_CHARGE),
	LEVEL_UP_MOVE(64, MOVE_DISCHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sRotomFrostLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ELECTROWEB),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_BLIZZARD),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_DISCHARGE),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 8, MOVE_UPROAR),
	LEVEL_UP_MOVE(15, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(22, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(29, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(36, MOVE_SUBSTITUTE),
	LEVEL_UP_MOVE(43, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(50, MOVE_HEX),
	LEVEL_UP_MOVE(57, MOVE_CHARGE),
	LEVEL_UP_MOVE(64, MOVE_DISCHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sRotomFanLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ELECTROWEB),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_DISCHARGE),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 8, MOVE_UPROAR),
	LEVEL_UP_MOVE(15, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(22, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(29, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(36, MOVE_SUBSTITUTE),
	LEVEL_UP_MOVE(43, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(50, MOVE_HEX),
	LEVEL_UP_MOVE(57, MOVE_CHARGE),
	LEVEL_UP_MOVE(64, MOVE_DISCHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sRotomMowLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ELECTROWEB),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_DISCHARGE),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 8, MOVE_UPROAR),
	LEVEL_UP_MOVE(15, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(22, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(29, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(36, MOVE_SUBSTITUTE),
	LEVEL_UP_MOVE(43, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE(50, MOVE_HEX),
	LEVEL_UP_MOVE(57, MOVE_CHARGE),
	LEVEL_UP_MOVE(64, MOVE_DISCHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sShayminSkyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE(10, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(19, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(28, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(37, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(46, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(55, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(64, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(73, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(82, MOVE_SWEETKISS),
	LEVEL_UP_MOVE(91, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE(100, MOVE_SEEDFLARE),
	LEVEL_UP_END
};

static const struct LevelUpMove sKyuremBlackLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICYWIND),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE( 8, MOVE_IMPRISON),
	LEVEL_UP_MOVE(15, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(22, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(29, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(36, MOVE_SLASH),
	LEVEL_UP_MOVE(43, MOVE_FUSIONBOLT),
	LEVEL_UP_MOVE(50, MOVE_FREEZESHOCK),
	LEVEL_UP_MOVE(57, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(64, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE(71, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(78, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(85, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(92, MOVE_HYPERVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sKyuremWhiteLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICYWIND),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE( 8, MOVE_IMPRISON),
	LEVEL_UP_MOVE(15, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(22, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(29, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(36, MOVE_SLASH),
	LEVEL_UP_MOVE(43, MOVE_FUSIONFLARE),
	LEVEL_UP_MOVE(50, MOVE_ICEBURN),
	LEVEL_UP_MOVE(57, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(64, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE(71, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(78, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(85, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(92, MOVE_HYPERVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sChespinLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 5, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 8, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(11, MOVE_BITE),
	LEVEL_UP_MOVE(15, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(18, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(27, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(32, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE(35, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(39, MOVE_BULKUP),
	LEVEL_UP_MOVE(42, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(45, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(48, MOVE_WOODHAMMER),
	LEVEL_UP_END
};

static const struct LevelUpMove sQuilladinLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_NEEDLEARM),
	LEVEL_UP_MOVE( 1, MOVE_NEEDLEARM),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 5, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 8, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(11, MOVE_BITE),
	LEVEL_UP_MOVE(15, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(19, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(29, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(35, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE(39, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(44, MOVE_BULKUP),
	LEVEL_UP_MOVE(48, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(52, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(56, MOVE_WOODHAMMER),
	LEVEL_UP_END
};

static const struct LevelUpMove sChesnaughtLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SPIKYSHIELD),
	LEVEL_UP_MOVE( 1, MOVE_SPIKYSHIELD),
	LEVEL_UP_MOVE( 1, MOVE_NEEDLEARM),
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_FEINT),
	LEVEL_UP_MOVE( 1, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 1, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 5, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 8, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(11, MOVE_BITE),
	LEVEL_UP_MOVE(15, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(19, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(29, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(35, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE(41, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(48, MOVE_BULKUP),
	LEVEL_UP_MOVE(54, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(60, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(66, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE(72, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(78, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};

static const struct LevelUpMove sFennekinLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_EMBER),
	LEVEL_UP_MOVE(11, MOVE_HOWL),
	LEVEL_UP_MOVE(14, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(17, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(20, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(25, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(27, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(31, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(35, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(38, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(41, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(43, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(46, MOVE_MAGICROOM),
	LEVEL_UP_MOVE(48, MOVE_FIREBLAST),
	LEVEL_UP_END
};

static const struct LevelUpMove sBraixenLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 5, MOVE_EMBER),
	LEVEL_UP_MOVE(11, MOVE_HOWL),
	LEVEL_UP_MOVE(14, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(18, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(22, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(28, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(31, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(36, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(41, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(45, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(49, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(52, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(56, MOVE_MAGICROOM),
	LEVEL_UP_MOVE(59, MOVE_FIREBLAST),
	LEVEL_UP_END
};

static const struct LevelUpMove sDelphoxLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE( 1, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE( 1, MOVE_SWITCHEROO),
	LEVEL_UP_MOVE( 1, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_HOWL),
	LEVEL_UP_MOVE( 5, MOVE_EMBER),
	LEVEL_UP_MOVE(11, MOVE_HOWL),
	LEVEL_UP_MOVE(14, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(18, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(22, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(28, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(31, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(38, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(45, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(51, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(57, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(62, MOVE_SUNNYDAY),
	LEVEL_UP_MOVE(68, MOVE_MAGICROOM),
	LEVEL_UP_MOVE(74, MOVE_FIREBLAST),
	LEVEL_UP_MOVE(80, MOVE_FUTURESIGHT),
	LEVEL_UP_END
};

static const struct LevelUpMove sFroakieLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 8, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(10, MOVE_LICK),
	LEVEL_UP_MOVE(14, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(18, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(21, MOVE_ROUND),
	LEVEL_UP_MOVE(25, MOVE_FLING),
	LEVEL_UP_MOVE(29, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(35, MOVE_SUBSTITUTE),
	LEVEL_UP_MOVE(39, MOVE_BOUNCE),
	LEVEL_UP_MOVE(43, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(48, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sFrogadierLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 5, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 8, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(10, MOVE_LICK),
	LEVEL_UP_MOVE(14, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(19, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(23, MOVE_ROUND),
	LEVEL_UP_MOVE(28, MOVE_FLING),
	LEVEL_UP_MOVE(33, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(40, MOVE_SUBSTITUTE),
	LEVEL_UP_MOVE(45, MOVE_BOUNCE),
	LEVEL_UP_MOVE(50, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(56, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sGreninjaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_WATERSHURIKEN),
	LEVEL_UP_MOVE( 1, MOVE_WATERSHURIKEN),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_HAZE),
	LEVEL_UP_MOVE( 1, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE( 1, MOVE_MATBLOCK),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 5, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 8, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(10, MOVE_LICK),
	LEVEL_UP_MOVE(14, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(19, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(23, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(28, MOVE_SPIKES),
	LEVEL_UP_MOVE(33, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(42, MOVE_SUBSTITUTE),
	LEVEL_UP_MOVE(49, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(56, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(68, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(70, MOVE_HAZE),
	LEVEL_UP_MOVE(77, MOVE_NIGHTSLASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sBunnelbyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(10, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(13, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(18, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(20, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(25, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(29, MOVE_FLAIL),
	LEVEL_UP_MOVE(33, MOVE_DIG),
	LEVEL_UP_MOVE(38, MOVE_BOUNCE),
	LEVEL_UP_MOVE(42, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(47, MOVE_FACADE),
	LEVEL_UP_MOVE(49, MOVE_EARTHQUAKE),
	LEVEL_UP_END
};

static const struct LevelUpMove sDiggersbyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_HAMMERARM),
	LEVEL_UP_MOVE( 1, MOVE_ROTOTILLER),
	LEVEL_UP_MOVE( 1, MOVE_BULLDOZE),
	LEVEL_UP_MOVE( 1, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(13, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(13, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(18, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(21, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(27, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(32, MOVE_FLAIL),
	LEVEL_UP_MOVE(37, MOVE_DIG),
	LEVEL_UP_MOVE(43, MOVE_BOUNCE),
	LEVEL_UP_MOVE(48, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(54, MOVE_FACADE),
	LEVEL_UP_MOVE(57, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(60, MOVE_HAMMERARM),
	LEVEL_UP_END
};

static const struct LevelUpMove sFletchlingLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 6, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(10, MOVE_PECK),
	LEVEL_UP_MOVE(13, MOVE_AGILITY),
	LEVEL_UP_MOVE(16, MOVE_FLAIL),
	LEVEL_UP_MOVE(21, MOVE_ROOST),
	LEVEL_UP_MOVE(25, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(29, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(34, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(39, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(41, MOVE_MEFIRST),
	LEVEL_UP_MOVE(45, MOVE_TAILWIND),
	LEVEL_UP_MOVE(48, MOVE_STEELWING),
	LEVEL_UP_END
};

static const struct LevelUpMove sFletchinderLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 6, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(10, MOVE_PECK),
	LEVEL_UP_MOVE(13, MOVE_AGILITY),
	LEVEL_UP_MOVE(16, MOVE_FLAIL),
	LEVEL_UP_MOVE(25, MOVE_ROOST),
	LEVEL_UP_MOVE(27, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(31, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(38, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(42, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(46, MOVE_MEFIRST),
	LEVEL_UP_MOVE(51, MOVE_TAILWIND),
	LEVEL_UP_MOVE(55, MOVE_STEELWING),
	LEVEL_UP_END
};

static const struct LevelUpMove sTalonflameLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_DUALWINGBEAT),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE( 1, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 6, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(10, MOVE_PECK),
	LEVEL_UP_MOVE(13, MOVE_AGILITY),
	LEVEL_UP_MOVE(16, MOVE_FLAIL),
	LEVEL_UP_MOVE(25, MOVE_ROOST),
	LEVEL_UP_MOVE(27, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(31, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(39, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(44, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(49, MOVE_MEFIRST),
	LEVEL_UP_MOVE(55, MOVE_TAILWIND),
	LEVEL_UP_MOVE(60, MOVE_STEELWING),
	LEVEL_UP_MOVE(64, MOVE_BRAVEBIRD),
	LEVEL_UP_END
};

static const struct LevelUpMove sScatterbugLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 6, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(15, MOVE_BUGBITE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSpewpaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_END
};

static const struct LevelUpMove sVivillonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_POWDER),
	LEVEL_UP_MOVE( 1, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE( 1, MOVE_POISONPOWDER),
	LEVEL_UP_MOVE( 1, MOVE_STUNSPORE),
	LEVEL_UP_MOVE( 1, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE(12, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(17, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(21, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(25, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(31, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(35, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(41, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(45, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE(50, MOVE_HURRICANE),
	LEVEL_UP_MOVE(55, MOVE_POWDER),
	LEVEL_UP_END
};

static const struct LevelUpMove sLitleoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_EMBER),
	LEVEL_UP_MOVE( 8, MOVE_WORKUP),
	LEVEL_UP_MOVE(11, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(15, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE(20, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(23, MOVE_FIREFANG),
	LEVEL_UP_MOVE(28, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(33, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE(36, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(39, MOVE_CRUNCH),
	LEVEL_UP_MOVE(43, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(46, MOVE_INCINERATE),
	LEVEL_UP_MOVE(50, MOVE_OVERHEAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sPyroarLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_WORKUP),
	LEVEL_UP_MOVE( 5, MOVE_EMBER),
	LEVEL_UP_MOVE( 8, MOVE_WORKUP),
	LEVEL_UP_MOVE(11, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(15, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE(20, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(23, MOVE_FIREFANG),
	LEVEL_UP_MOVE(28, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(33, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE(38, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(42, MOVE_CRUNCH),
	LEVEL_UP_MOVE(48, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(51, MOVE_INCINERATE),
	LEVEL_UP_MOVE(57, MOVE_OVERHEAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sFlabebeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 6, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE(10, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(15, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(20, MOVE_WISH),
	LEVEL_UP_MOVE(22, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(24, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE(28, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE(33, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(37, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE(41, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(45, MOVE_PETALDANCE),
	LEVEL_UP_MOVE(48, MOVE_SOLARBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sFloetteLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 1, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 6, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE(10, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(15, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(20, MOVE_WISH),
	LEVEL_UP_MOVE(25, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(27, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE(33, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE(38, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(43, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE(46, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(51, MOVE_PETALDANCE),
	LEVEL_UP_MOVE(58, MOVE_SOLARBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sFlorgesLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_WORRYSEED),
	LEVEL_UP_MOVE( 1, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE( 1, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE( 1, MOVE_WISH),
	LEVEL_UP_MOVE( 1, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE( 1, MOVE_FLOWERSHIELD),
	LEVEL_UP_MOVE( 1, MOVE_GRASSKNOT),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE( 1, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_MOONBLAST),
	LEVEL_UP_MOVE( 1, MOVE_PETALDANCE),
	LEVEL_UP_MOVE( 1, MOVE_AROMATHERAPY),
	LEVEL_UP_END
};

static const struct LevelUpMove sSkiddoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 7, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 9, MOVE_TAILWHIP),
	LEVEL_UP_MOVE(12, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(13, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(16, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(20, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(22, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(26, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(30, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE(34, MOVE_BULKUP),
	LEVEL_UP_MOVE(38, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(42, MOVE_HORNLEECH),
	LEVEL_UP_MOVE(45, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(50, MOVE_MILKDRINK),
	LEVEL_UP_END
};

static const struct LevelUpMove sGogoatLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_AERIALACE),
	LEVEL_UP_MOVE( 1, MOVE_AERIALACE),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 1, MOVE_WORRYSEED),
	LEVEL_UP_MOVE( 1, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE( 1, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 9, MOVE_TAILWHIP),
	LEVEL_UP_MOVE(12, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(13, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(16, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(20, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(22, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(26, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(30, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE(34, MOVE_BULKUP),
	LEVEL_UP_MOVE(40, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(47, MOVE_HORNLEECH),
	LEVEL_UP_MOVE(55, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(58, MOVE_MILKDRINK),
	LEVEL_UP_END
};

static const struct LevelUpMove sPanchamLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_ARMTHRUST),
	LEVEL_UP_MOVE( 1, MOVE_TAUNT),
	LEVEL_UP_MOVE(12, MOVE_CIRCLETHROW),
	LEVEL_UP_MOVE(16, MOVE_LOWSWEEP),
	LEVEL_UP_MOVE(20, MOVE_WORKUP),
	LEVEL_UP_MOVE(24, MOVE_SLASH),
	LEVEL_UP_MOVE(28, MOVE_VITALTHROW),
	LEVEL_UP_MOVE(33, MOVE_CRUNCH),
	LEVEL_UP_MOVE(36, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(40, MOVE_PARTINGSHOT),
	LEVEL_UP_MOVE(44, MOVE_ENTRAINMENT),
	LEVEL_UP_END
};

static const struct LevelUpMove sPangoroLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_DARKESTLARIAT),
	LEVEL_UP_MOVE( 1, MOVE_LASHOUT),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_BULLETPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_ARMTHRUST),
	LEVEL_UP_MOVE( 1, MOVE_TAUNT),
	LEVEL_UP_MOVE(12, MOVE_CIRCLETHROW),
	LEVEL_UP_MOVE(16, MOVE_LOWSWEEP),
	LEVEL_UP_MOVE(20, MOVE_WORKUP),
	LEVEL_UP_MOVE(24, MOVE_SLASH),
	LEVEL_UP_MOVE(28, MOVE_VITALTHROW),
	LEVEL_UP_MOVE(35, MOVE_CRUNCH),
	LEVEL_UP_MOVE(40, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(46, MOVE_PARTINGSHOT),
	LEVEL_UP_MOVE(52, MOVE_ENTRAINMENT),
	LEVEL_UP_MOVE(58, MOVE_HAMMERARM),
	LEVEL_UP_END
};

static const struct LevelUpMove sFurfrouLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(12, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(15, MOVE_TAILWHIP),
	LEVEL_UP_MOVE(22, MOVE_BITE),
	LEVEL_UP_MOVE(27, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(33, MOVE_RETALIATE),
	LEVEL_UP_MOVE(35, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(38, MOVE_CHARM),
	LEVEL_UP_MOVE(42, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(48, MOVE_COTTONGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sEspurrLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_COVET),
	LEVEL_UP_MOVE( 9, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(17, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(19, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(22, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(25, MOVE_PSYSHOCK),
	LEVEL_UP_END
};

static const struct LevelUpMove sMeowsticLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE( 1, MOVE_MEANLOOK),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_COVET),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 5, MOVE_COVET),
	LEVEL_UP_MOVE( 9, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(17, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(19, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(22, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(25, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(28, MOVE_CHARM),
	LEVEL_UP_MOVE(31, MOVE_MIRACLEEYE),
	LEVEL_UP_MOVE(35, MOVE_REFLECT),
	LEVEL_UP_MOVE(40, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(43, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE(45, MOVE_IMPRISON),
	LEVEL_UP_MOVE(48, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(50, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE(53, MOVE_QUICKGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sHonedgeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE( 5, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 8, MOVE_METALSOUND),
	LEVEL_UP_MOVE(13, MOVE_PURSUIT),
	LEVEL_UP_MOVE(18, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(20, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(22, MOVE_AERIALACE),
	LEVEL_UP_MOVE(26, MOVE_RETALIATE),
	LEVEL_UP_MOVE(29, MOVE_SLASH),
	LEVEL_UP_MOVE(32, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(35, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(39, MOVE_POWERTRICK),
	LEVEL_UP_MOVE(42, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(47, MOVE_SACREDSWORD),
	LEVEL_UP_END
};

static const struct LevelUpMove sDoubladeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 5, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 8, MOVE_METALSOUND),
	LEVEL_UP_MOVE(13, MOVE_PURSUIT),
	LEVEL_UP_MOVE(18, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(20, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(22, MOVE_AERIALACE),
	LEVEL_UP_MOVE(26, MOVE_RETALIATE),
	LEVEL_UP_MOVE(29, MOVE_SLASH),
	LEVEL_UP_MOVE(32, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(36, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(41, MOVE_POWERTRICK),
	LEVEL_UP_MOVE(45, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(51, MOVE_SACREDSWORD),
	LEVEL_UP_END
};

static const struct LevelUpMove sAegislashLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_KINGSSHIELD),
	LEVEL_UP_MOVE( 1, MOVE_KINGSSHIELD),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE( 1, MOVE_STEELBEAM),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 1, MOVE_HEADSMASH),
	LEVEL_UP_MOVE( 1, MOVE_AERIALACE),
	LEVEL_UP_MOVE( 1, MOVE_METALSOUND),
	LEVEL_UP_MOVE( 1, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_RETALIATE),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_POWERTRICK),
	LEVEL_UP_MOVE( 1, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE( 1, MOVE_SACREDSWORD),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE( 1, MOVE_AUTOTOMIZE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSpritzeeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 1, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 6, MOVE_SWEETKISS),
	LEVEL_UP_MOVE( 8, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(13, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE(17, MOVE_CALMMIND),
	LEVEL_UP_MOVE(21, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(25, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(29, MOVE_ATTRACT),
	LEVEL_UP_MOVE(31, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(35, MOVE_CHARM),
	LEVEL_UP_MOVE(38, MOVE_FLAIL),
	LEVEL_UP_MOVE(42, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE(44, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE(48, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(50, MOVE_DISARMINGVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sAromatisseLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_AROMATICMIST),
	LEVEL_UP_MOVE( 1, MOVE_HEALPULSE),
	LEVEL_UP_MOVE( 1, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 1, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 1, MOVE_SWEETKISS),
	LEVEL_UP_MOVE( 1, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE( 6, MOVE_SWEETKISS),
	LEVEL_UP_MOVE( 8, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(13, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE(17, MOVE_CALMMIND),
	LEVEL_UP_MOVE(21, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(25, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(29, MOVE_ATTRACT),
	LEVEL_UP_MOVE(31, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(35, MOVE_CHARM),
	LEVEL_UP_MOVE(38, MOVE_FLAIL),
	LEVEL_UP_MOVE(42, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE(44, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE(48, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(53, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(57, MOVE_REFLECT),
	LEVEL_UP_MOVE(64, MOVE_PSYCHUP),
	LEVEL_UP_END
};

static const struct LevelUpMove sSwirlixLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 8, MOVE_PLAYNICE),
	LEVEL_UP_MOVE(10, MOVE_FAKETEARS),
	LEVEL_UP_MOVE(13, MOVE_ROUND),
	LEVEL_UP_MOVE(17, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE(21, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(26, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(31, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(36, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(41, MOVE_COTTONGUARD),
	LEVEL_UP_MOVE(45, MOVE_WISH),
	LEVEL_UP_MOVE(49, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(58, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(67, MOVE_SAFEGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sSlurpuffLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 5, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 8, MOVE_PLAYNICE),
	LEVEL_UP_MOVE(10, MOVE_FAKETEARS),
	LEVEL_UP_MOVE(13, MOVE_ROUND),
	LEVEL_UP_MOVE(17, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE(21, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(26, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(31, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(36, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(41, MOVE_COTTONGUARD),
	LEVEL_UP_MOVE(45, MOVE_WISH),
	LEVEL_UP_MOVE(49, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(58, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(67, MOVE_SAFEGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sInkayLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 4, MOVE_REFLECT),
	LEVEL_UP_MOVE( 8, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(12, MOVE_SWAGGER),
	LEVEL_UP_MOVE(13, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(15, MOVE_TOPSYTURVY),
	LEVEL_UP_MOVE(18, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(21, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(23, MOVE_SWITCHEROO),
	LEVEL_UP_MOVE(27, MOVE_PAYBACK),
	LEVEL_UP_MOVE(31, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(35, MOVE_PLUCK),
	LEVEL_UP_MOVE(39, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE(43, MOVE_SLASH),
	LEVEL_UP_MOVE(46, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(48, MOVE_SUPERPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sMalamarLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 1, MOVE_REFLECT),
	LEVEL_UP_MOVE( 4, MOVE_REFLECT),
	LEVEL_UP_MOVE( 8, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(12, MOVE_SWAGGER),
	LEVEL_UP_MOVE(13, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(15, MOVE_TOPSYTURVY),
	LEVEL_UP_MOVE(18, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(21, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(23, MOVE_SWITCHEROO),
	LEVEL_UP_MOVE(27, MOVE_PAYBACK),
	LEVEL_UP_MOVE(31, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(35, MOVE_PLUCK),
	LEVEL_UP_MOVE(39, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE(43, MOVE_SLASH),
	LEVEL_UP_MOVE(46, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(48, MOVE_SUPERPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sBinacleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 4, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 7, MOVE_WITHDRAW),
	LEVEL_UP_MOVE(10, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(13, MOVE_SLASH),
	LEVEL_UP_MOVE(18, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(20, MOVE_CLAMP),
	LEVEL_UP_MOVE(24, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(28, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(32, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(37, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(41, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(45, MOVE_RAZORSHELL),
	LEVEL_UP_MOVE(49, MOVE_CROSSCHOP),
	LEVEL_UP_END
};

static const struct LevelUpMove sBarbaracleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SKULLBASH),
	LEVEL_UP_MOVE( 1, MOVE_STONEEDGE),
	LEVEL_UP_MOVE( 1, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 4, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 7, MOVE_WITHDRAW),
	LEVEL_UP_MOVE(10, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(13, MOVE_SLASH),
	LEVEL_UP_MOVE(18, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(20, MOVE_CLAMP),
	LEVEL_UP_MOVE(24, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(28, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(32, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(37, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(44, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(48, MOVE_RAZORSHELL),
	LEVEL_UP_MOVE(55, MOVE_CROSSCHOP),
	LEVEL_UP_MOVE(60, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(65, MOVE_SKULLBASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sSkrelpLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 5, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE( 9, MOVE_TAILWHIP),
	LEVEL_UP_MOVE(12, MOVE_BUBBLE),
	LEVEL_UP_MOVE(15, MOVE_ACID),
	LEVEL_UP_MOVE(19, MOVE_CAMOUFLAGE),
	LEVEL_UP_MOVE(23, MOVE_POISONTAIL),
	LEVEL_UP_MOVE(25, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(28, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(32, MOVE_TOXIC),
	LEVEL_UP_MOVE(35, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(38, MOVE_SLUDGEBOMB),
	LEVEL_UP_MOVE(42, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(49, MOVE_DRAGONPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sDragalgeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_TWISTER),
	LEVEL_UP_MOVE( 1, MOVE_TWISTER),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE( 5, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE( 9, MOVE_TAILWHIP),
	LEVEL_UP_MOVE(12, MOVE_BUBBLE),
	LEVEL_UP_MOVE(15, MOVE_ACID),
	LEVEL_UP_MOVE(19, MOVE_CAMOUFLAGE),
	LEVEL_UP_MOVE(23, MOVE_POISONTAIL),
	LEVEL_UP_MOVE(25, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(28, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(32, MOVE_TOXIC),
	LEVEL_UP_MOVE(35, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(38, MOVE_SLUDGEBOMB),
	LEVEL_UP_MOVE(42, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(53, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(59, MOVE_DRAGONTAIL),
	LEVEL_UP_END
};

static const struct LevelUpMove sClauncherLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 7, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 9, MOVE_VICEGRIP),
	LEVEL_UP_MOVE(12, MOVE_BUBBLE),
	LEVEL_UP_MOVE(16, MOVE_FLAIL),
	LEVEL_UP_MOVE(20, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(25, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(30, MOVE_CRABHAMMER),
	LEVEL_UP_MOVE(34, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(39, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(43, MOVE_AQUAJET),
	LEVEL_UP_MOVE(48, MOVE_MUDDYWATER),
	LEVEL_UP_END
};

static const struct LevelUpMove sClawitzerLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_AURASPHERE),
	LEVEL_UP_MOVE( 1, MOVE_AURASPHERE),
	LEVEL_UP_MOVE( 1, MOVE_TERRAINPULSE),
	LEVEL_UP_MOVE( 1, MOVE_DARKPULSE),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE( 1, MOVE_HEALPULSE),
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 7, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 9, MOVE_VICEGRIP),
	LEVEL_UP_MOVE(12, MOVE_BUBBLE),
	LEVEL_UP_MOVE(16, MOVE_FLAIL),
	LEVEL_UP_MOVE(20, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(25, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(30, MOVE_CRABHAMMER),
	LEVEL_UP_MOVE(34, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(42, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(49, MOVE_AQUAJET),
	LEVEL_UP_MOVE(57, MOVE_MUDDYWATER),
	LEVEL_UP_END
};

static const struct LevelUpMove sHelioptileLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 6, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE(11, MOVE_CHARGE),
	LEVEL_UP_MOVE(13, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(17, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(22, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(25, MOVE_PARABOLICCHARGE),
	LEVEL_UP_MOVE(31, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(35, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(40, MOVE_VOLTSWITCH),
	LEVEL_UP_MOVE(45, MOVE_ELECTRIFY),
	LEVEL_UP_MOVE(49, MOVE_THUNDERBOLT),
	LEVEL_UP_END
};

static const struct LevelUpMove sHelioliskLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WEATHERBALL),
	LEVEL_UP_MOVE( 1, MOVE_ELECTROWEB),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE( 1, MOVE_EERIEIMPULSE),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRIFY),
	LEVEL_UP_MOVE( 1, MOVE_RAZORWIND),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_THUNDER),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_PARABOLICCHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sTyruntLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 6, MOVE_ROAR),
	LEVEL_UP_MOVE(10, MOVE_STOMP),
	LEVEL_UP_MOVE(12, MOVE_BIDE),
	LEVEL_UP_MOVE(15, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(17, MOVE_BITE),
	LEVEL_UP_MOVE(20, MOVE_CHARM),
	LEVEL_UP_MOVE(26, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(30, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(34, MOVE_CRUNCH),
	LEVEL_UP_MOVE(37, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(40, MOVE_THRASH),
	LEVEL_UP_MOVE(44, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(49, MOVE_HORNDRILL),
	LEVEL_UP_END
};

static const struct LevelUpMove sTyrantrumLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE( 1, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_BREAKINGSWIPE),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_HEADSMASH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_ROAR),
	LEVEL_UP_MOVE( 1, MOVE_STOMP),
	LEVEL_UP_MOVE( 6, MOVE_ROAR),
	LEVEL_UP_MOVE(10, MOVE_STOMP),
	LEVEL_UP_MOVE(12, MOVE_BIDE),
	LEVEL_UP_MOVE(15, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(17, MOVE_BITE),
	LEVEL_UP_MOVE(20, MOVE_CHARM),
	LEVEL_UP_MOVE(26, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(30, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(34, MOVE_CRUNCH),
	LEVEL_UP_MOVE(37, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(42, MOVE_THRASH),
	LEVEL_UP_MOVE(47, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(53, MOVE_HORNDRILL),
	LEVEL_UP_MOVE(58, MOVE_HEADSMASH),
	LEVEL_UP_MOVE(68, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};

static const struct LevelUpMove sAmauraLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 5, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(10, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(13, MOVE_ICYWIND),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(18, MOVE_MIST),
	LEVEL_UP_MOVE(20, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(26, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(30, MOVE_ROUND),
	LEVEL_UP_MOVE(34, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(38, MOVE_HAIL),
	LEVEL_UP_MOVE(41, MOVE_NATUREPOWER),
	LEVEL_UP_MOVE(44, MOVE_ENCORE),
	LEVEL_UP_MOVE(47, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(50, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(57, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(65, MOVE_BLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sAurorusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_FREEZEDRY),
	LEVEL_UP_MOVE( 1, MOVE_FREEZEDRY),
	LEVEL_UP_MOVE( 1, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_METEORBEAM),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 1, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 5, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(10, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(13, MOVE_ICYWIND),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(18, MOVE_MIST),
	LEVEL_UP_MOVE(20, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(26, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(30, MOVE_ROUND),
	LEVEL_UP_MOVE(34, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(38, MOVE_HAIL),
	LEVEL_UP_MOVE(43, MOVE_NATUREPOWER),
	LEVEL_UP_MOVE(46, MOVE_ENCORE),
	LEVEL_UP_MOVE(50, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(56, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(63, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(74, MOVE_BLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sSylveonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 1, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 1, MOVE_MYSTICALFIRE),
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE( 1, MOVE_MISTYEXPLOSION),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 9, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(13, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(17, MOVE_SWIFT),
	LEVEL_UP_MOVE(20, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(25, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE(29, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE(33, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(37, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(41, MOVE_LASTRESORT),
	LEVEL_UP_MOVE(45, MOVE_PSYCHUP),
	LEVEL_UP_END
};

static const struct LevelUpMove sHawluchaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_DETECT),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HONECLAWS),
	LEVEL_UP_MOVE( 4, MOVE_KARATECHOP),
	LEVEL_UP_MOVE( 8, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(12, MOVE_ROOST),
	LEVEL_UP_MOVE(16, MOVE_AERIALACE),
	LEVEL_UP_MOVE(20, MOVE_ENCORE),
	LEVEL_UP_MOVE(24, MOVE_FLING),
	LEVEL_UP_MOVE(28, MOVE_FLYINGPRESS),
	LEVEL_UP_MOVE(32, MOVE_BOUNCE),
	LEVEL_UP_MOVE(36, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(40, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(44, MOVE_HIGHJUMPKICK),
	LEVEL_UP_MOVE(48, MOVE_SKYATTACK),
	LEVEL_UP_MOVE(55, MOVE_SKYDROP),
	LEVEL_UP_MOVE(60, MOVE_SWORDSDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sDedenneLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE(11, MOVE_CHARGE),
	LEVEL_UP_MOVE(14, MOVE_CHARM),
	LEVEL_UP_MOVE(17, MOVE_PARABOLICCHARGE),
	LEVEL_UP_MOVE(20, MOVE_NUZZLE),
	LEVEL_UP_MOVE(23, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(26, MOVE_VOLTSWITCH),
	LEVEL_UP_MOVE(30, MOVE_REST),
	LEVEL_UP_MOVE(31, MOVE_SNORE),
	LEVEL_UP_MOVE(34, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE(39, MOVE_ENTRAINMENT),
	LEVEL_UP_MOVE(42, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(45, MOVE_THUNDER),
	LEVEL_UP_MOVE(50, MOVE_DISCHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sCarbinkLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 5, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 8, MOVE_SHARPEN),
	LEVEL_UP_MOVE(12, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(18, MOVE_REFLECT),
	LEVEL_UP_MOVE(21, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(27, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(31, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(35, MOVE_FLAIL),
	LEVEL_UP_MOVE(40, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE(46, MOVE_POWERGEM),
	LEVEL_UP_MOVE(49, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(50, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(60, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(70, MOVE_SAFEGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sGoomyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 5, MOVE_ABSORB),
	LEVEL_UP_MOVE( 9, MOVE_PROTECT),
	LEVEL_UP_MOVE(13, MOVE_BIDE),
	LEVEL_UP_MOVE(18, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(25, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(28, MOVE_FLAIL),
	LEVEL_UP_MOVE(32, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(38, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(42, MOVE_DRAGONPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sSliggooLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 5, MOVE_ABSORB),
	LEVEL_UP_MOVE( 9, MOVE_PROTECT),
	LEVEL_UP_MOVE(13, MOVE_BIDE),
	LEVEL_UP_MOVE(18, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(25, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(28, MOVE_FLAIL),
	LEVEL_UP_MOVE(32, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(38, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(47, MOVE_DRAGONPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sGoodraLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE( 1, MOVE_POISONTAIL),
	LEVEL_UP_MOVE( 1, MOVE_TEARFULLOOK),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_BREAKINGSWIPE),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_DRACOMETEOR),
	LEVEL_UP_MOVE( 1, MOVE_SKITTERSMACK),
	LEVEL_UP_MOVE( 1, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_FEINT),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 5, MOVE_ABSORB),
	LEVEL_UP_MOVE( 9, MOVE_PROTECT),
	LEVEL_UP_MOVE(13, MOVE_BIDE),
	LEVEL_UP_MOVE(18, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(25, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(28, MOVE_FLAIL),
	LEVEL_UP_MOVE(32, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(38, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(47, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(50, MOVE_POWERWHIP),
	LEVEL_UP_MOVE(55, MOVE_OUTRAGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sKlefkiLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MAGICROOM),
	LEVEL_UP_MOVE( 1, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_SPIKES),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE( 1, MOVE_STEELBEAM),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_FAIRYLOCK),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 8, MOVE_ASTONISH),
	LEVEL_UP_MOVE(12, MOVE_METALSOUND),
	LEVEL_UP_MOVE(15, MOVE_SPIKES),
	LEVEL_UP_MOVE(18, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(23, MOVE_CRAFTYSHIELD),
	LEVEL_UP_MOVE(27, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(32, MOVE_TORMENT),
	LEVEL_UP_MOVE(34, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(36, MOVE_IMPRISON),
	LEVEL_UP_MOVE(40, MOVE_RECYCLE),
	LEVEL_UP_MOVE(43, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(44, MOVE_MAGICROOM),
	LEVEL_UP_MOVE(50, MOVE_HEALBLOCK),
	LEVEL_UP_END
};

static const struct LevelUpMove sPhantumpLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 5, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 8, MOVE_GROWTH),
	LEVEL_UP_MOVE(13, MOVE_INGRAIN),
	LEVEL_UP_MOVE(19, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(23, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(28, MOVE_CURSE),
	LEVEL_UP_MOVE(31, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(35, MOVE_FORESTSCURSE),
	LEVEL_UP_MOVE(39, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE(45, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE(49, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE(54, MOVE_HORNLEECH),
	LEVEL_UP_END
};

static const struct LevelUpMove sTrevenantLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SHADOWCLAW),
	LEVEL_UP_MOVE( 1, MOVE_SHADOWCLAW),
	LEVEL_UP_MOVE( 1, MOVE_HORNLEECH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 5, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 8, MOVE_GROWTH),
	LEVEL_UP_MOVE(13, MOVE_INGRAIN),
	LEVEL_UP_MOVE(19, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(23, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(28, MOVE_CURSE),
	LEVEL_UP_MOVE(31, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(35, MOVE_FORESTSCURSE),
	LEVEL_UP_MOVE(39, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE(45, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE(49, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE(54, MOVE_HORNLEECH),
	LEVEL_UP_END
};

static const struct LevelUpMove sPumpkabooLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 4, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 6, MOVE_TRICKORTREAT),
	LEVEL_UP_MOVE(11, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(16, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(20, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(23, MOVE_TRICKORTREAT),
	LEVEL_UP_MOVE(26, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(30, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(36, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(40, MOVE_TRICKORTREAT),
	LEVEL_UP_MOVE(42, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(48, MOVE_SEEDBOMB),
	LEVEL_UP_END
};

static const struct LevelUpMove sGourgeistLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_EXPLOSION),
	LEVEL_UP_MOVE( 1, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 4, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 6, MOVE_TRICKORTREAT),
	LEVEL_UP_MOVE(11, MOVE_WORRYSEED),
	LEVEL_UP_MOVE(16, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(20, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(23, MOVE_TRICKORTREAT),
	LEVEL_UP_MOVE(26, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(30, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(36, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(40, MOVE_TRICKORTREAT),
	LEVEL_UP_MOVE(42, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(48, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE(57, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE(63, MOVE_TRICKORTREAT),
	LEVEL_UP_MOVE(70, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sBergmiteLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 5, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE(10, MOVE_ICYWIND),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(20, MOVE_SHARPEN),
	LEVEL_UP_MOVE(22, MOVE_CURSE),
	LEVEL_UP_MOVE(26, MOVE_ICEFANG),
	LEVEL_UP_MOVE(30, MOVE_ICEBALL),
	LEVEL_UP_MOVE(35, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(39, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(43, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(47, MOVE_RECOVER),
	LEVEL_UP_MOVE(49, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sAvaluggLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_BODYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_BODYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_SKULLBASH),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 5, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE(10, MOVE_ICYWIND),
	LEVEL_UP_MOVE(15, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(20, MOVE_SHARPEN),
	LEVEL_UP_MOVE(22, MOVE_CURSE),
	LEVEL_UP_MOVE(26, MOVE_ICEFANG),
	LEVEL_UP_MOVE(30, MOVE_ICEBALL),
	LEVEL_UP_MOVE(35, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(42, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(46, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(51, MOVE_RECOVER),
	LEVEL_UP_MOVE(56, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(60, MOVE_SKULLBASH),
	LEVEL_UP_MOVE(65, MOVE_CRUNCH),
	LEVEL_UP_END
};

static const struct LevelUpMove sNoibatLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCREECH),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_ABSORB),
	LEVEL_UP_MOVE(11, MOVE_GUST),
	LEVEL_UP_MOVE(13, MOVE_BITE),
	LEVEL_UP_MOVE(16, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(18, MOVE_AGILITY),
	LEVEL_UP_MOVE(23, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(27, MOVE_ROOST),
	LEVEL_UP_MOVE(31, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(35, MOVE_TAILWIND),
	LEVEL_UP_MOVE(40, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(43, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(48, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(58, MOVE_HURRICANE),
	LEVEL_UP_END
};

static const struct LevelUpMove sNoivernLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BOOMBURST),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE( 1, MOVE_SCREECH),
	LEVEL_UP_MOVE( 1, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 5, MOVE_ABSORB),
	LEVEL_UP_MOVE(11, MOVE_GUST),
	LEVEL_UP_MOVE(13, MOVE_BITE),
	LEVEL_UP_MOVE(16, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(18, MOVE_AGILITY),
	LEVEL_UP_MOVE(23, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(27, MOVE_ROOST),
	LEVEL_UP_MOVE(31, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(35, MOVE_TAILWIND),
	LEVEL_UP_MOVE(40, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE(43, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(53, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(62, MOVE_HURRICANE),
	LEVEL_UP_MOVE(70, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(75, MOVE_BOOMBURST),
	LEVEL_UP_END
};

static const struct LevelUpMove sXerneasLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEALPULSE),
	LEVEL_UP_MOVE( 1, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE( 1, MOVE_INGRAIN),
	LEVEL_UP_MOVE( 1, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE( 5, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(10, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(18, MOVE_GRAVITY),
	LEVEL_UP_MOVE(26, MOVE_GEOMANCY),
	LEVEL_UP_MOVE(35, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(44, MOVE_MEGAHORN),
	LEVEL_UP_MOVE(51, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(55, MOVE_HORNLEECH),
	LEVEL_UP_MOVE(59, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(63, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE(72, MOVE_NATUREPOWER),
	LEVEL_UP_MOVE(80, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(88, MOVE_GIGAIMPACT),
	LEVEL_UP_MOVE(93, MOVE_OUTRAGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sYveltalLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_RAZORWIND),
	LEVEL_UP_MOVE( 1, MOVE_TAUNT),
	LEVEL_UP_MOVE( 1, MOVE_ROOST),
	LEVEL_UP_MOVE( 5, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(10, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(18, MOVE_SNARL),
	LEVEL_UP_MOVE(26, MOVE_OBLIVIONWING),
	LEVEL_UP_MOVE(35, MOVE_DISABLE),
	LEVEL_UP_MOVE(44, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(51, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(55, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE(59, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(63, MOVE_DRAGONRUSH),
	LEVEL_UP_MOVE(72, MOVE_FOCUSBLAST),
	LEVEL_UP_MOVE(80, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(88, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(93, MOVE_SKYATTACK),
	LEVEL_UP_END
};

static const struct LevelUpMove sZygardeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GLARE),
	LEVEL_UP_MOVE( 1, MOVE_BULLDOZE),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 5, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(10, MOVE_DIG),
	LEVEL_UP_MOVE(18, MOVE_BIND),
	LEVEL_UP_MOVE(26, MOVE_LANDSWRATH),
	LEVEL_UP_MOVE(35, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(44, MOVE_HAZE),
	LEVEL_UP_MOVE(51, MOVE_CRUNCH),
	LEVEL_UP_MOVE(55, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(59, MOVE_CAMOUFLAGE),
	LEVEL_UP_MOVE(63, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(72, MOVE_COIL),
	LEVEL_UP_MOVE(80, MOVE_OUTRAGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sDiancieLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 5, MOVE_SHARPEN),
	LEVEL_UP_MOVE( 8, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(12, MOVE_REFLECT),
	LEVEL_UP_MOVE(18, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(21, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(27, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(31, MOVE_FLAIL),
	LEVEL_UP_MOVE(35, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE(40, MOVE_POWERGEM),
	LEVEL_UP_MOVE(46, MOVE_TRICKROOM),
	LEVEL_UP_MOVE(49, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(50, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(50, MOVE_DIAMONDSTORM),
	LEVEL_UP_MOVE(60, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(70, MOVE_SAFEGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sHoopaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HYPERSPACEHOLE),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 6, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE(15, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(19, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(25, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE(29, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE(29, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(35, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE(46, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(50, MOVE_WONDERROOM),
	LEVEL_UP_MOVE(50, MOVE_TRICKROOM),
	LEVEL_UP_MOVE(55, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(68, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(75, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(85, MOVE_HYPERSPACEHOLE),
	LEVEL_UP_END
};

static const struct LevelUpMove sHoopaUnboundLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HYPERSPACEFURY),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 6, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE(15, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(19, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(25, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE(29, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE(29, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(46, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(50, MOVE_WONDERROOM),
	LEVEL_UP_MOVE(50, MOVE_TRICKROOM),
	LEVEL_UP_MOVE(55, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(75, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(85, MOVE_HYPERSPACEFURY),
	LEVEL_UP_END
};

static const struct LevelUpMove sVolcanionLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_STEAMERUPTION),
	LEVEL_UP_MOVE( 1, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE( 1, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE( 8, MOVE_MIST),
	LEVEL_UP_MOVE(11, MOVE_HAZE),
	LEVEL_UP_MOVE(15, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(21, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(28, MOVE_STOMP),
	LEVEL_UP_MOVE(32, MOVE_SCALD),
	LEVEL_UP_MOVE(40, MOVE_WEATHERBALL),
	LEVEL_UP_MOVE(46, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(50, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(58, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE(65, MOVE_OVERHEAT),
	LEVEL_UP_MOVE(76, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(85, MOVE_STEAMERUPTION),
	LEVEL_UP_END
};

static const struct LevelUpMove sMeowsticFemaleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE( 1, MOVE_MEFIRST),
	LEVEL_UP_MOVE( 1, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_COVET),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 5, MOVE_COVET),
	LEVEL_UP_MOVE( 9, MOVE_CONFUSION),
	LEVEL_UP_MOVE(13, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(17, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(19, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(22, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(25, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(28, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE(31, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(35, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(40, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(43, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE(45, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(48, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(50, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(53, MOVE_STOREDPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sFloetteEternalLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 1, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 6, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE(10, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(15, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(20, MOVE_WISH),
	LEVEL_UP_MOVE(25, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(27, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE(33, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE(38, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(43, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE(46, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(50, MOVE_LIGHTOFRUIN),
	LEVEL_UP_MOVE(51, MOVE_PETALDANCE),
	LEVEL_UP_MOVE(58, MOVE_SOLARBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sRowletLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEAFAGE),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_PECK),
	LEVEL_UP_MOVE(11, MOVE_ASTONISH),
	LEVEL_UP_MOVE(14, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(16, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(18, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(22, MOVE_PLUCK),
	LEVEL_UP_MOVE(25, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(29, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(32, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(36, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(39, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(43, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(46, MOVE_NASTYPLOT),
	LEVEL_UP_END
};

static const struct LevelUpMove sDartrixLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEAFAGE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_PECK),
	LEVEL_UP_MOVE(11, MOVE_ASTONISH),
	LEVEL_UP_MOVE(14, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(16, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(19, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(24, MOVE_PLUCK),
	LEVEL_UP_MOVE(28, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(33, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(37, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(42, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(46, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(51, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(55, MOVE_NASTYPLOT),
	LEVEL_UP_END
};

static const struct LevelUpMove sDecidueyeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SPIRITSHACKLE),
	LEVEL_UP_MOVE( 1, MOVE_SPIRITSHACKLE),
	LEVEL_UP_MOVE( 1, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE( 1, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE( 1, MOVE_UTURN),
	LEVEL_UP_MOVE( 1, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEAFAGE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_PECK),
	LEVEL_UP_MOVE(11, MOVE_ASTONISH),
	LEVEL_UP_MOVE(14, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(16, MOVE_OMINOUSWIND),
	LEVEL_UP_MOVE(19, MOVE_FORESIGHT),
	LEVEL_UP_MOVE(24, MOVE_PLUCK),
	LEVEL_UP_MOVE(28, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(33, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(38, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(44, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(49, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(55, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(60, MOVE_NASTYPLOT),
	LEVEL_UP_END
};

static const struct LevelUpMove sLittenLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_LICK),
	LEVEL_UP_MOVE(11, MOVE_LEER),
	LEVEL_UP_MOVE(14, MOVE_FIREFANG),
	LEVEL_UP_MOVE(16, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(18, MOVE_ROAR),
	LEVEL_UP_MOVE(22, MOVE_BITE),
	LEVEL_UP_MOVE(25, MOVE_SWAGGER),
	LEVEL_UP_MOVE(29, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(32, MOVE_THRASH),
	LEVEL_UP_MOVE(36, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(39, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(43, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE(46, MOVE_OUTRAGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sTorracatLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_LICK),
	LEVEL_UP_MOVE(11, MOVE_LEER),
	LEVEL_UP_MOVE(14, MOVE_FIREFANG),
	LEVEL_UP_MOVE(16, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(19, MOVE_ROAR),
	LEVEL_UP_MOVE(24, MOVE_BITE),
	LEVEL_UP_MOVE(28, MOVE_SWAGGER),
	LEVEL_UP_MOVE(33, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(37, MOVE_THRASH),
	LEVEL_UP_MOVE(42, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(46, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(51, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE(55, MOVE_OUTRAGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sIncineroarLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DARKESTLARIAT),
	LEVEL_UP_MOVE( 1, MOVE_DARKESTLARIAT),
	LEVEL_UP_MOVE( 1, MOVE_BULKUP),
	LEVEL_UP_MOVE( 1, MOVE_THROATCHOP),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_LICK),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_LICK),
	LEVEL_UP_MOVE(11, MOVE_LEER),
	LEVEL_UP_MOVE(14, MOVE_FIREFANG),
	LEVEL_UP_MOVE(16, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(19, MOVE_ROAR),
	LEVEL_UP_MOVE(24, MOVE_BITE),
	LEVEL_UP_MOVE(28, MOVE_SWAGGER),
	LEVEL_UP_MOVE(33, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(38, MOVE_THRASH),
	LEVEL_UP_MOVE(44, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(49, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(55, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE(60, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(66, MOVE_CROSSCHOP),
	LEVEL_UP_END
};

static const struct LevelUpMove sPopplioLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(11, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(14, MOVE_AQUAJET),
	LEVEL_UP_MOVE(16, MOVE_ICYWIND),
	LEVEL_UP_MOVE(18, MOVE_ENCORE),
	LEVEL_UP_MOVE(22, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(25, MOVE_SING),
	LEVEL_UP_MOVE(29, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(32, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(36, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(39, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(43, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(46, MOVE_MISTYTERRAIN),
	LEVEL_UP_END
};

static const struct LevelUpMove sBrionneLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 8, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(11, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(14, MOVE_AQUAJET),
	LEVEL_UP_MOVE(16, MOVE_ICYWIND),
	LEVEL_UP_MOVE(19, MOVE_ENCORE),
	LEVEL_UP_MOVE(24, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(28, MOVE_SING),
	LEVEL_UP_MOVE(33, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(37, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(42, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(46, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(51, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(55, MOVE_MISTYTERRAIN),
	LEVEL_UP_END
};

static const struct LevelUpMove sPrimarinaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SPARKLINGARIA),
	LEVEL_UP_MOVE( 1, MOVE_SPARKLINGARIA),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 9, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(11, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(14, MOVE_AQUAJET),
	LEVEL_UP_MOVE(16, MOVE_ICYWIND),
	LEVEL_UP_MOVE(19, MOVE_ENCORE),
	LEVEL_UP_MOVE(24, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(28, MOVE_SING),
	LEVEL_UP_MOVE(33, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(38, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(44, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(49, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(55, MOVE_HYDROPUMP),
	LEVEL_UP_MOVE(60, MOVE_MISTYTERRAIN),
	LEVEL_UP_END
};

static const struct LevelUpMove sPikipekLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE( 9, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE(13, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(15, MOVE_PLUCK),
	LEVEL_UP_MOVE(19, MOVE_ROOST),
	LEVEL_UP_MOVE(21, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(25, MOVE_SCREECH),
	LEVEL_UP_MOVE(27, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(31, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(33, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(37, MOVE_HYPERVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sTrumbeakLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE( 1, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE( 9, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE(13, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(16, MOVE_PLUCK),
	LEVEL_UP_MOVE(21, MOVE_ROOST),
	LEVEL_UP_MOVE(24, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(29, MOVE_SCREECH),
	LEVEL_UP_MOVE(32, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(37, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(40, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(45, MOVE_HYPERVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sToucannonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_BEAKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_BEAKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE( 1, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE( 9, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE(13, MOVE_SUPERSONIC),
	LEVEL_UP_MOVE(16, MOVE_PLUCK),
	LEVEL_UP_MOVE(21, MOVE_ROOST),
	LEVEL_UP_MOVE(24, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(30, MOVE_SCREECH),
	LEVEL_UP_MOVE(34, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(40, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(44, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(50, MOVE_HYPERVOICE),
	LEVEL_UP_END
};

static const struct LevelUpMove sYungoosLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 3, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_PURSUIT),
	LEVEL_UP_MOVE(10, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(13, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(16, MOVE_BIDE),
	LEVEL_UP_MOVE(19, MOVE_BITE),
	LEVEL_UP_MOVE(22, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(25, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(28, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(31, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(34, MOVE_CRUNCH),
	LEVEL_UP_MOVE(37, MOVE_HYPERFANG),
	LEVEL_UP_MOVE(40, MOVE_YAWN),
	LEVEL_UP_MOVE(43, MOVE_THRASH),
	LEVEL_UP_MOVE(46, MOVE_REST),
	LEVEL_UP_END
};

static const struct LevelUpMove sGumshoosLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 3, MOVE_LEER),
	LEVEL_UP_MOVE( 7, MOVE_PURSUIT),
	LEVEL_UP_MOVE(10, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(13, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(16, MOVE_BIDE),
	LEVEL_UP_MOVE(19, MOVE_BITE),
	LEVEL_UP_MOVE(23, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(27, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(31, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(35, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(39, MOVE_CRUNCH),
	LEVEL_UP_MOVE(43, MOVE_HYPERFANG),
	LEVEL_UP_MOVE(47, MOVE_YAWN),
	LEVEL_UP_MOVE(51, MOVE_THRASH),
	LEVEL_UP_MOVE(55, MOVE_REST),
	LEVEL_UP_END
};

static const struct LevelUpMove sGrubbinLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 4, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 7, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_BUGBITE),
	LEVEL_UP_MOVE(16, MOVE_SPARK),
	LEVEL_UP_MOVE(19, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(22, MOVE_CRUNCH),
	LEVEL_UP_MOVE(25, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(28, MOVE_DIG),
	LEVEL_UP_END
};

static const struct LevelUpMove sCharjabugLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 4, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 7, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_BUGBITE),
	LEVEL_UP_MOVE(16, MOVE_SPARK),
	LEVEL_UP_MOVE(19, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(25, MOVE_CRUNCH),
	LEVEL_UP_MOVE(31, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(37, MOVE_DIG),
	LEVEL_UP_MOVE(43, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(49, MOVE_IRONDEFENSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sVikavoltLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_THUNDERBOLT),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERBOLT),
	LEVEL_UP_MOVE( 1, MOVE_MUDSHOT),
	LEVEL_UP_MOVE( 1, MOVE_ELECTROWEB),
	LEVEL_UP_MOVE( 1, MOVE_EERIEIMPULSE),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 1, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 4, MOVE_STRINGSHOT),
	LEVEL_UP_MOVE( 7, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_BUGBITE),
	LEVEL_UP_MOVE(16, MOVE_SPARK),
	LEVEL_UP_MOVE(19, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(25, MOVE_GUILLOTINE),
	LEVEL_UP_MOVE(31, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(37, MOVE_DIG),
	LEVEL_UP_MOVE(41, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(49, MOVE_AGILITY),
	LEVEL_UP_END
};

static const struct LevelUpMove sCrabrawlerLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 5, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE( 9, MOVE_LEER),
	LEVEL_UP_MOVE(13, MOVE_PURSUIT),
	LEVEL_UP_MOVE(17, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(22, MOVE_POWERUPPUNCH),
	LEVEL_UP_MOVE(25, MOVE_DIZZYPUNCH),
	LEVEL_UP_MOVE(29, MOVE_PAYBACK),
	LEVEL_UP_MOVE(33, MOVE_REVERSAL),
	LEVEL_UP_MOVE(37, MOVE_CRABHAMMER),
	LEVEL_UP_MOVE(42, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(45, MOVE_DYNAMICPUNCH),
	LEVEL_UP_MOVE(49, MOVE_CLOSECOMBAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sCrabominableLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_DUALCHOP),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 5, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE( 9, MOVE_LEER),
	LEVEL_UP_MOVE(13, MOVE_PURSUIT),
	LEVEL_UP_MOVE(17, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(22, MOVE_POWERUPPUNCH),
	LEVEL_UP_MOVE(25, MOVE_DIZZYPUNCH),
	LEVEL_UP_MOVE(29, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(33, MOVE_REVERSAL),
	LEVEL_UP_MOVE(37, MOVE_ICEHAMMER),
	LEVEL_UP_MOVE(42, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(45, MOVE_DYNAMICPUNCH),
	LEVEL_UP_MOVE(49, MOVE_CLOSECOMBAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sOricorioLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 6, MOVE_PECK),
	LEVEL_UP_MOVE(10, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(13, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE(16, MOVE_BATONPASS),
	LEVEL_UP_MOVE(20, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(23, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE(26, MOVE_TEETERDANCE),
	LEVEL_UP_MOVE(30, MOVE_ROOST),
	LEVEL_UP_MOVE(33, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(36, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(40, MOVE_REVELATIONDANCE),
	LEVEL_UP_MOVE(43, MOVE_MIRRORMOVE),
	LEVEL_UP_MOVE(46, MOVE_AGILITY),
	LEVEL_UP_MOVE(50, MOVE_HURRICANE),
	LEVEL_UP_END
};

static const struct LevelUpMove sCutieflyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 4, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 7, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(10, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE(13, MOVE_SILVERWIND),
	LEVEL_UP_MOVE(16, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(21, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(26, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(31, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE(36, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(41, MOVE_QUIVERDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sRibombeeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_POLLENPUFF),
	LEVEL_UP_MOVE( 1, MOVE_POLLENPUFF),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 1, MOVE_STUNSPORE),
	LEVEL_UP_MOVE( 1, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE( 4, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 7, MOVE_STUNSPORE),
	LEVEL_UP_MOVE(10, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE(13, MOVE_SILVERWIND),
	LEVEL_UP_MOVE(16, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(21, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(28, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(35, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE(42, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(49, MOVE_QUIVERDANCE),
	LEVEL_UP_END
};

static const struct LevelUpMove sRockruffLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 4, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_HOWL),
	LEVEL_UP_MOVE(15, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(18, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(23, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(26, MOVE_ROAR),
	LEVEL_UP_MOVE(29, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(34, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(37, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(40, MOVE_CRUNCH),
	LEVEL_UP_MOVE(45, MOVE_ROCKCLIMB),
	LEVEL_UP_MOVE(48, MOVE_STONEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sLycanrocLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ACCELEROCK),
	LEVEL_UP_MOVE( 1, MOVE_ACCELEROCK),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_DRILLRUN),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 4, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_HOWL),
	LEVEL_UP_MOVE(15, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(18, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(23, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(26, MOVE_ROAR),
	LEVEL_UP_MOVE(29, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(34, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(37, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(40, MOVE_CRUNCH),
	LEVEL_UP_MOVE(45, MOVE_ROCKCLIMB),
	LEVEL_UP_MOVE(48, MOVE_STONEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sWishiwashiLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 6, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 9, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(14, MOVE_BRINE),
	LEVEL_UP_MOVE(17, MOVE_AQUARING),
	LEVEL_UP_MOVE(22, MOVE_TEARFULLOOK),
	LEVEL_UP_MOVE(25, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(30, MOVE_DIVE),
	LEVEL_UP_MOVE(33, MOVE_BEATUP),
	LEVEL_UP_MOVE(38, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(41, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(46, MOVE_SOAK),
	LEVEL_UP_MOVE(49, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(54, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sMareanieLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 5, MOVE_PECK),
	LEVEL_UP_MOVE( 9, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(17, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(21, MOVE_TOXIC),
	LEVEL_UP_MOVE(25, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(29, MOVE_SPIKECANNON),
	LEVEL_UP_MOVE(33, MOVE_RECOVER),
	LEVEL_UP_MOVE(37, MOVE_POISONJAB),
	LEVEL_UP_MOVE(41, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(45, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(49, MOVE_LIQUIDATION),
	LEVEL_UP_END
};

static const struct LevelUpMove sToxapexLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_BANEFULBUNKER),
	LEVEL_UP_MOVE( 1, MOVE_BANEFULBUNKER),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_GASTROACID),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_POISONSTING),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE( 5, MOVE_PECK),
	LEVEL_UP_MOVE( 9, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(17, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(21, MOVE_TOXIC),
	LEVEL_UP_MOVE(25, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(29, MOVE_SPIKECANNON),
	LEVEL_UP_MOVE(33, MOVE_RECOVER),
	LEVEL_UP_MOVE(37, MOVE_POISONJAB),
	LEVEL_UP_MOVE(44, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(51, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(58, MOVE_LIQUIDATION),
	LEVEL_UP_END
};

static const struct LevelUpMove sMudbrayLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 4, MOVE_ROTOTILLER),
	LEVEL_UP_MOVE( 8, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(12, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(16, MOVE_STOMP),
	LEVEL_UP_MOVE(20, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(24, MOVE_COUNTER),
	LEVEL_UP_MOVE(28, MOVE_HIGHHORSEPOWER),
	LEVEL_UP_MOVE(32, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE(36, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(40, MOVE_MEGAKICK),
	LEVEL_UP_MOVE(44, MOVE_SUPERPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sMudsdaleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 1, MOVE_ROTOTILLER),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(12, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(16, MOVE_STOMP),
	LEVEL_UP_MOVE(20, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(24, MOVE_COUNTER),
	LEVEL_UP_MOVE(28, MOVE_HIGHHORSEPOWER),
	LEVEL_UP_MOVE(34, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE(40, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(46, MOVE_MEGAKICK),
	LEVEL_UP_MOVE(52, MOVE_SUPERPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sDewpiderLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 5, MOVE_INFESTATION),
	LEVEL_UP_MOVE( 8, MOVE_SPIDERWEB),
	LEVEL_UP_MOVE(13, MOVE_BUGBITE),
	LEVEL_UP_MOVE(16, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(21, MOVE_BITE),
	LEVEL_UP_MOVE(24, MOVE_AQUARING),
	LEVEL_UP_MOVE(29, MOVE_LEECHLIFE),
	LEVEL_UP_MOVE(32, MOVE_CRUNCH),
	LEVEL_UP_MOVE(37, MOVE_LUNGE),
	LEVEL_UP_MOVE(40, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE(45, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE(48, MOVE_ENTRAINMENT),
	LEVEL_UP_END
};

static const struct LevelUpMove sAraquanidLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WONDERROOM),
	LEVEL_UP_MOVE( 1, MOVE_MAGICROOM),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_SKITTERSMACK),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_SOAK),
	LEVEL_UP_MOVE( 1, MOVE_BUBBLE),
	LEVEL_UP_MOVE( 1, MOVE_INFESTATION),
	LEVEL_UP_MOVE( 1, MOVE_SPIDERWEB),
	LEVEL_UP_MOVE( 1, MOVE_BUGBITE),
	LEVEL_UP_MOVE( 5, MOVE_INFESTATION),
	LEVEL_UP_MOVE( 8, MOVE_SPIDERWEB),
	LEVEL_UP_MOVE(13, MOVE_BUGBITE),
	LEVEL_UP_MOVE(16, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(21, MOVE_BITE),
	LEVEL_UP_MOVE(26, MOVE_AQUARING),
	LEVEL_UP_MOVE(33, MOVE_LEECHLIFE),
	LEVEL_UP_MOVE(38, MOVE_CRUNCH),
	LEVEL_UP_MOVE(45, MOVE_LUNGE),
	LEVEL_UP_MOVE(50, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE(57, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE(62, MOVE_ENTRAINMENT),
	LEVEL_UP_END
};

static const struct LevelUpMove sFomantisLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 5, MOVE_LEAFAGE),
	LEVEL_UP_MOVE(10, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(14, MOVE_GROWTH),
	LEVEL_UP_MOVE(19, MOVE_INGRAIN),
	LEVEL_UP_MOVE(23, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(28, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(32, MOVE_SLASH),
	LEVEL_UP_MOVE(37, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(41, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(46, MOVE_SUNNYDAY),
	LEVEL_UP_END
};

static const struct LevelUpMove sLurantisLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE( 1, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE( 1, MOVE_CROSSPOISON),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYGLIDE),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_XSCISSOR),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_LEAFAGE),
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 5, MOVE_LEAFAGE),
	LEVEL_UP_MOVE(10, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(14, MOVE_GROWTH),
	LEVEL_UP_MOVE(19, MOVE_INGRAIN),
	LEVEL_UP_MOVE(23, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(28, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(32, MOVE_SLASH),
	LEVEL_UP_MOVE(40, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(47, MOVE_SOLARBLADE),
	LEVEL_UP_MOVE(55, MOVE_SUNNYDAY),
	LEVEL_UP_END
};

static const struct LevelUpMove sMorelullLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 4, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 8, MOVE_FLASH),
	LEVEL_UP_MOVE(11, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE(15, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(18, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(22, MOVE_INGRAIN),
	LEVEL_UP_MOVE(25, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(29, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(32, MOVE_STRENGTHSAP),
	LEVEL_UP_MOVE(36, MOVE_SPORE),
	LEVEL_UP_MOVE(39, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(43, MOVE_DREAMEATER),
	LEVEL_UP_MOVE(46, MOVE_SPOTLIGHT),
	LEVEL_UP_END
};

static const struct LevelUpMove sShiinoticLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_INGRAIN),
	LEVEL_UP_MOVE( 1, MOVE_FLASH),
	LEVEL_UP_MOVE( 4, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 8, MOVE_FLASH),
	LEVEL_UP_MOVE(11, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE(15, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(18, MOVE_SLEEPPOWDER),
	LEVEL_UP_MOVE(22, MOVE_INGRAIN),
	LEVEL_UP_MOVE(26, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(31, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(35, MOVE_STRENGTHSAP),
	LEVEL_UP_MOVE(40, MOVE_SPORE),
	LEVEL_UP_MOVE(44, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(49, MOVE_DREAMEATER),
	LEVEL_UP_MOVE(53, MOVE_SPOTLIGHT),
	LEVEL_UP_END
};

static const struct LevelUpMove sSalanditLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 5, MOVE_SMOG),
	LEVEL_UP_MOVE(10, MOVE_EMBER),
	LEVEL_UP_MOVE(15, MOVE_POISONFANG),
	LEVEL_UP_MOVE(20, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(25, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(30, MOVE_INCINERATE),
	LEVEL_UP_MOVE(35, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(40, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(45, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(50, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(55, MOVE_TOXIC),
	LEVEL_UP_MOVE(60, MOVE_ENDEAVOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sSalazzleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_FIRELASH),
	LEVEL_UP_MOVE( 1, MOVE_FIRELASH),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE( 1, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_CORROSIVEGAS),
	LEVEL_UP_MOVE( 1, MOVE_SKITTERSMACK),
	LEVEL_UP_MOVE( 1, MOVE_SCALESHOT),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_ENCORE),
	LEVEL_UP_MOVE( 1, MOVE_TORMENT),
	LEVEL_UP_MOVE( 1, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 1, MOVE_DISABLE),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 1, MOVE_SMOG),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE(15, MOVE_POISONFANG),
	LEVEL_UP_MOVE(20, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(25, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(30, MOVE_INCINERATE),
	LEVEL_UP_MOVE(37, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(44, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(51, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(58, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(65, MOVE_TOXIC),
	LEVEL_UP_END
};

static const struct LevelUpMove sStuffulLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_BIDE),
	LEVEL_UP_MOVE(10, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(14, MOVE_BRUTALSWING),
	LEVEL_UP_MOVE(19, MOVE_FLAIL),
	LEVEL_UP_MOVE(23, MOVE_PAYBACK),
	LEVEL_UP_MOVE(28, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(32, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(37, MOVE_THRASH),
	LEVEL_UP_MOVE(41, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(46, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(50, MOVE_SUPERPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sBewearLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_BIND),
	LEVEL_UP_MOVE( 1, MOVE_BIND),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_BIDE),
	LEVEL_UP_MOVE(10, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(14, MOVE_BRUTALSWING),
	LEVEL_UP_MOVE(19, MOVE_FLAIL),
	LEVEL_UP_MOVE(23, MOVE_PAYBACK),
	LEVEL_UP_MOVE(30, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(36, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(43, MOVE_THRASH),
	LEVEL_UP_MOVE(49, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(56, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(62, MOVE_SUPERPOWER),
	LEVEL_UP_END
};

static const struct LevelUpMove sBounsweetLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 5, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 9, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(13, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(17, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(21, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(25, MOVE_TEETERDANCE),
	LEVEL_UP_MOVE(29, MOVE_FLAIL),
	LEVEL_UP_MOVE(33, MOVE_AROMATICMIST),
	LEVEL_UP_END
};

static const struct LevelUpMove sSteeneeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 1, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 5, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 9, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(13, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(17, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(21, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(25, MOVE_TEETERDANCE),
	LEVEL_UP_MOVE(29, MOVE_STOMP),
	LEVEL_UP_MOVE(33, MOVE_AROMATICMIST),
	LEVEL_UP_MOVE(37, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(41, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(45, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sTsareenaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_TROPKICK),
	LEVEL_UP_MOVE( 1, MOVE_TROPKICK),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYGLIDE),
	LEVEL_UP_MOVE( 1, MOVE_TRIPLEAXEL),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_WORRYSEED),
	LEVEL_UP_MOVE( 1, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLESLAP),
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 1, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 1, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 1, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE( 5, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 9, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(13, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(17, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(21, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(25, MOVE_TEETERDANCE),
	LEVEL_UP_MOVE(29, MOVE_STOMP),
	LEVEL_UP_MOVE(33, MOVE_AROMATICMIST),
	LEVEL_UP_MOVE(37, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(41, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(45, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE(49, MOVE_HIGHJUMPKICK),
	LEVEL_UP_MOVE(53, MOVE_POWERWHIP),
	LEVEL_UP_END
};

static const struct LevelUpMove sComfeyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CHARM),
	LEVEL_UP_MOVE( 1, MOVE_AMNESIA),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_HEALBELL),
	LEVEL_UP_MOVE( 1, MOVE_TAILWIND),
	LEVEL_UP_MOVE( 1, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE( 1, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_POLLENPUFF),
	LEVEL_UP_MOVE( 1, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_VINEWHIP),
	LEVEL_UP_MOVE( 1, MOVE_FLOWERSHIELD),
	LEVEL_UP_MOVE( 4, MOVE_LEECHSEED),
	LEVEL_UP_MOVE( 7, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(10, MOVE_MAGICALLEAF),
	LEVEL_UP_MOVE(13, MOVE_GROWTH),
	LEVEL_UP_MOVE(16, MOVE_WRAP),
	LEVEL_UP_MOVE(19, MOVE_SWEETKISS),
	LEVEL_UP_MOVE(22, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(25, MOVE_PETALBLIZZARD),
	LEVEL_UP_MOVE(28, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(31, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(34, MOVE_GRASSKNOT),
	LEVEL_UP_MOVE(37, MOVE_FLORALHEALING),
	LEVEL_UP_MOVE(40, MOVE_PETALDANCE),
	LEVEL_UP_MOVE(43, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(46, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE(49, MOVE_PLAYROUGH),
	LEVEL_UP_END
};

static const struct LevelUpMove sOranguruLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 4, MOVE_AFTERYOU),
	LEVEL_UP_MOVE( 8, MOVE_TAUNT),
	LEVEL_UP_MOVE(11, MOVE_QUASH),
	LEVEL_UP_MOVE(15, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE(18, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(22, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(25, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(29, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(32, MOVE_INSTRUCT),
	LEVEL_UP_MOVE(36, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(39, MOVE_CALMMIND),
	LEVEL_UP_MOVE(43, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(46, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(50, MOVE_TRICKROOM),
	LEVEL_UP_END
};

static const struct LevelUpMove sPassimianLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_LEER),
	LEVEL_UP_MOVE( 8, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE(11, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(15, MOVE_BEATUP),
	LEVEL_UP_MOVE(18, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(22, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(25, MOVE_BESTOW),
	LEVEL_UP_MOVE(29, MOVE_THRASH),
	LEVEL_UP_MOVE(32, MOVE_BULKUP),
	LEVEL_UP_MOVE(36, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(39, MOVE_FLING),
	LEVEL_UP_MOVE(43, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(46, MOVE_REVERSAL),
	LEVEL_UP_MOVE(50, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};

static const struct LevelUpMove sWimpodLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_END
};

static const struct LevelUpMove sGolisopodLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_FIRSTIMPRESSION),
	LEVEL_UP_MOVE( 1, MOVE_FIRSTIMPRESSION),
	LEVEL_UP_MOVE( 1, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE( 4, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 7, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE(10, MOVE_BUGBITE),
	LEVEL_UP_MOVE(13, MOVE_SPITE),
	LEVEL_UP_MOVE(16, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(21, MOVE_SLASH),
	LEVEL_UP_MOVE(26, MOVE_RAZORSHELL),
	LEVEL_UP_MOVE(31, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(36, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(41, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(48, MOVE_LIQUIDATION),
	LEVEL_UP_END
};

static const struct LevelUpMove sSandygastLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 5, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 9, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(14, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(18, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(23, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(27, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(32, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(36, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(41, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(45, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(50, MOVE_SHOREUP),
	LEVEL_UP_MOVE(54, MOVE_SANDSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sPalossandLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 5, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 9, MOVE_SANDATTACK),
	LEVEL_UP_MOVE(14, MOVE_SANDTOMB),
	LEVEL_UP_MOVE(18, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(23, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(27, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(32, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(36, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(41, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(47, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(54, MOVE_SHOREUP),
	LEVEL_UP_MOVE(60, MOVE_SANDSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sPyukumukuLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_WATERSPORT),
	LEVEL_UP_MOVE( 1, MOVE_MUDSPORT),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 5, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 9, MOVE_TAUNT),
	LEVEL_UP_MOVE(13, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(17, MOVE_COUNTER),
	LEVEL_UP_MOVE(21, MOVE_PURIFY),
	LEVEL_UP_MOVE(25, MOVE_CURSE),
	LEVEL_UP_MOVE(29, MOVE_GASTROACID),
	LEVEL_UP_MOVE(33, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(37, MOVE_RECOVER),
	LEVEL_UP_MOVE(41, MOVE_SOAK),
	LEVEL_UP_MOVE(45, MOVE_TOXIC),
	LEVEL_UP_MOVE(49, MOVE_MEMENTO),
	LEVEL_UP_END
};

static const struct LevelUpMove sTypeNullLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_RAGE),
	LEVEL_UP_MOVE(10, MOVE_PURSUIT),
	LEVEL_UP_MOVE(15, MOVE_IMPRISON),
	LEVEL_UP_MOVE(20, MOVE_AERIALACE),
	LEVEL_UP_MOVE(25, MOVE_CRUSHCLAW),
	LEVEL_UP_MOVE(30, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(35, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(40, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(45, MOVE_METALSOUND),
	LEVEL_UP_MOVE(50, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(55, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(60, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(65, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(70, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(75, MOVE_TRIATTACK),
	LEVEL_UP_MOVE(80, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(85, MOVE_HEALBLOCK),
	LEVEL_UP_END
};

static const struct LevelUpMove sSilvallyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_MULTIATTACK),
	LEVEL_UP_MOVE( 1, MOVE_MULTIATTACK),
	LEVEL_UP_MOVE( 1, MOVE_HEALBLOCK),
	LEVEL_UP_MOVE( 1, MOVE_IMPRISON),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_POISONFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_ICEFANG),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_RAGE),
	LEVEL_UP_MOVE(10, MOVE_PURSUIT),
	LEVEL_UP_MOVE(15, MOVE_BITE),
	LEVEL_UP_MOVE(20, MOVE_AERIALACE),
	LEVEL_UP_MOVE(25, MOVE_CRUSHCLAW),
	LEVEL_UP_MOVE(30, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(35, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(40, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(45, MOVE_METALSOUND),
	LEVEL_UP_MOVE(50, MOVE_CRUNCH),
	LEVEL_UP_MOVE(55, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(60, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(65, MOVE_PUNISHMENT),
	LEVEL_UP_MOVE(70, MOVE_RAZORWIND),
	LEVEL_UP_MOVE(75, MOVE_TRIATTACK),
	LEVEL_UP_MOVE(80, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(85, MOVE_PARTINGSHOT),
	LEVEL_UP_END
};

static const struct LevelUpMove sMiniorShieldLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 3, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 8, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(10, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(15, MOVE_SWIFT),
	LEVEL_UP_MOVE(17, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(22, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(24, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(29, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(31, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(36, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE(38, MOVE_POWERGEM),
	LEVEL_UP_MOVE(43, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(45, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE(50, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sKomalaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_ROLLOUT),
	LEVEL_UP_MOVE( 6, MOVE_STOCKPILE),
	LEVEL_UP_MOVE( 6, MOVE_SPITUP),
	LEVEL_UP_MOVE( 6, MOVE_SWALLOW),
	LEVEL_UP_MOVE(11, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(16, MOVE_YAWN),
	LEVEL_UP_MOVE(21, MOVE_SLAM),
	LEVEL_UP_MOVE(26, MOVE_FLAIL),
	LEVEL_UP_MOVE(31, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(36, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(41, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE(46, MOVE_THRASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sTurtonatorLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_HEATCRASH),
	LEVEL_UP_MOVE( 1, MOVE_DRACOMETEOR),
	LEVEL_UP_MOVE( 1, MOVE_SCORCHINGSANDS),
	LEVEL_UP_MOVE( 1, MOVE_SCALESHOT),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_SMOG),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_SMOG),
	LEVEL_UP_MOVE( 9, MOVE_PROTECT),
	LEVEL_UP_MOVE(13, MOVE_INCINERATE),
	LEVEL_UP_MOVE(17, MOVE_FLAIL),
	LEVEL_UP_MOVE(21, MOVE_ENDURE),
	LEVEL_UP_MOVE(25, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(29, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(33, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(37, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE(41, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(45, MOVE_SHELLTRAP),
	LEVEL_UP_MOVE(49, MOVE_OVERHEAT),
	LEVEL_UP_MOVE(53, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sTogedemaruLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 5, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 9, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(13, MOVE_CHARGE),
	LEVEL_UP_MOVE(17, MOVE_SPARK),
	LEVEL_UP_MOVE(21, MOVE_NUZZLE),
	LEVEL_UP_MOVE(25, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE(29, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(33, MOVE_ZINGZAP),
	LEVEL_UP_MOVE(37, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE(41, MOVE_WILDCHARGE),
	LEVEL_UP_MOVE(45, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(49, MOVE_SPIKYSHIELD),
	LEVEL_UP_MOVE(53, MOVE_FELLSTINGER),
	LEVEL_UP_END
};

static const struct LevelUpMove sMimikyuLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_COPYCAT),
	LEVEL_UP_MOVE( 5, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(10, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(14, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE(19, MOVE_MIMIC),
	LEVEL_UP_MOVE(23, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(28, MOVE_CHARM),
	LEVEL_UP_MOVE(32, MOVE_SLASH),
	LEVEL_UP_MOVE(37, MOVE_SHADOWCLAW),
	LEVEL_UP_MOVE(41, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(46, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(50, MOVE_PAINSPLIT),
	LEVEL_UP_END
};

static const struct LevelUpMove sBruxishLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE( 1, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_MAGICROOM),
	LEVEL_UP_MOVE( 1, MOVE_WONDERROOM),
	LEVEL_UP_MOVE( 1, MOVE_TELEKINESIS),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_SNATCH),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 4, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 9, MOVE_CONFUSION),
	LEVEL_UP_MOVE(12, MOVE_BITE),
	LEVEL_UP_MOVE(17, MOVE_AQUAJET),
	LEVEL_UP_MOVE(20, MOVE_DISABLE),
	LEVEL_UP_MOVE(25, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(28, MOVE_CRUNCH),
	LEVEL_UP_MOVE(33, MOVE_AQUATAIL),
	LEVEL_UP_MOVE(36, MOVE_SCREECH),
	LEVEL_UP_MOVE(41, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE(44, MOVE_SYNCHRONOISE),
	LEVEL_UP_END
};

static const struct LevelUpMove sDrampaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 1, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE( 5, MOVE_TWISTER),
	LEVEL_UP_MOVE( 9, MOVE_PROTECT),
	LEVEL_UP_MOVE(13, MOVE_GLARE),
	LEVEL_UP_MOVE(17, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(21, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE(25, MOVE_NATURALGIFT),
	LEVEL_UP_MOVE(29, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(33, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(37, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(41, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(45, MOVE_FLY),
	LEVEL_UP_MOVE(49, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(53, MOVE_OUTRAGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sDhelmiseLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_ASSURANCE),
	LEVEL_UP_MOVE( 1, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE( 1, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE( 1, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYGLIDE),
	LEVEL_UP_MOVE( 1, MOVE_POLTERGEIST),
	LEVEL_UP_MOVE( 1, MOVE_STEELROLLER),
	LEVEL_UP_MOVE( 1, MOVE_SWITCHEROO),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 1, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 5, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE( 9, MOVE_WRAP),
	LEVEL_UP_MOVE(14, MOVE_GYROBALL),
	LEVEL_UP_MOVE(18, MOVE_METALSOUND),
	LEVEL_UP_MOVE(23, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(27, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(32, MOVE_ANCHORSHOT),
	LEVEL_UP_MOVE(36, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(41, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(45, MOVE_SLAM),
	LEVEL_UP_MOVE(50, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE(54, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE(59, MOVE_POWERWHIP),
	LEVEL_UP_END
};

static const struct LevelUpMove sJangmoOLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_LEER),
	LEVEL_UP_MOVE( 9, MOVE_BIDE),
	LEVEL_UP_MOVE(13, MOVE_PROTECT),
	LEVEL_UP_MOVE(17, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(21, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(25, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(29, MOVE_WORKUP),
	LEVEL_UP_MOVE(33, MOVE_SCREECH),
	LEVEL_UP_MOVE(37, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(41, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(45, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE(49, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(53, MOVE_OUTRAGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sHakamoOLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SKYUPPERCUT),
	LEVEL_UP_MOVE( 1, MOVE_SKYUPPERCUT),
	LEVEL_UP_MOVE( 1, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 5, MOVE_LEER),
	LEVEL_UP_MOVE( 9, MOVE_BIDE),
	LEVEL_UP_MOVE(13, MOVE_PROTECT),
	LEVEL_UP_MOVE(17, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(21, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(25, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(29, MOVE_WORKUP),
	LEVEL_UP_MOVE(33, MOVE_SCREECH),
	LEVEL_UP_MOVE(38, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(43, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(48, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE(53, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(58, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(63, MOVE_CLOSECOMBAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sKommoOLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CLANGINGSCALES),
	LEVEL_UP_MOVE( 1, MOVE_CLANGINGSCALES),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_BREAKINGSWIPE),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_AURASPHERE),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_DRACOMETEOR),
	LEVEL_UP_MOVE( 1, MOVE_AQUATAIL),
	LEVEL_UP_MOVE( 1, MOVE_SKYUPPERCUT),
	LEVEL_UP_MOVE( 1, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE( 1, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_BIDE),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 5, MOVE_LEER),
	LEVEL_UP_MOVE( 9, MOVE_BIDE),
	LEVEL_UP_MOVE(13, MOVE_PROTECT),
	LEVEL_UP_MOVE(17, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(21, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(25, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(29, MOVE_WORKUP),
	LEVEL_UP_MOVE(33, MOVE_SCREECH),
	LEVEL_UP_MOVE(38, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(43, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(51, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE(59, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(67, MOVE_OUTRAGE),
	LEVEL_UP_MOVE(75, MOVE_CLOSECOMBAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sTapuKokoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE( 1, MOVE_POWERSWAP),
	LEVEL_UP_MOVE( 1, MOVE_MEANLOOK),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 8, MOVE_SPARK),
	LEVEL_UP_MOVE(14, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(20, MOVE_SCREECH),
	LEVEL_UP_MOVE(26, MOVE_CHARGE),
	LEVEL_UP_MOVE(32, MOVE_WILDCHARGE),
	LEVEL_UP_MOVE(38, MOVE_MIRRORMOVE),
	LEVEL_UP_MOVE(43, MOVE_NATURESMADNESS),
	LEVEL_UP_MOVE(48, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(53, MOVE_AGILITY),
	LEVEL_UP_MOVE(58, MOVE_ELECTROBALL),
	LEVEL_UP_END
};

static const struct LevelUpMove sTapuLeleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_AROMATICMIST),
	LEVEL_UP_MOVE( 1, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE( 1, MOVE_MEANLOOK),
	LEVEL_UP_MOVE( 1, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 8, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(14, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(20, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(26, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE(32, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(38, MOVE_TICKLE),
	LEVEL_UP_MOVE(43, MOVE_NATURESMADNESS),
	LEVEL_UP_MOVE(48, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(53, MOVE_FLATTER),
	LEVEL_UP_MOVE(58, MOVE_MOONBLAST),
	LEVEL_UP_END
};

static const struct LevelUpMove sTapuBuluLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_MEANLOOK),
	LEVEL_UP_MOVE( 1, MOVE_DISABLE),
	LEVEL_UP_MOVE( 1, MOVE_WHIRLWIND),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_LEAFAGE),
	LEVEL_UP_MOVE( 8, MOVE_HORNATTACK),
	LEVEL_UP_MOVE(14, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(20, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(26, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(32, MOVE_HORNLEECH),
	LEVEL_UP_MOVE(38, MOVE_ROTOTILLER),
	LEVEL_UP_MOVE(43, MOVE_NATURESMADNESS),
	LEVEL_UP_MOVE(48, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(53, MOVE_MEGAHORN),
	LEVEL_UP_MOVE(58, MOVE_SKULLBASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sTapuFiniLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_MOONBLAST),
	LEVEL_UP_MOVE( 1, MOVE_HEALPULSE),
	LEVEL_UP_MOVE( 1, MOVE_MEANLOOK),
	LEVEL_UP_MOVE( 1, MOVE_HAZE),
	LEVEL_UP_MOVE( 1, MOVE_MIST),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 8, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(14, MOVE_WHIRLPOOL),
	LEVEL_UP_MOVE(20, MOVE_SOAK),
	LEVEL_UP_MOVE(26, MOVE_REFRESH),
	LEVEL_UP_MOVE(32, MOVE_BRINE),
	LEVEL_UP_MOVE(38, MOVE_DEFOG),
	LEVEL_UP_MOVE(43, MOVE_NATURESMADNESS),
	LEVEL_UP_MOVE(48, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(53, MOVE_AQUARING),
	LEVEL_UP_MOVE(58, MOVE_HYDROPUMP),
	LEVEL_UP_END
};

static const struct LevelUpMove sCosmogLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SPLASH),
	LEVEL_UP_MOVE(23, MOVE_TELEPORT),
	LEVEL_UP_END
};

static const struct LevelUpMove sCosmoemLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE( 1, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_END
};

static const struct LevelUpMove sSolgaleoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SUNSTEELSTRIKE),
	LEVEL_UP_MOVE( 1, MOVE_SUNSTEELSTRIKE),
	LEVEL_UP_MOVE( 1, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE( 1, MOVE_WAKEUPSLAP),
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 7, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(13, MOVE_METALSOUND),
	LEVEL_UP_MOVE(19, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(23, MOVE_FLASHCANNON),
	LEVEL_UP_MOVE(31, MOVE_MORNINGSUN),
	LEVEL_UP_MOVE(37, MOVE_CRUNCH),
	LEVEL_UP_MOVE(43, MOVE_METALBURST),
	LEVEL_UP_MOVE(47, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(59, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE(61, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE(67, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(73, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};

static const struct LevelUpMove sLunalaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_MOONGEISTBEAM),
	LEVEL_UP_MOVE( 1, MOVE_MOONGEISTBEAM),
	LEVEL_UP_MOVE( 1, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 1, MOVE_TELEPORT),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 7, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(13, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(19, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(23, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(31, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE(37, MOVE_NIGHTDAZE),
	LEVEL_UP_MOVE(43, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE(47, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(59, MOVE_DREAMEATER),
	LEVEL_UP_MOVE(61, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE(67, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(73, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sNihilegoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE( 1, MOVE_TICKLE),
	LEVEL_UP_MOVE( 1, MOVE_ACID),
	LEVEL_UP_MOVE( 1, MOVE_CONSTRICT),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 7, MOVE_CLEARSMOG),
	LEVEL_UP_MOVE(13, MOVE_PSYWAVE),
	LEVEL_UP_MOVE(19, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(23, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(29, MOVE_TOXICSPIKES),
	LEVEL_UP_MOVE(31, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(37, MOVE_POWERGEM),
	LEVEL_UP_MOVE(43, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE(47, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(53, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(59, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(67, MOVE_WONDERROOM),
	LEVEL_UP_MOVE(73, MOVE_HEADSMASH),
	LEVEL_UP_END
};

static const struct LevelUpMove sBuzzwoleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FELLSTINGER),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_POWERUPPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 7, MOVE_COMETPUNCH),
	LEVEL_UP_MOVE(13, MOVE_BULKUP),
	LEVEL_UP_MOVE(19, MOVE_VITALTHROW),
	LEVEL_UP_MOVE(23, MOVE_ENDURE),
	LEVEL_UP_MOVE(29, MOVE_LEECHLIFE),
	LEVEL_UP_MOVE(31, MOVE_TAUNT),
	LEVEL_UP_MOVE(37, MOVE_MEGAPUNCH),
	LEVEL_UP_MOVE(43, MOVE_COUNTER),
	LEVEL_UP_MOVE(47, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(53, MOVE_LUNGE),
	LEVEL_UP_MOVE(59, MOVE_DYNAMICPUNCH),
	LEVEL_UP_MOVE(67, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(73, MOVE_FOCUSPUNCH),
	LEVEL_UP_END
};

static const struct LevelUpMove sPheromosaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_QUIVERDANCE),
	LEVEL_UP_MOVE( 1, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE( 1, MOVE_LOWKICK),
	LEVEL_UP_MOVE( 1, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 7, MOVE_SWIFT),
	LEVEL_UP_MOVE(13, MOVE_STOMP),
	LEVEL_UP_MOVE(19, MOVE_FEINT),
	LEVEL_UP_MOVE(23, MOVE_SILVERWIND),
	LEVEL_UP_MOVE(29, MOVE_BOUNCE),
	LEVEL_UP_MOVE(31, MOVE_JUMPKICK),
	LEVEL_UP_MOVE(37, MOVE_AGILITY),
	LEVEL_UP_MOVE(43, MOVE_TRIPLEKICK),
	LEVEL_UP_MOVE(47, MOVE_LUNGE),
	LEVEL_UP_MOVE(53, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(59, MOVE_MEFIRST),
	LEVEL_UP_MOVE(67, MOVE_HIGHJUMPKICK),
	LEVEL_UP_MOVE(73, MOVE_SPEEDSWAP),
	LEVEL_UP_END
};

static const struct LevelUpMove sXurkitreeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TAILGLOW),
	LEVEL_UP_MOVE( 1, MOVE_SPARK),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 7, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(13, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(19, MOVE_INGRAIN),
	LEVEL_UP_MOVE(23, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE(29, MOVE_EERIEIMPULSE),
	LEVEL_UP_MOVE(31, MOVE_SIGNALBEAM),
	LEVEL_UP_MOVE(37, MOVE_THUNDERBOLT),
	LEVEL_UP_MOVE(43, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(47, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(53, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE(59, MOVE_POWERWHIP),
	LEVEL_UP_MOVE(67, MOVE_IONDELUGE),
	LEVEL_UP_MOVE(73, MOVE_ZAPCANNON),
	LEVEL_UP_END
};

static const struct LevelUpMove sCelesteelaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_INGRAIN),
	LEVEL_UP_MOVE( 1, MOVE_ABSORB),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 7, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(13, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(19, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(23, MOVE_METALSOUND),
	LEVEL_UP_MOVE(29, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(31, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(37, MOVE_FLASHCANNON),
	LEVEL_UP_MOVE(43, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(47, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE(53, MOVE_SKULLBASH),
	LEVEL_UP_MOVE(59, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(67, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE(73, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sKartanaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SACREDSWORD),
	LEVEL_UP_MOVE( 1, MOVE_DEFOG),
	LEVEL_UP_MOVE( 1, MOVE_VACUUMWAVE),
	LEVEL_UP_MOVE( 1, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_CUT),
	LEVEL_UP_MOVE( 7, MOVE_FALSESWIPE),
	LEVEL_UP_MOVE(13, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(19, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(23, MOVE_AERIALACE),
	LEVEL_UP_MOVE(29, MOVE_LASERFOCUS),
	LEVEL_UP_MOVE(31, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(37, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(43, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(47, MOVE_XSCISSOR),
	LEVEL_UP_MOVE(53, MOVE_DETECT),
	LEVEL_UP_MOVE(59, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(67, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE(73, MOVE_GUILLOTINE),
	LEVEL_UP_END
};

static const struct LevelUpMove sGuzzlordLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BELCH),
	LEVEL_UP_MOVE( 1, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_SWALLOW),
	LEVEL_UP_MOVE( 1, MOVE_STOCKPILE),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONRAGE),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 7, MOVE_STOMP),
	LEVEL_UP_MOVE(13, MOVE_BRUTALSWING),
	LEVEL_UP_MOVE(19, MOVE_STEAMROLLER),
	LEVEL_UP_MOVE(23, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(29, MOVE_IRONTAIL),
	LEVEL_UP_MOVE(31, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE(37, MOVE_CRUNCH),
	LEVEL_UP_MOVE(43, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(47, MOVE_THRASH),
	LEVEL_UP_MOVE(53, MOVE_GASTROACID),
	LEVEL_UP_MOVE(59, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE(67, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(73, MOVE_DRAGONRUSH),
	LEVEL_UP_END
};

static const struct LevelUpMove sNecrozmaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_MOONLIGHT),
	LEVEL_UP_MOVE( 1, MOVE_MORNINGSUN),
	LEVEL_UP_MOVE( 1, MOVE_CHARGEBEAM),
	LEVEL_UP_MOVE( 1, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 7, MOVE_SLASH),
	LEVEL_UP_MOVE(13, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE(19, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(23, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(31, MOVE_GRAVITY),
	LEVEL_UP_MOVE(37, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE(43, MOVE_POWERGEM),
	LEVEL_UP_MOVE(47, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(50, MOVE_PHOTONGEYSER),
	LEVEL_UP_MOVE(53, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(59, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(67, MOVE_WRINGOUT),
	LEVEL_UP_MOVE(73, MOVE_PRISMATICLASER),
	LEVEL_UP_END
};

static const struct LevelUpMove sMagearnaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CRAFTYSHIELD),
	LEVEL_UP_MOVE( 1, MOVE_GEARUP),
	LEVEL_UP_MOVE( 1, MOVE_SHIFTGEAR),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_SONICBOOM),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_PSYBEAM),
	LEVEL_UP_MOVE( 9, MOVE_LUCKYCHANT),
	LEVEL_UP_MOVE(17, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(25, MOVE_MIRRORSHOT),
	LEVEL_UP_MOVE(33, MOVE_MINDREADER),
	LEVEL_UP_MOVE(41, MOVE_FLASHCANNON),
	LEVEL_UP_MOVE(49, MOVE_FLEURCANNON),
	LEVEL_UP_MOVE(57, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(65, MOVE_PAINSPLIT),
	LEVEL_UP_MOVE(73, MOVE_SYNCHRONOISE),
	LEVEL_UP_MOVE(81, MOVE_AURASPHERE),
	LEVEL_UP_MOVE(89, MOVE_HEARTSWAP),
	LEVEL_UP_MOVE(97, MOVE_TRUMPCARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sMarshadowLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LASERFOCUS),
	LEVEL_UP_MOVE( 1, MOVE_ASSURANCE),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_DRAINPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_COUNTER),
	LEVEL_UP_MOVE( 1, MOVE_PURSUIT),
	LEVEL_UP_MOVE( 1, MOVE_SHADOWSNEAK),
	LEVEL_UP_MOVE( 5, MOVE_FORCEPALM),
	LEVEL_UP_MOVE(11, MOVE_FEINT),
	LEVEL_UP_MOVE(15, MOVE_ROLLINGKICK),
	LEVEL_UP_MOVE(20, MOVE_COPYCAT),
	LEVEL_UP_MOVE(26, MOVE_SHADOWPUNCH),
	LEVEL_UP_MOVE(30, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE(35, MOVE_JUMPKICK),
	LEVEL_UP_MOVE(41, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(45, MOVE_SPECTRALTHIEF),
	LEVEL_UP_MOVE(50, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(56, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(60, MOVE_ENDEAVOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sRattataALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 4, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 7, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_PURSUIT),
	LEVEL_UP_MOVE(16, MOVE_HYPERFANG),
	LEVEL_UP_MOVE(19, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(22, MOVE_CRUNCH),
	LEVEL_UP_MOVE(25, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(28, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(31, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(34, MOVE_ENDEAVOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sRaticateALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 1, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 4, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 7, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(13, MOVE_PURSUIT),
	LEVEL_UP_MOVE(16, MOVE_HYPERFANG),
	LEVEL_UP_MOVE(19, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(24, MOVE_CRUNCH),
	LEVEL_UP_MOVE(29, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(34, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(39, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(44, MOVE_ENDEAVOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sRaichuALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_PSYCHIC),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHIC),
	LEVEL_UP_MOVE( 1, MOVE_SPEEDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERBOLT),
	LEVEL_UP_END
};

static const struct LevelUpMove sSandshrewALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 3, MOVE_BIDE),
	LEVEL_UP_MOVE( 5, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 7, MOVE_ICEBALL),
	LEVEL_UP_MOVE( 9, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(11, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(14, MOVE_METALCLAW),
	LEVEL_UP_MOVE(17, MOVE_SWIFT),
	LEVEL_UP_MOVE(20, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(23, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(26, MOVE_SLASH),
	LEVEL_UP_MOVE(30, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(34, MOVE_GYROBALL),
	LEVEL_UP_MOVE(38, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(42, MOVE_HAIL),
	LEVEL_UP_MOVE(46, MOVE_BLIZZARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sSandslashALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 1, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 1, MOVE_METALBURST),
	LEVEL_UP_MOVE( 1, MOVE_ICICLECRASH),
	LEVEL_UP_MOVE( 1, MOVE_SLASH),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_ICEBALL),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_END
};

static const struct LevelUpMove sVulpixALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 4, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_ROAR),
	LEVEL_UP_MOVE( 9, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(10, MOVE_ICESHARD),
	LEVEL_UP_MOVE(12, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(15, MOVE_ICYWIND),
	LEVEL_UP_MOVE(18, MOVE_PAYBACK),
	LEVEL_UP_MOVE(20, MOVE_MIST),
	LEVEL_UP_MOVE(23, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(26, MOVE_HEX),
	LEVEL_UP_MOVE(28, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(31, MOVE_EXTRASENSORY),
	LEVEL_UP_MOVE(34, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(36, MOVE_ICEBEAM),
	LEVEL_UP_MOVE(39, MOVE_IMPRISON),
	LEVEL_UP_MOVE(42, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(44, MOVE_GRUDGE),
	LEVEL_UP_MOVE(47, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(50, MOVE_SHEERCOLD),
	LEVEL_UP_END
};

static const struct LevelUpMove sNinetalesALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE( 1, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE( 1, MOVE_IMPRISON),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_ICEBEAM),
	LEVEL_UP_MOVE( 1, MOVE_ICESHARD),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 1, MOVE_SAFEGUARD),
	LEVEL_UP_END
};

static const struct LevelUpMove sDiglettALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(14, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(18, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(22, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(25, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(28, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(31, MOVE_DIG),
	LEVEL_UP_MOVE(35, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(39, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(43, MOVE_FISSURE),
	LEVEL_UP_END
};

static const struct LevelUpMove sDugtrioALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SANDTOMB),
	LEVEL_UP_MOVE( 1, MOVE_SANDTOMB),
	LEVEL_UP_MOVE( 1, MOVE_ROTOTILLER),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_TRIATTACK),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 4, MOVE_GROWL),
	LEVEL_UP_MOVE( 7, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_MUDSLAP),
	LEVEL_UP_MOVE(14, MOVE_MAGNITUDE),
	LEVEL_UP_MOVE(18, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(22, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(25, MOVE_MUDBOMB),
	LEVEL_UP_MOVE(30, MOVE_EARTHPOWER),
	LEVEL_UP_MOVE(35, MOVE_DIG),
	LEVEL_UP_MOVE(41, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(47, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(53, MOVE_FISSURE),
	LEVEL_UP_END
};

static const struct LevelUpMove sMeowthALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 6, MOVE_BITE),
	LEVEL_UP_MOVE( 9, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(14, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(17, MOVE_SCREECH),
	LEVEL_UP_MOVE(22, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(25, MOVE_TAUNT),
	LEVEL_UP_MOVE(30, MOVE_PAYDAY),
	LEVEL_UP_MOVE(33, MOVE_SLASH),
	LEVEL_UP_MOVE(38, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(41, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(46, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(49, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(50, MOVE_FEINT),
	LEVEL_UP_MOVE(55, MOVE_DARKPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sPersianALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SWIFT),
	LEVEL_UP_MOVE( 1, MOVE_SWIFT),
	LEVEL_UP_MOVE( 1, MOVE_QUASH),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_SWITCHEROO),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 6, MOVE_BITE),
	LEVEL_UP_MOVE( 9, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(14, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(17, MOVE_SCREECH),
	LEVEL_UP_MOVE(22, MOVE_FEINTATTACK),
	LEVEL_UP_MOVE(25, MOVE_TAUNT),
	LEVEL_UP_MOVE(32, MOVE_POWERGEM),
	LEVEL_UP_MOVE(37, MOVE_SLASH),
	LEVEL_UP_MOVE(44, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(49, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(56, MOVE_CAPTIVATE),
	LEVEL_UP_MOVE(61, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(65, MOVE_FEINT),
	LEVEL_UP_MOVE(69, MOVE_DARKPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sGeodudeALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 4, MOVE_CHARGE),
	LEVEL_UP_MOVE( 6, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(10, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(12, MOVE_SPARK),
	LEVEL_UP_MOVE(16, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(18, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(22, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE(24, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(28, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(30, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(34, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(36, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(40, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(42, MOVE_STONEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sGravelerALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE( 4, MOVE_CHARGE),
	LEVEL_UP_MOVE( 6, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(10, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(12, MOVE_SPARK),
	LEVEL_UP_MOVE(16, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(18, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(22, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE(24, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(30, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(34, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(40, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(44, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(50, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(54, MOVE_STONEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sGolemALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 1, MOVE_CHARGE),
	LEVEL_UP_MOVE( 1, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE( 4, MOVE_CHARGE),
	LEVEL_UP_MOVE( 6, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(10, MOVE_STEAMROLLER),
	LEVEL_UP_MOVE(12, MOVE_SPARK),
	LEVEL_UP_MOVE(16, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(18, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(22, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE(24, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(30, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(34, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(40, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(44, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(50, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(54, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(60, MOVE_HEAVYSLAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sGrimerALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 4, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_DISABLE),
	LEVEL_UP_MOVE(15, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(18, MOVE_POISONFANG),
	LEVEL_UP_MOVE(21, MOVE_MINIMIZE),
	LEVEL_UP_MOVE(26, MOVE_FLING),
	LEVEL_UP_MOVE(29, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(32, MOVE_CRUNCH),
	LEVEL_UP_MOVE(37, MOVE_SCREECH),
	LEVEL_UP_MOVE(40, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE(43, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(46, MOVE_BELCH),
	LEVEL_UP_MOVE(48, MOVE_MEMENTO),
	LEVEL_UP_END
};

static const struct LevelUpMove sMukALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 4, MOVE_HARDEN),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_DISABLE),
	LEVEL_UP_MOVE(15, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE(18, MOVE_POISONFANG),
	LEVEL_UP_MOVE(21, MOVE_MINIMIZE),
	LEVEL_UP_MOVE(26, MOVE_FLING),
	LEVEL_UP_MOVE(29, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(32, MOVE_CRUNCH),
	LEVEL_UP_MOVE(37, MOVE_SCREECH),
	LEVEL_UP_MOVE(40, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE(46, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(52, MOVE_BELCH),
	LEVEL_UP_MOVE(57, MOVE_MEMENTO),
	LEVEL_UP_END
};

static const struct LevelUpMove sExeggutorALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DRAGONHAMMER),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONHAMMER),
	LEVEL_UP_MOVE( 1, MOVE_SEEDBOMB),
	LEVEL_UP_MOVE( 1, MOVE_BARRAGE),
	LEVEL_UP_MOVE( 1, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE(17, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(27, MOVE_EGGBOMB),
	LEVEL_UP_MOVE(37, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE(47, MOVE_LEAFSTORM),
	LEVEL_UP_END
};

static const struct LevelUpMove sMarowakALevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_BONECLUB),
	LEVEL_UP_MOVE( 1, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE( 3, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 7, MOVE_BONECLUB),
	LEVEL_UP_MOVE(11, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(13, MOVE_LEER),
	LEVEL_UP_MOVE(17, MOVE_HEX),
	LEVEL_UP_MOVE(21, MOVE_BONEMERANG),
	LEVEL_UP_MOVE(23, MOVE_WILLOWISP),
	LEVEL_UP_MOVE(27, MOVE_SHADOWBONE),
	LEVEL_UP_MOVE(33, MOVE_THRASH),
	LEVEL_UP_MOVE(37, MOVE_FLING),
	LEVEL_UP_MOVE(43, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE(49, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(53, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE(59, MOVE_RETALIATE),
	LEVEL_UP_MOVE(65, MOVE_BONERUSH),
	LEVEL_UP_END
};

static const struct LevelUpMove sDeoxysAttackLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 7, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(13, MOVE_TELEPORT),
	LEVEL_UP_MOVE(19, MOVE_TAUNT),
	LEVEL_UP_MOVE(25, MOVE_PURSUIT),
	LEVEL_UP_MOVE(31, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(37, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(43, MOVE_PSYCHOSHIFT),
	LEVEL_UP_MOVE(49, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(55, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE(61, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(67, MOVE_PSYCHOBOOST),
	LEVEL_UP_MOVE(73, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sDeoxysDefenseLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 7, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(13, MOVE_TELEPORT),
	LEVEL_UP_MOVE(19, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(25, MOVE_SPIKES),
	LEVEL_UP_MOVE(31, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(37, MOVE_SNATCH),
	LEVEL_UP_MOVE(43, MOVE_PSYCHOSHIFT),
	LEVEL_UP_MOVE(49, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(55, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(55, MOVE_AMNESIA),
	LEVEL_UP_MOVE(61, MOVE_RECOVER),
	LEVEL_UP_MOVE(67, MOVE_PSYCHOBOOST),
	LEVEL_UP_MOVE(73, MOVE_COUNTER),
	LEVEL_UP_MOVE(73, MOVE_MIRRORCOAT),
	LEVEL_UP_END
};

static const struct LevelUpMove sDeoxysSpeedLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 7, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(13, MOVE_DOUBLETEAM),
	LEVEL_UP_MOVE(19, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(25, MOVE_PURSUIT),
	LEVEL_UP_MOVE(31, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(37, MOVE_SWIFT),
	LEVEL_UP_MOVE(43, MOVE_PSYCHOSHIFT),
	LEVEL_UP_MOVE(49, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(55, MOVE_AGILITY),
	LEVEL_UP_MOVE(61, MOVE_RECOVER),
	LEVEL_UP_MOVE(67, MOVE_PSYCHOBOOST),
	LEVEL_UP_MOVE(73, MOVE_EXTREMESPEED),
	LEVEL_UP_END
};

static const struct LevelUpMove sLycanrocNLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_COUNTER),
	LEVEL_UP_MOVE( 1, MOVE_COUNTER),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_TAUNT),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 4, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_HOWL),
	LEVEL_UP_MOVE(15, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(18, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(23, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(26, MOVE_ROAR),
	LEVEL_UP_MOVE(29, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(34, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(37, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(40, MOVE_CRUNCH),
	LEVEL_UP_MOVE(45, MOVE_ROCKCLIMB),
	LEVEL_UP_MOVE(48, MOVE_STONEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sPoipoleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_ACID),
	LEVEL_UP_MOVE( 7, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(13, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(19, MOVE_CHARM),
	LEVEL_UP_MOVE(23, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(31, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(37, MOVE_POISONJAB),
	LEVEL_UP_MOVE(41, MOVE_TOXIC),
	LEVEL_UP_MOVE(47, MOVE_FELLSTINGER),
	LEVEL_UP_END
};

static const struct LevelUpMove sNaganadelLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_AIRCUTTER),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_ACID),
	LEVEL_UP_MOVE( 7, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(13, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(19, MOVE_CHARM),
	LEVEL_UP_MOVE(23, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(31, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(37, MOVE_POISONJAB),
	LEVEL_UP_MOVE(41, MOVE_TOXIC),
	LEVEL_UP_MOVE(47, MOVE_FELLSTINGER),
	LEVEL_UP_MOVE(53, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(61, MOVE_DRAGONPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sStakatakaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(11, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(17, MOVE_BIDE),
	LEVEL_UP_MOVE(19, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(23, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(31, MOVE_AUTOTOMIZE),
	LEVEL_UP_MOVE(37, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(43, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(47, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(53, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(61, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sBlacephalonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 7, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE(13, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE(17, MOVE_FLAMEBURST),
	LEVEL_UP_MOVE(23, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(29, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(31, MOVE_CALMMIND),
	LEVEL_UP_MOVE(37, MOVE_FIREBLAST),
	LEVEL_UP_MOVE(41, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(47, MOVE_TRICK),
	LEVEL_UP_MOVE(59, MOVE_MINDBLOWN),
	LEVEL_UP_END
};

static const struct LevelUpMove sZeraoraLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_SPARK),
	LEVEL_UP_MOVE( 5, MOVE_HONECLAWS),
	LEVEL_UP_MOVE( 8, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(12, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(15, MOVE_VOLTSWITCH),
	LEVEL_UP_MOVE(19, MOVE_SNARL),
	LEVEL_UP_MOVE(22, MOVE_FAKEOUT),
	LEVEL_UP_MOVE(26, MOVE_CHARGE),
	LEVEL_UP_MOVE(29, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE(33, MOVE_SLASH),
	LEVEL_UP_MOVE(36, MOVE_WILDCHARGE),
	LEVEL_UP_MOVE(40, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(43, MOVE_PLASMAFISTS),
	LEVEL_UP_MOVE(47, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(50, MOVE_DISCHARGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sLycanrocDuskLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_DRILLRUN),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_ACCELEROCK),
	LEVEL_UP_MOVE( 1, MOVE_COUNTER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 4, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_HOWL),
	LEVEL_UP_MOVE(15, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE(18, MOVE_ODORSLEUTH),
	LEVEL_UP_MOVE(23, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(26, MOVE_ROAR),
	LEVEL_UP_MOVE(29, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(34, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(37, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(40, MOVE_CRUNCH),
	LEVEL_UP_MOVE(45, MOVE_ROCKCLIMB),
	LEVEL_UP_MOVE(48, MOVE_STONEEDGE),
	LEVEL_UP_END
};

static const struct LevelUpMove sMeltanLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 9, MOVE_TAILWHIP),
	LEVEL_UP_MOVE(18, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(27, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE(36, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(45, MOVE_FLASHCANNON),
	LEVEL_UP_END
};

static const struct LevelUpMove sMelmetalLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE( 9, MOVE_TAILWHIP),
	LEVEL_UP_MOVE(18, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(27, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE(36, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(45, MOVE_FLASHCANNON),
	LEVEL_UP_MOVE(54, MOVE_MEGAPUNCH),
	LEVEL_UP_MOVE(63, MOVE_PROTECT),
	LEVEL_UP_MOVE(72, MOVE_DOUBLEIRONBASH),
	LEVEL_UP_MOVE(81, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(90, MOVE_HYPERBEAM),
	LEVEL_UP_END
};

static const struct LevelUpMove sGrookeyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 6, MOVE_BRANCHPOKE),
	LEVEL_UP_MOVE( 8, MOVE_TAUNT),
	LEVEL_UP_MOVE(12, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(17, MOVE_SCREECH),
	LEVEL_UP_MOVE(20, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(24, MOVE_SLAM),
	LEVEL_UP_MOVE(28, MOVE_UPROAR),
	LEVEL_UP_MOVE(32, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE(36, MOVE_ENDEAVOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sThwackeyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 6, MOVE_BRANCHPOKE),
	LEVEL_UP_MOVE( 8, MOVE_TAUNT),
	LEVEL_UP_MOVE(12, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(19, MOVE_SCREECH),
	LEVEL_UP_MOVE(24, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(30, MOVE_SLAM),
	LEVEL_UP_MOVE(36, MOVE_UPROAR),
	LEVEL_UP_MOVE(42, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE(48, MOVE_ENDEAVOR),
	LEVEL_UP_END
};

static const struct LevelUpMove sRillaboomLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DRUMBEATING),
	LEVEL_UP_MOVE( 1, MOVE_DRUMBEATING),
	LEVEL_UP_MOVE( 1, MOVE_SOLARBLADE),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_DARKESTLARIAT),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYGLIDE),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE( 1, MOVE_GRASSYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 1, MOVE_BRANCHPOKE),
	LEVEL_UP_MOVE( 1, MOVE_TAUNT),
	LEVEL_UP_MOVE(12, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(19, MOVE_SCREECH),
	LEVEL_UP_MOVE(24, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(30, MOVE_SLAM),
	LEVEL_UP_MOVE(38, MOVE_UPROAR),
	LEVEL_UP_MOVE(46, MOVE_WOODHAMMER),
	LEVEL_UP_MOVE(54, MOVE_ENDEAVOR),
	LEVEL_UP_MOVE(62, MOVE_BOOMBURST),
	LEVEL_UP_END
};		

static const struct LevelUpMove sScorbunnyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 6, MOVE_EMBER),
	LEVEL_UP_MOVE( 8, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(12, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(17, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(20, MOVE_AGILITY),
	LEVEL_UP_MOVE(24, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(28, MOVE_COUNTER),
	LEVEL_UP_MOVE(32, MOVE_BOUNCE),
	LEVEL_UP_MOVE(36, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sRabootLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 6, MOVE_EMBER),
	LEVEL_UP_MOVE( 8, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(12, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(19, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(24, MOVE_AGILITY),
	LEVEL_UP_MOVE(30, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(36, MOVE_COUNTER),
	LEVEL_UP_MOVE(42, MOVE_BOUNCE),
	LEVEL_UP_MOVE(48, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sCinderaceLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_PYROBALL),
	LEVEL_UP_MOVE( 1, MOVE_PYROBALL),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_FIRESPIN),
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_ASSURANCE),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_BLAZEKICK),
	LEVEL_UP_MOVE( 1, MOVE_FLAREBLITZ),
	LEVEL_UP_MOVE( 1, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE( 1, MOVE_FEINT),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(12, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(19, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE(24, MOVE_AGILITY),
	LEVEL_UP_MOVE(30, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(38, MOVE_COUNTER),
	LEVEL_UP_MOVE(46, MOVE_BOUNCE),
	LEVEL_UP_MOVE(54, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(62, MOVE_COURTCHANGE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sSobbleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 6, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 8, MOVE_BIND),
	LEVEL_UP_MOVE(12, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(17, MOVE_TEARFULLOOK),
	LEVEL_UP_MOVE(20, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(24, MOVE_UTURN),
	LEVEL_UP_MOVE(28, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE(32, MOVE_SOAK),
	LEVEL_UP_MOVE(36, MOVE_RAINDANCE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sDrizzileLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 6, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 8, MOVE_BIND),
	LEVEL_UP_MOVE(12, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(19, MOVE_TEARFULLOOK),
	LEVEL_UP_MOVE(24, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(30, MOVE_UTURN),
	LEVEL_UP_MOVE(36, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE(42, MOVE_SOAK),
	LEVEL_UP_MOVE(48, MOVE_RAINDANCE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sInteleonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SNIPESHOT),
	LEVEL_UP_MOVE( 1, MOVE_SNIPESHOT),
	LEVEL_UP_MOVE( 1, MOVE_ICICLESPEAR),
	LEVEL_UP_MOVE( 1, MOVE_BOUNCE),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_BREAKINGSWIPE),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_SCALESHOT),
	LEVEL_UP_MOVE( 1, MOVE_ACROBATICS),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 6, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 8, MOVE_BIND),
	LEVEL_UP_MOVE(12, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(19, MOVE_TEARFULLOOK),
	LEVEL_UP_MOVE(24, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(30, MOVE_UTURN),
	LEVEL_UP_MOVE(38, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE(46, MOVE_SOAK),
	LEVEL_UP_MOVE(54, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(62, MOVE_HYDROPUMP),
	LEVEL_UP_END
};		

static const struct LevelUpMove sSkwovetLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_BITE),
	LEVEL_UP_MOVE(10, MOVE_STUFFCHEEKS),
	LEVEL_UP_MOVE(15, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(15, MOVE_SWALLOW),
	LEVEL_UP_MOVE(15, MOVE_SPITUP),
	LEVEL_UP_MOVE(20, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(25, MOVE_REST),
	LEVEL_UP_MOVE(30, MOVE_COUNTER),
	LEVEL_UP_MOVE(35, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(40, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(45, MOVE_BELCH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sGreedentLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_COVET),
	LEVEL_UP_MOVE( 1, MOVE_COVET),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_BITE),
	LEVEL_UP_MOVE(10, MOVE_STUFFCHEEKS),
	LEVEL_UP_MOVE(15, MOVE_STOCKPILE),
	LEVEL_UP_MOVE(15, MOVE_SWALLOW),
	LEVEL_UP_MOVE(15, MOVE_SPITUP),
	LEVEL_UP_MOVE(20, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(27, MOVE_REST),
	LEVEL_UP_MOVE(34, MOVE_COUNTER),
	LEVEL_UP_MOVE(41, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(48, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(55, MOVE_BELCH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sRookideeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 4, MOVE_POWERTRIP),
	LEVEL_UP_MOVE( 8, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(12, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(16, MOVE_PLUCK),
	LEVEL_UP_MOVE(20, MOVE_TAUNT),
	LEVEL_UP_MOVE(24, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(28, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(32, MOVE_SWAGGER),
	LEVEL_UP_MOVE(36, MOVE_BRAVEBIRD),
	LEVEL_UP_END
};		

static const struct LevelUpMove sCorvisquireLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 4, MOVE_POWERTRIP),
	LEVEL_UP_MOVE( 8, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(12, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(16, MOVE_PLUCK),
	LEVEL_UP_MOVE(22, MOVE_TAUNT),
	LEVEL_UP_MOVE(28, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(34, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(40, MOVE_SWAGGER),
	LEVEL_UP_MOVE(46, MOVE_BRAVEBIRD),
	LEVEL_UP_END
};		

static const struct LevelUpMove sCorviknightLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_STEELWING),
	LEVEL_UP_MOVE( 1, MOVE_STEELWING),
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_ASSURANCE),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_REVERSAL),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_DUALWINGBEAT),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_METALSOUND),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 4, MOVE_POWERTRIP),
	LEVEL_UP_MOVE( 8, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(12, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(16, MOVE_PLUCK),
	LEVEL_UP_MOVE(22, MOVE_TAUNT),
	LEVEL_UP_MOVE(28, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(34, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(42, MOVE_SWAGGER),
	LEVEL_UP_MOVE(50, MOVE_BRAVEBIRD),
	LEVEL_UP_END
};		

static const struct LevelUpMove sBlipbugLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_STRUGGLEBUG),
	LEVEL_UP_END
};		

static const struct LevelUpMove sDottlerLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 0, MOVE_REFLECT),
	LEVEL_UP_MOVE( 0, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE( 1, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_REFLECT),
	LEVEL_UP_MOVE( 1, MOVE_LIGHTSCREEN),
	LEVEL_UP_END
};		

static const struct LevelUpMove sOrbeetleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWERSWAP),
	LEVEL_UP_MOVE( 1, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE( 1, MOVE_WONDERROOM),
	LEVEL_UP_MOVE( 1, MOVE_MAGICROOM),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_EXPANDINGFORCE),
	LEVEL_UP_MOVE( 1, MOVE_REFLECT),
	LEVEL_UP_MOVE( 1, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE( 4, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 8, MOVE_MAGICCOAT),
	LEVEL_UP_MOVE(12, MOVE_AGILITY),
	LEVEL_UP_MOVE(16, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(20, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(24, MOVE_TELEPORT),
	LEVEL_UP_MOVE(28, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(32, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE(36, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(40, MOVE_AFTERYOU),
	LEVEL_UP_MOVE(44, MOVE_CALMMIND),
	LEVEL_UP_MOVE(48, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_END
};		

static const struct LevelUpMove sNickitLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 4, MOVE_BEATUP),
	LEVEL_UP_MOVE( 8, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(12, MOVE_SNARL),
	LEVEL_UP_MOVE(16, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(20, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(24, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(28, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(32, MOVE_TAILSLAP),
	LEVEL_UP_MOVE(36, MOVE_FOULPLAY),
	LEVEL_UP_END
};		

static const struct LevelUpMove sThievulLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_THIEF),
	LEVEL_UP_MOVE( 1, MOVE_THIEF),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 4, MOVE_BEATUP),
	LEVEL_UP_MOVE( 8, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(12, MOVE_SNARL),
	LEVEL_UP_MOVE(16, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(22, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(28, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(34, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE(40, MOVE_TAILSLAP),
	LEVEL_UP_MOVE(46, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(52, MOVE_PARTINGSHOT),
	LEVEL_UP_END
};		

static const struct LevelUpMove sGossifleurLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEAFAGE),
	LEVEL_UP_MOVE( 1, MOVE_SING),
	LEVEL_UP_MOVE( 4, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 8, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(12, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(16, MOVE_ROUND),
	LEVEL_UP_MOVE(21, MOVE_LEAFTORNADO),
	LEVEL_UP_MOVE(24, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(28, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(32, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(36, MOVE_LEAFSTORM),
	LEVEL_UP_END
};		

static const struct LevelUpMove sEldegossLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE( 1, MOVE_COTTONSPORE),
	LEVEL_UP_MOVE( 1, MOVE_LEAFAGE),
	LEVEL_UP_MOVE( 1, MOVE_SING),
	LEVEL_UP_MOVE( 4, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 8, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(12, MOVE_RAZORLEAF),
	LEVEL_UP_MOVE(16, MOVE_ROUND),
	LEVEL_UP_MOVE(23, MOVE_LEAFTORNADO),
	LEVEL_UP_MOVE(28, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(34, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE(40, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(46, MOVE_LEAFSTORM),
	LEVEL_UP_MOVE(52, MOVE_COTTONGUARD),
	LEVEL_UP_END
};		

static const struct LevelUpMove sWoolooLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 8, MOVE_COPYCAT),
	LEVEL_UP_MOVE(12, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(16, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(21, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(25, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(28, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE(32, MOVE_REVERSAL),
	LEVEL_UP_MOVE(36, MOVE_COTTONGUARD),
	LEVEL_UP_MOVE(40, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sDubwoolLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_DEFENSECURL),
	LEVEL_UP_MOVE( 8, MOVE_COPYCAT),
	LEVEL_UP_MOVE(12, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(16, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(21, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(27, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(32, MOVE_GUARDSWAP),
	LEVEL_UP_MOVE(38, MOVE_REVERSAL),
	LEVEL_UP_MOVE(44, MOVE_COTTONGUARD),
	LEVEL_UP_MOVE(50, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(56, MOVE_LASTRESORT),
	LEVEL_UP_END
};		

static const struct LevelUpMove sChewtleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(14, MOVE_PROTECT),
	LEVEL_UP_MOVE(21, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(28, MOVE_COUNTER),
	LEVEL_UP_MOVE(35, MOVE_JAWLOCK),
	LEVEL_UP_MOVE(42, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE(49, MOVE_BODYSLAM),
	LEVEL_UP_END
};		

static const struct LevelUpMove sDrednawLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE( 1, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_RAZORSHELL),
	LEVEL_UP_MOVE( 1, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 7, MOVE_BITE),
	LEVEL_UP_MOVE(14, MOVE_PROTECT),
	LEVEL_UP_MOVE(21, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(30, MOVE_COUNTER),
	LEVEL_UP_MOVE(39, MOVE_JAWLOCK),
	LEVEL_UP_MOVE(48, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE(57, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(66, MOVE_HEADSMASH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sYamperLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 5, MOVE_NUZZLE),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(15, MOVE_ROAR),
	LEVEL_UP_MOVE(20, MOVE_SPARK),
	LEVEL_UP_MOVE(26, MOVE_CHARM),
	LEVEL_UP_MOVE(30, MOVE_CRUNCH),
	LEVEL_UP_MOVE(35, MOVE_CHARGE),
	LEVEL_UP_MOVE(40, MOVE_WILDCHARGE),
	LEVEL_UP_MOVE(45, MOVE_PLAYROUGH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sBoltundLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THUNDERFANG),
	LEVEL_UP_MOVE( 1, MOVE_FIREFANG),
	LEVEL_UP_MOVE( 1, MOVE_EERIEIMPULSE),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_ELECTROBALL),
	LEVEL_UP_MOVE( 1, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_ELECTRIFY),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_NUZZLE),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE(15, MOVE_ROAR),
	LEVEL_UP_MOVE(20, MOVE_SPARK),
	LEVEL_UP_MOVE(28, MOVE_CHARM),
	LEVEL_UP_MOVE(34, MOVE_CRUNCH),
	LEVEL_UP_MOVE(41, MOVE_CHARGE),
	LEVEL_UP_MOVE(48, MOVE_WILDCHARGE),
	LEVEL_UP_MOVE(55, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(62, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_END
};		

static const struct LevelUpMove sRolycolyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(10, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(15, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(20, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(25, MOVE_INCINERATE),
	LEVEL_UP_MOVE(30, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(35, MOVE_HEATCRASH),
	LEVEL_UP_MOVE(40, MOVE_ROCKBLAST),
	LEVEL_UP_END
};		

static const struct LevelUpMove sCarkolLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE( 1, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE( 1, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(10, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(15, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(20, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(27, MOVE_INCINERATE),
	LEVEL_UP_MOVE(35, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(41, MOVE_HEATCRASH),
	LEVEL_UP_MOVE(48, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(55, MOVE_BURNUP),
	LEVEL_UP_END
};		

static const struct LevelUpMove sCoalossalLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_TARSHOT),
	LEVEL_UP_MOVE( 1, MOVE_TARSHOT),
	LEVEL_UP_MOVE( 1, MOVE_FLAMECHARGE),
	LEVEL_UP_MOVE( 1, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE(10, MOVE_SMACKDOWN),
	LEVEL_UP_MOVE(15, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(20, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(27, MOVE_INCINERATE),
	LEVEL_UP_MOVE(37, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(45, MOVE_HEATCRASH),
	LEVEL_UP_MOVE(54, MOVE_ROCKBLAST),
	LEVEL_UP_MOVE(63, MOVE_BURNUP),
	LEVEL_UP_END
};		

static const struct LevelUpMove sApplinLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_END
};		

static const struct LevelUpMove sFlappleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_WINGATTACK),
	LEVEL_UP_MOVE( 1, MOVE_WINGATTACK),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 1, MOVE_RECYCLE),
	LEVEL_UP_MOVE( 1, MOVE_TWISTER),
	LEVEL_UP_MOVE( 4, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE( 8, MOVE_ACROBATICS),
	LEVEL_UP_MOVE(12, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(16, MOVE_PROTECT),
	LEVEL_UP_MOVE(20, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(24, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(28, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(32, MOVE_GRAVAPPLE),
	LEVEL_UP_MOVE(36, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(40, MOVE_FLY),
	LEVEL_UP_MOVE(44, MOVE_DRAGONRUSH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sAppletunLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_HEADBUTT),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 1, MOVE_RECYCLE),
	LEVEL_UP_MOVE( 1, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE( 4, MOVE_CURSE),
	LEVEL_UP_MOVE( 8, MOVE_STOMP),
	LEVEL_UP_MOVE(12, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(16, MOVE_PROTECT),
	LEVEL_UP_MOVE(20, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(24, MOVE_RECOVER),
	LEVEL_UP_MOVE(28, MOVE_APPLEACID),
	LEVEL_UP_MOVE(32, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(36, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(40, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(44, MOVE_ENERGYBALL),
	LEVEL_UP_END
};		

static const struct LevelUpMove sSilicobraLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 5, MOVE_MINIMIZE),
	LEVEL_UP_MOVE(10, MOVE_BRUTALSWING),
	LEVEL_UP_MOVE(15, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(20, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(25, MOVE_GLARE),
	LEVEL_UP_MOVE(30, MOVE_DIG),
	LEVEL_UP_MOVE(35, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(40, MOVE_SLAM),
	LEVEL_UP_MOVE(45, MOVE_COIL),
	LEVEL_UP_MOVE(50, MOVE_SANDTOMB),
	LEVEL_UP_END
};		

static const struct LevelUpMove sSandacondaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SKULLBASH),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 1, MOVE_WRAP),
	LEVEL_UP_MOVE( 5, MOVE_MINIMIZE),
	LEVEL_UP_MOVE(10, MOVE_BRUTALSWING),
	LEVEL_UP_MOVE(15, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(20, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(25, MOVE_GLARE),
	LEVEL_UP_MOVE(30, MOVE_DIG),
	LEVEL_UP_MOVE(35, MOVE_SANDSTORM),
	LEVEL_UP_MOVE(42, MOVE_SLAM),
	LEVEL_UP_MOVE(49, MOVE_COIL),
	LEVEL_UP_MOVE(51, MOVE_SANDTOMB),
	LEVEL_UP_END
};		

static const struct LevelUpMove sCramorantLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BELCH),
	LEVEL_UP_MOVE( 1, MOVE_STOCKPILE),
	LEVEL_UP_MOVE( 1, MOVE_SWALLOW),
	LEVEL_UP_MOVE( 1, MOVE_SPITUP),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 7, MOVE_WATERGUN),
	LEVEL_UP_MOVE(14, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(21, MOVE_PLUCK),
	LEVEL_UP_MOVE(28, MOVE_DIVE),
	LEVEL_UP_MOVE(35, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(42, MOVE_AMNESIA),
	LEVEL_UP_MOVE(49, MOVE_THRASH),
	LEVEL_UP_MOVE(56, MOVE_HYDROPUMP),
	LEVEL_UP_END
};		

static const struct LevelUpMove sArrokudaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_AQUAJET),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 6, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(12, MOVE_BITE),
	LEVEL_UP_MOVE(18, MOVE_AGILITY),
	LEVEL_UP_MOVE(24, MOVE_DIVE),
	LEVEL_UP_MOVE(30, MOVE_LASERFOCUS),
	LEVEL_UP_MOVE(36, MOVE_CRUNCH),
	LEVEL_UP_MOVE(42, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE(48, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sBarraskewdaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THROATCHOP),
	LEVEL_UP_MOVE( 1, MOVE_AQUAJET),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 6, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(12, MOVE_BITE),
	LEVEL_UP_MOVE(18, MOVE_AGILITY),
	LEVEL_UP_MOVE(24, MOVE_DIVE),
	LEVEL_UP_MOVE(32, MOVE_LASERFOCUS),
	LEVEL_UP_MOVE(40, MOVE_CRUNCH),
	LEVEL_UP_MOVE(48, MOVE_LIQUIDATION),
	LEVEL_UP_MOVE(56, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sToxelLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BELCH),
	LEVEL_UP_MOVE( 1, MOVE_FLAIL),
	LEVEL_UP_MOVE( 1, MOVE_ACID),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TEARFULLOOK),
	LEVEL_UP_MOVE( 1, MOVE_NUZZLE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sToxtricityLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SPARK),
	LEVEL_UP_MOVE( 1, MOVE_SPARK),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_BELCH),
	LEVEL_UP_MOVE( 1, MOVE_FLAIL),
	LEVEL_UP_MOVE( 1, MOVE_TEARFULLOOK),
	LEVEL_UP_MOVE( 1, MOVE_NUZZLE),
	LEVEL_UP_MOVE( 1, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE( 1, MOVE_EERIEIMPULSE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 4, MOVE_CHARGE),
	LEVEL_UP_MOVE( 8, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(12, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(16, MOVE_TAUNT),
	LEVEL_UP_MOVE(20, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(24, MOVE_SCREECH),
	LEVEL_UP_MOVE(28, MOVE_SWAGGER),
	LEVEL_UP_MOVE(32, MOVE_TOXIC),
	LEVEL_UP_MOVE(36, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(40, MOVE_POISONJAB),
	LEVEL_UP_MOVE(44, MOVE_OVERDRIVE),
	LEVEL_UP_MOVE(48, MOVE_BOOMBURST),
	LEVEL_UP_MOVE(52, MOVE_SHIFTGEAR),
	LEVEL_UP_END
};		

static const struct LevelUpMove sToxtricityLowKeyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SPARK),
	LEVEL_UP_MOVE( 1, MOVE_SPARK),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_PAYBACK),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_HYPERVOICE),
	LEVEL_UP_MOVE( 1, MOVE_GUNKSHOT),
	LEVEL_UP_MOVE( 1, MOVE_RISINGVOLTAGE),
	LEVEL_UP_MOVE( 1, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE( 1, MOVE_BELCH),
	LEVEL_UP_MOVE( 1, MOVE_FLAIL),
	LEVEL_UP_MOVE( 1, MOVE_TEARFULLOOK),
	LEVEL_UP_MOVE( 1, MOVE_NUZZLE),
	LEVEL_UP_MOVE( 1, MOVE_ACIDSPRAY),
	LEVEL_UP_MOVE( 1, MOVE_EERIEIMPULSE),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_NOBLEROAR),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 4, MOVE_CHARGE),
	LEVEL_UP_MOVE( 8, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(12, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(16, MOVE_TAUNT),
	LEVEL_UP_MOVE(20, MOVE_VENOMDRENCH),
	LEVEL_UP_MOVE(24, MOVE_SCREECH),
	LEVEL_UP_MOVE(28, MOVE_SWAGGER),
	LEVEL_UP_MOVE(32, MOVE_TOXIC),
	LEVEL_UP_MOVE(36, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(40, MOVE_POISONJAB),
	LEVEL_UP_MOVE(44, MOVE_OVERDRIVE),
	LEVEL_UP_MOVE(48, MOVE_BOOMBURST),
	LEVEL_UP_MOVE(52, MOVE_MAGNETICFLUX),
	LEVEL_UP_END
};		

static const struct LevelUpMove sSizzlipedeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 5, MOVE_WRAP),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(15, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(20, MOVE_BUGBITE),
	LEVEL_UP_MOVE(25, MOVE_COIL),
	LEVEL_UP_MOVE(30, MOVE_SLAM),
	LEVEL_UP_MOVE(35, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(40, MOVE_CRUNCH),
	LEVEL_UP_MOVE(45, MOVE_FIRELASH),
	LEVEL_UP_MOVE(50, MOVE_LUNGE),
	LEVEL_UP_MOVE(55, MOVE_BURNUP),
	LEVEL_UP_END
};		

static const struct LevelUpMove sCentiskorchLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_INFERNO),
	LEVEL_UP_MOVE( 1, MOVE_EMBER),
	LEVEL_UP_MOVE( 1, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE( 5, MOVE_WRAP),
	LEVEL_UP_MOVE(10, MOVE_BITE),
	LEVEL_UP_MOVE(15, MOVE_FLAMEWHEEL),
	LEVEL_UP_MOVE(20, MOVE_BUGBITE),
	LEVEL_UP_MOVE(25, MOVE_COIL),
	LEVEL_UP_MOVE(32, MOVE_SLAM),
	LEVEL_UP_MOVE(39, MOVE_FIRESPIN),
	LEVEL_UP_MOVE(46, MOVE_CRUNCH),
	LEVEL_UP_MOVE(53, MOVE_FIRELASH),
	LEVEL_UP_MOVE(60, MOVE_LUNGE),
	LEVEL_UP_MOVE(67, MOVE_BURNUP),
	LEVEL_UP_END
};		

static const struct LevelUpMove sClobbopusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE( 5, MOVE_FEINT),
	LEVEL_UP_MOVE(10, MOVE_BIND),
	LEVEL_UP_MOVE(15, MOVE_DETECT),
	LEVEL_UP_MOVE(20, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(25, MOVE_BULKUP),
	LEVEL_UP_MOVE(30, MOVE_SUBMISSION),
	LEVEL_UP_MOVE(35, MOVE_TAUNT),
	LEVEL_UP_MOVE(40, MOVE_REVERSAL),
	LEVEL_UP_MOVE(45, MOVE_SUPERPOWER),
	LEVEL_UP_END
};		

static const struct LevelUpMove sGrapploctLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_OCTOLOCK),
	LEVEL_UP_MOVE( 1, MOVE_OCTOLOCK),
	LEVEL_UP_MOVE( 1, MOVE_OCTAZOOKA),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE( 5, MOVE_FEINT),
	LEVEL_UP_MOVE(10, MOVE_BIND),
	LEVEL_UP_MOVE(15, MOVE_DETECT),
	LEVEL_UP_MOVE(20, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(25, MOVE_BULKUP),
	LEVEL_UP_MOVE(30, MOVE_SUBMISSION),
	LEVEL_UP_MOVE(35, MOVE_TAUNT),
	LEVEL_UP_MOVE(40, MOVE_REVERSAL),
	LEVEL_UP_MOVE(45, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE(50, MOVE_TOPSYTURVY),
	LEVEL_UP_END
};		

static const struct LevelUpMove sSinisteaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 6, MOVE_AROMATICMIST),
	LEVEL_UP_MOVE(12, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(18, MOVE_PROTECT),
	LEVEL_UP_MOVE(24, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(30, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(36, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(42, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(48, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(54, MOVE_MEMENTO),
	LEVEL_UP_MOVE(60, MOVE_SHELLSMASH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sPolteageistLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_TEATIME),
	LEVEL_UP_MOVE( 1, MOVE_TEATIME),
	LEVEL_UP_MOVE( 1, MOVE_STRENGTHSAP),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 6, MOVE_AROMATICMIST),
	LEVEL_UP_MOVE(12, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE(18, MOVE_PROTECT),
	LEVEL_UP_MOVE(24, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(30, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(36, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(42, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(48, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(54, MOVE_MEMENTO),
	LEVEL_UP_MOVE(60, MOVE_SHELLSMASH),
	LEVEL_UP_MOVE(66, MOVE_CURSE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sHatennaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 5, MOVE_LIFEDEW),
	LEVEL_UP_MOVE(10, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(15, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(20, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(25, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(30, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE(35, MOVE_CALMMIND),
	LEVEL_UP_MOVE(40, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(45, MOVE_HEALINGWISH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sHattremLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_BRUTALSWING),
	LEVEL_UP_MOVE( 1, MOVE_BRUTALSWING),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 5, MOVE_LIFEDEW),
	LEVEL_UP_MOVE(10, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(15, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(20, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(25, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(30, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE(37, MOVE_CALMMIND),
	LEVEL_UP_MOVE(44, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(51, MOVE_HEALINGWISH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sHattereneLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE( 1, MOVE_BRUTALSWING),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 5, MOVE_LIFEDEW),
	LEVEL_UP_MOVE(10, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(15, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(20, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(25, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(30, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE(37, MOVE_CALMMIND),
	LEVEL_UP_MOVE(46, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(55, MOVE_HEALINGWISH),
	LEVEL_UP_MOVE(64, MOVE_MAGICPOWDER),
	LEVEL_UP_END
};		

static const struct LevelUpMove sImpidimpLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_CONFIDE),
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 4, MOVE_BITE),
	LEVEL_UP_MOVE( 8, MOVE_FLATTER),
	LEVEL_UP_MOVE(12, MOVE_FAKETEARS),
	LEVEL_UP_MOVE(16, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(20, MOVE_SWAGGER),
	LEVEL_UP_MOVE(24, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(28, MOVE_TORMENT),
	LEVEL_UP_MOVE(33, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(36, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(40, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(44, MOVE_FOULPLAY),
	LEVEL_UP_END
};		

static const struct LevelUpMove sMorgremLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_FALSESURRENDER),
	LEVEL_UP_MOVE( 1, MOVE_FALSESURRENDER),
	LEVEL_UP_MOVE( 1, MOVE_CONFIDE),
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 4, MOVE_BITE),
	LEVEL_UP_MOVE( 8, MOVE_FLATTER),
	LEVEL_UP_MOVE(12, MOVE_FAKETEARS),
	LEVEL_UP_MOVE(16, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(20, MOVE_SWAGGER),
	LEVEL_UP_MOVE(24, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(28, MOVE_TORMENT),
	LEVEL_UP_MOVE(35, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(40, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(46, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(52, MOVE_FOULPLAY),
	LEVEL_UP_END
};		

static const struct LevelUpMove sGrimmsnarlLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SPIRITBREAK),
	LEVEL_UP_MOVE( 1, MOVE_SPIRITBREAK),
	LEVEL_UP_MOVE( 1, MOVE_FIREPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_REVENGE),
	LEVEL_UP_MOVE( 1, MOVE_POWERSWAP),
	LEVEL_UP_MOVE( 1, MOVE_WONDERROOM),
	LEVEL_UP_MOVE( 1, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE( 1, MOVE_STOMPINGTANTRUM),
	LEVEL_UP_MOVE( 1, MOVE_CRUNCH),
	LEVEL_UP_MOVE( 1, MOVE_TRICK),
	LEVEL_UP_MOVE( 1, MOVE_SUPERPOWER),
	LEVEL_UP_MOVE( 1, MOVE_POWERWHIP),
	LEVEL_UP_MOVE( 1, MOVE_DARKESTLARIAT),
	LEVEL_UP_MOVE( 1, MOVE_FALSESURRENDER),
	LEVEL_UP_MOVE( 1, MOVE_BULKUP),
	LEVEL_UP_MOVE( 1, MOVE_POWERUPPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_CONFIDE),
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 4, MOVE_BITE),
	LEVEL_UP_MOVE( 8, MOVE_FLATTER),
	LEVEL_UP_MOVE(12, MOVE_FAKETEARS),
	LEVEL_UP_MOVE(16, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(20, MOVE_SWAGGER),
	LEVEL_UP_MOVE(24, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(28, MOVE_TORMENT),
	LEVEL_UP_MOVE(35, MOVE_DARKPULSE),
	LEVEL_UP_MOVE(40, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(48, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(56, MOVE_FOULPLAY),
	LEVEL_UP_MOVE(64, MOVE_HAMMERARM),
	LEVEL_UP_END
};		

static const struct LevelUpMove sObstagoonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_OBSTRUCT),
	LEVEL_UP_MOVE( 1, MOVE_OBSTRUCT),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_CROSSCHOP),
	LEVEL_UP_MOVE( 1, MOVE_SUBMISSION),
	LEVEL_UP_MOVE( 1, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE( 1, MOVE_PINMISSILE),
	LEVEL_UP_MOVE( 1, MOVE_SWITCHEROO),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 3, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 6, MOVE_LICK),
	LEVEL_UP_MOVE( 9, MOVE_SNARL),
	LEVEL_UP_MOVE(12, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(15, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(18, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(23, MOVE_REST),
	LEVEL_UP_MOVE(28, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(35, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(42, MOVE_COUNTER),
	LEVEL_UP_MOVE(49, MOVE_TAUNT),
	LEVEL_UP_MOVE(56, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sPerrserkerLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_IRONHEAD),
	LEVEL_UP_MOVE( 1, MOVE_METALBURST),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 4, MOVE_HONECLAWS),
	LEVEL_UP_MOVE( 8, MOVE_SCRATCH),
	LEVEL_UP_MOVE(12, MOVE_PAYDAY),
	LEVEL_UP_MOVE(16, MOVE_METALCLAW),
	LEVEL_UP_MOVE(20, MOVE_TAUNT),
	LEVEL_UP_MOVE(24, MOVE_SWAGGER),
	LEVEL_UP_MOVE(31, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(36, MOVE_SCREECH),
	LEVEL_UP_MOVE(42, MOVE_SLASH),
	LEVEL_UP_MOVE(48, MOVE_METALSOUND),
	LEVEL_UP_MOVE(54, MOVE_THRASH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sCursolaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PERISHSONG),
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_DISABLE),
	LEVEL_UP_MOVE(15, MOVE_SPITE),
	LEVEL_UP_MOVE(20, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(25, MOVE_HEX),
	LEVEL_UP_MOVE(30, MOVE_CURSE),
	LEVEL_UP_MOVE(35, MOVE_STRENGTHSAP),
	LEVEL_UP_MOVE(40, MOVE_POWERGEM),
	LEVEL_UP_MOVE(45, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(50, MOVE_GRUDGE),
	LEVEL_UP_MOVE(55, MOVE_MIRRORCOAT),
	LEVEL_UP_END
};		

static const struct LevelUpMove sSirfetchdLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_FIRSTIMPRESSION),
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 5, MOVE_LEER),
	LEVEL_UP_MOVE(10, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(15, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE(20, MOVE_BRUTALSWING),
	LEVEL_UP_MOVE(25, MOVE_DETECT),
	LEVEL_UP_MOVE(30, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(35, MOVE_DEFOG),
	LEVEL_UP_MOVE(40, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(45, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(50, MOVE_SLAM),
	LEVEL_UP_MOVE(55, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(60, MOVE_FINALGAMBIT),
	LEVEL_UP_MOVE(65, MOVE_BRAVEBIRD),
	LEVEL_UP_MOVE(70, MOVE_METEORASSAULT),
	LEVEL_UP_END
};		

static const struct LevelUpMove sMrRimeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_AFTERYOU),
	LEVEL_UP_MOVE( 1, MOVE_BLOCK),
	LEVEL_UP_MOVE( 1, MOVE_FAKETEARS),
	LEVEL_UP_MOVE( 1, MOVE_SLACKOFF),
	LEVEL_UP_MOVE( 1, MOVE_ICESHARD),
	LEVEL_UP_MOVE( 1, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 1, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE( 1, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_REFLECT),
	LEVEL_UP_MOVE( 1, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE( 1, MOVE_MIMIC),
	LEVEL_UP_MOVE( 1, MOVE_RECYCLE),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE( 1, MOVE_COPYCAT),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 4, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 8, MOVE_ENCORE),
	LEVEL_UP_MOVE(12, MOVE_CONFUSION),
	LEVEL_UP_MOVE(16, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE(20, MOVE_ICYWIND),
	LEVEL_UP_MOVE(24, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(28, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(32, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(36, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE(40, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(44, MOVE_FREEZEDRY),
	LEVEL_UP_MOVE(48, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(52, MOVE_TEETERDANCE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sRunerigusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SHADOWCLAW),
	LEVEL_UP_MOVE( 1, MOVE_SHADOWCLAW),
	LEVEL_UP_MOVE( 1, MOVE_SCARYFACE),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 4, MOVE_HAZE),
	LEVEL_UP_MOVE( 8, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(12, MOVE_DISABLE),
	LEVEL_UP_MOVE(16, MOVE_BRUTALSWING),
	LEVEL_UP_MOVE(20, MOVE_CRAFTYSHIELD),
	LEVEL_UP_MOVE(24, MOVE_HEX),
	LEVEL_UP_MOVE(28, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(32, MOVE_SLAM),
	LEVEL_UP_MOVE(38, MOVE_CURSE),
	LEVEL_UP_MOVE(44, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(50, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(56, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(56, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE(62, MOVE_DESTINYBOND),
	LEVEL_UP_END
};		

static const struct LevelUpMove sMilceryLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_AROMATICMIST),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_SWEETKISS),
	LEVEL_UP_MOVE(10, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(15, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(20, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(25, MOVE_ATTRACT),
	LEVEL_UP_MOVE(30, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(35, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE(40, MOVE_RECOVER),
	LEVEL_UP_MOVE(45, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE(50, MOVE_ENTRAINMENT),
	LEVEL_UP_END
};		

static const struct LevelUpMove sAlcremieLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DECORATE),
	LEVEL_UP_MOVE( 1, MOVE_DECORATE),
	LEVEL_UP_MOVE( 1, MOVE_AROMATICMIST),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_SWEETKISS),
	LEVEL_UP_MOVE(10, MOVE_SWEETSCENT),
	LEVEL_UP_MOVE(15, MOVE_DRAININGKISS),
	LEVEL_UP_MOVE(20, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(25, MOVE_ATTRACT),
	LEVEL_UP_MOVE(30, MOVE_ACIDARMOR),
	LEVEL_UP_MOVE(35, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE(40, MOVE_RECOVER),
	LEVEL_UP_MOVE(45, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE(50, MOVE_ENTRAINMENT),
	LEVEL_UP_END
};		

static const struct LevelUpMove sFalinksLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE(10, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(15, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(20, MOVE_BULKUP),
	LEVEL_UP_MOVE(25, MOVE_ENDURE),
	LEVEL_UP_MOVE(30, MOVE_REVERSAL),
	LEVEL_UP_MOVE(35, MOVE_FIRSTIMPRESSION),
	LEVEL_UP_MOVE(40, MOVE_NORETREAT),
	LEVEL_UP_MOVE(45, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(50, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(55, MOVE_MEGAHORN),
	LEVEL_UP_MOVE(60, MOVE_COUNTER),
	LEVEL_UP_END
};		

static const struct LevelUpMove sPincurchinLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 5, MOVE_WATERGUN),
	LEVEL_UP_MOVE(10, MOVE_CHARGE),
	LEVEL_UP_MOVE(15, MOVE_FURYATTACK),
	LEVEL_UP_MOVE(20, MOVE_SPARK),
	LEVEL_UP_MOVE(25, MOVE_BUBBLEBEAM),
	LEVEL_UP_MOVE(30, MOVE_RECOVER),
	LEVEL_UP_MOVE(35, MOVE_CURSE),
	LEVEL_UP_MOVE(40, MOVE_ELECTRICTERRAIN),
	LEVEL_UP_MOVE(45, MOVE_POISONJAB),
	LEVEL_UP_MOVE(50, MOVE_ZINGZAP),
	LEVEL_UP_MOVE(55, MOVE_ACUPRESSURE),
	LEVEL_UP_MOVE(60, MOVE_DISCHARGE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sSnomLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_STRUGGLEBUG),
	LEVEL_UP_END
};		

static const struct LevelUpMove sFrosmothLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ICYWIND),
	LEVEL_UP_MOVE( 1, MOVE_ICYWIND),
	LEVEL_UP_MOVE( 1, MOVE_WEATHERBALL),
	LEVEL_UP_MOVE( 1, MOVE_AIRSLASH),
	LEVEL_UP_MOVE( 1, MOVE_HURRICANE),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_STRUGGLEBUG),
	LEVEL_UP_MOVE( 1, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE( 1, MOVE_ATTRACT),
	LEVEL_UP_MOVE( 4, MOVE_STUNSPORE),
	LEVEL_UP_MOVE( 8, MOVE_INFESTATION),
	LEVEL_UP_MOVE(12, MOVE_MIST),
	LEVEL_UP_MOVE(16, MOVE_DEFOG),
	LEVEL_UP_MOVE(21, MOVE_FEATHERDANCE),
	LEVEL_UP_MOVE(24, MOVE_AURORABEAM),
	LEVEL_UP_MOVE(28, MOVE_HAIL),
	LEVEL_UP_MOVE(32, MOVE_BUGBUZZ),
	LEVEL_UP_MOVE(36, MOVE_AURORAVEIL),
	LEVEL_UP_MOVE(40, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(44, MOVE_TAILWIND),
	LEVEL_UP_MOVE(48, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(52, MOVE_QUIVERDANCE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sStonjournerLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BLOCK),
	LEVEL_UP_MOVE( 1, MOVE_ROCKTHROW),
	LEVEL_UP_MOVE( 6, MOVE_ROCKPOLISH),
	LEVEL_UP_MOVE(12, MOVE_ROCKTOMB),
	LEVEL_UP_MOVE(18, MOVE_GRAVITY),
	LEVEL_UP_MOVE(24, MOVE_STOMP),
	LEVEL_UP_MOVE(30, MOVE_STEALTHROCK),
	LEVEL_UP_MOVE(36, MOVE_ROCKSLIDE),
	LEVEL_UP_MOVE(42, MOVE_BODYSLAM),
	LEVEL_UP_MOVE(48, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE(54, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE(60, MOVE_STONEEDGE),
	LEVEL_UP_MOVE(66, MOVE_MEGAKICK),
	LEVEL_UP_END
};		

static const struct LevelUpMove sEiscueLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 6, MOVE_MIST),
	LEVEL_UP_MOVE(12, MOVE_WEATHERBALL),
	LEVEL_UP_MOVE(18, MOVE_ICYWIND),
	LEVEL_UP_MOVE(24, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(30, MOVE_AMNESIA),
	LEVEL_UP_MOVE(36, MOVE_FREEZEDRY),
	LEVEL_UP_MOVE(42, MOVE_HAIL),
	LEVEL_UP_MOVE(48, MOVE_AURORAVEIL),
	LEVEL_UP_MOVE(54, MOVE_SURF),
	LEVEL_UP_MOVE(60, MOVE_BLIZZARD),
	LEVEL_UP_END
};		

static const struct LevelUpMove sIndeedeeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 1, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE( 5, MOVE_ENCORE),
	LEVEL_UP_MOVE(10, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(15, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(20, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(25, MOVE_AFTERYOU),
	LEVEL_UP_MOVE(30, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(35, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(40, MOVE_CALMMIND),
	LEVEL_UP_MOVE(45, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE(50, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE(55, MOVE_LASTRESORT),
	LEVEL_UP_END
};

static const struct LevelUpMove sIndeedeeFemaleLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PLAYNICE),
	LEVEL_UP_MOVE( 1, MOVE_STOREDPOWER),
	LEVEL_UP_MOVE( 5, MOVE_BATONPASS),
	LEVEL_UP_MOVE(10, MOVE_DISARMINGVOICE),
	LEVEL_UP_MOVE(15, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(20, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(25, MOVE_FOLLOWME),
	LEVEL_UP_MOVE(30, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(35, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(40, MOVE_CALMMIND),
	LEVEL_UP_MOVE(45, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(50, MOVE_PSYCHICTERRAIN),
	LEVEL_UP_MOVE(55, MOVE_HEALINGWISH),
	LEVEL_UP_END
};

static const struct LevelUpMove sMorpekoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 5, MOVE_LEER),
	LEVEL_UP_MOVE(10, MOVE_POWERTRIP),
	LEVEL_UP_MOVE(15, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE(20, MOVE_FLATTER),
	LEVEL_UP_MOVE(25, MOVE_BITE),
	LEVEL_UP_MOVE(30, MOVE_SPARK),
	LEVEL_UP_MOVE(35, MOVE_TORMENT),
	LEVEL_UP_MOVE(40, MOVE_AGILITY),
	LEVEL_UP_MOVE(45, MOVE_BULLETSEED),
	LEVEL_UP_MOVE(50, MOVE_CRUNCH),
	LEVEL_UP_MOVE(55, MOVE_AURAWHEEL),
	LEVEL_UP_MOVE(60, MOVE_THRASH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sCufantLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(10, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE(15, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(20, MOVE_STOMP),
	LEVEL_UP_MOVE(25, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(30, MOVE_DIG),
	LEVEL_UP_MOVE(35, MOVE_STRENGTH),
	LEVEL_UP_MOVE(40, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(45, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(50, MOVE_HIGHHORSEPOWER),
	LEVEL_UP_MOVE(55, MOVE_SUPERPOWER),
	LEVEL_UP_END
};		

static const struct LevelUpMove sCopperajahLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_HEAVYSLAM),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_ROLLOUT),
	LEVEL_UP_MOVE(10, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE(15, MOVE_BULLDOZE),
	LEVEL_UP_MOVE(20, MOVE_STOMP),
	LEVEL_UP_MOVE(25, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(30, MOVE_DIG),
	LEVEL_UP_MOVE(37, MOVE_STRENGTH),
	LEVEL_UP_MOVE(44, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(51, MOVE_PLAYROUGH),
	LEVEL_UP_MOVE(58, MOVE_HIGHHORSEPOWER),
	LEVEL_UP_MOVE(65, MOVE_SUPERPOWER),
	LEVEL_UP_END
};		

static const struct LevelUpMove sDracozoltLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 7, MOVE_CHARGE),
	LEVEL_UP_MOVE(14, MOVE_AERIALACE),
	LEVEL_UP_MOVE(21, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(28, MOVE_PLUCK),
	LEVEL_UP_MOVE(35, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(42, MOVE_STOMP),
	LEVEL_UP_MOVE(49, MOVE_SLAM),
	LEVEL_UP_MOVE(56, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(63, MOVE_BOLTBEAK),
	LEVEL_UP_MOVE(70, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(77, MOVE_DRAGONRUSH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sArctozoltLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 7, MOVE_CHARGE),
	LEVEL_UP_MOVE(14, MOVE_ECHOEDVOICE),
	LEVEL_UP_MOVE(21, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(28, MOVE_PLUCK),
	LEVEL_UP_MOVE(35, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(42, MOVE_FREEZEDRY),
	LEVEL_UP_MOVE(49, MOVE_SLAM),
	LEVEL_UP_MOVE(56, MOVE_DISCHARGE),
	LEVEL_UP_MOVE(63, MOVE_BOLTBEAK),
	LEVEL_UP_MOVE(70, MOVE_ICICLECRASH),
	LEVEL_UP_MOVE(77, MOVE_BLIZZARD),
	LEVEL_UP_END
};		

static const struct LevelUpMove sDracovishLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 7, MOVE_PROTECT),
	LEVEL_UP_MOVE(14, MOVE_BRUTALSWING),
	LEVEL_UP_MOVE(21, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(28, MOVE_BITE),
	LEVEL_UP_MOVE(35, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(42, MOVE_STOMP),
	LEVEL_UP_MOVE(49, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(56, MOVE_CRUNCH),
	LEVEL_UP_MOVE(63, MOVE_FISHIOUSREND),
	LEVEL_UP_MOVE(70, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(77, MOVE_DRAGONRUSH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sArctovishLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 7, MOVE_PROTECT),
	LEVEL_UP_MOVE(14, MOVE_ICYWIND),
	LEVEL_UP_MOVE(21, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(28, MOVE_BITE),
	LEVEL_UP_MOVE(35, MOVE_AURORAVEIL),
	LEVEL_UP_MOVE(42, MOVE_FREEZEDRY),
	LEVEL_UP_MOVE(49, MOVE_SUPERFANG),
	LEVEL_UP_MOVE(56, MOVE_CRUNCH),
	LEVEL_UP_MOVE(63, MOVE_FISHIOUSREND),
	LEVEL_UP_MOVE(70, MOVE_ICICLECRASH),
	LEVEL_UP_MOVE(77, MOVE_BLIZZARD),
	LEVEL_UP_END
};		

static const struct LevelUpMove sDuraludonLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 6, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE(12, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(18, MOVE_METALSOUND),
	LEVEL_UP_MOVE(24, MOVE_BREAKINGSWIPE),
	LEVEL_UP_MOVE(30, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE(36, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(42, MOVE_LASERFOCUS),
	LEVEL_UP_MOVE(48, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(54, MOVE_FLASHCANNON),
	LEVEL_UP_MOVE(60, MOVE_METALBURST),
	LEVEL_UP_MOVE(66, MOVE_HYPERBEAM),
	LEVEL_UP_END
};		

static const struct LevelUpMove sDreepyLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_INFESTATION),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_END
};		

static const struct LevelUpMove sDrakloakLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_INFESTATION),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 6, MOVE_LOCKON),
	LEVEL_UP_MOVE(12, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(18, MOVE_HEX),
	LEVEL_UP_MOVE(24, MOVE_AGILITY),
	LEVEL_UP_MOVE(30, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(36, MOVE_UTURN),
	LEVEL_UP_MOVE(42, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(48, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE(54, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(61, MOVE_DRAGONRUSH),
	LEVEL_UP_MOVE(66, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(72, MOVE_LASTRESORT),
	LEVEL_UP_END
};		

static const struct LevelUpMove sDragapultLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DRAGONDARTS),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONDARTS),
	LEVEL_UP_MOVE( 1, MOVE_BREAKINGSWIPE),
	LEVEL_UP_MOVE( 1, MOVE_OUTRAGE),
	LEVEL_UP_MOVE( 1, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHICFANGS),
	LEVEL_UP_MOVE( 1, MOVE_DRACOMETEOR),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_INFESTATION),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 6, MOVE_LOCKON),
	LEVEL_UP_MOVE(12, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(18, MOVE_HEX),
	LEVEL_UP_MOVE(24, MOVE_AGILITY),
	LEVEL_UP_MOVE(30, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE(36, MOVE_UTURN),
	LEVEL_UP_MOVE(42, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(48, MOVE_PHANTOMFORCE),
	LEVEL_UP_MOVE(54, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(63, MOVE_DRAGONRUSH),
	LEVEL_UP_MOVE(70, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(78, MOVE_LASTRESORT),
	LEVEL_UP_END
};		

static const struct LevelUpMove sZacianLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_SACREDSWORD),
	LEVEL_UP_MOVE( 1, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_HOWL),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE(11, MOVE_SLASH),
	LEVEL_UP_MOVE(22, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(33, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(44, MOVE_LASERFOCUS),
	LEVEL_UP_MOVE(55, MOVE_CRUNCH),
	LEVEL_UP_MOVE(66, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(77, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(88, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};		

static const struct LevelUpMove sZamazentaLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_METALBURST),
	LEVEL_UP_MOVE( 1, MOVE_WIDEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_BITE),
	LEVEL_UP_MOVE( 1, MOVE_HOWL),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE(11, MOVE_SLASH),
	LEVEL_UP_MOVE(22, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(33, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(44, MOVE_LASERFOCUS),
	LEVEL_UP_MOVE(55, MOVE_CRUNCH),
	LEVEL_UP_MOVE(66, MOVE_MOONBLAST),
	LEVEL_UP_MOVE(77, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(88, MOVE_GIGAIMPACT),
	LEVEL_UP_END
};		

static const struct LevelUpMove sEternatusLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 1, MOVE_DRAGONTAIL),
	LEVEL_UP_MOVE( 1, MOVE_POISONTAIL),
	LEVEL_UP_MOVE( 8, MOVE_TOXIC),
	LEVEL_UP_MOVE(16, MOVE_VENOSHOCK),
	LEVEL_UP_MOVE(24, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(32, MOVE_CROSSPOISON),
	LEVEL_UP_MOVE(40, MOVE_DRAGONPULSE),
	LEVEL_UP_MOVE(48, MOVE_FLAMETHROWER),
	LEVEL_UP_MOVE(56, MOVE_DYNAMAXCANNON),
	LEVEL_UP_MOVE(64, MOVE_COSMICPOWER),
	LEVEL_UP_MOVE(72, MOVE_RECOVER),
	LEVEL_UP_MOVE(80, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(88, MOVE_ETERNABEAM),
	LEVEL_UP_END
};			

static const struct LevelUpMove sKubfuLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 4, MOVE_ENDURE),
	LEVEL_UP_MOVE( 8, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(12, MOVE_AERIALACE),
	LEVEL_UP_MOVE(16, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(20, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(24, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(28, MOVE_DETECT),
	LEVEL_UP_MOVE(32, MOVE_BULKUP),
	LEVEL_UP_MOVE(36, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(40, MOVE_DYNAMICPUNCH),
	LEVEL_UP_MOVE(44, MOVE_COUNTER),
	LEVEL_UP_MOVE(48, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(52, MOVE_FOCUSPUNCH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sUrshifuLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_WICKEDBLOW),
	LEVEL_UP_MOVE( 1, MOVE_WICKEDBLOW),
	LEVEL_UP_MOVE( 1, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE( 1, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 4, MOVE_ENDURE),
	LEVEL_UP_MOVE( 8, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(12, MOVE_AERIALACE),
	LEVEL_UP_MOVE(16, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(20, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(24, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(28, MOVE_DETECT),
	LEVEL_UP_MOVE(32, MOVE_BULKUP),
	LEVEL_UP_MOVE(36, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(40, MOVE_DYNAMICPUNCH),
	LEVEL_UP_MOVE(44, MOVE_COUNTER),
	LEVEL_UP_MOVE(48, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(52, MOVE_FOCUSPUNCH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sUrshifuRapidLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SURGINGSTRIKES),
	LEVEL_UP_MOVE( 1, MOVE_SURGINGSTRIKES),
	LEVEL_UP_MOVE( 1, MOVE_AQUAJET),
	LEVEL_UP_MOVE( 1, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 4, MOVE_ENDURE),
	LEVEL_UP_MOVE( 8, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(12, MOVE_AERIALACE),
	LEVEL_UP_MOVE(16, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(20, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(24, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(28, MOVE_DETECT),
	LEVEL_UP_MOVE(32, MOVE_BULKUP),
	LEVEL_UP_MOVE(36, MOVE_IRONHEAD),
	LEVEL_UP_MOVE(40, MOVE_DYNAMICPUNCH),
	LEVEL_UP_MOVE(44, MOVE_COUNTER),
	LEVEL_UP_MOVE(48, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(52, MOVE_FOCUSPUNCH),
	LEVEL_UP_END
};

static const struct LevelUpMove sZarudeLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_BIND),
	LEVEL_UP_MOVE( 1, MOVE_SCRATCH),
	LEVEL_UP_MOVE( 6, MOVE_LEER),
	LEVEL_UP_MOVE(12, MOVE_VINEWHIP),
	LEVEL_UP_MOVE(18, MOVE_GROWTH),
	LEVEL_UP_MOVE(24, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(30, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(36, MOVE_GRASSKNOT),
	LEVEL_UP_MOVE(42, MOVE_BITE),
	LEVEL_UP_MOVE(48, MOVE_UTURN),
	LEVEL_UP_MOVE(54, MOVE_SWAGGER),
	LEVEL_UP_MOVE(60, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(66, MOVE_SYNTHESIS),
	LEVEL_UP_MOVE(72, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(78, MOVE_THRASH),
	LEVEL_UP_MOVE(84, MOVE_POWERWHIP),
	LEVEL_UP_MOVE(90, MOVE_JUNGLEHEALING),
	LEVEL_UP_END
};		

static const struct LevelUpMove sRegielekiLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_THUNDERSHOCK),
	LEVEL_UP_MOVE( 1, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 6, MOVE_ELECTROWEB),
	LEVEL_UP_MOVE(12, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(18, MOVE_SHOCKWAVE),
	LEVEL_UP_MOVE(24, MOVE_THUNDERWAVE),
	LEVEL_UP_MOVE(30, MOVE_EXTREMESPEED),
	LEVEL_UP_MOVE(36, MOVE_THUNDERCAGE),
	LEVEL_UP_MOVE(42, MOVE_THUNDERBOLT),
	LEVEL_UP_MOVE(48, MOVE_MAGNETRISE),
	LEVEL_UP_MOVE(54, MOVE_THRASH),
	LEVEL_UP_MOVE(60, MOVE_LOCKON),
	LEVEL_UP_MOVE(66, MOVE_ZAPCANNON),
	LEVEL_UP_MOVE(72, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(78, MOVE_EXPLOSION),
	LEVEL_UP_END
}; 

static const struct LevelUpMove sRegidragoLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TWISTER),
	LEVEL_UP_MOVE( 1, MOVE_VICEGRIP),
	LEVEL_UP_MOVE( 6, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(18, MOVE_DRAGONBREATH),
	LEVEL_UP_MOVE(24, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE(30, MOVE_CRUNCH),
	LEVEL_UP_MOVE(36, MOVE_DRAGONCLAW),
	LEVEL_UP_MOVE(42, MOVE_HAMMERARM),
	LEVEL_UP_MOVE(48, MOVE_DRAGONDANCE),
	LEVEL_UP_MOVE(54, MOVE_THRASH),
	LEVEL_UP_MOVE(60, MOVE_LASERFOCUS),
	LEVEL_UP_MOVE(66, MOVE_DRAGONENERGY),
	LEVEL_UP_MOVE(72, MOVE_HYPERBEAM),
	LEVEL_UP_MOVE(78, MOVE_EXPLOSION),
	LEVEL_UP_END
};

static const struct LevelUpMove sGlastrierLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 6, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(12, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(18, MOVE_STOMP),
	LEVEL_UP_MOVE(24, MOVE_TORMENT),
	LEVEL_UP_MOVE(30, MOVE_MIST),
	LEVEL_UP_MOVE(36, MOVE_ICICLECRASH),
	LEVEL_UP_MOVE(42, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(48, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(54, MOVE_THRASH),
	LEVEL_UP_MOVE(60, MOVE_TAUNT),
	LEVEL_UP_MOVE(66, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(72, MOVE_SWORDSDANCE),
	LEVEL_UP_END
}; 

static const struct LevelUpMove sSpectrierLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 6, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(12, MOVE_HEX),
	LEVEL_UP_MOVE(18, MOVE_STOMP),
	LEVEL_UP_MOVE(24, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE(30, MOVE_HAZE),
	LEVEL_UP_MOVE(36, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(42, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(48, MOVE_AGILITY),
	LEVEL_UP_MOVE(54, MOVE_THRASH),
	LEVEL_UP_MOVE(60, MOVE_DISABLE),
	LEVEL_UP_MOVE(66, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE(72, MOVE_NASTYPLOT),
	LEVEL_UP_END
};

static const struct LevelUpMove sCalyrexLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 8, MOVE_LIFEDEW),
	LEVEL_UP_MOVE(16, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(24, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(32, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(40, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(48, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(56, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(64, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(72, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(80, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(88, MOVE_FUTURESIGHT),
	LEVEL_UP_END
};

static const struct LevelUpMove sCalyrexIceRiderLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GLACIALLANCE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 1, MOVE_AVALANCHE),
	LEVEL_UP_MOVE( 1, MOVE_STOMP),
	LEVEL_UP_MOVE( 1, MOVE_TORMENT),
	LEVEL_UP_MOVE( 1, MOVE_MIST),
	LEVEL_UP_MOVE( 1, MOVE_ICICLECRASH),
	LEVEL_UP_MOVE( 1, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE( 1, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE( 1, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_TAUNT),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE( 1, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 8, MOVE_LIFEDEW),
	LEVEL_UP_MOVE(16, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(24, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(32, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(40, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(48, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(56, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(64, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(72, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(80, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(88, MOVE_FUTURESIGHT),
	LEVEL_UP_END
};

static const struct LevelUpMove sCalyrexShadowRiderLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ASTRALBARRAGE),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_TAILWHIP),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE( 1, MOVE_HEX),
	LEVEL_UP_MOVE( 1, MOVE_STOMP),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSERAY),
	LEVEL_UP_MOVE( 1, MOVE_HAZE),
	LEVEL_UP_MOVE( 1, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE( 1, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE( 1, MOVE_AGILITY),
	LEVEL_UP_MOVE( 1, MOVE_THRASH),
	LEVEL_UP_MOVE( 1, MOVE_DISABLE),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEEDGE),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 1, MOVE_MEGADRAIN),
	LEVEL_UP_MOVE( 1, MOVE_CONFUSION),
	LEVEL_UP_MOVE( 1, MOVE_GROWTH),
	LEVEL_UP_MOVE( 8, MOVE_LIFEDEW),
	LEVEL_UP_MOVE(16, MOVE_GIGADRAIN),
	LEVEL_UP_MOVE(24, MOVE_PSYSHOCK),
	LEVEL_UP_MOVE(32, MOVE_HELPINGHAND),
	LEVEL_UP_MOVE(40, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(48, MOVE_ENERGYBALL),
	LEVEL_UP_MOVE(56, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(64, MOVE_LEECHSEED),
	LEVEL_UP_MOVE(72, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(80, MOVE_SOLARBEAM),
	LEVEL_UP_MOVE(88, MOVE_FUTURESIGHT),
	LEVEL_UP_END
};

static const struct LevelUpMove sMeowthGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_FAKEOUT),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 4, MOVE_HONECLAWS),
	LEVEL_UP_MOVE( 8, MOVE_SCRATCH),
	LEVEL_UP_MOVE(12, MOVE_PAYDAY),
	LEVEL_UP_MOVE(16, MOVE_METALCLAW),
	LEVEL_UP_MOVE(20, MOVE_TAUNT),
	LEVEL_UP_MOVE(24, MOVE_SWAGGER),
	LEVEL_UP_MOVE(29, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(32, MOVE_SCREECH),
	LEVEL_UP_MOVE(36, MOVE_SLASH),
	LEVEL_UP_MOVE(40, MOVE_METALSOUND),
	LEVEL_UP_MOVE(44, MOVE_THRASH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sPonytaGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_TAILWHIP),
	LEVEL_UP_MOVE(10, MOVE_CONFUSION),
	LEVEL_UP_MOVE(15, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE(20, MOVE_AGILITY),
	LEVEL_UP_MOVE(25, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(30, MOVE_STOMP),
	LEVEL_UP_MOVE(35, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(41, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(45, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE(50, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(55, MOVE_HEALINGWISH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sRapidashGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE( 1, MOVE_MEGAHORN),
	LEVEL_UP_MOVE( 1, MOVE_QUICKATTACK),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_TAILWHIP),
	LEVEL_UP_MOVE(10, MOVE_CONFUSION),
	LEVEL_UP_MOVE(15, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE(20, MOVE_AGILITY),
	LEVEL_UP_MOVE(25, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(30, MOVE_STOMP),
	LEVEL_UP_MOVE(35, MOVE_HEALPULSE),
	LEVEL_UP_MOVE(43, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(49, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE(56, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(63, MOVE_HEALINGWISH),
	LEVEL_UP_END
};		

static const struct LevelUpMove sSlowpokeGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_CURSE),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 6, MOVE_ACID),
	LEVEL_UP_MOVE( 9, MOVE_YAWN),
	LEVEL_UP_MOVE(12, MOVE_CONFUSION),
	LEVEL_UP_MOVE(15, MOVE_DISABLE),
	LEVEL_UP_MOVE(18, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(21, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(24, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(27, MOVE_AMNESIA),
	LEVEL_UP_MOVE(30, MOVE_SURF),
	LEVEL_UP_MOVE(33, MOVE_SLACKOFF),
	LEVEL_UP_MOVE(36, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(39, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(42, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(45, MOVE_HEALPULSE),
	LEVEL_UP_END
};	

static const struct LevelUpMove sSlowbroGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_SHELLSIDEARM),
	LEVEL_UP_MOVE( 1, MOVE_SHELLSIDEARM),
	LEVEL_UP_MOVE( 1, MOVE_WITHDRAW),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_CURSE),
	LEVEL_UP_MOVE( 3, MOVE_GROWL),
	LEVEL_UP_MOVE( 6, MOVE_ACID),
	LEVEL_UP_MOVE( 9, MOVE_YAWN),
	LEVEL_UP_MOVE(12, MOVE_CONFUSION),
	LEVEL_UP_MOVE(15, MOVE_DISABLE),
	LEVEL_UP_MOVE(18, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(21, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(24, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(27, MOVE_AMNESIA),
	LEVEL_UP_MOVE(30, MOVE_SURF),
	LEVEL_UP_MOVE(33, MOVE_SLACKOFF),
	LEVEL_UP_MOVE(36, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(39, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(42, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(45, MOVE_HEALPULSE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sFarfetchdGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 5, MOVE_LEER),
	LEVEL_UP_MOVE(10, MOVE_FURYCUTTER),
	LEVEL_UP_MOVE(15, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE(20, MOVE_BRUTALSWING),
	LEVEL_UP_MOVE(25, MOVE_DETECT),
	LEVEL_UP_MOVE(30, MOVE_KNOCKOFF),
	LEVEL_UP_MOVE(35, MOVE_DEFOG),
	LEVEL_UP_MOVE(40, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(45, MOVE_SWORDSDANCE),
	LEVEL_UP_MOVE(50, MOVE_SLAM),
	LEVEL_UP_MOVE(55, MOVE_LEAFBLADE),
	LEVEL_UP_MOVE(60, MOVE_FINALGAMBIT),
	LEVEL_UP_MOVE(65, MOVE_BRAVEBIRD),
	LEVEL_UP_END
};		

static const struct LevelUpMove sWeezingGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE( 0, MOVE_STRANGESTEAM),
	LEVEL_UP_MOVE( 1, MOVE_DOUBLEHIT),
	LEVEL_UP_MOVE( 1, MOVE_STRANGESTEAM),
	LEVEL_UP_MOVE( 1, MOVE_HAZE),
	LEVEL_UP_MOVE( 1, MOVE_HEATWAVE),
	LEVEL_UP_MOVE( 1, MOVE_FAIRYWIND),
	LEVEL_UP_MOVE( 1, MOVE_DEFOG),
	LEVEL_UP_MOVE( 1, MOVE_AROMATICMIST),
	LEVEL_UP_MOVE( 1, MOVE_POISONGAS),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_SMOG),
	LEVEL_UP_MOVE( 8, MOVE_SMOKESCREEN),
	LEVEL_UP_MOVE(12, MOVE_CLEARSMOG),
	LEVEL_UP_MOVE(16, MOVE_ASSURANCE),
	LEVEL_UP_MOVE(20, MOVE_SLUDGE),
	LEVEL_UP_MOVE(24, MOVE_AROMATHERAPY),
	LEVEL_UP_MOVE(28, MOVE_SELFDESTRUCT),
	LEVEL_UP_MOVE(32, MOVE_SLUDGEBOMB),
	LEVEL_UP_MOVE(38, MOVE_TOXIC),
	LEVEL_UP_MOVE(44, MOVE_BELCH),
	LEVEL_UP_MOVE(50, MOVE_EXPLOSION),
	LEVEL_UP_MOVE(56, MOVE_MEMENTO),
	LEVEL_UP_MOVE(62, MOVE_DESTINYBOND),
	LEVEL_UP_MOVE(68, MOVE_MISTYTERRAIN),
	LEVEL_UP_END
};		

static const struct LevelUpMove sMrMimeGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ICESHARD),
	LEVEL_UP_MOVE( 1, MOVE_MISTYTERRAIN),
	LEVEL_UP_MOVE( 1, MOVE_RAPIDSPIN),
	LEVEL_UP_MOVE( 1, MOVE_DAZZLINGGLEAM),
	LEVEL_UP_MOVE( 1, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE( 1, MOVE_REFLECT),
	LEVEL_UP_MOVE( 1, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE( 1, MOVE_MIMIC),
	LEVEL_UP_MOVE( 1, MOVE_RECYCLE),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 1, MOVE_ROLEPLAY),
	LEVEL_UP_MOVE( 1, MOVE_COPYCAT),
	LEVEL_UP_MOVE( 1, MOVE_POUND),
	LEVEL_UP_MOVE( 4, MOVE_BATONPASS),
	LEVEL_UP_MOVE( 8, MOVE_ENCORE),
	LEVEL_UP_MOVE(12, MOVE_CONFUSION),
	LEVEL_UP_MOVE(16, MOVE_SKILLSWAP),
	LEVEL_UP_MOVE(20, MOVE_ICYWIND),
	LEVEL_UP_MOVE(24, MOVE_DOUBLEKICK),
	LEVEL_UP_MOVE(28, MOVE_PSYBEAM),
	LEVEL_UP_MOVE(32, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(36, MOVE_MIRRORCOAT),
	LEVEL_UP_MOVE(40, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(44, MOVE_FREEZEDRY),
	LEVEL_UP_MOVE(48, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(52, MOVE_TEETERDANCE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sArticunoGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_PSYCHOSHIFT),
	LEVEL_UP_MOVE( 5, MOVE_CONFUSION),
	LEVEL_UP_MOVE(10, MOVE_REFLECT),
	LEVEL_UP_MOVE(15, MOVE_HYPNOSIS),
	LEVEL_UP_MOVE(20, MOVE_AGILITY),
	LEVEL_UP_MOVE(25, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(30, MOVE_TAILWIND),
	LEVEL_UP_MOVE(35, MOVE_PSYCHOCUT),
	LEVEL_UP_MOVE(40, MOVE_RECOVER),
	LEVEL_UP_MOVE(45, MOVE_FREEZINGGLARE),
	LEVEL_UP_MOVE(50, MOVE_DREAMEATER),
	LEVEL_UP_MOVE(55, MOVE_HURRICANE),
	LEVEL_UP_MOVE(60, MOVE_MINDREADER),
	LEVEL_UP_MOVE(65, MOVE_FUTURESIGHT),
	LEVEL_UP_MOVE(70, MOVE_TRICKROOM),
	LEVEL_UP_END
};		

static const struct LevelUpMove sZapdosGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_PECK),
	LEVEL_UP_MOVE( 1, MOVE_FOCUSENERGY),
	LEVEL_UP_MOVE( 5, MOVE_ROCKSMASH),
	LEVEL_UP_MOVE(10, MOVE_LIGHTSCREEN),
	LEVEL_UP_MOVE(15, MOVE_PLUCK),
	LEVEL_UP_MOVE(20, MOVE_AGILITY),
	LEVEL_UP_MOVE(25, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(30, MOVE_BRICKBREAK),
	LEVEL_UP_MOVE(35, MOVE_DRILLPECK),
	LEVEL_UP_MOVE(40, MOVE_QUICKGUARD),
	LEVEL_UP_MOVE(45, MOVE_THUNDEROUSKICK),
	LEVEL_UP_MOVE(50, MOVE_BULKUP),
	LEVEL_UP_MOVE(55, MOVE_COUNTER),
	LEVEL_UP_MOVE(60, MOVE_DETECT),
	LEVEL_UP_MOVE(65, MOVE_CLOSECOMBAT),
	LEVEL_UP_MOVE(70, MOVE_REVERSAL),
	LEVEL_UP_END
};		

static const struct LevelUpMove sMoltresGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_GUST),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 5, MOVE_PAYBACK),
	LEVEL_UP_MOVE(10, MOVE_SAFEGUARD),
	LEVEL_UP_MOVE(15, MOVE_WINGATTACK),
	LEVEL_UP_MOVE(20, MOVE_AGILITY),
	LEVEL_UP_MOVE(25, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(30, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(35, MOVE_AIRSLASH),
	LEVEL_UP_MOVE(40, MOVE_AFTERYOU),
	LEVEL_UP_MOVE(45, MOVE_FIERYWRATH),
	LEVEL_UP_MOVE(50, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE(55, MOVE_HURRICANE),
	LEVEL_UP_MOVE(60, MOVE_ENDURE),
	LEVEL_UP_MOVE(65, MOVE_MEMENTO),
	LEVEL_UP_MOVE(70, MOVE_SKYATTACK),
	LEVEL_UP_END
};		

static const struct LevelUpMove sSlowkingGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_EERIESPELL),
	LEVEL_UP_MOVE( 1, MOVE_EERIESPELL),
	LEVEL_UP_MOVE( 1, MOVE_POWERGEM),
	LEVEL_UP_MOVE( 1, MOVE_NASTYPLOT),
	LEVEL_UP_MOVE( 1, MOVE_SWAGGER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_CURSE),
	LEVEL_UP_MOVE( 1, MOVE_GROWL),
	LEVEL_UP_MOVE( 1, MOVE_ACID),
	LEVEL_UP_MOVE( 9, MOVE_YAWN),
	LEVEL_UP_MOVE(12, MOVE_CONFUSION),
	LEVEL_UP_MOVE(15, MOVE_DISABLE),
	LEVEL_UP_MOVE(18, MOVE_WATERPULSE),
	LEVEL_UP_MOVE(21, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(24, MOVE_ZENHEADBUTT),
	LEVEL_UP_MOVE(27, MOVE_AMNESIA),
	LEVEL_UP_MOVE(30, MOVE_SURF),
	LEVEL_UP_MOVE(33, MOVE_SLACKOFF),
	LEVEL_UP_MOVE(36, MOVE_PSYCHIC),
	LEVEL_UP_MOVE(39, MOVE_PSYCHUP),
	LEVEL_UP_MOVE(42, MOVE_RAINDANCE),
	LEVEL_UP_MOVE(45, MOVE_HEALPULSE),
	LEVEL_UP_END
};

static const struct LevelUpMove sCorsolaGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_HARDEN),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 5, MOVE_ASTONISH),
	LEVEL_UP_MOVE(10, MOVE_DISABLE),
	LEVEL_UP_MOVE(15, MOVE_SPITE),
	LEVEL_UP_MOVE(20, MOVE_ANCIENTPOWER),
	LEVEL_UP_MOVE(25, MOVE_HEX),
	LEVEL_UP_MOVE(30, MOVE_CURSE),
	LEVEL_UP_MOVE(35, MOVE_STRENGTHSAP),
	LEVEL_UP_MOVE(40, MOVE_POWERGEM),
	LEVEL_UP_MOVE(45, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(50, MOVE_GRUDGE),
	LEVEL_UP_MOVE(55, MOVE_MIRRORCOAT),
	LEVEL_UP_END
};		

static const struct LevelUpMove sZigzagoonGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 3, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 6, MOVE_LICK),
	LEVEL_UP_MOVE( 9, MOVE_SNARL),
	LEVEL_UP_MOVE(12, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(15, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE(18, MOVE_PINMISSILE),
	LEVEL_UP_MOVE(21, MOVE_REST),
	LEVEL_UP_MOVE(24, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(27, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(30, MOVE_COUNTER),
	LEVEL_UP_MOVE(33, MOVE_TAUNT),
	LEVEL_UP_MOVE(36, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sLinooneGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_NIGHTSLASH),
	LEVEL_UP_MOVE( 1, MOVE_BABYDOLLEYES),
	LEVEL_UP_MOVE( 1, MOVE_PINMISSILE),
	LEVEL_UP_MOVE( 1, MOVE_SWITCHEROO),
	LEVEL_UP_MOVE( 1, MOVE_LEER),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 3, MOVE_SANDATTACK),
	LEVEL_UP_MOVE( 6, MOVE_LICK),
	LEVEL_UP_MOVE( 9, MOVE_SNARL),
	LEVEL_UP_MOVE(12, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(15, MOVE_HONECLAWS),
	LEVEL_UP_MOVE(18, MOVE_FURYSWIPES),
	LEVEL_UP_MOVE(23, MOVE_REST),
	LEVEL_UP_MOVE(28, MOVE_TAKEDOWN),
	LEVEL_UP_MOVE(33, MOVE_SCARYFACE),
	LEVEL_UP_MOVE(38, MOVE_COUNTER),
	LEVEL_UP_MOVE(43, MOVE_TAUNT),
	LEVEL_UP_MOVE(48, MOVE_DOUBLEEDGE),
	LEVEL_UP_END
};		

static const struct LevelUpMove sDarumakaGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_TAUNT),
	LEVEL_UP_MOVE( 8, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(16, MOVE_WORKUP),
	LEVEL_UP_MOVE(20, MOVE_ICEFANG),
	LEVEL_UP_MOVE(24, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(28, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE(32, MOVE_UPROAR),
	LEVEL_UP_MOVE(36, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE(40, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(44, MOVE_THRASH),
	LEVEL_UP_MOVE(48, MOVE_SUPERPOWER),
	LEVEL_UP_END
};		

static const struct LevelUpMove sDarmanitanGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 0, MOVE_ICICLECRASH),
	LEVEL_UP_MOVE( 1, MOVE_ICICLECRASH),
	LEVEL_UP_MOVE( 1, MOVE_POWDERSNOW),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 4, MOVE_TAUNT),
	LEVEL_UP_MOVE( 8, MOVE_BITE),
	LEVEL_UP_MOVE(12, MOVE_AVALANCHE),
	LEVEL_UP_MOVE(16, MOVE_WORKUP),
	LEVEL_UP_MOVE(20, MOVE_ICEFANG),
	LEVEL_UP_MOVE(24, MOVE_HEADBUTT),
	LEVEL_UP_MOVE(28, MOVE_ICEPUNCH),
	LEVEL_UP_MOVE(32, MOVE_UPROAR),
	LEVEL_UP_MOVE(38, MOVE_BELLYDRUM),
	LEVEL_UP_MOVE(44, MOVE_BLIZZARD),
	LEVEL_UP_MOVE(50, MOVE_THRASH),
	LEVEL_UP_MOVE(56, MOVE_SUPERPOWER),
	LEVEL_UP_END
};		

static const struct LevelUpMove sYamaskGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_ASTONISH),
	LEVEL_UP_MOVE( 1, MOVE_PROTECT),
	LEVEL_UP_MOVE( 4, MOVE_HAZE),
	LEVEL_UP_MOVE( 8, MOVE_NIGHTSHADE),
	LEVEL_UP_MOVE(12, MOVE_DISABLE),
	LEVEL_UP_MOVE(16, MOVE_BRUTALSWING),
	LEVEL_UP_MOVE(20, MOVE_CRAFTYSHIELD),
	LEVEL_UP_MOVE(24, MOVE_HEX),
	LEVEL_UP_MOVE(28, MOVE_MEANLOOK),
	LEVEL_UP_MOVE(32, MOVE_SLAM),
	LEVEL_UP_MOVE(36, MOVE_CURSE),
	LEVEL_UP_MOVE(40, MOVE_SHADOWBALL),
	LEVEL_UP_MOVE(44, MOVE_EARTHQUAKE),
	LEVEL_UP_MOVE(48, MOVE_GUARDSPLIT),
	LEVEL_UP_MOVE(48, MOVE_POWERSPLIT),
	LEVEL_UP_MOVE(52, MOVE_DESTINYBOND),
	LEVEL_UP_END
};		

static const struct LevelUpMove sStunfiskGLevelUpLearnset[] = {
	LEVEL_UP_MOVE( 1, MOVE_METALCLAW),
	LEVEL_UP_MOVE( 1, MOVE_MUDSLAP),
	LEVEL_UP_MOVE( 1, MOVE_TACKLE),
	LEVEL_UP_MOVE( 1, MOVE_WATERGUN),
	LEVEL_UP_MOVE( 5, MOVE_ENDURE),
	LEVEL_UP_MOVE(10, MOVE_MUDSHOT),
	LEVEL_UP_MOVE(15, MOVE_REVENGE),
	LEVEL_UP_MOVE(20, MOVE_METALSOUND),
	LEVEL_UP_MOVE(25, MOVE_SUCKERPUNCH),
	LEVEL_UP_MOVE(30, MOVE_IRONDEFENSE),
	LEVEL_UP_MOVE(35, MOVE_BOUNCE),
	LEVEL_UP_MOVE(40, MOVE_MUDDYWATER),
	LEVEL_UP_MOVE(45, MOVE_SNAPTRAP),
	LEVEL_UP_MOVE(50, MOVE_FLAIL),
	LEVEL_UP_MOVE(55, MOVE_FISSURE),
	LEVEL_UP_END
};		

const struct LevelUpMove* const gLevelUpLearnsets[NUM_SPECIES] =
{
	[SPECIES_NONE] = sEmptyMoveset,
	[SPECIES_BULBASAUR] = sBulbasaurLevelUpLearnset,
	[SPECIES_IVYSAUR] = sIvysaurLevelUpLearnset,
	[SPECIES_VENUSAUR] = sVenusaurLevelUpLearnset,
	[SPECIES_CHARMANDER] = sCharmanderLevelUpLearnset,
	[SPECIES_CHARMELEON] = sCharmeleonLevelUpLearnset,
	[SPECIES_CHARIZARD] = sCharizardLevelUpLearnset,
	[SPECIES_SQUIRTLE] = sSquirtleLevelUpLearnset,
	[SPECIES_WARTORTLE] = sWartortleLevelUpLearnset,
	[SPECIES_BLASTOISE] = sBlastoiseLevelUpLearnset,
	[SPECIES_CATERPIE] = sCaterpieLevelUpLearnset,
	[SPECIES_METAPOD] = sMetapodLevelUpLearnset,
	[SPECIES_BUTTERFREE] = sButterfreeLevelUpLearnset,
	[SPECIES_WEEDLE] = sWeedleLevelUpLearnset,
	[SPECIES_KAKUNA] = sKakunaLevelUpLearnset,
	[SPECIES_BEEDRILL] = sBeedrillLevelUpLearnset,
	[SPECIES_PIDGEY] = sPidgeyLevelUpLearnset,
	[SPECIES_PIDGEOTTO] = sPidgeottoLevelUpLearnset,
	[SPECIES_PIDGEOT] = sPidgeotLevelUpLearnset,
	[SPECIES_RATTATA] = sRattataLevelUpLearnset,
	[SPECIES_RATICATE] = sRaticateLevelUpLearnset,
	[SPECIES_SPEAROW] = sSpearowLevelUpLearnset,
	[SPECIES_FEAROW] = sFearowLevelUpLearnset,
	[SPECIES_EKANS] = sEkansLevelUpLearnset,
	[SPECIES_ARBOK] = sArbokLevelUpLearnset,
	[SPECIES_PIKACHU] = sPikachuLevelUpLearnset,
	[SPECIES_RAICHU] = sRaichuLevelUpLearnset,
	[SPECIES_SANDSHREW] = sSandshrewLevelUpLearnset,
	[SPECIES_SANDSLASH] = sSandslashLevelUpLearnset,
	[SPECIES_NIDORAN_F] = sNidoranFLevelUpLearnset,
	[SPECIES_NIDORINA] = sNidorinaLevelUpLearnset,
	[SPECIES_NIDOQUEEN] = sNidoqueenLevelUpLearnset,
	[SPECIES_NIDORAN_M] = sNidoranMLevelUpLearnset,
	[SPECIES_NIDORINO] = sNidorinoLevelUpLearnset,
	[SPECIES_NIDOKING] = sNidokingLevelUpLearnset,
	[SPECIES_CLEFAIRY] = sClefairyLevelUpLearnset,
	[SPECIES_CLEFABLE] = sClefableLevelUpLearnset,
	[SPECIES_VULPIX] = sVulpixLevelUpLearnset,
	[SPECIES_NINETALES] = sNinetalesLevelUpLearnset,
	[SPECIES_JIGGLYPUFF] = sJigglypuffLevelUpLearnset,
	[SPECIES_WIGGLYTUFF] = sWigglytuffLevelUpLearnset,
	[SPECIES_ZUBAT] = sZubatLevelUpLearnset,
	[SPECIES_GOLBAT] = sGolbatLevelUpLearnset,
	[SPECIES_ODDISH] = sOddishLevelUpLearnset,
	[SPECIES_GLOOM] = sGloomLevelUpLearnset,
	[SPECIES_VILEPLUME] = sVileplumeLevelUpLearnset,
	[SPECIES_PARAS] = sParasLevelUpLearnset,
	[SPECIES_PARASECT] = sParasectLevelUpLearnset,
	[SPECIES_VENONAT] = sVenonatLevelUpLearnset,
	[SPECIES_VENOMOTH] = sVenomothLevelUpLearnset,
	[SPECIES_DIGLETT] = sDiglettLevelUpLearnset,
	[SPECIES_DUGTRIO] = sDugtrioLevelUpLearnset,
	[SPECIES_MEOWTH] = sMeowthLevelUpLearnset,
	[SPECIES_PERSIAN] = sPersianLevelUpLearnset,
	[SPECIES_PSYDUCK] = sPsyduckLevelUpLearnset,
	[SPECIES_GOLDUCK] = sGolduckLevelUpLearnset,
	[SPECIES_MANKEY] = sMankeyLevelUpLearnset,
	[SPECIES_PRIMEAPE] = sPrimeapeLevelUpLearnset,
	[SPECIES_GROWLITHE] = sGrowlitheLevelUpLearnset,
	[SPECIES_ARCANINE] = sArcanineLevelUpLearnset,
	[SPECIES_POLIWAG] = sPoliwagLevelUpLearnset,
	[SPECIES_POLIWHIRL] = sPoliwhirlLevelUpLearnset,
	[SPECIES_POLIWRATH] = sPoliwrathLevelUpLearnset,
	[SPECIES_ABRA] = sAbraLevelUpLearnset,
	[SPECIES_KADABRA] = sKadabraLevelUpLearnset,
	[SPECIES_ALAKAZAM] = sAlakazamLevelUpLearnset,
	[SPECIES_MACHOP] = sMachopLevelUpLearnset,
	[SPECIES_MACHOKE] = sMachokeLevelUpLearnset,
	[SPECIES_MACHAMP] = sMachampLevelUpLearnset,
	[SPECIES_BELLSPROUT] = sBellsproutLevelUpLearnset,
	[SPECIES_WEEPINBELL] = sWeepinbellLevelUpLearnset,
	[SPECIES_VICTREEBEL] = sVictreebelLevelUpLearnset,
	[SPECIES_TENTACOOL] = sTentacoolLevelUpLearnset,
	[SPECIES_TENTACRUEL] = sTentacruelLevelUpLearnset,
	[SPECIES_GEODUDE] = sGeodudeLevelUpLearnset,
	[SPECIES_GRAVELER] = sGravelerLevelUpLearnset,
	[SPECIES_GOLEM] = sGolemLevelUpLearnset,
	[SPECIES_PONYTA] = sPonytaLevelUpLearnset,
	[SPECIES_RAPIDASH] = sRapidashLevelUpLearnset,
	[SPECIES_SLOWPOKE] = sSlowpokeLevelUpLearnset,
	[SPECIES_SLOWBRO] = sSlowbroLevelUpLearnset,
	[SPECIES_MAGNEMITE] = sMagnemiteLevelUpLearnset,
	[SPECIES_MAGNETON] = sMagnetonLevelUpLearnset,
	[SPECIES_FARFETCHD] = sFarfetchdLevelUpLearnset,
	[SPECIES_DODUO] = sDoduoLevelUpLearnset,
	[SPECIES_DODRIO] = sDodrioLevelUpLearnset,
	[SPECIES_SEEL] = sSeelLevelUpLearnset,
	[SPECIES_DEWGONG] = sDewgongLevelUpLearnset,
	[SPECIES_GRIMER] = sGrimerLevelUpLearnset,
	[SPECIES_MUK] = sMukLevelUpLearnset,
	[SPECIES_SHELLDER] = sShellderLevelUpLearnset,
	[SPECIES_CLOYSTER] = sCloysterLevelUpLearnset,
	[SPECIES_GASTLY] = sGastlyLevelUpLearnset,
	[SPECIES_HAUNTER] = sHaunterLevelUpLearnset,
	[SPECIES_GENGAR] = sGengarLevelUpLearnset,
	[SPECIES_ONIX] = sOnixLevelUpLearnset,
	[SPECIES_DROWZEE] = sDrowzeeLevelUpLearnset,
	[SPECIES_HYPNO] = sHypnoLevelUpLearnset,
	[SPECIES_KRABBY] = sKrabbyLevelUpLearnset,
	[SPECIES_KINGLER] = sKinglerLevelUpLearnset,
	[SPECIES_VOLTORB] = sVoltorbLevelUpLearnset,
	[SPECIES_ELECTRODE] = sElectrodeLevelUpLearnset,
	[SPECIES_EXEGGCUTE] = sExeggcuteLevelUpLearnset,
	[SPECIES_EXEGGUTOR] = sExeggutorLevelUpLearnset,
	[SPECIES_CUBONE] = sCuboneLevelUpLearnset,
	[SPECIES_MAROWAK] = sMarowakLevelUpLearnset,
	[SPECIES_HITMONLEE] = sHitmonleeLevelUpLearnset,
	[SPECIES_HITMONCHAN] = sHitmonchanLevelUpLearnset,
	[SPECIES_LICKITUNG] = sLickitungLevelUpLearnset,
	[SPECIES_KOFFING] = sKoffingLevelUpLearnset,
	[SPECIES_WEEZING] = sWeezingLevelUpLearnset,
	[SPECIES_RHYHORN] = sRhyhornLevelUpLearnset,
	[SPECIES_RHYDON] = sRhydonLevelUpLearnset,
	[SPECIES_CHANSEY] = sChanseyLevelUpLearnset,
	[SPECIES_TANGELA] = sTangelaLevelUpLearnset,
	[SPECIES_KANGASKHAN] = sKangaskhanLevelUpLearnset,
	[SPECIES_HORSEA] = sHorseaLevelUpLearnset,
	[SPECIES_SEADRA] = sSeadraLevelUpLearnset,
	[SPECIES_GOLDEEN] = sGoldeenLevelUpLearnset,
	[SPECIES_SEAKING] = sSeakingLevelUpLearnset,
	[SPECIES_STARYU] = sStaryuLevelUpLearnset,
	[SPECIES_STARMIE] = sStarmieLevelUpLearnset,
	[SPECIES_MR_MIME] = sMrMimeLevelUpLearnset,
	[SPECIES_SCYTHER] = sScytherLevelUpLearnset,
	[SPECIES_JYNX] = sJynxLevelUpLearnset,
	[SPECIES_ELECTABUZZ] = sElectabuzzLevelUpLearnset,
	[SPECIES_MAGMAR] = sMagmarLevelUpLearnset,
	[SPECIES_PINSIR] = sPinsirLevelUpLearnset,
	[SPECIES_TAUROS] = sTaurosLevelUpLearnset,
	[SPECIES_MAGIKARP] = sMagikarpLevelUpLearnset,
	[SPECIES_GYARADOS] = sGyaradosLevelUpLearnset,
	[SPECIES_LAPRAS] = sLaprasLevelUpLearnset,
	[SPECIES_DITTO] = sDittoLevelUpLearnset,
	[SPECIES_EEVEE] = sEeveeLevelUpLearnset,
	[SPECIES_VAPOREON] = sVaporeonLevelUpLearnset,
	[SPECIES_JOLTEON] = sJolteonLevelUpLearnset,
	[SPECIES_FLAREON] = sFlareonLevelUpLearnset,
	[SPECIES_PORYGON] = sPorygonLevelUpLearnset,
	[SPECIES_OMANYTE] = sOmanyteLevelUpLearnset,
	[SPECIES_OMASTAR] = sOmastarLevelUpLearnset,
	[SPECIES_KABUTO] = sKabutoLevelUpLearnset,
	[SPECIES_KABUTOPS] = sKabutopsLevelUpLearnset,
	[SPECIES_AERODACTYL] = sAerodactylLevelUpLearnset,
	[SPECIES_SNORLAX] = sSnorlaxLevelUpLearnset,
	[SPECIES_ARTICUNO] = sArticunoLevelUpLearnset,
	[SPECIES_ZAPDOS] = sZapdosLevelUpLearnset,
	[SPECIES_MOLTRES] = sMoltresLevelUpLearnset,
	[SPECIES_DRATINI] = sDratiniLevelUpLearnset,
	[SPECIES_DRAGONAIR] = sDragonairLevelUpLearnset,
	[SPECIES_DRAGONITE] = sDragoniteLevelUpLearnset,
	[SPECIES_MEWTWO] = sMewtwoLevelUpLearnset,
	[SPECIES_MEW] = sMewLevelUpLearnset,
	[SPECIES_CHIKORITA] = sChikoritaLevelUpLearnset,
	[SPECIES_BAYLEEF] = sBayleefLevelUpLearnset,
	[SPECIES_MEGANIUM] = sMeganiumLevelUpLearnset,
	[SPECIES_CYNDAQUIL] = sCyndaquilLevelUpLearnset,
	[SPECIES_QUILAVA] = sQuilavaLevelUpLearnset,
	[SPECIES_TYPHLOSION] = sTyphlosionLevelUpLearnset,
	[SPECIES_TOTODILE] = sTotodileLevelUpLearnset,
	[SPECIES_CROCONAW] = sCroconawLevelUpLearnset,
	[SPECIES_FERALIGATR] = sFeraligatrLevelUpLearnset,
	[SPECIES_SENTRET] = sSentretLevelUpLearnset,
	[SPECIES_FURRET] = sFurretLevelUpLearnset,
	[SPECIES_HOOTHOOT] = sHoothootLevelUpLearnset,
	[SPECIES_NOCTOWL] = sNoctowlLevelUpLearnset,
	[SPECIES_LEDYBA] = sLedybaLevelUpLearnset,
	[SPECIES_LEDIAN] = sLedianLevelUpLearnset,
	[SPECIES_SPINARAK] = sSpinarakLevelUpLearnset,
	[SPECIES_ARIADOS] = sAriadosLevelUpLearnset,
	[SPECIES_CROBAT] = sCrobatLevelUpLearnset,
	[SPECIES_CHINCHOU] = sChinchouLevelUpLearnset,
	[SPECIES_LANTURN] = sLanturnLevelUpLearnset,
	[SPECIES_PICHU] = sPichuLevelUpLearnset,
	[SPECIES_CLEFFA] = sCleffaLevelUpLearnset,
	[SPECIES_IGGLYBUFF] = sIgglybuffLevelUpLearnset,
	[SPECIES_TOGEPI] = sTogepiLevelUpLearnset,
	[SPECIES_TOGETIC] = sTogeticLevelUpLearnset,
	[SPECIES_NATU] = sNatuLevelUpLearnset,
	[SPECIES_XATU] = sXatuLevelUpLearnset,
	[SPECIES_MAREEP] = sMareepLevelUpLearnset,
	[SPECIES_FLAAFFY] = sFlaaffyLevelUpLearnset,
	[SPECIES_AMPHAROS] = sAmpharosLevelUpLearnset,
	[SPECIES_BELLOSSOM] = sBellossomLevelUpLearnset,
	[SPECIES_MARILL] = sMarillLevelUpLearnset,
	[SPECIES_AZUMARILL] = sAzumarillLevelUpLearnset,
	[SPECIES_SUDOWOODO] = sSudowoodoLevelUpLearnset,
	[SPECIES_POLITOED] = sPolitoedLevelUpLearnset,
	[SPECIES_HOPPIP] = sHoppipLevelUpLearnset,
	[SPECIES_SKIPLOOM] = sSkiploomLevelUpLearnset,
	[SPECIES_JUMPLUFF] = sJumpluffLevelUpLearnset,
	[SPECIES_AIPOM] = sAipomLevelUpLearnset,
	[SPECIES_SUNKERN] = sSunkernLevelUpLearnset,
	[SPECIES_SUNFLORA] = sSunfloraLevelUpLearnset,
	[SPECIES_YANMA] = sYanmaLevelUpLearnset,
	[SPECIES_WOOPER] = sWooperLevelUpLearnset,
	[SPECIES_QUAGSIRE] = sQuagsireLevelUpLearnset,
	[SPECIES_ESPEON] = sEspeonLevelUpLearnset,
	[SPECIES_UMBREON] = sUmbreonLevelUpLearnset,
	[SPECIES_MURKROW] = sMurkrowLevelUpLearnset,
	[SPECIES_SLOWKING] = sSlowkingLevelUpLearnset,
	[SPECIES_MISDREAVUS] = sMisdreavusLevelUpLearnset,
	[SPECIES_UNOWN] = sUnownLevelUpLearnset,
	[SPECIES_WOBBUFFET] = sWobbuffetLevelUpLearnset,
	[SPECIES_GIRAFARIG] = sGirafarigLevelUpLearnset,
	[SPECIES_PINECO] = sPinecoLevelUpLearnset,
	[SPECIES_FORRETRESS] = sForretressLevelUpLearnset,
	[SPECIES_DUNSPARCE] = sDunsparceLevelUpLearnset,
	[SPECIES_GLIGAR] = sGligarLevelUpLearnset,
	[SPECIES_STEELIX] = sSteelixLevelUpLearnset,
	[SPECIES_SNUBBULL] = sSnubbullLevelUpLearnset,
	[SPECIES_GRANBULL] = sGranbullLevelUpLearnset,
	[SPECIES_QWILFISH] = sQwilfishLevelUpLearnset,
	[SPECIES_SCIZOR] = sScizorLevelUpLearnset,
	[SPECIES_SHUCKLE] = sShuckleLevelUpLearnset,
	[SPECIES_HERACROSS] = sHeracrossLevelUpLearnset,
	[SPECIES_SNEASEL] = sSneaselLevelUpLearnset,
	[SPECIES_TEDDIURSA] = sTeddiursaLevelUpLearnset,
	[SPECIES_URSARING] = sUrsaringLevelUpLearnset,
	[SPECIES_SLUGMA] = sSlugmaLevelUpLearnset,
	[SPECIES_MAGCARGO] = sMagcargoLevelUpLearnset,
	[SPECIES_SWINUB] = sSwinubLevelUpLearnset,
	[SPECIES_PILOSWINE] = sPiloswineLevelUpLearnset,
	[SPECIES_CORSOLA] = sCorsolaLevelUpLearnset,
	[SPECIES_REMORAID] = sRemoraidLevelUpLearnset,
	[SPECIES_OCTILLERY] = sOctilleryLevelUpLearnset,
	[SPECIES_DELIBIRD] = sDelibirdLevelUpLearnset,
	[SPECIES_MANTINE] = sMantineLevelUpLearnset,
	[SPECIES_SKARMORY] = sSkarmoryLevelUpLearnset,
	[SPECIES_HOUNDOUR] = sHoundourLevelUpLearnset,
	[SPECIES_HOUNDOOM] = sHoundoomLevelUpLearnset,
	[SPECIES_KINGDRA] = sKingdraLevelUpLearnset,
	[SPECIES_PHANPY] = sPhanpyLevelUpLearnset,
	[SPECIES_DONPHAN] = sDonphanLevelUpLearnset,
	[SPECIES_PORYGON2] = sPorygon2LevelUpLearnset,
	[SPECIES_STANTLER] = sStantlerLevelUpLearnset,
	[SPECIES_SMEARGLE] = sSmeargleLevelUpLearnset,
	[SPECIES_TYROGUE] = sTyrogueLevelUpLearnset,
	[SPECIES_HITMONTOP] = sHitmontopLevelUpLearnset,
	[SPECIES_SMOOCHUM] = sSmoochumLevelUpLearnset,
	[SPECIES_ELEKID] = sElekidLevelUpLearnset,
	[SPECIES_MAGBY] = sMagbyLevelUpLearnset,
	[SPECIES_MILTANK] = sMiltankLevelUpLearnset,
	[SPECIES_BLISSEY] = sBlisseyLevelUpLearnset,
	[SPECIES_RAIKOU] = sRaikouLevelUpLearnset,
	[SPECIES_ENTEI] = sEnteiLevelUpLearnset,
	[SPECIES_SUICUNE] = sSuicuneLevelUpLearnset,
	[SPECIES_LARVITAR] = sLarvitarLevelUpLearnset,
	[SPECIES_PUPITAR] = sPupitarLevelUpLearnset,
	[SPECIES_TYRANITAR] = sTyranitarLevelUpLearnset,
	[SPECIES_LUGIA] = sLugiaLevelUpLearnset,
	[SPECIES_HO_OH] = sHoOhLevelUpLearnset,
	[SPECIES_CELEBI] = sCelebiLevelUpLearnset,
	[252] = sEmptyMoveset,
	[253] = sEmptyMoveset,
	[254] = sEmptyMoveset,
	[255] = sEmptyMoveset,
	[256] = sEmptyMoveset,
	[257] = sEmptyMoveset,
	[258] = sEmptyMoveset,
	[259] = sEmptyMoveset,
	[260] = sEmptyMoveset,
	[261] = sEmptyMoveset,
	[262] = sEmptyMoveset,
	[263] = sEmptyMoveset,
	[264] = sEmptyMoveset,
	[265] = sEmptyMoveset,
	[266] = sEmptyMoveset,
	[267] = sEmptyMoveset,
	[268] = sEmptyMoveset,
	[269] = sEmptyMoveset,
	[270] = sEmptyMoveset,
	[271] = sEmptyMoveset,
	[272] = sEmptyMoveset,
	[273] = sEmptyMoveset,
	[274] = sEmptyMoveset,
	[275] = sEmptyMoveset,
	[276] = sEmptyMoveset,
	[SPECIES_TREECKO] = sTreeckoLevelUpLearnset,
	[SPECIES_GROVYLE] = sGrovyleLevelUpLearnset,
	[SPECIES_SCEPTILE] = sSceptileLevelUpLearnset,
	[SPECIES_TORCHIC] = sTorchicLevelUpLearnset,
	[SPECIES_COMBUSKEN] = sCombuskenLevelUpLearnset,
	[SPECIES_BLAZIKEN] = sBlazikenLevelUpLearnset,
	[SPECIES_MUDKIP] = sMudkipLevelUpLearnset,
	[SPECIES_MARSHTOMP] = sMarshtompLevelUpLearnset,
	[SPECIES_SWAMPERT] = sSwampertLevelUpLearnset,
	[SPECIES_POOCHYENA] = sPoochyenaLevelUpLearnset,
	[SPECIES_MIGHTYENA] = sMightyenaLevelUpLearnset,
	[SPECIES_ZIGZAGOON] = sZigzagoonLevelUpLearnset,
	[SPECIES_LINOONE] = sLinooneLevelUpLearnset,
	[SPECIES_WURMPLE] = sWurmpleLevelUpLearnset,
	[SPECIES_SILCOON] = sSilcoonLevelUpLearnset,
	[SPECIES_BEAUTIFLY] = sBeautiflyLevelUpLearnset,
	[SPECIES_CASCOON] = sCascoonLevelUpLearnset,
	[SPECIES_DUSTOX] = sDustoxLevelUpLearnset,
	[SPECIES_LOTAD] = sLotadLevelUpLearnset,
	[SPECIES_LOMBRE] = sLombreLevelUpLearnset,
	[SPECIES_LUDICOLO] = sLudicoloLevelUpLearnset,
	[SPECIES_SEEDOT] = sSeedotLevelUpLearnset,
	[SPECIES_NUZLEAF] = sNuzleafLevelUpLearnset,
	[SPECIES_SHIFTRY] = sShiftryLevelUpLearnset,
	[SPECIES_NINCADA] = sNincadaLevelUpLearnset,
	[SPECIES_NINJASK] = sNinjaskLevelUpLearnset,
	[SPECIES_SHEDINJA] = sShedinjaLevelUpLearnset,
	[SPECIES_TAILLOW] = sTaillowLevelUpLearnset,
	[SPECIES_SWELLOW] = sSwellowLevelUpLearnset,
	[SPECIES_SHROOMISH] = sShroomishLevelUpLearnset,
	[SPECIES_BRELOOM] = sBreloomLevelUpLearnset,
	[SPECIES_SPINDA] = sSpindaLevelUpLearnset,
	[SPECIES_WINGULL] = sWingullLevelUpLearnset,
	[SPECIES_PELIPPER] = sPelipperLevelUpLearnset,
	[SPECIES_SURSKIT] = sSurskitLevelUpLearnset,
	[SPECIES_MASQUERAIN] = sMasquerainLevelUpLearnset,
	[SPECIES_WAILMER] = sWailmerLevelUpLearnset,
	[SPECIES_WAILORD] = sWailordLevelUpLearnset,
	[SPECIES_SKITTY] = sSkittyLevelUpLearnset,
	[SPECIES_DELCATTY] = sDelcattyLevelUpLearnset,
	[SPECIES_KECLEON] = sKecleonLevelUpLearnset,
	[SPECIES_BALTOY] = sBaltoyLevelUpLearnset,
	[SPECIES_CLAYDOL] = sClaydolLevelUpLearnset,
	[SPECIES_NOSEPASS] = sNosepassLevelUpLearnset,
	[SPECIES_TORKOAL] = sTorkoalLevelUpLearnset,
	[SPECIES_SABLEYE] = sSableyeLevelUpLearnset,
	[SPECIES_BARBOACH] = sBarboachLevelUpLearnset,
	[SPECIES_WHISCASH] = sWhiscashLevelUpLearnset,
	[SPECIES_LUVDISC] = sLuvdiscLevelUpLearnset,
	[SPECIES_CORPHISH] = sCorphishLevelUpLearnset,
	[SPECIES_CRAWDAUNT] = sCrawdauntLevelUpLearnset,
	[SPECIES_FEEBAS] = sFeebasLevelUpLearnset,
	[SPECIES_MILOTIC] = sMiloticLevelUpLearnset,
	[SPECIES_CARVANHA] = sCarvanhaLevelUpLearnset,
	[SPECIES_SHARPEDO] = sSharpedoLevelUpLearnset,
	[SPECIES_TRAPINCH] = sTrapinchLevelUpLearnset,
	[SPECIES_VIBRAVA] = sVibravaLevelUpLearnset,
	[SPECIES_FLYGON] = sFlygonLevelUpLearnset,
	[SPECIES_MAKUHITA] = sMakuhitaLevelUpLearnset,
	[SPECIES_HARIYAMA] = sHariyamaLevelUpLearnset,
	[SPECIES_ELECTRIKE] = sElectrikeLevelUpLearnset,
	[SPECIES_MANECTRIC] = sManectricLevelUpLearnset,
	[SPECIES_NUMEL] = sNumelLevelUpLearnset,
	[SPECIES_CAMERUPT] = sCameruptLevelUpLearnset,
	[SPECIES_SPHEAL] = sSphealLevelUpLearnset,
	[SPECIES_SEALEO] = sSealeoLevelUpLearnset,
	[SPECIES_WALREIN] = sWalreinLevelUpLearnset,
	[SPECIES_CACNEA] = sCacneaLevelUpLearnset,
	[SPECIES_CACTURNE] = sCacturneLevelUpLearnset,
	[SPECIES_SNORUNT] = sSnoruntLevelUpLearnset,
	[SPECIES_GLALIE] = sGlalieLevelUpLearnset,
	[SPECIES_LUNATONE] = sLunatoneLevelUpLearnset,
	[SPECIES_SOLROCK] = sSolrockLevelUpLearnset,
	[SPECIES_AZURILL] = sAzurillLevelUpLearnset,
	[SPECIES_SPOINK] = sSpoinkLevelUpLearnset,
	[SPECIES_GRUMPIG] = sGrumpigLevelUpLearnset,
	[SPECIES_PLUSLE] = sPlusleLevelUpLearnset,
	[SPECIES_MINUN] = sMinunLevelUpLearnset,
	[SPECIES_MAWILE] = sMawileLevelUpLearnset,
	[SPECIES_MEDITITE] = sMedititeLevelUpLearnset,
	[SPECIES_MEDICHAM] = sMedichamLevelUpLearnset,
	[SPECIES_SWABLU] = sSwabluLevelUpLearnset,
	[SPECIES_ALTARIA] = sAltariaLevelUpLearnset,
	[SPECIES_WYNAUT] = sWynautLevelUpLearnset,
	[SPECIES_DUSKULL] = sDuskullLevelUpLearnset,
	[SPECIES_DUSCLOPS] = sDusclopsLevelUpLearnset,
	[SPECIES_ROSELIA] = sRoseliaLevelUpLearnset,
	[SPECIES_SLAKOTH] = sSlakothLevelUpLearnset,
	[SPECIES_VIGOROTH] = sVigorothLevelUpLearnset,
	[SPECIES_SLAKING] = sSlakingLevelUpLearnset,
	[SPECIES_GULPIN] = sGulpinLevelUpLearnset,
	[SPECIES_SWALOT] = sSwalotLevelUpLearnset,
	[SPECIES_TROPIUS] = sTropiusLevelUpLearnset,
	[SPECIES_WHISMUR] = sWhismurLevelUpLearnset,
	[SPECIES_LOUDRED] = sLoudredLevelUpLearnset,
	[SPECIES_EXPLOUD] = sExploudLevelUpLearnset,
	[SPECIES_CLAMPERL] = sClamperlLevelUpLearnset,
	[SPECIES_HUNTAIL] = sHuntailLevelUpLearnset,
	[SPECIES_GOREBYSS] = sGorebyssLevelUpLearnset,
	[SPECIES_ABSOL] = sAbsolLevelUpLearnset,
	[SPECIES_SHUPPET] = sShuppetLevelUpLearnset,
	[SPECIES_BANETTE] = sBanetteLevelUpLearnset,
	[SPECIES_SEVIPER] = sSeviperLevelUpLearnset,
	[SPECIES_ZANGOOSE] = sZangooseLevelUpLearnset,
	[SPECIES_RELICANTH] = sRelicanthLevelUpLearnset,
	[SPECIES_ARON] = sAronLevelUpLearnset,
	[SPECIES_LAIRON] = sLaironLevelUpLearnset,
	[SPECIES_AGGRON] = sAggronLevelUpLearnset,
	[SPECIES_CASTFORM] = sCastformLevelUpLearnset,
	[SPECIES_VOLBEAT] = sVolbeatLevelUpLearnset,
	[SPECIES_ILLUMISE] = sIllumiseLevelUpLearnset,
	[SPECIES_LILEEP] = sLileepLevelUpLearnset,
	[SPECIES_CRADILY] = sCradilyLevelUpLearnset,
	[SPECIES_ANORITH] = sAnorithLevelUpLearnset,
	[SPECIES_ARMALDO] = sArmaldoLevelUpLearnset,
	[SPECIES_RALTS] = sRaltsLevelUpLearnset,
	[SPECIES_KIRLIA] = sKirliaLevelUpLearnset,
	[SPECIES_GARDEVOIR] = sGardevoirLevelUpLearnset,
	[SPECIES_BAGON] = sBagonLevelUpLearnset,
	[SPECIES_SHELGON] = sShelgonLevelUpLearnset,
	[SPECIES_SALAMENCE] = sSalamenceLevelUpLearnset,
	[SPECIES_BELDUM] = sBeldumLevelUpLearnset,
	[SPECIES_METANG] = sMetangLevelUpLearnset,
	[SPECIES_METAGROSS] = sMetagrossLevelUpLearnset,
	[SPECIES_REGIROCK] = sRegirockLevelUpLearnset,
	[SPECIES_REGICE] = sRegiceLevelUpLearnset,
	[SPECIES_REGISTEEL] = sRegisteelLevelUpLearnset,
	[SPECIES_KYOGRE] = sKyogreLevelUpLearnset,
	[SPECIES_GROUDON] = sGroudonLevelUpLearnset,
	[SPECIES_RAYQUAZA] = sRayquazaLevelUpLearnset,
	[SPECIES_LATIAS] = sLatiasLevelUpLearnset,
	[SPECIES_LATIOS] = sLatiosLevelUpLearnset,
	[SPECIES_JIRACHI] = sJirachiLevelUpLearnset,
	[SPECIES_DEOXYS] = sDeoxysLevelUpLearnset,
	[SPECIES_CHIMECHO] = sChimechoLevelUpLearnset,
	[SPECIES_EGG] = sEmptyMoveset,
	[SPECIES_UNOWN_B] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_C] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_D] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_E] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_F] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_G] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_H] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_I] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_J] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_K] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_L] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_M] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_N] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_O] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_P] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_Q] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_R] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_S] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_T] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_U] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_V] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_W] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_X] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_Y] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_Z] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_EXCLAMATION] = sUnownLevelUpLearnset,
	[SPECIES_UNOWN_QUESTION] = sUnownLevelUpLearnset,
	[SPECIES_TURTWIG] = sTurtwigLevelUpLearnset,
	[SPECIES_GROTLE] = sGrotleLevelUpLearnset,
	[SPECIES_TORTERRA] = sTorterraLevelUpLearnset,
	[SPECIES_CHIMCHAR] = sChimcharLevelUpLearnset,
	[SPECIES_MONFERNO] = sMonfernoLevelUpLearnset,
	[SPECIES_INFERNAPE] = sInfernapeLevelUpLearnset,
	[SPECIES_PIPLUP] = sPiplupLevelUpLearnset,
	[SPECIES_PRINPLUP] = sPrinplupLevelUpLearnset,
	[SPECIES_EMPOLEON] = sEmpoleonLevelUpLearnset,
	[SPECIES_STARLY] = sStarlyLevelUpLearnset,
	[SPECIES_STARAVIA] = sStaraviaLevelUpLearnset,
	[SPECIES_STARAPTOR] = sStaraptorLevelUpLearnset,
	[SPECIES_BIDOOF] = sBidoofLevelUpLearnset,
	[SPECIES_BIBAREL] = sBibarelLevelUpLearnset,
	[SPECIES_KRICKETOT] = sKricketotLevelUpLearnset,
	[SPECIES_KRICKETUNE] = sKricketuneLevelUpLearnset,
	[SPECIES_SHINX] = sShinxLevelUpLearnset,
	[SPECIES_LUXIO] = sLuxioLevelUpLearnset,
	[SPECIES_LUXRAY] = sLuxrayLevelUpLearnset,
	[SPECIES_BUDEW] = sBudewLevelUpLearnset,
	[SPECIES_ROSERADE] = sRoseradeLevelUpLearnset,
	[SPECIES_CRANIDOS] = sCranidosLevelUpLearnset,
	[SPECIES_RAMPARDOS] = sRampardosLevelUpLearnset,
	[SPECIES_SHIELDON] = sShieldonLevelUpLearnset,
	[SPECIES_BASTIODON] = sBastiodonLevelUpLearnset,
	[SPECIES_BURMY] = sBurmyLevelUpLearnset,
	[SPECIES_WORMADAM] = sWormadamLevelUpLearnset,
	[SPECIES_MOTHIM] = sMothimLevelUpLearnset,
	[SPECIES_COMBEE] = sCombeeLevelUpLearnset,
	[SPECIES_VESPIQUEN] = sVespiquenLevelUpLearnset,
	[SPECIES_PACHIRISU] = sPachirisuLevelUpLearnset,
	[SPECIES_BUIZEL] = sBuizelLevelUpLearnset,
	[SPECIES_FLOATZEL] = sFloatzelLevelUpLearnset,
	[SPECIES_CHERUBI] = sCherubiLevelUpLearnset,
	[SPECIES_CHERRIM] = sCherrimLevelUpLearnset,
	[SPECIES_SHELLOS] = sShellosLevelUpLearnset,
	[SPECIES_GASTRODON] = sGastrodonLevelUpLearnset,
	[SPECIES_AMBIPOM] = sAmbipomLevelUpLearnset,
	[SPECIES_DRIFLOON] = sDrifloonLevelUpLearnset,
	[SPECIES_DRIFBLIM] = sDrifblimLevelUpLearnset,
	[SPECIES_BUNEARY] = sBunearyLevelUpLearnset,
	[SPECIES_LOPUNNY] = sLopunnyLevelUpLearnset,
	[SPECIES_MISMAGIUS] = sMismagiusLevelUpLearnset,
	[SPECIES_HONCHKROW] = sHonchkrowLevelUpLearnset,
	[SPECIES_GLAMEOW] = sGlameowLevelUpLearnset,
	[SPECIES_PURUGLY] = sPuruglyLevelUpLearnset,
	[SPECIES_CHINGLING] = sChinglingLevelUpLearnset,
	[SPECIES_STUNKY] = sStunkyLevelUpLearnset,
	[SPECIES_SKUNTANK] = sSkuntankLevelUpLearnset,
	[SPECIES_BRONZOR] = sBronzorLevelUpLearnset,
	[SPECIES_BRONZONG] = sBronzongLevelUpLearnset,
	[SPECIES_BONSLY] = sBonslyLevelUpLearnset,
	[SPECIES_MIME_JR] = sMimeJrLevelUpLearnset,
	[SPECIES_HAPPINY] = sHappinyLevelUpLearnset,
	[SPECIES_CHATOT] = sChatotLevelUpLearnset,
	[SPECIES_SPIRITOMB] = sSpiritombLevelUpLearnset,
	[SPECIES_GIBLE] = sGibleLevelUpLearnset,
	[SPECIES_GABITE] = sGabiteLevelUpLearnset,
	[SPECIES_GARCHOMP] = sGarchompLevelUpLearnset,
	[SPECIES_MUNCHLAX] = sMunchlaxLevelUpLearnset,
	[SPECIES_RIOLU] = sRioluLevelUpLearnset,
	[SPECIES_LUCARIO] = sLucarioLevelUpLearnset,
	[SPECIES_HIPPOPOTAS] = sHippopotasLevelUpLearnset,
	[SPECIES_HIPPOWDON] = sHippowdonLevelUpLearnset,
	[SPECIES_SKORUPI] = sSkorupiLevelUpLearnset,
	[SPECIES_DRAPION] = sDrapionLevelUpLearnset,
	[SPECIES_CROAGUNK] = sCroagunkLevelUpLearnset,
	[SPECIES_TOXICROAK] = sToxicroakLevelUpLearnset,
	[SPECIES_CARNIVINE] = sCarnivineLevelUpLearnset,
	[SPECIES_FINNEON] = sFinneonLevelUpLearnset,
	[SPECIES_LUMINEON] = sLumineonLevelUpLearnset,
	[SPECIES_MANTYKE] = sMantykeLevelUpLearnset,
	[SPECIES_SNOVER] = sSnoverLevelUpLearnset,
	[SPECIES_ABOMASNOW] = sAbomasnowLevelUpLearnset,
	[SPECIES_WEAVILE] = sWeavileLevelUpLearnset,
	[SPECIES_MAGNEZONE] = sMagnezoneLevelUpLearnset,
	[SPECIES_LICKILICKY] = sLickilickyLevelUpLearnset,
	[SPECIES_RHYPERIOR] = sRhyperiorLevelUpLearnset,
	[SPECIES_TANGROWTH] = sTangrowthLevelUpLearnset,
	[SPECIES_ELECTIVIRE] = sElectivireLevelUpLearnset,
	[SPECIES_MAGMORTAR] = sMagmortarLevelUpLearnset,
	[SPECIES_TOGEKISS] = sTogekissLevelUpLearnset,
	[SPECIES_YANMEGA] = sYanmegaLevelUpLearnset,
	[SPECIES_LEAFEON] = sLeafeonLevelUpLearnset,
	[SPECIES_GLACEON] = sGlaceonLevelUpLearnset,
	[SPECIES_GLISCOR] = sGliscorLevelUpLearnset,
	[SPECIES_MAMOSWINE] = sMamoswineLevelUpLearnset,
	[SPECIES_PORYGON_Z] = sPorygonZLevelUpLearnset,
	[SPECIES_GALLADE] = sGalladeLevelUpLearnset,
	[SPECIES_PROBOPASS] = sProbopassLevelUpLearnset,
	[SPECIES_DUSKNOIR] = sDusknoirLevelUpLearnset,
	[SPECIES_FROSLASS] = sFroslassLevelUpLearnset,
	[SPECIES_ROTOM] = sRotomLevelUpLearnset,
	[SPECIES_UXIE] = sUxieLevelUpLearnset,
	[SPECIES_MESPRIT] = sMespritLevelUpLearnset,
	[SPECIES_AZELF] = sAzelfLevelUpLearnset,
	[SPECIES_DIALGA] = sDialgaLevelUpLearnset,
	[SPECIES_PALKIA] = sPalkiaLevelUpLearnset,
	[SPECIES_HEATRAN] = sHeatranLevelUpLearnset,
	[SPECIES_REGIGIGAS] = sRegigigasLevelUpLearnset,
	[SPECIES_GIRATINA] = sGiratinaLevelUpLearnset,
	[SPECIES_CRESSELIA] = sCresseliaLevelUpLearnset,
	[SPECIES_PHIONE] = sPhioneLevelUpLearnset,
	[SPECIES_MANAPHY] = sManaphyLevelUpLearnset,
	[SPECIES_DARKRAI] = sDarkraiLevelUpLearnset,
	[SPECIES_SHAYMIN] = sShayminLevelUpLearnset,
	[SPECIES_ARCEUS] = sArceusLevelUpLearnset,
	[SPECIES_VICTINI] = sVictiniLevelUpLearnset,
	[SPECIES_SNIVY] = sSnivyLevelUpLearnset,
	[SPECIES_SERVINE] = sServineLevelUpLearnset,
	[SPECIES_SERPERIOR] = sSerperiorLevelUpLearnset,
	[SPECIES_TEPIG] = sTepigLevelUpLearnset,
	[SPECIES_PIGNITE] = sPigniteLevelUpLearnset,
	[SPECIES_EMBOAR] = sEmboarLevelUpLearnset,
	[SPECIES_OSHAWOTT] = sOshawottLevelUpLearnset,
	[SPECIES_DEWOTT] = sDewottLevelUpLearnset,
	[SPECIES_SAMUROTT] = sSamurottLevelUpLearnset,
	[SPECIES_PATRAT] = sPatratLevelUpLearnset,
	[SPECIES_WATCHOG] = sWatchogLevelUpLearnset,
	[SPECIES_LILLIPUP] = sLillipupLevelUpLearnset,
	[SPECIES_HERDIER] = sHerdierLevelUpLearnset,
	[SPECIES_STOUTLAND] = sStoutlandLevelUpLearnset,
	[SPECIES_PURRLOIN] = sPurrloinLevelUpLearnset,
	[SPECIES_LIEPARD] = sLiepardLevelUpLearnset,
	[SPECIES_PANSAGE] = sPansageLevelUpLearnset,
	[SPECIES_SIMISAGE] = sSimisageLevelUpLearnset,
	[SPECIES_PANSEAR] = sPansearLevelUpLearnset,
	[SPECIES_SIMISEAR] = sSimisearLevelUpLearnset,
	[SPECIES_PANPOUR] = sPanpourLevelUpLearnset,
	[SPECIES_SIMIPOUR] = sSimipourLevelUpLearnset,
	[SPECIES_MUNNA] = sMunnaLevelUpLearnset,
	[SPECIES_MUSHARNA] = sMusharnaLevelUpLearnset,
	[SPECIES_PIDOVE] = sPidoveLevelUpLearnset,
	[SPECIES_TRANQUILL] = sTranquillLevelUpLearnset,
	[SPECIES_UNFEZANT] = sUnfezantLevelUpLearnset,
	[SPECIES_BLITZLE] = sBlitzleLevelUpLearnset,
	[SPECIES_ZEBSTRIKA] = sZebstrikaLevelUpLearnset,
	[SPECIES_ROGGENROLA] = sRoggenrolaLevelUpLearnset,
	[SPECIES_BOLDORE] = sBoldoreLevelUpLearnset,
	[SPECIES_GIGALITH] = sGigalithLevelUpLearnset,
	[SPECIES_WOOBAT] = sWoobatLevelUpLearnset,
	[SPECIES_SWOOBAT] = sSwoobatLevelUpLearnset,
	[SPECIES_DRILBUR] = sDrilburLevelUpLearnset,
	[SPECIES_EXCADRILL] = sExcadrillLevelUpLearnset,
	[SPECIES_AUDINO] = sAudinoLevelUpLearnset,
	[SPECIES_TIMBURR] = sTimburrLevelUpLearnset,
	[SPECIES_GURDURR] = sGurdurrLevelUpLearnset,
	[SPECIES_CONKELDURR] = sConkeldurrLevelUpLearnset,
	[SPECIES_TYMPOLE] = sTympoleLevelUpLearnset,
	[SPECIES_PALPITOAD] = sPalpitoadLevelUpLearnset,
	[SPECIES_SEISMITOAD] = sSeismitoadLevelUpLearnset,
	[SPECIES_THROH] = sThrohLevelUpLearnset,
	[SPECIES_SAWK] = sSawkLevelUpLearnset,
	[SPECIES_SEWADDLE] = sSewaddleLevelUpLearnset,
	[SPECIES_SWADLOON] = sSwadloonLevelUpLearnset,
	[SPECIES_LEAVANNY] = sLeavannyLevelUpLearnset,
	[SPECIES_VENIPEDE] = sVenipedeLevelUpLearnset,
	[SPECIES_WHIRLIPEDE] = sWhirlipedeLevelUpLearnset,
	[SPECIES_SCOLIPEDE] = sScolipedeLevelUpLearnset,
	[SPECIES_COTTONEE] = sCottoneeLevelUpLearnset,
	[SPECIES_WHIMSICOTT] = sWhimsicottLevelUpLearnset,
	[SPECIES_PETILIL] = sPetililLevelUpLearnset,
	[SPECIES_LILLIGANT] = sLilligantLevelUpLearnset,
	[SPECIES_BASCULIN_RED] = sBasculinLevelUpLearnset,
	[SPECIES_SANDILE] = sSandileLevelUpLearnset,
	[SPECIES_KROKOROK] = sKrokorokLevelUpLearnset,
	[SPECIES_KROOKODILE] = sKrookodileLevelUpLearnset,
	[SPECIES_DARUMAKA] = sDarumakaLevelUpLearnset,
	[SPECIES_DARMANITAN] = sDarmanitanLevelUpLearnset,
	[SPECIES_MARACTUS] = sMaractusLevelUpLearnset,
	[SPECIES_DWEBBLE] = sDwebbleLevelUpLearnset,
	[SPECIES_CRUSTLE] = sCrustleLevelUpLearnset,
	[SPECIES_SCRAGGY] = sScraggyLevelUpLearnset,
	[SPECIES_SCRAFTY] = sScraftyLevelUpLearnset,
	[SPECIES_SIGILYPH] = sSigilyphLevelUpLearnset,
	[SPECIES_YAMASK] = sYamaskLevelUpLearnset,
	[SPECIES_COFAGRIGUS] = sCofagrigusLevelUpLearnset,
	[SPECIES_TIRTOUGA] = sTirtougaLevelUpLearnset,
	[SPECIES_CARRACOSTA] = sCarracostaLevelUpLearnset,
	[SPECIES_ARCHEN] = sArchenLevelUpLearnset,
	[SPECIES_ARCHEOPS] = sArcheopsLevelUpLearnset,
	[SPECIES_TRUBBISH] = sTrubbishLevelUpLearnset,
	[SPECIES_GARBODOR] = sGarbodorLevelUpLearnset,
	[SPECIES_ZORUA] = sZoruaLevelUpLearnset,
	[SPECIES_ZOROARK] = sZoroarkLevelUpLearnset,
	[SPECIES_MINCCINO] = sMinccinoLevelUpLearnset,
	[SPECIES_CINCCINO] = sCinccinoLevelUpLearnset,
	[SPECIES_GOTHITA] = sGothitaLevelUpLearnset,
	[SPECIES_GOTHORITA] = sGothoritaLevelUpLearnset,
	[SPECIES_GOTHITELLE] = sGothitelleLevelUpLearnset,
	[SPECIES_SOLOSIS] = sSolosisLevelUpLearnset,
	[SPECIES_DUOSION] = sDuosionLevelUpLearnset,
	[SPECIES_REUNICLUS] = sReuniclusLevelUpLearnset,
	[SPECIES_DUCKLETT] = sDucklettLevelUpLearnset,
	[SPECIES_SWANNA] = sSwannaLevelUpLearnset,
	[SPECIES_VANILLITE] = sVanilliteLevelUpLearnset,
	[SPECIES_VANILLISH] = sVanillishLevelUpLearnset,
	[SPECIES_VANILLUXE] = sVanilluxeLevelUpLearnset,
	[SPECIES_DEERLING] = sDeerlingLevelUpLearnset,
	[SPECIES_SAWSBUCK] = sSawsbuckLevelUpLearnset,
	[SPECIES_EMOLGA] = sEmolgaLevelUpLearnset,
	[SPECIES_KARRABLAST] = sKarrablastLevelUpLearnset,
	[SPECIES_ESCAVALIER] = sEscavalierLevelUpLearnset,
	[SPECIES_FOONGUS] = sFoongusLevelUpLearnset,
	[SPECIES_AMOONGUSS] = sAmoongussLevelUpLearnset,
	[SPECIES_FRILLISH] = sFrillishLevelUpLearnset,
	[SPECIES_JELLICENT] = sJellicentLevelUpLearnset,
	[SPECIES_ALOMOMOLA] = sAlomomolaLevelUpLearnset,
	[SPECIES_JOLTIK] = sJoltikLevelUpLearnset,
	[SPECIES_GALVANTULA] = sGalvantulaLevelUpLearnset,
	[SPECIES_FERROSEED] = sFerroseedLevelUpLearnset,
	[SPECIES_FERROTHORN] = sFerrothornLevelUpLearnset,
	[SPECIES_KLINK] = sKlinkLevelUpLearnset,
	[SPECIES_KLANG] = sKlangLevelUpLearnset,
	[SPECIES_KLINKLANG] = sKlinklangLevelUpLearnset,
	[SPECIES_TYNAMO] = sTynamoLevelUpLearnset,
	[SPECIES_EELEKTRIK] = sEelektrikLevelUpLearnset,
	[SPECIES_EELEKTROSS] = sEelektrossLevelUpLearnset,
	[SPECIES_ELGYEM] = sElgyemLevelUpLearnset,
	[SPECIES_BEHEEYEM] = sBeheeyemLevelUpLearnset,
	[SPECIES_LITWICK] = sLitwickLevelUpLearnset,
	[SPECIES_LAMPENT] = sLampentLevelUpLearnset,
	[SPECIES_CHANDELURE] = sChandelureLevelUpLearnset,
	[SPECIES_AXEW] = sAxewLevelUpLearnset,
	[SPECIES_FRAXURE] = sFraxureLevelUpLearnset,
	[SPECIES_HAXORUS] = sHaxorusLevelUpLearnset,
	[SPECIES_CUBCHOO] = sCubchooLevelUpLearnset,
	[SPECIES_BEARTIC] = sBearticLevelUpLearnset,
	[SPECIES_CRYOGONAL] = sCryogonalLevelUpLearnset,
	[SPECIES_SHELMET] = sShelmetLevelUpLearnset,
	[SPECIES_ACCELGOR] = sAccelgorLevelUpLearnset,
	[SPECIES_STUNFISK] = sStunfiskLevelUpLearnset,
	[SPECIES_MIENFOO] = sMienfooLevelUpLearnset,
	[SPECIES_MIENSHAO] = sMienshaoLevelUpLearnset,
	[SPECIES_DRUDDIGON] = sDruddigonLevelUpLearnset,
	[SPECIES_GOLETT] = sGolettLevelUpLearnset,
	[SPECIES_GOLURK] = sGolurkLevelUpLearnset,
	[SPECIES_PAWNIARD] = sPawniardLevelUpLearnset,
	[SPECIES_BISHARP] = sBisharpLevelUpLearnset,
	[SPECIES_BOUFFALANT] = sBouffalantLevelUpLearnset,
	[SPECIES_RUFFLET] = sRuffletLevelUpLearnset,
	[SPECIES_BRAVIARY] = sBraviaryLevelUpLearnset,
	[SPECIES_VULLABY] = sVullabyLevelUpLearnset,
	[SPECIES_MANDIBUZZ] = sMandibuzzLevelUpLearnset,
	[SPECIES_HEATMOR] = sHeatmorLevelUpLearnset,
	[SPECIES_DURANT] = sDurantLevelUpLearnset,
	[SPECIES_DEINO] = sDeinoLevelUpLearnset,
	[SPECIES_ZWEILOUS] = sZweilousLevelUpLearnset,
	[SPECIES_HYDREIGON] = sHydreigonLevelUpLearnset,
	[SPECIES_LARVESTA] = sLarvestaLevelUpLearnset,
	[SPECIES_VOLCARONA] = sVolcaronaLevelUpLearnset,
	[SPECIES_COBALION] = sCobalionLevelUpLearnset,
	[SPECIES_TERRAKION] = sTerrakionLevelUpLearnset,
	[SPECIES_VIRIZION] = sVirizionLevelUpLearnset,
	[SPECIES_TORNADUS] = sTornadusLevelUpLearnset,
	[SPECIES_THUNDURUS] = sThundurusLevelUpLearnset,
	[SPECIES_RESHIRAM] = sReshiramLevelUpLearnset,
	[SPECIES_ZEKROM] = sZekromLevelUpLearnset,
	[SPECIES_LANDORUS] = sLandorusLevelUpLearnset,
	[SPECIES_KYUREM] = sKyuremLevelUpLearnset,
	[SPECIES_KELDEO] = sKeldeoLevelUpLearnset,
	[SPECIES_MELOETTA] = sMeloettaLevelUpLearnset,
	[SPECIES_GENESECT] = sGenesectLevelUpLearnset,
	[SPECIES_UNFEZANT_F] = sUnfezantLevelUpLearnset,
	[SPECIES_FRILLISH_F] = sFrillishLevelUpLearnset,
	[SPECIES_JELLICENT_F] = sJellicentLevelUpLearnset,
	[SPECIES_SHADOW_WARRIOR] = sShadowWarriorLevelUpLearnset,
	[SPECIES_BURMY_SANDY] = sBurmyLevelUpLearnset,
	[SPECIES_BURMY_TRASH] = sBurmyLevelUpLearnset,
	[SPECIES_WORMADAM_SANDY] = sWormadamSandyLevelUpLearnset,
	[SPECIES_WORMADAM_TRASH] = sWormadamTrashLevelUpLearnset,
	[SPECIES_SHELLOS_EAST] = sShellosLevelUpLearnset,
	[SPECIES_GASTRODON_EAST] = sGastrodonLevelUpLearnset,
	[SPECIES_ROTOM_HEAT] = sRotomHeatLevelUpLearnset,
	[SPECIES_ROTOM_WASH] = sRotomWashLevelUpLearnset,
	[SPECIES_ROTOM_FROST] = sRotomFrostLevelUpLearnset,
	[SPECIES_ROTOM_FAN] = sRotomFanLevelUpLearnset,
	[SPECIES_ROTOM_MOW] = sRotomMowLevelUpLearnset,
	[SPECIES_GIRATINA_ORIGIN] = sGiratinaLevelUpLearnset,
	[SPECIES_SHAYMIN_SKY] = sShayminSkyLevelUpLearnset,
	[SPECIES_ARCEUS_FIGHT] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_FLYING] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_POISON] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_GROUND] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_ROCK] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_BUG] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_GHOST] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_STEEL] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_FIRE] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_WATER] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_GRASS] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_ELECTRIC] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_PSYCHIC] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_ICE] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_DRAGON] = sArceusLevelUpLearnset,
	[SPECIES_ARCEUS_DARK] = sArceusLevelUpLearnset,
	[SPECIES_BASCULIN_BLUE] = sBasculinLevelUpLearnset,
	[SPECIES_DARMANITANZEN] = sDarmanitanLevelUpLearnset,
	[SPECIES_DEERLING_SUMMER] = sDeerlingLevelUpLearnset,
	[SPECIES_DEERLING_AUTUMN] = sDeerlingLevelUpLearnset,
	[SPECIES_DEERLING_WINTER] = sDeerlingLevelUpLearnset,
	[SPECIES_SAWSBUCK_SUMMER] = sSawsbuckLevelUpLearnset,
	[SPECIES_SAWSBUCK_AUTUMN] = sSawsbuckLevelUpLearnset,
	[SPECIES_SAWSBUCK_WINTER] = sSawsbuckLevelUpLearnset,
	[SPECIES_HIPPOPOTAS_F] = sHippopotasLevelUpLearnset,
	[SPECIES_HIPPOWDON_F] = sHippowdonLevelUpLearnset,
	[SPECIES_MELOETTA_PIROUETTE] = sMeloettaLevelUpLearnset,
	[SPECIES_GENESECT_SHOCK] = sGenesectLevelUpLearnset,
	[SPECIES_GENESECT_BURN] = sGenesectLevelUpLearnset,
	[SPECIES_GENESECT_CHILL] = sGenesectLevelUpLearnset,
	[SPECIES_GENESECT_DOUSE] = sGenesectLevelUpLearnset,
	[SPECIES_CHERRIM_SUN] = sCherrimLevelUpLearnset,
	[SPECIES_KYUREM_BLACK] = sKyuremBlackLevelUpLearnset,
	[SPECIES_KYUREM_WHITE] = sKyuremWhiteLevelUpLearnset,
	[SPECIES_TORNADUS_THERIAN] = sTornadusLevelUpLearnset,
	[SPECIES_THUNDURUS_THERIAN] = sThundurusLevelUpLearnset,
	[SPECIES_LANDORUS_THERIAN] = sLandorusLevelUpLearnset,
	[SPECIES_KELDEO_RESOLUTE] = sKeldeoLevelUpLearnset,
	[SPECIES_CHESPIN] = sChespinLevelUpLearnset,
	[SPECIES_QUILLADIN] = sQuilladinLevelUpLearnset,
	[SPECIES_CHESNAUGHT] = sChesnaughtLevelUpLearnset,
	[SPECIES_FENNEKIN] = sFennekinLevelUpLearnset,
	[SPECIES_BRAIXEN] = sBraixenLevelUpLearnset,
	[SPECIES_DELPHOX] = sDelphoxLevelUpLearnset,
	[SPECIES_FROAKIE] = sFroakieLevelUpLearnset,
	[SPECIES_FROGADIER] = sFrogadierLevelUpLearnset,
	[SPECIES_GRENINJA] = sGreninjaLevelUpLearnset,
	[SPECIES_BUNNELBY] = sBunnelbyLevelUpLearnset,
	[SPECIES_DIGGERSBY] = sDiggersbyLevelUpLearnset,
	[SPECIES_FLETCHLING] = sFletchlingLevelUpLearnset,
	[SPECIES_FLETCHINDER] = sFletchinderLevelUpLearnset,
	[SPECIES_TALONFLAME] = sTalonflameLevelUpLearnset,
	[SPECIES_SCATTERBUG] = sScatterbugLevelUpLearnset,
	[SPECIES_SPEWPA] = sSpewpaLevelUpLearnset,
	[SPECIES_VIVILLON] = sVivillonLevelUpLearnset,
	[SPECIES_LITLEO] = sLitleoLevelUpLearnset,
	[SPECIES_PYROAR] = sPyroarLevelUpLearnset,
	[SPECIES_FLABEBE] = sFlabebeLevelUpLearnset,
	[SPECIES_FLOETTE] = sFloetteLevelUpLearnset,
	[SPECIES_FLORGES] = sFlorgesLevelUpLearnset,
	[SPECIES_SKIDDO] = sSkiddoLevelUpLearnset,
	[SPECIES_GOGOAT] = sGogoatLevelUpLearnset,
	[SPECIES_PANCHAM] = sPanchamLevelUpLearnset,
	[SPECIES_PANGORO] = sPangoroLevelUpLearnset,
	[SPECIES_FURFROU] = sFurfrouLevelUpLearnset,
	[SPECIES_ESPURR] = sEspurrLevelUpLearnset,
	[SPECIES_MEOWSTIC] = sMeowsticLevelUpLearnset,
	[SPECIES_HONEDGE] = sHonedgeLevelUpLearnset,
	[SPECIES_DOUBLADE] = sDoubladeLevelUpLearnset,
	[SPECIES_AEGISLASH] = sAegislashLevelUpLearnset,
	[SPECIES_SPRITZEE] = sSpritzeeLevelUpLearnset,
	[SPECIES_AROMATISSE] = sAromatisseLevelUpLearnset,
	[SPECIES_SWIRLIX] = sSwirlixLevelUpLearnset,
	[SPECIES_SLURPUFF] = sSlurpuffLevelUpLearnset,
	[SPECIES_INKAY] = sInkayLevelUpLearnset,
	[SPECIES_MALAMAR] = sMalamarLevelUpLearnset,
	[SPECIES_BINACLE] = sBinacleLevelUpLearnset,
	[SPECIES_BARBARACLE] = sBarbaracleLevelUpLearnset,
	[SPECIES_SKRELP] = sSkrelpLevelUpLearnset,
	[SPECIES_DRAGALGE] = sDragalgeLevelUpLearnset,
	[SPECIES_CLAUNCHER] = sClauncherLevelUpLearnset,
	[SPECIES_CLAWITZER] = sClawitzerLevelUpLearnset,
	[SPECIES_HELIOPTILE] = sHelioptileLevelUpLearnset,
	[SPECIES_HELIOLISK] = sHelioliskLevelUpLearnset,
	[SPECIES_TYRUNT] = sTyruntLevelUpLearnset,
	[SPECIES_TYRANTRUM] = sTyrantrumLevelUpLearnset,
	[SPECIES_AMAURA] = sAmauraLevelUpLearnset,
	[SPECIES_AURORUS] = sAurorusLevelUpLearnset,
	[SPECIES_SYLVEON] = sSylveonLevelUpLearnset,
	[SPECIES_HAWLUCHA] = sHawluchaLevelUpLearnset,
	[SPECIES_DEDENNE] = sDedenneLevelUpLearnset,
	[SPECIES_CARBINK] = sCarbinkLevelUpLearnset,
	[SPECIES_GOOMY] = sGoomyLevelUpLearnset,
	[SPECIES_SLIGGOO] = sSliggooLevelUpLearnset,
	[SPECIES_GOODRA] = sGoodraLevelUpLearnset,
	[SPECIES_KLEFKI] = sKlefkiLevelUpLearnset,
	[SPECIES_PHANTUMP] = sPhantumpLevelUpLearnset,
	[SPECIES_TREVENANT] = sTrevenantLevelUpLearnset,
	[SPECIES_PUMPKABOO] = sPumpkabooLevelUpLearnset,
	[SPECIES_GOURGEIST] = sGourgeistLevelUpLearnset,
	[SPECIES_BERGMITE] = sBergmiteLevelUpLearnset,
	[SPECIES_AVALUGG] = sAvaluggLevelUpLearnset,
	[SPECIES_NOIBAT] = sNoibatLevelUpLearnset,
	[SPECIES_NOIVERN] = sNoivernLevelUpLearnset,
	[SPECIES_XERNEAS] = sXerneasLevelUpLearnset,
	[SPECIES_YVELTAL] = sYveltalLevelUpLearnset,
	[SPECIES_ZYGARDE] = sZygardeLevelUpLearnset,
	[SPECIES_DIANCIE] = sDiancieLevelUpLearnset,
	[SPECIES_HOOPA] = sHoopaLevelUpLearnset,
	[SPECIES_HOOPA_UNBOUND] = sHoopaUnboundLevelUpLearnset,
	[SPECIES_VOLCANION] = sVolcanionLevelUpLearnset,
	[SPECIES_PYROAR_FEMALE] = sPyroarLevelUpLearnset,
	[SPECIES_MEOWSTIC_FEMALE] = sMeowsticFemaleLevelUpLearnset,
	[SPECIES_AEGISLASH_BLADE] = sAegislashLevelUpLearnset,
	[SPECIES_ARCEUS_FAIRY] = sArceusLevelUpLearnset,
	[SPECIES_ZYGARDE_CELL] = sZygardeLevelUpLearnset,
	[SPECIES_ZYGARDE_CORE] = sZygardeLevelUpLearnset,
	[SPECIES_ZYGARDE_10] = sZygardeLevelUpLearnset,
	[SPECIES_ZYGARDE_COMPLETE] = sZygardeLevelUpLearnset,
	[SPECIES_ASHGRENINJA] = sGreninjaLevelUpLearnset,
	[SPECIES_FLABEBE_BLUE] = sFlabebeLevelUpLearnset,
	[SPECIES_FLABEBE_ORANGE] = sFlabebeLevelUpLearnset,
	[SPECIES_FLABEBE_YELLOW] = sFlabebeLevelUpLearnset,
	[SPECIES_FLABEBE_WHITE] = sFlabebeLevelUpLearnset,
	[SPECIES_FLOETTE_BLUE] = sFloetteLevelUpLearnset,
	[SPECIES_FLOETTE_ORANGE] = sFloetteLevelUpLearnset,
	[SPECIES_FLOETTE_YELLOW] = sFloetteLevelUpLearnset,
	[SPECIES_FLOETTE_WHITE] = sFloetteLevelUpLearnset,
	[SPECIES_FLOETTE_ETERNAL] = sFloetteEternalLevelUpLearnset,
	[SPECIES_FLORGES_BLUE] = sFlorgesLevelUpLearnset,
	[SPECIES_FLORGES_ORANGE] = sFlorgesLevelUpLearnset,
	[SPECIES_FLORGES_YELLOW] = sFlorgesLevelUpLearnset,
	[SPECIES_FLORGES_WHITE] = sFlorgesLevelUpLearnset,
	[SPECIES_PUMPKABOO_XL] = sPumpkabooLevelUpLearnset,
	[SPECIES_PUMPKABOO_L] = sPumpkabooLevelUpLearnset,
	[SPECIES_PUMPKABOO_M] = sPumpkabooLevelUpLearnset,
	[SPECIES_GOURGEIST_XL] = sGourgeistLevelUpLearnset,
	[SPECIES_GOURGEIST_L] = sGourgeistLevelUpLearnset,
	[SPECIES_GOURGEIST_M] = sGourgeistLevelUpLearnset,
	[SPECIES_FURFROU_HEART] = sFurfrouLevelUpLearnset,
	[SPECIES_FURFROU_DIAMOND] = sFurfrouLevelUpLearnset,
	[SPECIES_FURFROU_STAR] = sFurfrouLevelUpLearnset,
	[SPECIES_FURFROU_PHAROAH] = sFurfrouLevelUpLearnset,
	[SPECIES_FURFROU_KABUKI] = sFurfrouLevelUpLearnset,
	[SPECIES_FURFROU_LA_REINE] = sFurfrouLevelUpLearnset,
	[SPECIES_FURFROU_MATRON] = sFurfrouLevelUpLearnset,
	[SPECIES_FURFROU_DANDY] = sFurfrouLevelUpLearnset,
	[SPECIES_FURFROU_DEBUTANTE] = sFurfrouLevelUpLearnset,
	[SPECIES_VIVILLON_FANCY] = sVivillonLevelUpLearnset,
	[SPECIES_VENUSAUR_MEGA] = sVenusaurLevelUpLearnset,
	[SPECIES_CHARIZARD_MEGA_X] = sCharizardLevelUpLearnset,
	[SPECIES_CHARIZARD_MEGA_Y] = sCharizardLevelUpLearnset,
	[SPECIES_BLASTOISE_MEGA] = sBlastoiseLevelUpLearnset,
	[SPECIES_BEEDRILL_MEGA] = sBeedrillLevelUpLearnset,
	[SPECIES_PIDGEOT_MEGA] = sPidgeotLevelUpLearnset,
	[SPECIES_ALAKAZAM_MEGA] = sAlakazamLevelUpLearnset,
	[SPECIES_SLOWBRO_MEGA] = sSlowbroLevelUpLearnset,
	[SPECIES_GENGAR_MEGA] = sGengarLevelUpLearnset,
	[SPECIES_KANGASKHAN_MEGA] = sKangaskhanLevelUpLearnset,
	[SPECIES_PINSIR_MEGA] = sPinsirLevelUpLearnset,
	[SPECIES_GYARADOS_MEGA] = sGyaradosLevelUpLearnset,
	[SPECIES_AERODACTYL_MEGA] = sAerodactylLevelUpLearnset,
	[SPECIES_MEWTWO_MEGA_X] = sMewtwoLevelUpLearnset,
	[SPECIES_MEWTWO_MEGA_Y] = sMewtwoLevelUpLearnset,
	[SPECIES_AMPHAROS_MEGA] = sAmpharosLevelUpLearnset,
	[SPECIES_STEELIX_MEGA] = sSteelixLevelUpLearnset,
	[SPECIES_SCIZOR_MEGA] = sScizorLevelUpLearnset,
	[SPECIES_HERACROSS_MEGA] = sHeracrossLevelUpLearnset,
	[SPECIES_HOUNDOOM_MEGA] = sHoundoomLevelUpLearnset,
	[SPECIES_TYRANITAR_MEGA] = sTyranitarLevelUpLearnset,
	[SPECIES_SCEPTILE_MEGA] = sSceptileLevelUpLearnset,
	[SPECIES_BLAZIKEN_MEGA] = sBlazikenLevelUpLearnset,
	[SPECIES_SWAMPERT_MEGA] = sSwampertLevelUpLearnset,
	[SPECIES_GARDEVOIR_MEGA] = sGardevoirLevelUpLearnset,
	[SPECIES_SABLEYE_MEGA] = sSableyeLevelUpLearnset,
	[SPECIES_MAWILE_MEGA] = sMawileLevelUpLearnset,
	[SPECIES_AGGRON_MEGA] = sAggronLevelUpLearnset,
	[SPECIES_MEDICHAM_MEGA] = sMedichamLevelUpLearnset,
	[SPECIES_MANECTRIC_MEGA] = sManectricLevelUpLearnset,
	[SPECIES_SHARPEDO_MEGA] = sSharpedoLevelUpLearnset,
	[SPECIES_CAMERUPT_MEGA] = sCameruptLevelUpLearnset,
	[SPECIES_ALTARIA_MEGA] = sAltariaLevelUpLearnset,
	[SPECIES_BANETTE_MEGA] = sBanetteLevelUpLearnset,
	[SPECIES_ABSOL_MEGA] = sAbsolLevelUpLearnset,
	[SPECIES_GLALIE_MEGA] = sGlalieLevelUpLearnset,
	[SPECIES_SALAMENCE_MEGA] = sSalamenceLevelUpLearnset,
	[SPECIES_METAGROSS_MEGA] = sMetagrossLevelUpLearnset,
	[SPECIES_LATIAS_MEGA] = sLatiasLevelUpLearnset,
	[SPECIES_LATIOS_MEGA] = sLatiosLevelUpLearnset,
	[SPECIES_GROUDON_PRIMAL] = sGroudonLevelUpLearnset,
	[SPECIES_KYOGRE_PRIMAL] = sKyogreLevelUpLearnset,
	[SPECIES_RAYQUAZA_MEGA] = sRayquazaLevelUpLearnset,
	[SPECIES_LOPUNNY_MEGA] = sLopunnyLevelUpLearnset,
	[SPECIES_GARCHOMP_MEGA] = sGarchompLevelUpLearnset,
	[SPECIES_LUCARIO_MEGA] = sLucarioLevelUpLearnset,
	[SPECIES_ABOMASNOW_MEGA] = sAbomasnowLevelUpLearnset,
	[SPECIES_GALLADE_MEGA] = sGalladeLevelUpLearnset,
	[SPECIES_AUDINO_MEGA] = sAudinoLevelUpLearnset,
	[SPECIES_DIANCIE_MEGA] = sDiancieLevelUpLearnset,
	[SPECIES_DIALGA_PRIMAL] = sDialgaLevelUpLearnset,
	[SPECIES_PALKIA_PRIMAL] = sPalkiaLevelUpLearnset,
	[SPECIES_VIVILLON_ARCHIPELAGO] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_CONTINENTAL] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_ELEGANT] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_GARDEN] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_HIGH_PLAINS] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_ICY_SNOW] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_JUNGLE] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_MARINE] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_MODERN] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_MONSOON] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_OCEAN] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_POKEBALL] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_POLAR] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_RIVER] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_SANDSTORM] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_SAVANNA] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_SUN] = sVivillonLevelUpLearnset,
	[SPECIES_VIVILLON_TUNDRA] = sVivillonLevelUpLearnset,
	[SPECIES_ROWLET] = sRowletLevelUpLearnset,
	[SPECIES_DARTRIX] = sDartrixLevelUpLearnset,
	[SPECIES_DECIDUEYE] = sDecidueyeLevelUpLearnset,
	[SPECIES_LITTEN] = sLittenLevelUpLearnset,
	[SPECIES_TORRACAT] = sTorracatLevelUpLearnset,
	[SPECIES_INCINEROAR] = sIncineroarLevelUpLearnset,
	[SPECIES_POPPLIO] = sPopplioLevelUpLearnset,
	[SPECIES_BRIONNE] = sBrionneLevelUpLearnset,
	[SPECIES_PRIMARINA] = sPrimarinaLevelUpLearnset,
	[SPECIES_PIKIPEK] = sPikipekLevelUpLearnset,
	[SPECIES_TRUMBEAK] = sTrumbeakLevelUpLearnset,
	[SPECIES_TOUCANNON] = sToucannonLevelUpLearnset,
	[SPECIES_YUNGOOS] = sYungoosLevelUpLearnset,
	[SPECIES_GUMSHOOS] = sGumshoosLevelUpLearnset,
	[SPECIES_GRUBBIN] = sGrubbinLevelUpLearnset,
	[SPECIES_CHARJABUG] = sCharjabugLevelUpLearnset,
	[SPECIES_VIKAVOLT] = sVikavoltLevelUpLearnset,
	[SPECIES_CRABRAWLER] = sCrabrawlerLevelUpLearnset,
	[SPECIES_CRABOMINABLE] = sCrabominableLevelUpLearnset,
	[SPECIES_ORICORIO] = sOricorioLevelUpLearnset,
	[SPECIES_CUTIEFLY] = sCutieflyLevelUpLearnset,
	[SPECIES_RIBOMBEE] = sRibombeeLevelUpLearnset,
	[SPECIES_ROCKRUFF] = sRockruffLevelUpLearnset,
	[SPECIES_LYCANROC] = sLycanrocLevelUpLearnset,
	[SPECIES_WISHIWASHI] = sWishiwashiLevelUpLearnset,
	[SPECIES_MAREANIE] = sMareanieLevelUpLearnset,
	[SPECIES_TOXAPEX] = sToxapexLevelUpLearnset,
	[SPECIES_MUDBRAY] = sMudbrayLevelUpLearnset,
	[SPECIES_MUDSDALE] = sMudsdaleLevelUpLearnset,
	[SPECIES_DEWPIDER] = sDewpiderLevelUpLearnset,
	[SPECIES_ARAQUANID] = sAraquanidLevelUpLearnset,
	[SPECIES_FOMANTIS] = sFomantisLevelUpLearnset,
	[SPECIES_LURANTIS] = sLurantisLevelUpLearnset,
	[SPECIES_MORELULL] = sMorelullLevelUpLearnset,
	[SPECIES_SHIINOTIC] = sShiinoticLevelUpLearnset,
	[SPECIES_SALANDIT] = sSalanditLevelUpLearnset,
	[SPECIES_SALAZZLE] = sSalazzleLevelUpLearnset,
	[SPECIES_STUFFUL] = sStuffulLevelUpLearnset,
	[SPECIES_BEWEAR] = sBewearLevelUpLearnset,
	[SPECIES_BOUNSWEET] = sBounsweetLevelUpLearnset,
	[SPECIES_STEENEE] = sSteeneeLevelUpLearnset,
	[SPECIES_TSAREENA] = sTsareenaLevelUpLearnset,
	[SPECIES_COMFEY] = sComfeyLevelUpLearnset,
	[SPECIES_ORANGURU] = sOranguruLevelUpLearnset,
	[SPECIES_PASSIMIAN] = sPassimianLevelUpLearnset,
	[SPECIES_WIMPOD] = sWimpodLevelUpLearnset,
	[SPECIES_GOLISOPOD] = sGolisopodLevelUpLearnset,
	[SPECIES_SANDYGAST] = sSandygastLevelUpLearnset,
	[SPECIES_PALOSSAND] = sPalossandLevelUpLearnset,
	[SPECIES_PYUKUMUKU] = sPyukumukuLevelUpLearnset,
	[SPECIES_TYPE_NULL] = sTypeNullLevelUpLearnset,
	[SPECIES_SILVALLY] = sSilvallyLevelUpLearnset,
	[SPECIES_MINIOR_SHIELD] = sMiniorShieldLevelUpLearnset,
	[SPECIES_KOMALA] = sKomalaLevelUpLearnset,
	[SPECIES_TURTONATOR] = sTurtonatorLevelUpLearnset,
	[SPECIES_TOGEDEMARU] = sTogedemaruLevelUpLearnset,
	[SPECIES_MIMIKYU] = sMimikyuLevelUpLearnset,
	[SPECIES_BRUXISH] = sBruxishLevelUpLearnset,
	[SPECIES_DRAMPA] = sDrampaLevelUpLearnset,
	[SPECIES_DHELMISE] = sDhelmiseLevelUpLearnset,
	[SPECIES_JANGMO_O] = sJangmoOLevelUpLearnset,
	[SPECIES_HAKAMO_O] = sHakamoOLevelUpLearnset,
	[SPECIES_KOMMO_O] = sKommoOLevelUpLearnset,
	[SPECIES_TAPU_KOKO] = sTapuKokoLevelUpLearnset,
	[SPECIES_TAPU_LELE] = sTapuLeleLevelUpLearnset,
	[SPECIES_TAPU_BULU] = sTapuBuluLevelUpLearnset,
	[SPECIES_TAPU_FINI] = sTapuFiniLevelUpLearnset,
	[SPECIES_COSMOG] = sCosmogLevelUpLearnset,
	[SPECIES_COSMOEM] = sCosmoemLevelUpLearnset,
	[SPECIES_SOLGALEO] = sSolgaleoLevelUpLearnset,
	[SPECIES_LUNALA] = sLunalaLevelUpLearnset,
	[SPECIES_NIHILEGO] = sNihilegoLevelUpLearnset,
	[SPECIES_BUZZWOLE] = sBuzzwoleLevelUpLearnset,
	[SPECIES_PHEROMOSA] = sPheromosaLevelUpLearnset,
	[SPECIES_XURKITREE] = sXurkitreeLevelUpLearnset,
	[SPECIES_CELESTEELA] = sCelesteelaLevelUpLearnset,
	[SPECIES_KARTANA] = sKartanaLevelUpLearnset,
	[SPECIES_GUZZLORD] = sGuzzlordLevelUpLearnset,
	[SPECIES_NECROZMA] = sNecrozmaLevelUpLearnset,
	[SPECIES_MAGEARNA] = sMagearnaLevelUpLearnset,
	[SPECIES_MARSHADOW] = sMarshadowLevelUpLearnset,
	[SPECIES_RATTATA_A] = sRattataALevelUpLearnset,
	[SPECIES_RATICATE_A] = sRaticateALevelUpLearnset,
	[SPECIES_RAICHU_A] = sRaichuALevelUpLearnset,
	[SPECIES_SANDSHREW_A] = sSandshrewALevelUpLearnset,
	[SPECIES_SANDSLASH_A] = sSandslashALevelUpLearnset,
	[SPECIES_VULPIX_A] = sVulpixALevelUpLearnset,
	[SPECIES_NINETALES_A] = sNinetalesALevelUpLearnset,
	[SPECIES_DIGLETT_A] = sDiglettALevelUpLearnset,
	[SPECIES_DUGTRIO_A] = sDugtrioALevelUpLearnset,
	[SPECIES_MEOWTH_A] = sMeowthALevelUpLearnset,
	[SPECIES_PERSIAN_A] = sPersianALevelUpLearnset,
	[SPECIES_GEODUDE_A] = sGeodudeALevelUpLearnset,
	[SPECIES_GRAVELER_A] = sGravelerALevelUpLearnset,
	[SPECIES_GOLEM_A] = sGolemALevelUpLearnset,
	[SPECIES_GRIMER_A] = sGrimerALevelUpLearnset,
	[SPECIES_MUK_A] = sMukALevelUpLearnset,
	[SPECIES_EXEGGCUTE_A] = sExeggcuteLevelUpLearnset,
	[SPECIES_EXEGGUTOR_A] = sExeggutorALevelUpLearnset,
	[SPECIES_CUBONE_A] = sCuboneLevelUpLearnset,
	[SPECIES_MAROWAK_A] = sMarowakALevelUpLearnset,
	[SPECIES_DEOXYS_ATTACK] = sDeoxysAttackLevelUpLearnset,
	[SPECIES_DEOXYS_DEFENSE] = sDeoxysDefenseLevelUpLearnset,
	[SPECIES_DEOXYS_SPEED] = sDeoxysSpeedLevelUpLearnset,
	[SPECIES_ORICORIO_Y] = sOricorioLevelUpLearnset,
	[SPECIES_ORICORIO_P] = sOricorioLevelUpLearnset,
	[SPECIES_ORICORIO_S] = sOricorioLevelUpLearnset,
	[SPECIES_LYCANROC_N] = sLycanrocNLevelUpLearnset,
	[SPECIES_WISHIWASHI_S] = sWishiwashiLevelUpLearnset,
	[SPECIES_SILVALLY_FIGHT] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_FLYING] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_POISON] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_GROUND] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_ROCK] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_BUG] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_GHOST] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_STEEL] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_FIRE] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_WATER] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_GRASS] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_ELECTRIC] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_PSYCHIC] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_ICE] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_DRAGON] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_DARK] = sSilvallyLevelUpLearnset,
	[SPECIES_SILVALLY_FAIRY] = sSilvallyLevelUpLearnset,
	[SPECIES_MINIOR_RED] = sMiniorShieldLevelUpLearnset,
	[SPECIES_MINIOR_BLUE] = sMiniorShieldLevelUpLearnset,
	[SPECIES_MINIOR_ORANGE] = sMiniorShieldLevelUpLearnset,
	[SPECIES_MINIOR_YELLOW] = sMiniorShieldLevelUpLearnset,
	[SPECIES_MINIOR_INDIGO] = sMiniorShieldLevelUpLearnset,
	[SPECIES_MINIOR_GREEN] = sMiniorShieldLevelUpLearnset,
	[SPECIES_MINIOR_VIOLET] = sMiniorShieldLevelUpLearnset,
	[SPECIES_MIMIKYU_BUSTED] = sMimikyuLevelUpLearnset,
	[SPECIES_MAGEARNA_P] = sMagearnaLevelUpLearnset,
	[SPECIES_POIPOLE] = sPoipoleLevelUpLearnset,
	[SPECIES_NAGANADEL] = sNaganadelLevelUpLearnset,
	[SPECIES_STAKATAKA] = sStakatakaLevelUpLearnset,
	[SPECIES_BLACEPHALON] = sBlacephalonLevelUpLearnset,
	[SPECIES_ZERAORA] = sZeraoraLevelUpLearnset,
	[SPECIES_NECROZMA_DUSK_MANE] = sNecrozmaLevelUpLearnset,
	[SPECIES_NECROZMA_DAWN_WINGS] = sNecrozmaLevelUpLearnset,
	[SPECIES_NECROZMA_ULTRA] = sNecrozmaLevelUpLearnset,
	[SPECIES_LYCANROC_DUSK] = sLycanrocDuskLevelUpLearnset,
	[SPECIES_MELTAN] = sMeltanLevelUpLearnset,
	[SPECIES_MELMETAL] = sMelmetalLevelUpLearnset,
	[SPECIES_PIKACHU_SURFING] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_FLYING] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_COSPLAY] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_LIBRE] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_POP_STAR] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_ROCK_STAR] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_BELLE] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_PHD] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_CAP_ORIGINAL] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_CAP_HOENN] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_CAP_SINNOH] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_CAP_UNOVA] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_CAP_KALOS] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_CAP_ALOLA] = sPikachuLevelUpLearnset,
	[SPECIES_PIKACHU_CAP_PARTNER] = sPikachuLevelUpLearnset,
	[SPECIES_PICHU_SPIKY] = sPichuLevelUpLearnset,
	[SPECIES_XERNEAS_NATURAL] = sXerneasLevelUpLearnset,
	[SPECIES_GROOKEY] = sGrookeyLevelUpLearnset,
	[SPECIES_THWACKEY] = sThwackeyLevelUpLearnset,
	[SPECIES_RILLABOOM] = sRillaboomLevelUpLearnset,
	[SPECIES_SCORBUNNY] = sScorbunnyLevelUpLearnset,
	[SPECIES_RABOOT] = sRabootLevelUpLearnset,
	[SPECIES_CINDERACE] = sCinderaceLevelUpLearnset,
	[SPECIES_SOBBLE] = sSobbleLevelUpLearnset,
	[SPECIES_DRIZZILE] = sDrizzileLevelUpLearnset,
	[SPECIES_INTELEON] = sInteleonLevelUpLearnset,
	[SPECIES_SKWOVET] = sSkwovetLevelUpLearnset,
	[SPECIES_GREEDENT] = sGreedentLevelUpLearnset,
	[SPECIES_ROOKIDEE] = sRookideeLevelUpLearnset,
	[SPECIES_CORVISQUIRE] = sCorvisquireLevelUpLearnset,
	[SPECIES_CORVIKNIGHT] = sCorviknightLevelUpLearnset,
	[SPECIES_BLIPBUG] = sBlipbugLevelUpLearnset,
	[SPECIES_DOTTLER] = sDottlerLevelUpLearnset,
	[SPECIES_ORBEETLE] = sOrbeetleLevelUpLearnset,
	[SPECIES_NICKIT] = sNickitLevelUpLearnset,
	[SPECIES_THIEVUL] = sThievulLevelUpLearnset,
	[SPECIES_GOSSIFLEUR] = sGossifleurLevelUpLearnset,
	[SPECIES_ELDEGOSS] = sEldegossLevelUpLearnset,
	[SPECIES_WOOLOO] = sWoolooLevelUpLearnset,
	[SPECIES_DUBWOOL] = sDubwoolLevelUpLearnset,
	[SPECIES_CHEWTLE] = sChewtleLevelUpLearnset,
	[SPECIES_DREDNAW] = sDrednawLevelUpLearnset,
	[SPECIES_YAMPER] = sYamperLevelUpLearnset,
	[SPECIES_BOLTUND] = sBoltundLevelUpLearnset,
	[SPECIES_ROLYCOLY] = sRolycolyLevelUpLearnset,
	[SPECIES_CARKOL] = sCarkolLevelUpLearnset,
	[SPECIES_COALOSSAL] = sCoalossalLevelUpLearnset,
	[SPECIES_APPLIN] = sApplinLevelUpLearnset,
	[SPECIES_FLAPPLE] = sFlappleLevelUpLearnset,
	[SPECIES_APPLETUN] = sAppletunLevelUpLearnset,
	[SPECIES_SILICOBRA] = sSilicobraLevelUpLearnset,
	[SPECIES_SANDACONDA] = sSandacondaLevelUpLearnset,
	[SPECIES_CRAMORANT] = sCramorantLevelUpLearnset,
	[SPECIES_ARROKUDA] = sArrokudaLevelUpLearnset,
	[SPECIES_BARRASKEWDA] = sBarraskewdaLevelUpLearnset,
	[SPECIES_TOXEL] = sToxelLevelUpLearnset,
	[SPECIES_TOXTRICITY] = sToxtricityLevelUpLearnset,
	[SPECIES_SIZZLIPEDE] = sSizzlipedeLevelUpLearnset,
	[SPECIES_CENTISKORCH] = sCentiskorchLevelUpLearnset,
	[SPECIES_CLOBBOPUS] = sClobbopusLevelUpLearnset,
	[SPECIES_GRAPPLOCT] = sGrapploctLevelUpLearnset,
	[SPECIES_SINISTEA] = sSinisteaLevelUpLearnset,
	[SPECIES_POLTEAGEIST] = sPolteageistLevelUpLearnset,
	[SPECIES_HATENNA] = sHatennaLevelUpLearnset,
	[SPECIES_HATTREM] = sHattremLevelUpLearnset,
	[SPECIES_HATTERENE] = sHattereneLevelUpLearnset,
	[SPECIES_IMPIDIMP] = sImpidimpLevelUpLearnset,
	[SPECIES_MORGREM] = sMorgremLevelUpLearnset,
	[SPECIES_GRIMMSNARL] = sGrimmsnarlLevelUpLearnset,
	[SPECIES_OBSTAGOON] = sObstagoonLevelUpLearnset,
	[SPECIES_PERRSERKER] = sPerrserkerLevelUpLearnset,
	[SPECIES_CURSOLA] = sCursolaLevelUpLearnset,
	[SPECIES_SIRFETCHD] = sSirfetchdLevelUpLearnset,
	[SPECIES_MR_RIME] = sMrRimeLevelUpLearnset,
	[SPECIES_RUNERIGUS] = sRunerigusLevelUpLearnset,
	[SPECIES_MILCERY] = sMilceryLevelUpLearnset,
	[SPECIES_ALCREMIE_STRAWBERRY] = sAlcremieLevelUpLearnset,
	[SPECIES_FALINKS] = sFalinksLevelUpLearnset,
	[SPECIES_PINCURCHIN] = sPincurchinLevelUpLearnset,
	[SPECIES_SNOM] = sSnomLevelUpLearnset,
	[SPECIES_FROSMOTH] = sFrosmothLevelUpLearnset,
	[SPECIES_STONJOURNER] = sStonjournerLevelUpLearnset,
	[SPECIES_EISCUE] = sEiscueLevelUpLearnset,
	[SPECIES_INDEEDEE] = sIndeedeeLevelUpLearnset,
	[SPECIES_MORPEKO] = sMorpekoLevelUpLearnset,
	[SPECIES_CUFANT] = sCufantLevelUpLearnset,
	[SPECIES_COPPERAJAH] = sCopperajahLevelUpLearnset,
	[SPECIES_DRACOZOLT] = sDracozoltLevelUpLearnset,
	[SPECIES_ARCTOZOLT] = sArctozoltLevelUpLearnset,
	[SPECIES_DRACOVISH] = sDracovishLevelUpLearnset,
	[SPECIES_ARCTOVISH] = sArctovishLevelUpLearnset,
	[SPECIES_DURALUDON] = sDuraludonLevelUpLearnset,
	[SPECIES_DREEPY] = sDreepyLevelUpLearnset,
	[SPECIES_DRAKLOAK] = sDrakloakLevelUpLearnset,
	[SPECIES_DRAGAPULT] = sDragapultLevelUpLearnset,
	[SPECIES_ZACIAN] = sZacianLevelUpLearnset,
	[SPECIES_ZAMAZENTA] = sZamazentaLevelUpLearnset,
	[SPECIES_ETERNATUS] = sEternatusLevelUpLearnset,
	[SPECIES_KUBFU] = sKubfuLevelUpLearnset,
	[SPECIES_URSHIFU_SINGLE] = sUrshifuLevelUpLearnset,
	[SPECIES_ZARUDE] = sZarudeLevelUpLearnset,
	[SPECIES_REGIELEKI] = sRegielekiLevelUpLearnset,
	[SPECIES_REGIDRAGO] = sRegidragoLevelUpLearnset,
	[SPECIES_GLASTRIER] = sGlastrierLevelUpLearnset,
	[SPECIES_SPECTRIER] = sSpectrierLevelUpLearnset,
	[SPECIES_CALYREX] = sCalyrexLevelUpLearnset,
	[SPECIES_CRAMORANT_GULPING] = sCramorantLevelUpLearnset,
	[SPECIES_CRAMORANT_GORGING] = sCramorantLevelUpLearnset,
	[SPECIES_TOXTRICITY_LOW_KEY] = sToxtricityLowKeyLevelUpLearnset,
	[SPECIES_SINISTEA_CHIPPED] = sSinisteaLevelUpLearnset,
	[SPECIES_POLTEAGEIST_CHIPPED] = sPolteageistLevelUpLearnset,
	[SPECIES_ALCREMIE_BERRY] = sAlcremieLevelUpLearnset,
	[SPECIES_ALCREMIE_CLOVER] = sAlcremieLevelUpLearnset,
	[SPECIES_ALCREMIE_FLOWER] = sAlcremieLevelUpLearnset,
	[SPECIES_ALCREMIE_LOVE] = sAlcremieLevelUpLearnset,
	[SPECIES_ALCREMIE_RIBBON] = sAlcremieLevelUpLearnset,
	[SPECIES_ALCREMIE_STAR] = sAlcremieLevelUpLearnset,
	[SPECIES_EISCUE_NOICE] = sEiscueLevelUpLearnset,
	[SPECIES_INDEEDEE_FEMALE] = sIndeedeeFemaleLevelUpLearnset,
	[SPECIES_MORPEKO_HANGRY] = sMorpekoLevelUpLearnset,
	[SPECIES_ZACIAN_CROWNED] = sZacianLevelUpLearnset,
	[SPECIES_ZAMAZENTA_CROWNED] = sZamazentaLevelUpLearnset,
	[SPECIES_ETERNATUS_ETERNAMAX] = sEternatusLevelUpLearnset,
	[SPECIES_URSHIFU_RAPID] = sUrshifuRapidLevelUpLearnset,
	[SPECIES_ZARUDE_DADA] = sZarudeLevelUpLearnset,
	[SPECIES_CALYREX_ICE_RIDER] = sCalyrexIceRiderLevelUpLearnset,
	[SPECIES_CALYREX_SHADOW_RIDER] = sCalyrexShadowRiderLevelUpLearnset,
	[SPECIES_MEOWTH_G] = sMeowthGLevelUpLearnset,
	[SPECIES_PONYTA_G] = sPonytaGLevelUpLearnset,
	[SPECIES_RAPIDASH_G] = sRapidashGLevelUpLearnset,
	[SPECIES_SLOWPOKE_G] = sSlowpokeGLevelUpLearnset,
	[SPECIES_SLOWBRO_G] = sSlowbroGLevelUpLearnset, 
	[SPECIES_FARFETCHD_G] = sFarfetchdGLevelUpLearnset,
	[SPECIES_KOFFING_G] = sKoffingLevelUpLearnset,
	[SPECIES_WEEZING_G] = sWeezingGLevelUpLearnset,
	[SPECIES_MIME_JR_G] = sMimeJrLevelUpLearnset,
	[SPECIES_MR_MIME_G] = sMrMimeGLevelUpLearnset,
	[SPECIES_ARTICUNO_G] = sArticunoGLevelUpLearnset,
	[SPECIES_ZAPDOS_G] = sZapdosGLevelUpLearnset,
	[SPECIES_MOLTRES_G] = sMoltresGLevelUpLearnset,
	[SPECIES_SLOWKING_G] = sSlowkingGLevelUpLearnset,
	[SPECIES_CORSOLA_G] = sCorsolaGLevelUpLearnset,
	[SPECIES_ZIGZAGOON_G] = sZigzagoonGLevelUpLearnset,
	[SPECIES_LINOONE_G] = sLinooneGLevelUpLearnset,
	[SPECIES_DARUMAKA_G] = sDarumakaGLevelUpLearnset,
	[SPECIES_DARMANITAN_G] = sDarmanitanGLevelUpLearnset,
	[SPECIES_DARMANITAN_G_ZEN] = sDarmanitanGLevelUpLearnset,
	[SPECIES_YAMASK_G] = sYamaskGLevelUpLearnset,
	[SPECIES_STUNFISK_G] = sStunfiskGLevelUpLearnset,
	[SPECIES_VENUSAUR_GIGA] = sVenusaurLevelUpLearnset,
	[SPECIES_CHARIZARD_GIGA] = sCharizardLevelUpLearnset,
	[SPECIES_BLASTOISE_GIGA] = sBlastoiseLevelUpLearnset,
	[SPECIES_BUTTERFREE_GIGA] = sButterfreeLevelUpLearnset,
	[SPECIES_PIKACHU_GIGA] = sPikachuLevelUpLearnset,
	[SPECIES_MEOWTH_GIGA] = sMeowthLevelUpLearnset,
	[SPECIES_MACHAMP_GIGA] = sMachampLevelUpLearnset,
	[SPECIES_GENGAR_GIGA] = sGengarLevelUpLearnset,
	[SPECIES_KINGLER_GIGA] = sKinglerLevelUpLearnset,
	[SPECIES_LAPRAS_GIGA] = sLaprasLevelUpLearnset,
	[SPECIES_EEVEE_GIGA] = sEeveeLevelUpLearnset,
	[SPECIES_SNORLAX_GIGA] = sSnorlaxLevelUpLearnset,
	[SPECIES_GARBODOR_GIGA] = sGarbodorLevelUpLearnset,
	[SPECIES_MELMETAL_GIGA] = sMelmetalLevelUpLearnset,
	[SPECIES_RILLABOOM_GIGA] = sRillaboomLevelUpLearnset,
	[SPECIES_CINDERACE_GIGA] = sCinderaceLevelUpLearnset,
	[SPECIES_INTELEON_GIGA] = sInteleonLevelUpLearnset,
	[SPECIES_CORVIKNIGHT_GIGA] = sCorviknightLevelUpLearnset,
	[SPECIES_ORBEETLE_GIGA] = sOrbeetleLevelUpLearnset,
	[SPECIES_DREDNAW_GIGA] = sDrednawLevelUpLearnset,
	[SPECIES_COALOSSAL_GIGA] = sCoalossalLevelUpLearnset,
	[SPECIES_FLAPPLE_GIGA] = sFlappleLevelUpLearnset,
	[SPECIES_APPLETUN_GIGA] = sAppletunLevelUpLearnset,
	[SPECIES_SANDACONDA_GIGA] = sSandacondaLevelUpLearnset,
	[SPECIES_TOXTRICITY_GIGA] = sToxtricityLevelUpLearnset,
	[SPECIES_TOXTRICITY_LOW_KEY_GIGA] = sToxtricityLowKeyLevelUpLearnset,
	[SPECIES_CENTISKORCH_GIGA] = sCentiskorchLevelUpLearnset,
	[SPECIES_HATTERENE_GIGA] = sHattereneLevelUpLearnset,
	[SPECIES_GRIMMSNARL_GIGA] = sGrimmsnarlLevelUpLearnset,
	[SPECIES_ALCREMIE_GIGA] = sAlcremieLevelUpLearnset,
	[SPECIES_COPPERAJAH_GIGA] = sCopperajahLevelUpLearnset,
	[SPECIES_DURALUDON_GIGA] = sDuraludonLevelUpLearnset,
	[SPECIES_URSHIFU_SINGLE_GIGA] = sUrshifuLevelUpLearnset,
	[SPECIES_URSHIFU_RAPID_GIGA] = sUrshifuRapidLevelUpLearnset,
};
#endif
